package com.urovo.wgmf.db.dao.bill;

import com.urovo.wgmf.db.dao.dao.Store001DbOprate;
import com.urovo.wgmf.db.dao.entitys.StoreOrderProduct;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.ArrayList;
import java.util.List;

public class TmsProductService {
	/**
	 * 查询产品信息
	 * 
	 * @param storeId
	 *            门店编号
	 * @param selectType查找类别
	 *            ：1模糊查询，2精确查询
	 * @param itemId查找的商品编号
	 * @param type查找的业务类别type
	 *            =1 ：订货状态，status:Y 可订货 N 不可订货。 2：盘点状态：Y 需盘点 N 不需盘点。3：销售分组号
	 *            XSGRPID= '999' 的不显示status为null。4：其他分组号 QTGRPID =
	 *            '999'的不显示。5：试吃状态 Y 可试吃 N 不可试吃。6：冲加状态 Y 可冲加 N 不可冲加
	 * @param status
	 * @return
	 */
	public static synchronized List<StoreOrderProduct> getStoreProduct(String storeId, int selectType, String itemId, int type, String status) {
		List<StoreOrderProduct> list = new ArrayList<StoreOrderProduct>();
		try {
			list = Store001DbOprate.getStoreProduct(storeId, selectType, itemId, type, status);
		}
		catch (Exception e) {

			BaseAppManager.loger().info("TmsProductService:getStoreProduct" + e);
		}
		return list;
	}
}
