package com.urovo.wgmf.db.dao.dao;

import android.content.Context;
import android.database.Cursor;
import android.text.TextUtils;

import com.urovo.wgmf.db.dao.DBTool;
import com.urovo.wgmf.db.dao.entitys.HuiYuanTag;
import com.urovo.wgmf.db.dao.entitys.OrderReqBean;
import com.urovo.wgmf.db.dao.entitys.XiaoShouEntity;
import com.urovo.wugumofang.data.DateUtil;
import com.urovo.wugumofang.data.MoneyUtils;
import com.urovo.wugumofang.data.StringUtils;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.system.SystemHelper;
import com.zsy.libcore.common.android.log.SYLoger;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 对数据库的增，删，改，查操作
 *
 * @author Administrator
 */
public class Djxs001DbOperate {

    private static DBTool dbTool;

    public Djxs001DbOperate(Context context) {
        super();
        dbTool = DBTool.getInstance(context);
    }

    /**
     * 插入数据
     */
//    public static Boolean Insert(Djxs001Db djxs001) {
//        Cursor cursor = null;
//        try {
//            String sql = "insert into djxs001(bill,storeID,stwhsID,posID,saledate,scdate,saletime,billNO,mdbc,custID,skyID,xstype,hyxb,tline,tnet,sktnet,skround,zkyhje,kgtype,yxtype,dyposID,dysaledate,dysaletime,dybillNO,lr_name,isup,recommendation) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
//            BaseAppManager.database().execSQL(
//                    sql,
//                    new String[]{djxs001.getBill(), djxs001.getStoreID(), djxs001.getStwhsID(), djxs001.getPosID(), djxs001.getSaledate(), djxs001.getScdate(), djxs001.getSaletime(), djxs001.getBillNO() + "", djxs001.getMdbc(), djxs001.getCustID(), djxs001.getSkyID(), djxs001.getXstype(),
//                            djxs001.getHyxb(), djxs001.getTline() + "", djxs001.getTnet() + "", djxs001.getSktnet() + "", djxs001.getSkround() + "", djxs001.getZkyhje() + "", djxs001.getKgtype(), djxs001.getYxtype(), djxs001.getDyposID(), djxs001.getDysaledate(), djxs001.getDysaletime(),
//                            djxs001.getDybillNO() + "", djxs001.getLr_name(), djxs001.getIsup() + "", djxs001.getRecommendation() + ""});
//            return true;
//        } catch (Exception e) {
//            BaseAppManager.loger().info("[Djxs001DbOperate.Insert]" + e);
//
//            return false;
//        } finally {
//            // database.close();
//            if (cursor != null)
//                cursor.close();
//        }
//    }

    /**
     * 查询方法的基方法，代码的复用，万精油
     *
     * @param sql
     * @return
     */
//    public static List<Djxs001Db> selectBy(String sql) {
//        List<Djxs001Db> list = new ArrayList<Djxs001Db>();
//        Cursor cursor = null;
//        String sqlStr = "select * from djxs001";
//        if (sql != null)
//            sqlStr += sql;
//        try {
//            cursor = BaseAppManager.database().rawQuery(sqlStr, new String[]{});
//            while (cursor.moveToNext()) {
//                Djxs001Db model = new Djxs001Db();
//                model.setBill(cursor.getString(cursor.getColumnIndex("bill")));
//                model.setStoreID(cursor.getString(cursor.getColumnIndex("storeID")));
//                model.setStwhsID(cursor.getString(cursor.getColumnIndex("stwhsID")));
//                model.setPosID(cursor.getString(cursor.getColumnIndex("posID")));
//                model.setSaledate(cursor.getString(cursor.getColumnIndex("saledate")));
//                model.setScdate(cursor.getString(cursor.getColumnIndex("scdate")));
//                model.setSaletime(cursor.getString(cursor.getColumnIndex("saletime")));
//                model.setBillNO(cursor.getInt(cursor.getColumnIndex("billNO")));
//                model.setMdbc(cursor.getString(cursor.getColumnIndex("mdbc")));
//                model.setCustID(cursor.getString(cursor.getColumnIndex("custID")));
//                model.setSkyID(cursor.getString(cursor.getColumnIndex("skyID")));
//                model.setXstype(cursor.getString(cursor.getColumnIndex("xstype")));
//                model.setHyxb(cursor.getString(cursor.getColumnIndex("hyxb")));
//                model.setTline(cursor.getInt(cursor.getColumnIndex("tline")));
//                model.setTnet(cursor.getInt(cursor.getColumnIndex("tnet")));
//                model.setSktnet(cursor.getInt(cursor.getColumnIndex("sktnet")));
//                SYLoger.print("条码打印 保存页面： " + cursor.getInt(cursor.getColumnIndex("sktnet")));
//                model.setSkround(cursor.getInt(cursor.getColumnIndex("skround")));
//                model.setZkyhje(cursor.getInt(cursor.getColumnIndex("zkyhje")));
//                model.setKgtype(cursor.getString(cursor.getColumnIndex("kgtype")));
//                model.setYxtype(cursor.getString(cursor.getColumnIndex("yxtype")));
//                model.setDyposID(cursor.getString(cursor.getColumnIndex("dyposID")));
//                model.setDysaledate(cursor.getString(cursor.getColumnIndex("dysaledate")));
//                model.setDysaletime(cursor.getString(cursor.getColumnIndex("dysaletime")));
//                model.setDybillNO(cursor.getInt(cursor.getColumnIndex("dybillNO")));
//                model.setLr_name(cursor.getString(cursor.getColumnIndex("lr_name")));
//                model.setIsup(cursor.getInt(cursor.getColumnIndex("isup")));
//                model.setRecommendation(cursor.getString(cursor.getColumnIndex("recommendation")));
//                if (model.getBill() != null && model.getBill().length() > 0) {
//                    list.add(model);
//                }
//            }
//        } catch (Exception e) {
//
//            BaseAppManager.loger().info(e);
//        } finally {
//            if (cursor != null) {
//                cursor.close();
//            }
//        }
//        return list;
//    }

    /**
     * 删除所有数据
     */
    public static Boolean deleteAllGoods(String sql) {
        Boolean result = false;
        String sqlStr = "Delete from djxs001";
        if (sql != null) {
            sqlStr += sql;
        }
        try {
            BaseAppManager.database().execSQL(sqlStr);
            result = true;
        } catch (Exception e) {
            BaseAppManager.loger().info(e);
            result = false;
        } finally {
        }
        return result;
    }

    public static int GetUnUploadCount() {
        int total = 0;
        Cursor cursor = null;
        String sql = "select count(bill) from djxs001 where IsUp=0";
        try {
            cursor = BaseAppManager.database().rawQuery(sql, null);
            if (cursor.moveToNext()) {
                total = cursor.getInt(0);
            }
        } catch (Exception e) {
            BaseAppManager.loger().info("获取未上传销售单据总数发生异常:" + e);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
        return total;
    }

    /**
     * 获取今日销售单据序号 第一笔单为1，第二笔单为2，。。。，最大数位99999
     */
    public static int GetTodayXiaoShouNo() {
        int result = 0;
        Cursor cursor = null;
        String sql = "select count(bill) from djxs001 where saledate >=? and saledate <=?";
        try {
            cursor = BaseAppManager.database().rawQuery(sql, new String[]{DateUtil.getDate(new Date()) + " 00:00:00", DateUtil.getDate(new Date()) + " 23:59:59"});
            if (cursor.moveToNext()) {
                result = cursor.getInt(0);
            }
        } catch (Exception e) {
            BaseAppManager.loger().info("查询今日销售单序号发生异常:" + e);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
        return result;
    }

    /**
     * 保存销售单主表到本地数据库
     */
    public static boolean SaveXiaoShou(XiaoShouEntity bll) {
        boolean resault = true;
        try {
            if ("2".equals(bll.getXSTYPE())) {
                String sql = "insert into DJXS001(BILL,STOREID,STWHSID,POSID,SALEDATE,SCDATE,SALETIME,BILLNO,MDBC, " + " CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON,TLINE,TNET,SKTNET,SKROUND,ZKYHJE, " + " DYSALEDATE,DYSALETIME,DYBILLNO,DYPOSID,PROMID,EXCHANGECODE,IsUp,SALEBILL,ordertype,orderBillNo) "
                        + " values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
                BaseAppManager.database().execSQL(sql,
                        new Object[]{bll.getBill(), bll.getStoreId(), bll.getSTWHSID(), bll.getPOSID(), bll.getSaleDate(), bll.getSCDate(), bll.getSaleTime(), bll.getBillNo(), bll.getMDBC(), bll.getCUSTID(), bll.getSkyId(), bll.getXSTYPE(), bll.getHYXB(), bll.getTag().get(0).getAGE(),
                                bll.getTag().get(0).getREASON(), bll.getTLine(), bll.getTNET(), bll.getSKTNET(), bll.getSKROUND(), bll.getZKYHJE(), bll.getDYSaleDate(), bll.getDYSaleTime(), bll.getDYBillNo(), bll.getPOSID(), bll.getPromid(), bll.getExchangecode(), "0", bll.getSaleBill(),bll.getOrdertype(),bll.getOrderBillNo()});
            } else {
                String sql = "insert into DJXS001(BILL,STOREID,STWHSID,POSID,SALEDATE,SCDATE,SALETIME,BILLNO,MDBC, " + " CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON,TLINE,TNET,SKTNET,SKROUND,ZKYHJE,IsUp,PROMID,EXCHANGECODE,Recommendation,ordertype,orderBillNo) " + " values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?) ";
                BaseAppManager.database().execSQL(sql, new Object[]{bll.getBill(), bll.getStoreId(), bll.getSTWHSID(), bll.getPOSID(), bll.getSaleDate(), bll.getSCDate(), bll.getSaleTime(), bll.getBillNo(), bll.getMDBC(), bll.getCUSTID(), bll.getSkyId(), bll.getXSTYPE(), bll.getHYXB(),
                        bll.getTag().get(0).getAGE(), bll.getTag().get(0).getREASON(), bll.getTLine(), bll.getTNET(), bll.getSKTNET(), bll.getSKROUND(), bll.getZKYHJE(), "0", bll.getPromid(), bll.getExchangecode(), bll.getRecommendation(),bll.getOrdertype(),bll.getOrderBillNo()});
            }

        } catch (Exception e) {

            resault = false;
            BaseAppManager.loger().info("保存销售单主表发生异常:" + e);
        }
        return resault;
    }

    /**
     * 3.0之后的保存订单
     *
     * @param bll
     */
    public static boolean saveSaleOrder(OrderReqBean bll) {
        boolean resault = true;
        try {
            String sql = "insert into DJXS001(BILL,STOREID,POSID,SALEDATE,SCDATE,SALETIME,BILLNO,MDBC, "
                    + " CUSTID,SKYID,XSTYPE,TNET,SKTNET,IsUp,"
                    + "PROMID,EXCHANGECODE,Recommendation,sentProPointOrNot,giftPoints,giftMoney,ordertype,orderBillNo) "
                    + " values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?) ";
            BaseAppManager.database().execSQL(sql, new Object[]{bll.getBill(), bll.getStoreId(), bll.getPOSID(), bll.getSaleDate(), bll.getSCDate(), bll.getSaleTime(), bll.getBillNo(), bll.getMDBC(),
                    bll.getCUSTID(), bll.getSkyId(), bll.getXSTYPE(), bll.getTNET(), bll.getSKTNET(), "0",
                    bll.getPromid(), bll.getExchangecode(), bll.getRecommendation(), bll.getSentProPointOrNot(), bll.getGiftPoints(), bll.getGiftMoney(),bll.getOrdertype(),bll.getOrderBillNo()});
        } catch (Exception e) {
            resault = false;
            BaseAppManager.loger().info("保存销售单主表发生异常:" + e);
        }
        return resault;
    }

    /**
     * 保存销售单主表到本地数据库
     */
//    public static void SaveXiaoShouUped(XiaoShouEntity bll) {
//        try {
//            if ("2".equals(bll.getXSTYPE())) {
//                String sql = "insert into DJXS001(BILL,STOREID,STWHSID,POSID,SALEDATE,SCDATE,SALETIME,BILLNO,MDBC, " + " CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON,TLINE,TNET,SKTNET,SKROUND,ZKYHJE, " + " DYSALEDATE,DYSALETIME,DYBILLNO,DYPOSID,PROMID,EXCHANGECODE,IsUp,SALEBILL) "
//                        + " values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
//                BaseAppManager.database().execSQL(sql,
//                        new Object[]{bll.getBill(), bll.getStoreId(), bll.getSTWHSID(), bll.getPOSID(), bll.getSaleDate(), bll.getSCDate(), bll.getSaleTime(), bll.getBillNo(), bll.getMDBC(), bll.getCUSTID(), bll.getSkyId(), bll.getXSTYPE(), bll.getHYXB(), bll.getTag().get(0).getAGE(),
//                                bll.getTag().get(0).getREASON(), bll.getTLine(), bll.getTNET(), bll.getSKTNET(), bll.getSKROUND(), bll.getZKYHJE(), bll.getDYSaleDate(), bll.getDYSaleTime(), bll.getDYBillNo(), bll.getPOSID(), bll.getPromid(), bll.getExchangecode(), "1", bll.getSaleBill()});
//            } else {
//                String sql = "insert into DJXS001(BILL,STOREID,STWHSID,POSID,SALEDATE,SCDATE,SALETIME,BILLNO,MDBC, " + " CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON,TLINE,TNET,SKTNET,SKROUND,ZKYHJE,IsUp,PROMID,EXCHANGECODE,Recommendation) " + " values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?) ";
//                BaseAppManager.database().execSQL(sql, new Object[]{bll.getBill(), bll.getStoreId(), bll.getSTWHSID(), bll.getPOSID(), bll.getSaleDate(), bll.getSCDate(), bll.getSaleTime(), bll.getBillNo(), bll.getMDBC(), bll.getCUSTID(), bll.getSkyId(), bll.getXSTYPE(), bll.getHYXB(),
//                        bll.getTag().get(0).getAGE(), bll.getTag().get(0).getREASON(), bll.getTLine(), bll.getTNET(), bll.getSKTNET(), bll.getSKROUND(), bll.getZKYHJE(), "1", bll.getPromid(), bll.getExchangecode(), bll.getRecommendation()});
//            }
//
//        } catch (Exception e) {
//            BaseAppManager.loger().info("保存销售单主表发生异常:" + e);
//        }
//    }

    /**
     * 3.0之后的查询订单
     */
    public static List<OrderReqBean> selectUnUploadOrder() {
        List<OrderReqBean> orderRequestBeans = new ArrayList<>();
        Cursor cursor = null;
        String sql = "select  BILL,STOREID,POSID,SALEDATE,SCDATE,SALETIME,BILLNO,MDBC, "
                + " CUSTID,SKYID,XSTYPE,TNET,SKTNET,IsUp,"
                + "PROMID,EXCHANGECODE,Recommendation,sentProPointOrNot,giftPoints,giftMoney,ordertype,orderBillNo"
                + " from DJXS001 where IsUp=0 ";

        //String sql = "insert into DJXS001(BILL,STOREID,POSID,SALEDATE,SCDATE,SALETIME,BILLNO,MDBC, "
        //    + " CUSTID,SKYID,XSTYPE,TNET,SKTNET,IsUp,"
        //    + "PROMID,EXCHANGECODE,Recommendation,sentProPointOrNot,giftPoints,giftMoney) "
        //    + " values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?) ";
        try {
            cursor = BaseAppManager.database().rawQuery(sql, null);
            while (cursor.moveToNext()) {
                OrderReqBean orderRequestBean = new OrderReqBean();
                orderRequestBean.setSentProPointOrNot(cursor.getInt(cursor.getColumnIndex("sentProPointOrNot")));
                orderRequestBean.setGiftPoints(cursor.getDouble(cursor.getColumnIndex("giftPoints")));
                orderRequestBean.setGiftMoney(Double.valueOf(MoneyUtils.twolastDF((cursor.getDouble(cursor.getColumnIndex("giftMoney"))))));
                orderRequestBean.setBill(cursor.getString(cursor.getColumnIndex("BILL")));
                orderRequestBean.setCUSTID(cursor.getString(cursor.getColumnIndex("CUSTID")));
                orderRequestBean.setRecommendation(cursor.getString(cursor.getColumnIndex("Recommendation")));// 老带新者号码
                orderRequestBean.setMDBC(cursor.getString(cursor.getColumnIndex("MDBC")));
                orderRequestBean.setPOSID(cursor.getString(cursor.getColumnIndex("POSID")));// // 固定门店模式下posid 为4
                orderRequestBean.setSCDate(cursor.getString(cursor.getColumnIndex("SCDATE")));
                orderRequestBean.setPromid(cursor.getString(cursor.getColumnIndex("PROMID")));
                //orderRequestBean.setSaleBill();//原销售单号（退货时存原销售单号）
                orderRequestBean.setSaleDate(cursor.getString(cursor.getColumnIndex("SALEDATE")));
                orderRequestBean.setSaleTime(cursor.getString(cursor.getColumnIndex("SALETIME")));
                orderRequestBean.setSkyId(cursor.getString(cursor.getColumnIndex("SKYID")));
                orderRequestBean.setStoreId(cursor.getString(cursor.getColumnIndex("STOREID")));
                //orderRequestBean.setStoreName(SystemHelper.LoginOrganName);
                orderRequestBean.setExchangecode(cursor.getString(cursor.getColumnIndex("EXCHANGECODE")));
                orderRequestBean.setXSTYPE(cursor.getString(cursor.getColumnIndex("XSTYPE")));// （销售类型,1：销售；2：退货；3：团购）
                orderRequestBean.setTNET(cursor.getDouble((cursor.getColumnIndex("TNET"))));
//                orderRequestBean.setSKTNET(Double.valueOf(MoneyUtils.twolastDF(cursor.getFloat(cursor.getColumnIndex("SKTNET")))));
                orderRequestBean.setSKTNET(cursor.getDouble((cursor.getColumnIndex("SKTNET"))));
                SYLoger.print(("条码打印 保存页面： " + cursor.getFloat(cursor.getColumnIndex("SKTNET"))));
                SYLoger.print("条码打印 保存页面： " + cursor.getDouble(cursor.getColumnIndex("SKTNET")));
                orderRequestBean.setOrdertype(cursor.getInt(cursor.getColumnIndex("ordertype")));// 订单类型
                orderRequestBean.setOrderBillNo(cursor.getString(cursor.getColumnIndex("orderBillNo")));// 到家业务订单号
                orderRequestBean.setDelivertype(0);// 提货类型
                //orderRequestBean.setProductDetails();
                orderRequestBeans.add(orderRequestBean);
            }
        } catch (Exception e) {
            BaseAppManager.loger().info("查询未上传销售数据发生异常:" + e);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
        return orderRequestBeans;
    }


    /**
     * 获取未上传销售数据，方便给Upload函数调用
     */
    public static List<XiaoShouEntity> GetUnUpload() {
        Cursor cursor = null;
        List<XiaoShouEntity> list = new ArrayList<XiaoShouEntity>();
        String sql = "select  BILL,STOREID,SALEDATE,SALETIME,BILLNO,MDBC,CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON, " + " TLINE,TNET,SKTNET,SKROUND,ZKYHJE,DYSALEDATE,DYSALETIME,DYBILLNO,POSID,SALEBILL,PROMID,EXCHANGECODE,ordertype,orderBillNo" + " from djxs001 where IsUp=0 limit 1";
        try {
            cursor = BaseAppManager.database().rawQuery(sql, null);
            while (cursor.moveToNext()) {
                Date date = new Date();
                XiaoShouEntity xs = new XiaoShouEntity();
                String bill = cursor.getString(cursor.getColumnIndex("BILL"));
                xs.setBill(StringUtils.isEmpty(bill) ? bill : "");
                String StoreId = cursor.getString(cursor.getColumnIndex("STOREID"));
                xs.setStoreId(StringUtils.isEmpty(StoreId) ? StoreId : "");

                String SaleDate = cursor.getString(cursor.getColumnIndex("SALEDATE"));
                SaleDate = StringUtils.isEmpty(SaleDate) ? SaleDate : DateUtil.getDateTime(date);
                Date date2 = DateUtil.String2Date(SaleDate, "yyyy-MM-dd HH:mm:ss");
                xs.setSaleDate(DateUtil.getDateByFormat(date2, "yyyy-MM-dd HH:mm:ss"));
                String SaleTime = cursor.getString(cursor.getColumnIndex("SALETIME"));
                xs.setSaleTime(StringUtils.isEmpty(SaleTime) ? SaleTime : DateUtil.getTime(date));
                xs.setBillNo(cursor.getDouble(cursor.getColumnIndex("BILLNO")));
                String MDBC = cursor.getString(cursor.getColumnIndex("MDBC"));
                xs.setMDBC(StringUtils.isEmpty(MDBC) ? MDBC : "Z");
                String CUSTID = cursor.getString(cursor.getColumnIndex("CUSTID"));
                xs.setCUSTID(StringUtils.isEmpty(CUSTID) ? CUSTID : "");
                String SkyId = cursor.getString(cursor.getColumnIndex("SKYID"));
                xs.setSkyId(StringUtils.isEmpty(SkyId) ? SkyId : "");
                String XSTYPE = cursor.getString(cursor.getColumnIndex("XSTYPE"));
                xs.setXSTYPE(StringUtils.isEmpty(XSTYPE) ? XSTYPE : "1");
                String HYXB = cursor.getString(cursor.getColumnIndex("HYXB"));
                xs.setHYXB(StringUtils.isEmpty(HYXB) ? HYXB : "M");
                List<HuiYuanTag> tag = new ArrayList<HuiYuanTag>();
                HuiYuanTag t = new HuiYuanTag();
                t.setAGE(cursor.getString(cursor.getColumnIndex("AGE")));
                t.setREASON(cursor.getString(cursor.getColumnIndex("REASON")));
                tag.add(t);
                xs.setTag(tag);
                xs.setTLine(cursor.getDouble(cursor.getColumnIndex("TLINE")));
                xs.setTNET(cursor.getDouble(cursor.getColumnIndex("TNET")));
                xs.setSKTNET(cursor.getDouble(cursor.getColumnIndex("SKTNET")));
                SYLoger.print("条码打印 保存页面： 产品实际总价：" + cursor.getDouble(cursor.getColumnIndex("SKTNET")));
                xs.setSKROUND(cursor.getDouble(cursor.getColumnIndex("SKROUND")));
                xs.setZKYHJE(cursor.getDouble(cursor.getColumnIndex("ZKYHJE")));
                String DYSaleDate = cursor.getString(cursor.getColumnIndex("DYSALEDATE"));
                xs.setDYSaleDate(StringUtils.isEmpty(DYSaleDate) ? DYSaleDate : DateUtil.getDate(date));
                String DYSaleTime = cursor.getString(cursor.getColumnIndex("DYSALETIME"));
                xs.setDYSaleTime(StringUtils.isEmpty(DYSaleTime) ? DYSaleTime : DateUtil.getTime(date));
                xs.setDYBillNo(cursor.getDouble(cursor.getColumnIndex("DYBILLNO")));
                String POSID = (cursor.getString(cursor.getColumnIndex("POSID")));
                xs.setPOSID(StringUtils.isEmpty(POSID) ? POSID : (SystemHelper.IsAdmin ? "3" : "2"));
                xs.setPromid(cursor.getString(cursor.getColumnIndex("PROMID")));
                xs.setExchangecode(cursor.getString(cursor.getColumnIndex("EXCHANGECODE")));
                xs.setSCDate(DateUtil.getDateTime(date));
                String saleBill = cursor.getString(cursor.getColumnIndex("SALEBILL"));
                xs.setSaleBill(TextUtils.isEmpty(saleBill) ? "" : saleBill);
                xs.setOrdertype(cursor.getInt(cursor.getColumnIndex("ordertype")));
                xs.setOrderBillNo(cursor.getString(cursor.getColumnIndex("orderBillNo")));
                list.add(xs);
            }
        } catch (Exception e) {

            BaseAppManager.loger().info("查询未上传销售数据发生异常:" + e);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
        return list;
    }

    /**
     * 获取未上传销售数据，方便给Upload函数调用
     */
    public static List<XiaoShouEntity> GetAllUnUpload() {
        Cursor cursor = null;
        List<XiaoShouEntity> list = new ArrayList<XiaoShouEntity>();
        String sql = "select  BILL,STOREID,SALEDATE,SALETIME,BILLNO,MDBC,CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON, " + " TLINE,TNET,SKTNET,SKROUND,ZKYHJE,DYSALEDATE,DYSALETIME,DYBILLNO,POSID,SALEBILL,PROMID,EXCHANGECODE,Recommendation,ordertype,orderBillNo" + " from djxs001 where IsUp=0";
        try {
            cursor = BaseAppManager.database().rawQuery(sql, null);
            while (cursor.moveToNext()) {
                Date date = new Date();
                XiaoShouEntity xs = new XiaoShouEntity();
                String bill = cursor.getString(cursor.getColumnIndex("BILL"));
                xs.setBill(StringUtils.isEmpty(bill) ? bill : "");
                String StoreId = cursor.getString(cursor.getColumnIndex("STOREID"));
                xs.setStoreId(StringUtils.isEmpty(StoreId) ? StoreId : "");

                String SaleDate = cursor.getString(cursor.getColumnIndex("SALEDATE"));
                SaleDate = StringUtils.isEmpty(SaleDate) ? SaleDate : DateUtil.getDateTime(date);
                Date date2 = DateUtil.String2Date(SaleDate, "yyyy-MM-dd HH:mm:ss");
                xs.setSaleDate(DateUtil.getDateByFormat(date2, "yyyy-MM-dd HH:mm:ss"));

                String SaleTime = cursor.getString(cursor.getColumnIndex("SALETIME"));
                xs.setSaleTime(StringUtils.isEmpty(SaleTime) ? SaleTime : DateUtil.getTime(date));
                xs.setBillNo(cursor.getDouble(cursor.getColumnIndex("BILLNO")));
                String MDBC = cursor.getString(cursor.getColumnIndex("MDBC"));
                xs.setMDBC(StringUtils.isEmpty(MDBC) ? MDBC : "Z");
                String CUSTID = cursor.getString(cursor.getColumnIndex("CUSTID"));
                xs.setCUSTID(StringUtils.isEmpty(CUSTID) ? CUSTID : "");
                String SkyId = cursor.getString(cursor.getColumnIndex("SKYID"));
                xs.setSkyId(StringUtils.isEmpty(SkyId) ? SkyId : "");
                String XSTYPE = cursor.getString(cursor.getColumnIndex("XSTYPE"));
                xs.setXSTYPE(StringUtils.isEmpty(XSTYPE) ? XSTYPE : "1");
                String HYXB = cursor.getString(cursor.getColumnIndex("HYXB"));
                xs.setHYXB(StringUtils.isEmpty(HYXB) ? HYXB : "M");
                List<HuiYuanTag> tag = new ArrayList<HuiYuanTag>();
                HuiYuanTag t = new HuiYuanTag();
                t.setAGE(cursor.getString(cursor.getColumnIndex("AGE")));
                t.setREASON(cursor.getString(cursor.getColumnIndex("REASON")));
                tag.add(t);
                xs.setTag(tag);
                // xs.setAGE(cursor.getString(cursor.getColumnIndex("AGE")));
                // xs.setREASON(cursor.getString(cursor.getColumnIndex("REASON")));
                xs.setTLine(cursor.getDouble(cursor.getColumnIndex("TLINE")));
                xs.setTNET(cursor.getDouble(cursor.getColumnIndex("TNET")));
                xs.setSKTNET(cursor.getDouble(cursor.getColumnIndex("SKTNET")));
                SYLoger.print("条码打印 保存页面： 产品实际总价：" + cursor.getDouble(cursor.getColumnIndex("SKTNET")));
                xs.setSKROUND(cursor.getDouble(cursor.getColumnIndex("SKROUND")));
                xs.setZKYHJE(cursor.getDouble(cursor.getColumnIndex("ZKYHJE")));
                String DYSaleDate = cursor.getString(cursor.getColumnIndex("DYSALEDATE"));
                xs.setDYSaleDate(StringUtils.isEmpty(DYSaleDate) ? DYSaleDate : DateUtil.getDate(date));
                String DYSaleTime = cursor.getString(cursor.getColumnIndex("DYSALETIME"));
                xs.setDYSaleTime(StringUtils.isEmpty(DYSaleTime) ? DYSaleTime : DateUtil.getTime(date));
                xs.setDYBillNo(cursor.getDouble(cursor.getColumnIndex("DYBILLNO")));
                String POSID = (cursor.getString(cursor.getColumnIndex("POSID")));
                xs.setPOSID(StringUtils.isEmpty(POSID) ? POSID : (SystemHelper.IsAdmin ? "3" : "2"));
                xs.setSCDate(DateUtil.getDateTime(date));
                xs.setPromid(cursor.getString(cursor.getColumnIndex("PROMID")));
                xs.setExchangecode(cursor.getString(cursor.getColumnIndex("EXCHANGECODE")));
                xs.setRecommendation(cursor.getString(cursor.getColumnIndex("Recommendation")));
                String saleBill = cursor.getString(cursor.getColumnIndex("SALEBILL"));
                xs.setSaleBill(TextUtils.isEmpty(saleBill) ? "" : saleBill);
                xs.setOrdertype(cursor.getInt(cursor.getColumnIndex("ordertype")));
                xs.setOrderBillNo(cursor.getString(cursor.getColumnIndex("orderBillNo")));
                list.add(xs);
            }
        } catch (Exception e) {

            BaseAppManager.loger().info("查询未上传销售数据发生异常:" + e);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
        return list;
    }

    /**
     * 获取今日销售数据
     */
    public static List<XiaoShouEntity> GetNativeData(String userid, String from, String to) {
        Cursor cursor = null;
        List<XiaoShouEntity> list = new ArrayList<XiaoShouEntity>();

        try {
            if (null == userid || TextUtils.isEmpty(userid)) {
                String sql = "select  BILL,STOREID,SALEDATE,SALETIME,BILLNO,MDBC,CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON, " + " TLINE,TNET,SKTNET,SKROUND,ZKYHJE,DYSALEDATE,DYSALETIME,DYBILLNO,POSID,SALEBILL,IsUp,FAILREASON,ordertype,orderBillNo" + " from djxs001 where saledate >=? and saledate <=?";
                cursor = BaseAppManager.database().rawQuery(sql, new String[]{from + " 00:00:00", to + " 23:59:59"});
            } else {
                String sql = "select  BILL,STOREID,SALEDATE,SALETIME,BILLNO,MDBC,CUSTID,SKYID,XSTYPE,HYXB,AGE,REASON, " + " TLINE,TNET,SKTNET,SKROUND,ZKYHJE,DYSALEDATE,DYSALETIME,DYBILLNO,POSID,SALEBILL,IsUp,FAILREASON,ordertype,orderBillNo" + " from djxs001 where saledate >=? and saledate <=? and SKYID=?";
                cursor = BaseAppManager.database().rawQuery(sql, new String[]{from + " 00:00:00", to + " 23:59:59", userid});
            }
            while (cursor.moveToNext()) {
                Date date = new Date();
                XiaoShouEntity xs = new XiaoShouEntity();
                String bill = cursor.getString(cursor.getColumnIndex("BILL"));
                xs.setBill(StringUtils.isEmpty(bill) ? bill : "");
                String StoreId = cursor.getString(cursor.getColumnIndex("STOREID"));
                xs.setStoreId(StringUtils.isEmpty(StoreId) ? StoreId : "");

                String SaleDate = cursor.getString(cursor.getColumnIndex("SALEDATE"));
                SaleDate = StringUtils.isEmpty(SaleDate) ? SaleDate : DateUtil.getDateTime(date);
//				Date date2 = DateUtil.String2Date(SaleDate, "yyyy-MM-dd HH:mm:ss");
//				xs.setSaleDate(DateUtil.getDateBefore8Hours(date2, "yyyy-MM-dd HH:mm:ss"));
                //获取今日销售数据时，并不需要把时间往前推8小时。
                xs.setSaleDate(SaleDate);

                String SaleTime = cursor.getString(cursor.getColumnIndex("SALETIME"));
                xs.setSaleTime(StringUtils.isEmpty(SaleTime) ? SaleTime : DateUtil.getTime(date));
                xs.setBillNo(cursor.getDouble(cursor.getColumnIndex("BILLNO")));
                String MDBC = cursor.getString(cursor.getColumnIndex("MDBC"));
                xs.setMDBC(StringUtils.isEmpty(MDBC) ? MDBC : "Z");
                String CUSTID = cursor.getString(cursor.getColumnIndex("CUSTID"));
                xs.setCUSTID(StringUtils.isEmpty(CUSTID) ? CUSTID : "");
                String SkyId = cursor.getString(cursor.getColumnIndex("SKYID"));
                xs.setSkyId(StringUtils.isEmpty(SkyId) ? SkyId : "");
                String XSTYPE = cursor.getString(cursor.getColumnIndex("XSTYPE"));
                xs.setXSTYPE(StringUtils.isEmpty(XSTYPE) ? XSTYPE : "1");
                String HYXB = cursor.getString(cursor.getColumnIndex("HYXB"));
                xs.setHYXB(StringUtils.isEmpty(HYXB) ? HYXB : "M");
                List<HuiYuanTag> tag = new ArrayList<HuiYuanTag>();
                HuiYuanTag t = new HuiYuanTag();
                t.setAGE(cursor.getString(cursor.getColumnIndex("AGE")));
                t.setREASON(cursor.getString(cursor.getColumnIndex("REASON")));
                tag.add(t);
                xs.setTag(tag);
                // xs.setAGE(cursor.getString(cursor.getColumnIndex("AGE")));
                // xs.setREASON(cursor.getString(cursor.getColumnIndex("REASON")));
                xs.setTLine(cursor.getDouble(cursor.getColumnIndex("TLINE")));
                xs.setTNET(cursor.getDouble(cursor.getColumnIndex("TNET")));
                xs.setSKTNET(cursor.getDouble(cursor.getColumnIndex("SKTNET")));
                SYLoger.print("条码打印 保存页面： 产品实际总价：" + cursor.getDouble(cursor.getColumnIndex("SKTNET")));
                xs.setSKROUND(cursor.getDouble(cursor.getColumnIndex("SKROUND")));
                xs.setZKYHJE(cursor.getDouble(cursor.getColumnIndex("ZKYHJE")));
                String DYSaleDate = cursor.getString(cursor.getColumnIndex("DYSALEDATE"));
                xs.setDYSaleDate(StringUtils.isEmpty(DYSaleDate) ? DYSaleDate : DateUtil.getDate(date));
                String DYSaleTime = cursor.getString(cursor.getColumnIndex("DYSALETIME"));
                xs.setDYSaleTime(StringUtils.isEmpty(DYSaleTime) ? DYSaleTime : DateUtil.getTime(date));
                xs.setDYBillNo(cursor.getDouble(cursor.getColumnIndex("DYBILLNO")));
                String POSID = (cursor.getString(cursor.getColumnIndex("POSID")));
                xs.setPOSID(StringUtils.isEmpty(POSID) ? POSID : (SystemHelper.IsAdmin ? "3" : "2"));
                xs.setSCDate(DateUtil.getDateTime(date));
                String saleBill = cursor.getString(cursor.getColumnIndex("SALEBILL"));
                xs.setSaleBill(TextUtils.isEmpty(saleBill) ? "" : saleBill);
                xs.isUp = cursor.getInt(cursor.getColumnIndex("IsUp"));
                xs.setFailSeason(cursor.getString(cursor.getColumnIndex("FAILREASON")));
                xs.setOrdertype(cursor.getInt(cursor.getColumnIndex("ordertype")));
                xs.setOrderBillNo(cursor.getString(cursor.getColumnIndex("orderBillNo")));
                list.add(xs);
            }
        } catch (Exception e) {

            BaseAppManager.loger().info("查询未上传销售数据发生异常:" + e);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
        return list;
    }

    /**
     * 更新上传信息
     *
     * @param bill
     */
    public static void UpdateBillState(String bill, int resault, String reason) {

        String sqlCommand = "update djxs001 set IsUp=" + resault + " , FAILREASON='" + reason + "' where bill=?";
        try {
            BaseAppManager.database().execSQL(sqlCommand, new String[]{bill});
        } catch (Exception ex) {
            BaseAppManager.loger().info("更新销售上传单据" + bill + "上传状态发生异常:" + ex);
        }

    }
}