package com.urovo.wgmf.db.dao.dao;

import android.database.Cursor;

import com.urovo.wgmf.db.dao.entitys.QuDb;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.ArrayList;
import java.util.List;

public class QuOperate {

	public static Boolean Insert(QuDb model) {
		Boolean result = false;
		Cursor cursor = null;
		try {
			cursor = BaseAppManager.database().rawQuery("select * from CJWT WHERE QUNO = '" + model.mId + "'", new String[]{});
			if(!cursor.moveToNext()) {
				String strSql = "insert into CJWT(QUNO,QUTYPE,QUTITLE,QUCONTENT,QUURL,REDDATE,INVALID,QUTIME)" + " values(?,?,?,?,?,?,?,?)";
				BaseAppManager.database().execSQL(strSql, new String[]{ model.mId, model.mProblemId, model.mTitle, model.mContent, model.mImagePath, model.mReleaseTime, model.mInvalid, model.mReleaseTime, });
				result = true;
			}
		}
		catch (Exception e) {
			BaseAppManager.loger().info("[QUOperate.Insert]" + e);

		}
		finally {
			if(null != cursor)
				cursor.close();
		}
		return result;
	}

	public static Boolean update(QuDb model) {
		Boolean result = false;
		try {
			String strSql = "update CJWT set INVALID = 'yes'  where QUNO = '" + model.mId + "'";
			BaseAppManager.database().execSQL(strSql);
			result = true;
		}
		catch (Exception e) {
			BaseAppManager.loger().info("[QUOperate.Insert]" + e);

		}
		return result;
	}

	public static List<QuDb> selectValid() {
		return selectBy("WHERE INVALID IS NULL");
	}

	public static List<QuDb> selectBy(String sql) {
		List<QuDb> list = new ArrayList<QuDb>();
		Cursor cursor = null;
		try {
			String strSql = "select * from CJWT ";
			if(sql != null) {
				strSql += sql;
			}
			cursor = BaseAppManager.database().rawQuery(strSql, new String[]{});
			while (cursor.moveToNext()) {
				QuDb cell = new QuDb();
				cell.mId = cursor.getString(cursor.getColumnIndex("QUNO"));
				cell.mProblemId = cursor.getString(cursor.getColumnIndex("QUTYPE"));
				cell.mTitle = cursor.getString(cursor.getColumnIndex("QUTITLE"));
				cell.mContent = cursor.getString(cursor.getColumnIndex("QUCONTENT"));
				cell.mImagePath = cursor.getString(cursor.getColumnIndex("QUURL"));
				cell.mReleaseTime = cursor.getString(cursor.getColumnIndex("REDDATE"));
				cell.mInvalid = cursor.getString(cursor.getColumnIndex("INVALID"));
				cell.mReleaseTime = cursor.getString(cursor.getColumnIndex("QUTIME"));

				list.add(cell);
			}
		}
		catch (Exception e) {
			BaseAppManager.loger().info(e);

		}
		finally {
			if(null != cursor)
				cursor.close();
		}
		return list;
	}

	/**
	 * 删除方法
	 */
	public static Boolean deleteBy(String sql) {
		Boolean result = false;
		try {
			String strSql = "delete from CJWT";
			if(sql != null) {
				strSql += sql;
			}
			BaseAppManager.database().execSQL(strSql);
			result = true;
		}
		catch (Exception e) {

			BaseAppManager.loger().info(e);
		}
		return result;
	}

}
