package com.urovo.wgmf.db.dao.dao;

import android.content.Context;
import android.database.Cursor;

import com.urovo.wgmf.db.dao.DBTool;
import com.urovo.wgmf.db.dao.entitys.Storecs_grp002Db;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.ArrayList;
import java.util.List;

public class Storecs_grp002DbOperate {
	public static DBTool dbTool;

	public Storecs_grp002DbOperate(Context context) {
		
		super();
		DBTool dbTool = DBTool.getInstance(context);
	}

	/**
	 * 插入语句
	 */
	public static Boolean Insert(Storecs_grp002Db stModel) {
		Boolean result = false;
		try {
			String sql = "insert into Storecs_grp002(Cstype" + ",Cs_value)values(?,?,?,?)";
			BaseAppManager.database().execSQL(sql, new String[]{ stModel.getCstype(),   stModel.getCs_value() + "" });
			result = true;
		}
		catch (Exception e) {
			BaseAppManager.loger().info("[Storecs_grp002DbOperate.Insert]" + e);

		}
		return result;
	}

	/**
	 * 删除方法
	 */
	public static Boolean deleteBy(String sql) {
		Boolean result = false;
		try {
			String strSql = "delete from Storecs_grp002";
			if(sql != null) {
				strSql += sql;
			}
			BaseAppManager.database().execSQL(strSql);
			result = true;
		}
		catch (Exception e) {

			BaseAppManager.loger().info(e);
		}
		return result;
	}

	/**
	 * 查询方法
	 */
	public static List<Storecs_grp002Db> selectBy(String sql) {
		List<Storecs_grp002Db> list = new ArrayList<Storecs_grp002Db>();
		Cursor cursor = null;
		try {
			String strSql = "Select * from Storecs_grp002";
			if(sql != null) {
				strSql += sql;
			}
			cursor = BaseAppManager.database().rawQuery(strSql, new String[]{});
			while (cursor.moveToNext()) {
				Storecs_grp002Db stoModel = new Storecs_grp002Db();
				stoModel.setCstype(cursor.getString(cursor.getColumnIndex("Cstype")));
				stoModel.setCs_value(cursor.getInt(cursor.getColumnIndex("Cs_value")));
				if(stoModel.getCs_grpID() != null && stoModel.getCs_grpID().length() > 0) {
					list.add(stoModel);
				}
			}
		}
		catch (Exception e) {
			BaseAppManager.loger().info(e);

		}
		finally {
			if(cursor != null) {
				cursor.close();
			}
		}
		return list;
	}

	/**
	 * 获取盘点天数：盘点范围，上个月末+CS_VALUE
	 */
	public static double GetPDTS() {
		double value = 1;
		Cursor cursor = null;
		String sql = "select cs_value from storecs_grp002 where cstype='PDTS'";
		try {
			cursor = BaseAppManager.database().rawQuery(sql, null);
			if(cursor.moveToNext()) {
				value = cursor.getDouble(0);
			}
		}
		catch (Exception e) {

			BaseAppManager.loger().info("获取盘点天数异常" + e);
		}
		finally {
			if(cursor != null) {
				cursor.close();
			}
		}
		return value;
	}
}
