package com.urovo.wgmf.db.dao.dao;

import android.content.Context;
import android.database.Cursor;
import android.text.TextUtils;

import com.urovo.wgmf.db.dao.DBTool;
import com.urovo.wgmf.db.dao.entitys.ZHXX001Entity;
import com.urovo.wugumofang.data.DateUtil;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.system.SystemHelper;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class Zhxx001DbOperate {
	public static DBTool dbTool;

	public Zhxx001DbOperate(Context context) {
		
		super();
		dbTool = DBTool.getInstance(context);
	}
//
//	/**
//	 * 插入数据
//	 *
//	 */
//	public static Boolean Insert(Zhxx001Db Zh001Model) {
//		Boolean result = false;
//		try {
//			String sql = "insert into ZHXX001(Bill,XxNO,StoreID,XXLX" + ",XXZT,WZXX,ZGWZ,WZPJ,ZGLX,KYSJ,HGRQ,HWZRQ,YNTP,WDATE,OPER_LR,LR_NAME,BDATE,OPER_SH" + ",SH_NAME,STATUS,IsUp,problemSubtype,)values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
//			BaseAppManager.database().execSQL(
//					sql,
//					new String[]{ Zh001Model.getBill(), Zh001Model.getXxNO(), Zh001Model.getStoreID(), Zh001Model.getXxlx(), Zh001Model.getXxzt(), Zh001Model.getWzxx(), Zh001Model.getZgwz(), Zh001Model.getWzpj(), Zh001Model.getZGLX(), Zh001Model.getKYSJ(), Zh001Model.getHGRQ(),
//							Zh001Model.getHWZRQ(), Zh001Model.getYntp(), Zh001Model.getWdate(), Zh001Model.getOper_lr(), Zh001Model.getLr_name(), Zh001Model.getBdate(), Zh001Model.getOper_sh(), Zh001Model.getSh_name(), Zh001Model.getStatus(), Zh001Model.getIsup() + "",Zh001Model.getProblemSubtype() });
//			result = true;
//		}
//		catch (Exception e) {
//
//			BaseAppManager.loger().info("[Zhxx001DbOperate.Insert]" + e);
//
//		}
//		return result;
//	}

//	/**
//	 * 查询方法的基方法
//	 */
//	public static List<Zhxx001Db> selectBy(String sql) {
//		List<Zhxx001Db> list = new ArrayList<Zhxx001Db>();
//		String strSql = "select * from ZHXX001";
//		if(sql != null) {
//			strSql += sql;
//		}
//		Cursor cursor = null;
//		try {
//			cursor = BaseAppManager.database().rawQuery(strSql, new String[]{});
//			while (cursor.moveToNext()) {
//				Zhxx001Db model = new Zhxx001Db();
//				model.setBill(cursor.getString(cursor.getColumnIndex("Bill")));
//				model.setXxNO(cursor.getString(cursor.getColumnIndex("XxNO")));
//				model.setStoreID(cursor.getString(cursor.getColumnIndex("StoreID")));
//				model.setXxlx(cursor.getString(cursor.getColumnIndex("Xxlx")));
//				model.setXxzt(cursor.getString(cursor.getColumnIndex("Xxzt")));
//				model.setWzxx(cursor.getString(cursor.getColumnIndex("Wzxx")));
//				model.setZgwz(cursor.getString(cursor.getColumnIndex("Zgwz")));
//				model.setWzpj(cursor.getString(cursor.getColumnIndex("Wzpj")));
//				model.setZGLX(cursor.getString(cursor.getColumnIndex("ZGLX")));
//				model.setKYSJ(cursor.getString(cursor.getColumnIndex("KYSJ")));
//				model.setHGRQ(cursor.getString(cursor.getColumnIndex("HGRQ")));
//				model.setHWZRQ(cursor.getString(cursor.getColumnIndex("HWZRQ")));
//				model.setYntp(cursor.getString(cursor.getColumnIndex("Yntp")));
//				model.setWdate(cursor.getString(cursor.getColumnIndex("Wdate")));
//				model.setOper_lr(cursor.getString(cursor.getColumnIndex("Oper_lr")));
//				model.setLr_name(cursor.getString(cursor.getColumnIndex("Lr_name")));
//				model.setBdate(cursor.getString(cursor.getColumnIndex("Bdate")));
//				model.setOper_sh(cursor.getString(cursor.getColumnIndex("Oper_sh")));
//				model.setSh_name(cursor.getString(cursor.getColumnIndex("Sh_name")));
//				model.setStatus(cursor.getString(cursor.getColumnIndex("Status")));
//				if(model.getBill() != null && model.getBill().length() > 0) {
//					list.add(model);
//				}
//			}
//		}
//		catch (Exception e) {
//
//			BaseAppManager.loger().info(e);
//		}
//		finally {
//			if(cursor != null) {
//				cursor.close();
//			}
//		}
//		return list;
//	}

	/**
	 * 删除方法
	 */
	public static Boolean deleteBy(String sql) {
		Boolean result = false;
		try {
			String strSql = "Delete from ZHXX001";
			if(sql != null) {
				strSql += sql;
			}
			BaseAppManager.database().execSQL(strSql);
			return true;
		}
		catch (Exception e) {
			BaseAppManager.loger().info(e);

			return false;
		}
	}

	public static int GetUnUploadCount() {
		int total = 0;
		Cursor cursor = null;
		String sql = "select count(bill) from zhxx001 where IsUp=0";
		try {
			cursor = BaseAppManager.database().rawQuery(sql, null);
			if(cursor.moveToNext()) {
				total = cursor.getInt(0);
			}
		}
		catch (Exception e) {
			BaseAppManager.loger().info("获取未上传质量监督单据总数发生异常:" + e);
		}
		finally {
			if(cursor != null) {
				cursor.close();
			}
		}
		return total;
	}

	/**
	 * 更新上传信息
	 * 
	 * @param bill
	 */
	public static void UpdateBillState(String bill) {

		String sqlCommand = "update zhxx001 set IsUp=1 where bill=?";
		try {
			BaseAppManager.database().execSQL(sqlCommand, new String[]{ bill });
		}
		catch (Exception ex) {
			BaseAppManager.loger().info("更新质量监督单据" + bill + "上传状态发生异常:" + ex);
		}

	}

	/**
	 * 保存上报反馈单主表到本地数据库
	 */
	public static boolean SaveZHXX(ZHXX001Entity bll) {
		String sql = "insert into zhxx001(bill,xxno,storeid,xxlx,xxzt,wzxx,zgwz,wzpj,zglx,kysj,hgrq,hwzrq,yntp,wdate," + " oper_lr,lr_name,bdate,oper_sh,sh_name,status,IsUp,backType,reportInfo,itemID,QTY,PDATE,problemSubtype) " + "values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
		try {
			BaseAppManager.database().execSQL(sql, new Object[]{ bll.getBillId(), bll.getXXNO(), bll.getStoreId(), bll.getXXLX(), bll.getXXZT(), bll.getWZXX(), bll.getZGWZ(), bll.getWZPJ(), bll.getZGLX(), bll.getKYSJ(), bll.getHGRQ(), bll.getHWZRQ(), bll.getYNTP(), bll.getWDATE(), bll.getOper_Lr(),
					bll.getLr_Name(), bll.getBDATE(), bll.getOper_Sh(), bll.getSh_Name(), bll.getSTATUS(), 0, bll.getBackType(), bll.getReportInfo(), bll.getItemID(), bll.getQty(), bll.getPdate(),bll.getProblemSubtype() });
		}
		catch (Exception e) {

			BaseAppManager.loger().info("保存上报反馈单主表到本地数据库异常:" + e);
			return false;
		}
		return true;
	}

//	/**
//	 * 获取未上传的质量反馈数据
//	 *
//	 * @return
//	 */
//	public static ZHXX001Entity GetUnUpload() {
//		Cursor cursor = null;
//		ZHXX001Entity ent = null;
//		String sql = "select  bill,xxno,storeid,xxlx,xxzt,wzxx,zgwz,wzpj,zglx,kysj,hgrq,hwzrq,yntp,wdate,oper_lr,lr_name," + " bdate,oper_sh,sh_name,BACKTYPE,REPORTINFO,ITEMID,QTY,PDATE,status,IsUp,problemSubtype from zhxx001 where IsUp=0 limit 1";
//		try {
//			cursor = BaseAppManager.database().rawQuery(sql, null);
//			while (cursor.moveToNext()) {
//				ent = new ZHXX001Entity();
//				Date date = new Date();
//				ent.setBillId(cursor.isNull(0) ? "" : cursor.getString(0));
//				ent.setXXNO(cursor.isNull(1) ? 0 : cursor.getDouble(1));
//				ent.setStoreId(cursor.isNull(2) ? SystemHelper.LoginOrganId : cursor.getString(2));
//				ent.setXXLX(cursor.isNull(3) ? "" : cursor.getString(3));
//				ent.setXXZT(cursor.isNull(4) ? "" : cursor.getString(4));
//				ent.setWZXX(cursor.isNull(5) ? "" : cursor.getString(5));
//				ent.setZGWZ(cursor.isNull(6) ? "" : cursor.getString(6));
//				ent.setWZPJ(cursor.isNull(7) ? "" : cursor.getString(7));
//				ent.setZGLX(cursor.isNull(8) ? "" : cursor.getString(8));
//				ent.setKYSJ(cursor.isNull(9) ? "" : cursor.getString(9));
//				ent.setHGRQ(cursor.isNull(10) ? "" : cursor.getString(10));
//				ent.setHWZRQ(cursor.isNull(11) ? "" : cursor.getString(11));
//				ent.setYNTP(cursor.isNull(12) ? "" : cursor.getString(12));
//				ent.setWDATE(cursor.isNull(13) ? DateUtil.getDateTime(date) : cursor.getString(13));
//				ent.setOper_Lr(cursor.isNull(14) ? SystemHelper.LoginUserId : cursor.getString(14));
//				ent.setLr_Name(cursor.isNull(15) ? "" : cursor.getString(15));
//				ent.setBDATE(cursor.isNull(16) ? DateUtil.getDate(date) : cursor.getString(16));
//				ent.setOper_Sh(cursor.isNull(17) ? SystemHelper.LoginUserId : cursor.getString(17));
//				ent.setSh_Name(cursor.isNull(18) ? "" : cursor.getString(18));
//				ent.setBackType(cursor.isNull(19) ? "" : cursor.getString(19));
//				ent.setReportInfo(cursor.isNull(20) ? "" : cursor.getString(20));
//				ent.setItemID(cursor.isNull(21) ? "" : cursor.getString(21));
//				ent.setQty(cursor.isNull(22) ? 0 : cursor.getDouble(22));
//				ent.setPdate(cursor.isNull(23) ? "" : cursor.getString(23));
//				ent.setProblemSubtype(cursor.isNull(24) ? "" : cursor.getString(24));
//			}
//		}
//		catch (Exception e) {
//
//			BaseAppManager.loger().info("获取未上传的质量反馈数据异常:" + e);
//		}
//		finally {
//			if(cursor != null) {
//				cursor.close();
//			}
//		}
//		return ent;
//	}

	/**
	 * 获取所有未上传的质量反馈数据
	 * buildId为null表示全查
	 * 
	 * @return
	 */
	public static List<ZHXX001Entity> GetUnUploadALL(String buildId) {
		Cursor cursor = null;
		List<ZHXX001Entity> list = new ArrayList<ZHXX001Entity>();
		ZHXX001Entity ent = null;
		String sql = "select  bill,xxno,storeid,xxlx,xxzt,wzxx,zgwz,wzpj,zglx,kysj,hgrq,hwzrq,yntp,wdate,oper_lr,lr_name," + " bdate,oper_sh,sh_name,BACKTYPE,REPORTINFO,ITEMID,QTY,PDATE,status,IsUp,problemSubtype from zhxx001 where IsUp=0";
		String sqlWhere;
		if (!TextUtils.isEmpty(buildId)){
			sqlWhere = String.format(" and bill='%s' limit 1",buildId);
			sql = sql+sqlWhere;
		}
		try {
			cursor = BaseAppManager.database().rawQuery(sql, null);
			while (cursor.moveToNext()) {
				ent = new ZHXX001Entity();
				Date date = new Date();
				ent.setBillId(cursor.isNull(cursor.getColumnIndex("BILL")) ? "" : cursor.getString(cursor.getColumnIndex("BILL")));
				ent.setXXNO(cursor.isNull(cursor.getColumnIndex("XXNO")) ? 0 : cursor.getDouble(cursor.getColumnIndex("XXNO")));
				ent.setStoreId(cursor.isNull(cursor.getColumnIndex("STOREID")) ? SystemHelper.LoginOrganId : cursor.getString(cursor.getColumnIndex("STOREID")));
				ent.setXXLX(cursor.isNull(cursor.getColumnIndex("XXLX")) ? "" : cursor.getString(cursor.getColumnIndex("XXLX")));
				ent.setXXZT(cursor.isNull(cursor.getColumnIndex("XXZT")) ? "" : cursor.getString(cursor.getColumnIndex("XXZT")));
				ent.setWZXX(cursor.isNull(cursor.getColumnIndex("WZXX")) ? "" : cursor.getString(cursor.getColumnIndex("WZXX")));
				ent.setZGWZ(cursor.isNull(cursor.getColumnIndex("ZGWZ")) ? "" : cursor.getString(cursor.getColumnIndex("ZGWZ")));
				ent.setWZPJ(cursor.isNull(cursor.getColumnIndex("WZPJ")) ? "" : cursor.getString(cursor.getColumnIndex("WZPJ")));
				ent.setZGLX(cursor.isNull(cursor.getColumnIndex("ZGLX")) ? "" : cursor.getString(cursor.getColumnIndex("ZGLX")));
				ent.setKYSJ(cursor.isNull(cursor.getColumnIndex("KYSJ")) ? "" : cursor.getString(cursor.getColumnIndex("KYSJ")));
				ent.setHGRQ(cursor.isNull(cursor.getColumnIndex("HGRQ")) ? "" : cursor.getString(cursor.getColumnIndex("HGRQ")));
				ent.setHWZRQ(cursor.isNull(cursor.getColumnIndex("WZRQ")) ? "" : cursor.getString(cursor.getColumnIndex("WZRQ")));
				ent.setYNTP(cursor.isNull(cursor.getColumnIndex("YNTP")) ? "" : cursor.getString(cursor.getColumnIndex("YNTP")));
				ent.setWDATE(cursor.isNull(cursor.getColumnIndex("WDATE")) ? DateUtil.getDateTime(date) : cursor.getString(cursor.getColumnIndex("WDATE")));
				ent.setOper_Lr(cursor.isNull(cursor.getColumnIndex("OPER_LR")) ? SystemHelper.LoginUserId : cursor.getString(cursor.getColumnIndex("OPER_LR")));
				ent.setLr_Name(cursor.isNull(cursor.getColumnIndex("LR_NAME")) ? "" : cursor.getString(cursor.getColumnIndex("LR_NAME")));
				ent.setBDATE(cursor.isNull(cursor.getColumnIndex("BDATE")) ? DateUtil.getDate(date) : cursor.getString(cursor.getColumnIndex("BDATE")));
				ent.setOper_Sh(cursor.isNull(cursor.getColumnIndex("OPER_SH")) ? SystemHelper.LoginUserId : cursor.getString(cursor.getColumnIndex("OPER_SH")));
				ent.setSh_Name(cursor.isNull(cursor.getColumnIndex("SH_NAME")) ? "" : cursor.getString(cursor.getColumnIndex("SH_NAME")));
				ent.setBackType(cursor.isNull(cursor.getColumnIndex("BACKTYPE")) ? "" : cursor.getString(cursor.getColumnIndex("BACKTYPE")));
				ent.setReportInfo(cursor.isNull(cursor.getColumnIndex("REPORTINFO")) ? "" : cursor.getString(cursor.getColumnIndex("REPORTINFO")));
				ent.setItemID(cursor.isNull(cursor.getColumnIndex("ITEMID")) ? "" : cursor.getString(cursor.getColumnIndex("ITEMID")));
				ent.setQty(cursor.isNull(cursor.getColumnIndex("QTY")) ? 0 : cursor.getDouble(cursor.getColumnIndex("QTY")));
				ent.setPdate(cursor.isNull(cursor.getColumnIndex("PDATE")) ? "" : cursor.getString(cursor.getColumnIndex("PDATE")));
				//列表中间插入了两项（STATUS、IsUp）
				ent.setProblemSubtype(cursor.isNull(cursor.getColumnIndex("problemSubtype")) ? "" : cursor.getString(cursor.getColumnIndex("problemSubtype")));
				list.add(ent);
			}
		}
		catch (Exception e) {

			BaseAppManager.loger().info("获取未上传的质量反馈数据异常:" + e);
		}
		finally {
			if(cursor != null) {
				cursor.close();
			}
		}
		return list;
	}
}
