package com.urovo.wgmf.db.dao.entitys;

/**
 * @author chenji
 * @date 2018/6/11
 */
public class BarcodeScanDb {
    /**
     * 条形码规则
     */
    private String scanRule;
    /**
     * 条形码总长度
     */
    private String barcodelens;
    /**
     * 产品名
     */
    private String itemName;
    /**
     * 产品Id
     */
    private String itemId;
    /**
     * 产品条码类型
     */
    private String barType;
    /**
     * 产品单位（包、kg、盒...） KCUom
     */
    private String unit;
    /**
     * 产品单价
     */
    private String price;
    /**
     * 产品总价
     */
    private String amount;

    /**
     * 数量或者重量
     */
    private String numOrWeight;

    /**
     * 条码自己本身
     */
    public String scanCode;

    /**
     * 数量或者重量保留的小数点数目（空着干嘛，默认给它2呗）
     */
    public int totalNumOrWeightAccuracy =2;
    /**
     * 条形码规则：金额保留的小数点数目
     */
    public int totalAmountAccuracy = 2;

    /**
     * item ridio btn 是否选中,默认是选中
     */
    public boolean isCheck = true;

    /**
     * 扫描每个产品总金额,从条码纸拿到的该产品的总金额（跟getAmount（）不一样，getAmount可以是叠加后的总金额）
     */
    public double totalAmount;
    /**
     * 扫描每个产品的数量/重量（总金额除以单价计算,跟getNumOrWeight不一样，跟getNumOrWeight可以是叠加后的总数量/重量）
     */
    public double totalNumOrWeight;

//    @Override
//    public boolean equals(Object o) {
//        if (this == o) {
//            return true;
//        }
//        if (o == null || getClass() != o.getClass()) {
//            return false;
//        }
//
//        BarcodeScanDb scanDb = (BarcodeScanDb) o;
//
//        return scanCode.equals(scanDb.scanCode)
//                && scanRule.equals(scanDb.scanRule)
//                && barcodelens.equals(scanDb.barcodelens)
//                && itemName.equals(scanDb.itemName)
//                && itemId.equals(scanDb.itemId)
//                && barType.equals(scanDb.barType)
//                && price.equals(scanDb.price);
//    }

//    @Override
//    public int hashCode() {
//        int result = 21;
//        result = result * 31 + scanRule.hashCode();
//        result = result * 31 + barcodelens.hashCode();
//        result = result * 31 + itemName.hashCode();
//        result = result * 31 + itemId.hashCode();
//        result = result * 31 + barType.hashCode();
//        result = result * 31 + unit.hashCode();
//        result = result * 31 + price.hashCode();
//        result = result * 31 + amount.hashCode();
//        result = result * 31 + numOrWeight.hashCode();
//        result = result * 31 + scanCode.hashCode();
//        return result;
//    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getNumOrWeight() {
        return numOrWeight;
    }

    public void setNumOrWeight(String numOrWeight) {
        this.numOrWeight = numOrWeight;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getBarType() {
        return barType;
    }

    public void setBarType(String barType) {
        this.barType = barType;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getScanRule() {
        return scanRule;
    }

    public void setScanRule(String scanRule) {
        this.scanRule = scanRule;
    }

    public String getBarcodelens() {
        return barcodelens;
    }

    public void setBarcodelens(String barcodelens) {
        this.barcodelens = barcodelens;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    @Override
    public String toString() {
        return "BarcodeScanDb{" +
                "scanRule='" + scanRule + '\'' +
                ", barcodelens='" + barcodelens + '\'' +
                ", itemName='" + itemName + '\'' +
                ", itemId='" + itemId + '\'' +
                ", barType='" + barType + '\'' +
                ", unit='" + unit + '\'' +
                ", price='" + price + '\'' +
                ", amount='" + amount + '\'' +
                ", numOrWeight='" + numOrWeight + '\'' +
                ", scanCode='" + scanCode + '\'' +
                ", totalNumOrWeightAccuracy=" + totalNumOrWeightAccuracy +
                ", totalAmountAccuracy=" + totalAmountAccuracy +
                ", isCheck=" + isCheck +
                '}';
    }
}
