package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.data.MoneyUtils;

import java.util.List;


public class OrderReqBean {
    /**
     * sentProPointOrNot : 0
     * giftPoints : 33
     * giftMoney : 0
     * Bill : 501000653013604160912181219
     * CUSTID : 13563783212
     * recommendation :
     * MDBC : Z
     * POSID : 4
     * ProductDetails : [{"specialPrice":0,"Barcode":"2.40010","ItemId":"2.40010","ItemMode":"P","ItemName":"益元八珍","KCUom":"罐","TQTY":2,"Price":168,"Unit":1,"Amount":336}]
     * SCDate : 2016-09-12 18:12:19
     * promid : 1308
     * SaleBill :
     * SaleDate : 2016-09-12 10:12:19
     * SaleTime : 181219
     * SkyId : 53013604
     * StoreId : 5010006
     * StoreName :
     * exchangecode :
     * XSTYPE : 1
     * TNET : 393.6
     * SKTNET : 393.6
     * ordertype : 0
     * delivertype : 0
     */
    private int sentProPointOrNot;
    private double giftPoints;
    private double giftMoney;
    private String Bill;
    private double BillNo; // 单据序号
    private String CUSTID;
    private String recommendation;
    private String MDBC;
    private String POSID;//渠道：2,3pos机   4,5app   6,7 ios  8crm  9专卖店【现取2为pos机，4为非POS机】
    private String SCDate;
    private String promid;
    private String SaleBill;
    private String SaleDate;
    private String SaleTime;
    private String SkyId;
    private String StoreId;
    private String StoreName;
    private String exchangecode;
    private String XSTYPE;
    private double TNET;
    private double SKTNET;
    private int ordertype;//订单类型： 0正常下单   1补录   2微商城   3到家业务
    private String orderBillNo;//到家业务订单号
    private int delivertype;
    /**
     * specialPrice : 0
     * Barcode : 2.40010
     * ItemId : 2.40010
     * ItemMode : P
     * ItemName : 益元八珍
     * KCUom : 罐
     * TQTY : 2
     * Price : 168
     * Unit : 1
     * Amount : 336
     */
    private List<ProductDetailsBean> ProductDetails;

  /*  {
    "sentProPointOrNot": 0,
      "giftPoints": 33,
      "giftMoney": 0,
      "Bill": "501000653013604160912181219",
      "CUSTID": "13563783212",
      "recommendation": "",
      "MDBC": "Z",
      "POSID": "4",
      "ProductDetails": [
    {
      "specialPrice": 0,
        "Barcode": "2.40010",
        "ItemId": "2.40010",
        "ItemMode": "P",
        "ItemName": "益元八珍",
        "KCUom": "罐",
        "TQTY": 2,
        "Price": 168,
        "Unit": 1,
        "Amount": 336
    }
    ],
    "SCDate": "2016-09-12 18:12:19",
      "promid": "1308",
      "SaleBill": "",
      "SaleDate": "2016-09-12 10:12:19",
      "SaleTime": "181219",
      "SkyId": "53013604",
      "StoreId": "5010006",
      "StoreName": "",
      "exchangecode": "",
      "XSTYPE": "1",
      "TNET": 393.6,
      "SKTNET": 393.6,
      "ordertype": 0,
      "delivertype": 0
  }*/

    /**
     * sentProPointOrNot : 0
     * giftPoints : 33
     * giftMoney : 0
     * Bill : 501000653013604160912181219
     * CUSTID : 13563783212
     * recommendation :
     * MDBC : Z
     * POSID : 4
     * ProductDetails : [{"specialPrice":0,"Barcode":"2.40010","ItemId":"2.40010","ItemMode":"P","ItemName":"益元八珍","KCUom":"罐","TQTY":2,"Price":168,"Unit":1,"Amount":336}]
     * SCDate : 2016-09-12 18:12:19
     * promid : 1308
     * SaleBill :
     * SaleDate : 2016-09-12 10:12:19
     * SaleTime : 181219
     * SkyId : 53013604
     * StoreId : 5010006
     * StoreName :
     * exchangecode :
     * XSTYPE : 1
     * TNET : 393.6
     * SKTNET : 393.6
     * ordertype : 0
     * delivertype : 0
     */
    public int getSentProPointOrNot() {
        return sentProPointOrNot;
    }

    public void setSentProPointOrNot(int sentProPointOrNot) {
        this.sentProPointOrNot = sentProPointOrNot;
    }

    public double getGiftPoints() {
        return giftPoints;
    }

    public void setGiftPoints(double giftPoints) {
        this.giftPoints = giftPoints;
    }

    public double getGiftMoney() {
        return giftMoney;
    }

    public void setGiftMoney(double giftMoney) {
        this.giftMoney = giftMoney;
    }

    public String getBill() {
        return Bill;
    }

    public void setBill(String Bill) {
        this.Bill = Bill;
    }

    public String getCUSTID() {
        return CUSTID;
    }

    public void setCUSTID(String CUSTID) {
        this.CUSTID = CUSTID;
    }

    public String getRecommendation() {
        return recommendation;
    }

    public void setRecommendation(String recommendation) {
        this.recommendation = recommendation;
    }

    public String getMDBC() {
        return MDBC;
    }

    public void setMDBC(String MDBC) {
        this.MDBC = MDBC;
    }

    public String getPOSID() {
        return POSID;
    }

    public void setPOSID(String POSID) {
        this.POSID = POSID;
    }

    public String getSCDate() {
        return SCDate;
    }

    public void setSCDate(String SCDate) {
        this.SCDate = SCDate;
    }

    public String getPromid() {
        return promid;
    }

    public void setPromid(String promid) {
        this.promid = promid;
    }

    public String getSaleBill() {
        return SaleBill;
    }

    public void setSaleBill(String SaleBill) {
        this.SaleBill = SaleBill;
    }

    public String getSaleDate() {
        return SaleDate;
    }

    public void setSaleDate(String SaleDate) {
        this.SaleDate = SaleDate;
    }

    public String getSaleTime() {
        return SaleTime;
    }

    public void setSaleTime(String SaleTime) {
        this.SaleTime = SaleTime;
    }

    public String getSkyId() {
        return SkyId;
    }

    public void setSkyId(String SkyId) {
        this.SkyId = SkyId;
    }

    public String getStoreId() {
        return StoreId;
    }

    public void setStoreId(String StoreId) {
        this.StoreId = StoreId;
    }

    public String getStoreName() {
        return StoreName;
    }

    public void setStoreName(String StoreName) {
        this.StoreName = StoreName;
    }

    public String getExchangecode() {
        return exchangecode;
    }

    public void setExchangecode(String exchangecode) {
        this.exchangecode = exchangecode;
    }

    public String getXSTYPE() {
        return XSTYPE;
    }

    public void setXSTYPE(String XSTYPE) {
        this.XSTYPE = XSTYPE;
    }

    public double getTNET() {
        return TNET;
    }

    public void setTNET(double TNET) {
        this.TNET = TNET;
    }

    public double getSKTNET() {
        return SKTNET;
    }

    public void setSKTNET(double SKTNET) {
        this.SKTNET = SKTNET;
    }

    public int getOrdertype() {
        return ordertype;
    }

    public String getOrderBillNo() {
        return orderBillNo;
    }

    /**到家业务订单号*/
    public void setOrderBillNo(String orderBillNo) {
        this.orderBillNo = orderBillNo;
    }

    public void setOrdertype(int ordertype) {
        this.ordertype = ordertype;
    }

    public int getDelivertype() {
        return delivertype;
    }

    public void setDelivertype(int delivertype) {
        this.delivertype = delivertype;
    }

    public List<ProductDetailsBean> getProductDetails() {
        return ProductDetails;
    }

    public void setProductDetails(List<ProductDetailsBean> ProductDetails) {
        this.ProductDetails = ProductDetails;
    }

    public double getBillNo() {
        return BillNo;
    }

    public void setBillNo(double billNo) {
        BillNo = billNo;
    }

    public static class ProductDetailsBean {
        private double specialPrice;
        private String Barcode;
        private String ItemId;
        private String ItemMode;
        private String ItemName;
        private String KCUom;
        private double TQTY;//因为支持到鲜稻研，需要把重量存到这里，所以不能用整型了
        private double Price;
        private double Unit;
        private double Amount;
        private String brand;//品牌  （五谷磨房 或  鲜稻研）
        /**
         * 搞活动时,提交订单时区别品牌产品提交使用
         */
        private String brandType;

        private String isDecimal;//是否允许小数；"Y"允许，“N”不允许

        /**
         * 梯度折扣组合Id
         */
        public int groupId;
        /**
         * 梯度折扣关系
         */
        public int proportRelation;

        public int getGroupId() {
            return groupId;
        }

        public void setGroupId(int groupId) {
            this.groupId = groupId;
        }

        public int getProportRelation() {
            return proportRelation;
        }

        public void setProportRelation(int proportRelation) {
            this.proportRelation = proportRelation;
        }

        public String getIsDecimal() {
            return isDecimal;
        }

        public void setIsDecimal(boolean isDecimal) {
            this.isDecimal = isDecimal? "Y" : "N";
        }

        public String getBrandType() {
            return brandType;
        }

        public void setBrandType(String brandType) {
            this.brandType = brandType;
        }

        public String getBrand() {
            return brand;
        }

        public void setBrand(String brand) {
            this.brand = brand;
        }

        public double getSpecialPrice() {
            return specialPrice;
        }

        public void setSpecialPrice(double specialPrice) {
            this.specialPrice = specialPrice;
        }

        public String getBarcode() {
            return Barcode;
        }

        public void setBarcode(String Barcode) {
            this.Barcode = Barcode;
        }

        public String getItemId() {
            return ItemId;
        }

        public void setItemId(String ItemId) {
            this.ItemId = ItemId;
        }

        public String getItemMode() {
            return ItemMode;
        }

        public void setItemMode(String ItemMode) {
            this.ItemMode = ItemMode;
        }

        public String getItemName() {
            return ItemName;
        }

        public void setItemName(String ItemName) {
            this.ItemName = ItemName;
        }

        public String getKCUom() {
            return KCUom;
        }

        public void setKCUom(String KCUom) {
            this.KCUom = KCUom;
        }

        public double getTQTY() {
            return TQTY;
        }

        public void setTQTY(double TQTY) {
            this.TQTY = Double.valueOf(MoneyUtils.twolastDF(TQTY));
        }

        public double getPrice() {
            return Price;
        }

        public void setPrice(double Price) {
            this.Price = Price;
        }

        public double getUnit() {
            return Unit;
        }

        public void setUnit(double Unit) {
            this.Unit = Unit;
        }

        public double getAmount() {
            return Amount;
        }

        public void setAmount(double Amount) {//总价手动处理保留两位小数
            this.Amount = Double.valueOf(MoneyUtils.twolastDF(Amount));
        }

        @Override
        public String toString() {
            return "产品详细信息: ProductDetailsBean{" +
                    "specialPrice=" + specialPrice +
                    ", Barcode='" + Barcode + '\'' +
                    ", ItemId='" + ItemId + '\'' +
                    ", ItemMode='" + ItemMode + '\'' +
                    ", ItemName='" + ItemName + '\'' +
                    ", KCUom='" + KCUom + '\'' +
                    ", TQTY=" + TQTY +
                    ", Price=" + Price +
                    ", Unit=" + Unit +
                    ", Amount=" + Amount +
                    ", brand='" + brand + '\'' +
                    ", brandType='" + brandType + '\'' +
                    '}';
        }
    }

    @Override
    public String toString() {
        return "订单信息: OrderReqBean{" +
                "sentProPointOrNot=" + sentProPointOrNot +
                ", giftPoints=" + giftPoints +
                ", giftMoney=" + giftMoney +
                ", Bill='" + Bill + '\'' +
                ", BillNo=" + BillNo +
                ", CUSTID='" + CUSTID + '\'' +
                ", recommendation='" + recommendation + '\'' +
                ", MDBC='" + MDBC + '\'' +
                ", POSID='" + POSID + '\'' +
                ", SCDate='" + SCDate + '\'' +
                ", promid='" + promid + '\'' +
                ", SaleBill='" + SaleBill + '\'' +
                ", SaleDate='" + SaleDate + '\'' +
                ", SaleTime='" + SaleTime + '\'' +
                ", SkyId='" + SkyId + '\'' +
                ", StoreId='" + StoreId + '\'' +
                ", StoreName='" + StoreName + '\'' +
                ", exchangecode='" + exchangecode + '\'' +
                ", XSTYPE='" + XSTYPE + '\'' +
                ", TNET=" + TNET +
                ", SKTNET=" + SKTNET +
                ", ordertype=" + ordertype +
                ", delivertype=" + delivertype +
                ", ProductDetails=" + ProductDetails +
                '}';
    }
}
