package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.data.DateUtil;

import java.util.Date;
import java.util.List;

/**
 * 会员实体类
 * 
 * @author Administrator
 *
 */
public class Vip {

	private String StoreId = ""; // 会员所属门店编号
	private String VipId = ""; // 会员号码
	private String VipName = ""; // 会员姓名
	private String VipSex = "男"; // 会员性别
	private String BirthD = DateUtil.format(new Date()); // 会员生日（2012/08/12）
	private String BirthS = DateUtil.getDate(new Date()); // 会员生日（2012-08-12型）

	private double YXJF = 0; // 会员有效积分
	private double LJJF = 0; // 累计积分
	private double YDHJF = 0; // 已兑换积分
	private double GQJF = 0; // 过期积分
	private String CUSTDJ = ""; // 会员等级

	private List<Content> List;

	public class Content {
		private List<JiFenDetailEntity> List;
		private String errCode;

		public List<JiFenDetailEntity> getList() {
			return List;
		}

		public void setList(List<JiFenDetailEntity> list) {
			List = list;
		}

		public String getErrCode() {
			return errCode;
		}

		public void setErrCode(String errCode) {
			this.errCode = errCode;
		}
	}

	public List<Content> getList() {
		return List;
	}

	public void setList(List<Content> list) {
		List = list;
	}

	public void Clear() {
		VipId = VipName = VipSex = BirthD = "";
	}

	public String getStoreId() {
		return StoreId;
	}

	public void setStoreId(String StoreId) {
		this.StoreId = StoreId;
	}

	public String getVipId() {
		return VipId;
	}

	public void setVipId(String VipId) {
		this.VipId = VipId;
	}

	public String getVipName() {
		return VipName;
	}

	public void setVipName(String VipName) {
		this.VipName = VipName;
	}

	public String getVipSex() {
		return VipSex;
	}

	public void setVipSex(String VipSex) {
		this.VipSex = VipSex;
	}

	public String getBirthD() {
		return BirthD;
	}

	public void setBirthD(String BirthD) {
		this.BirthD = BirthD;
	}

	public String getBirthS() {
		return BirthS;
	}

	public void setBirthS(String BirthS) {
		this.BirthS = BirthS;
	}

	public double getYXJF() {
		return YXJF;
	}

	public void setYXJF(double YXJF) {
		this.YXJF = YXJF;
	}

	public double getLJJF() {
		return LJJF;
	}

	public void setLJJF(double LJJF) {
		this.LJJF = LJJF;
	}

	public double getYDHJF() {
		return YDHJF;
	}

	public void setYDHJF(double YDHJF) {
		this.YDHJF = YDHJF;
	}

	public double getGQJF() {
		return GQJF;
	}

	public void setGQJF(double GQJF) {
		this.GQJF = GQJF;
	}

	public String getCUSTDJ() {
		return CUSTDJ;
	}

	public void setCUSTDJ(String CUSTDJ) {
		this.CUSTDJ = CUSTDJ;
	}

}
