package com.urovo.wgmf.db.dao.entitys;

import java.util.Date;

import com.urovo.wugumofang.data.DateUtil;

/**
 * 门店综合信息实体类(质量监督)：对应于后台的ZHXX001表
 * 
 * @author Administrator
 *
 */
public class ZHXX001Entity {

	private String BillId = ""; // 单据号
	private double XXNO; // 信息序号
	private String StoreId = ""; // 门店编号
	private String XXLX = ""; // 信息类型，直接写“99”
	private String XXZT = ""; // 信息主题
	private String WZXX = ""; // 信息正文

	private String ZGWZ = ""; // 专柜位置
	private String WZPJ = ""; // 位置评级
	private String ZGLX = ""; // 专柜类型
	private String KYSJ = ""; // 开业时间
	private String HGRQ = ""; // 换柜日期
	private String HWZRQ = ""; // 换位置日期
	private String YNTP = "Y"; // 是否有图片，直接写“Y”

	private String WDATE = DateUtil.getDateTime(new Date()); // 提交日期
	private String Oper_Lr = ""; // 制单人编号
	private String Lr_Name = ""; // 制单人名称
	private String BDATE = DateUtil.getDate(new Date()); // 审核日期
	private String Oper_Sh = ""; // 审核人编号
	private String Sh_Name = ""; // 审核人名称
	// / 单据状态：固定为0 制单
	public String STATUS = "0";
	private String BackType; // 反馈类型 "0"产品 ,"1"软件
	private String ReportInfo; // 反馈信息

	private String ItemID;
	private double Qty;//出现问题产品的数量
	private String PDate;// 出现问题产品的生产日期 ,
	private ZHXX002Entity[] ZHXX002Details = null; // 门店综合信息明细

	public String getProblemSubtype() {
		return problemSubtype;
	}

	public void setProblemSubtype(String problemSubtype) {
		this.problemSubtype = problemSubtype;
	}

	/**问题类型*/
	private String problemSubtype;


	/**
	 * @return the zGLX
	 */
	public String getZGLX() {
		return ZGLX;
	}

	/**
	 * @param zGLX
	 *            the zGLX to set
	 */
	public void setZGLX(String zGLX) {
		ZGLX = zGLX;
	}

	/**
	 * @return the kYSJ
	 */
	public String getKYSJ() {
		return KYSJ;
	}

	/**
	 * @param kYSJ
	 *            the kYSJ to set
	 */
	public void setKYSJ(String kYSJ) {
		KYSJ = kYSJ;
	}

	/**
	 * @return the hGRQ
	 */
	public String getHGRQ() {
		return HGRQ;
	}

	/**
	 * @param hGRQ
	 *            the hGRQ to set
	 */
	public void setHGRQ(String hGRQ) {
		HGRQ = hGRQ;
	}

	/**
	 * @return the hWZRQ
	 */
	public String getHWZRQ() {
		return HWZRQ;
	}

	/**
	 * @param hWZRQ
	 *            the hWZRQ to set
	 */
	public void setHWZRQ(String hWZRQ) {
		HWZRQ = hWZRQ;
	}

	/**
	 * @return the pDate
	 */
	public String getPDate() {
		return PDate;
	}

	/**
	 * @param pDate
	 *            the pDate to set
	 */
	public void setPDate(String pDate) {
		PDate = pDate;
	}

	public double getQty() {
		return Qty;
	}

	public void setQty(double qty) {
		Qty = qty;
	}

	public String getPdate() {
		return PDate;
	}

	public void setPdate(String pdate) {
		this.PDate = pdate;
	}

	public String getItemID() {
		return ItemID;
	}

	public void setItemID(String itemID) {
		this.ItemID = itemID;
	}

	public String getBackType() {
		return BackType;
	}

	public void setBackType(String backType) {
		this.BackType = backType;
	}

	public String getReportInfo() {
		return ReportInfo;
	}

	public void setReportInfo(String reportInfo) {
		this.ReportInfo = reportInfo;
	}

	public String getBillId() {
		return BillId;
	}

	public void setBillId(String billId) {
		BillId = billId;
	}

	public double getXXNO() {
		return XXNO;
	}

	public void setXXNO(double xXNO) {
		XXNO = xXNO;
	}

	public String getStoreId() {
		return StoreId;
	}

	public void setStoreId(String storeId) {
		StoreId = storeId;
	}

	public String getXXLX() {
		return XXLX;
	}

	public void setXXLX(String xXLX) {
		XXLX = xXLX;
	}

	public String getXXZT() {
		return XXZT;
	}

	public void setXXZT(String xXZT) {
		XXZT = xXZT;
	}

	public String getWZXX() {
		return WZXX;
	}

	public void setWZXX(String wZXX) {
		WZXX = wZXX;
	}

	public String getZGWZ() {
		return ZGWZ;
	}

	public void setZGWZ(String zGWZ) {
		ZGWZ = zGWZ;
	}

	public String getWZPJ() {
		return WZPJ;
	}

	public void setWZPJ(String wZPJ) {
		WZPJ = wZPJ;
	}

	public String getYNTP() {
		return YNTP;
	}

	public void setYNTP(String yNTP) {
		YNTP = yNTP;
	}

	public String getWDATE() {
		return WDATE;
	}

	public void setWDATE(String wDATE) {
		WDATE = wDATE;
	}

	public String getOper_Lr() {
		return Oper_Lr;
	}

	public void setOper_Lr(String oper_Lr) {
		Oper_Lr = oper_Lr;
	}

	public String getLr_Name() {
		return Lr_Name;
	}

	public void setLr_Name(String lr_Name) {
		Lr_Name = lr_Name;
	}

	public String getBDATE() {
		return BDATE;
	}

	public void setBDATE(String bDATE) {
		BDATE = bDATE;
	}

	public String getOper_Sh() {
		return Oper_Sh;
	}

	public void setOper_Sh(String oper_Sh) {
		Oper_Sh = oper_Sh;
	}

	public String getSh_Name() {
		return Sh_Name;
	}

	public void setSh_Name(String sh_Name) {
		Sh_Name = sh_Name;
	}

	public String getSTATUS() {
		return STATUS;
	}

	public void setSTATUS(String sTATUS) {
		STATUS = sTATUS;
	}

	public ZHXX002Entity[] getZHXX002Details() {
		return ZHXX002Details;
	}

	public void setZHXX002Details(ZHXX002Entity[] zHXX002Details) {
		ZHXX002Details = zHXX002Details;
	}

}
