package com.urovo.wugumofang.base.mvp

/**
 * @author LW
 */
interface AbsView {

    /**
     * 加载中
     */
    fun showTipDialog(msg: String?)

    /**
     * 加载中
     */
    fun showTipDialog(resId: Int)

    /**
     * 关闭加载
     */
    fun dismissDialog()

    /**
     * 关闭所有状态
     */
    fun dismissAllState()

    /**
     * 显示Toast
     */
    fun showToast(msg:String?)

    /**
     * 显示Taost
     */
    fun showToast(resId: Int)

    /**
     * 现在加载中
     */
    fun showIsLoading()

    /**
     * 现在状态页面
     */
    fun showState(state: Int)

    /**
     * 显示错误
     */
    fun showError(msg: String?)

    /**
     * 显示错误
     */
    fun showError(resId: Int)

    /**
     * 关闭所有状态
     */
    fun dismissLoading()

}