package com.urovo.wugumofang.constants;

/**
 * Created by Sasuke on 2017/8/31.
 * 各种路由地址
 * <p>
 * 注意：
 * 不
 * 同
 * module
 * 中
 * 使
 * 用
 * 相
 * 同
 * 的
 * 一
 * 级
 * 路
 * 径
 * 会
 * 导
 * 致
 * 映
 * 射
 * 文
 * 件
 * 冲
 * 突！！！！！！！！！！！！！！！！！！！！！！！！！！
 */

public interface RouterParams {
    interface ORIGIN {
        String prefix = "/origin";

        /**
         * 主界面
         */
        String TABMENUACTIVITY = prefix + "/TabMenuActivity";

        /**
         * 登陆
         */
        String LOGINACTIVITY = prefix + "/LoginActivity";
        /**
         * 找回密码（登陆界面里的）
         */
        String VERIFYACCOUNTACT = prefix + "/VerifyAccountAct";
        /**
         * 登陆后的欢迎界面
         */
        String NEWGUIDEACTIVITY = prefix + "/NewGuideAct";
        /**
         * 设置界面
         */
        String SETTINGACTIVITY = prefix + "/SttingMenu";
        /**
         * 蓝牙设置
         */
        String SYSTEMSETTINGBLUETOOTH = prefix + "/SystemSettingBluetooth";
        /**
         * 修改密码
         */
        String SYSTEMSETTINGPASSWORD = prefix + "/SystemSettingPassword";
        /**
         * 登陆后通过WEEX打开主页
         */
        String WXLOGINACT = prefix + "/WxLoginAct";

        String MEMBERHOMEFRA = prefix + "/MemberHomeFra";

        String DEVELOPERMODEFRA = prefix + "/DeveloperModeFra";
        /**
         * 顾客90天未回头名单
         */
        String RA_90_NO_RETURN_LIST = prefix + "/Ra90ListAct";
        /**
         * 超级营养健康管理师
         */
        String SUPER_DIETITIAN_ACT = prefix + "/SuperDietitianAct";
    }

    interface LOGIN {

    }

    interface QUERY {

    }

    interface MoreIndex {
        String prefix = "/moreIndex";
        /**
         * 更多页面
         */
        String UntreatedOrder = prefix + "/UntreatedOrder";
        /**
         * 终端陈列
         */
        String TERMINAL_DISPLAY_RES = prefix + "/TerminalDisplayActivity";
    }

    /**
     * 会员营销
     */
    interface Member {
        String PREFIX = "/member";

        /**
         * 会员商品转发
         */
        String MEMBER_GOODS = PREFIX + "/MemberGoodsAct";
        /**
         * 会员构成
         */
        String MEMBER_LIST = PREFIX + "/MemberListAct";
        /**
         * 新客三响炮
         */
        String SAN_XIANG_PAO = PREFIX + "/SanXiangPaoAct";
        /**
         * 老客唤醒
         */
        String OLD_GUEST_AWAKENS = PREFIX + "/JiFenDaoQiTiXingAct";
        /**
         * 积分兑换
         */
        String INTEGRAL_CONVERTIBLE = PREFIX + "/JifenYanZhengActivity";
        /**
         * 发展新会员
         */
        String DEVELOP_NEW_MEMBER = PREFIX + "/DevelopNewMemberAct";
        /**
         * 订单中心
         */
        String ORDER_CENTER = PREFIX + "/OrderCenterAct";
        /**
         * 预约会员日查询
         */
        String MEMBER_DAY_SUBSCRIBE = PREFIX + "/MemberDaySubscribeAct";
        /**
         * 新客进塘数据
         */
        String NEW_GUEST_MEMBER_DATA = PREFIX + "/QueryMyWeiVIP";
        /**
         * 新客90天复购率
         */
        String NEW_GUEST_REPURCHASE_RATE = PREFIX + "/SanXiangPaoDataAct";
        /**
         * 会员日数据
         */
        String VIP_DAY_DATA = PREFIX + "/VipDayDataAct";
        /**
         * 会员销售占比查询
         */
        String QUERY_MEMBER_SALES_COMPARED = PREFIX + "/QueryMemberSalesCompared";
        /**
         * 积分兑换流水查询
         */
        String QUERY_CREDIT_STATEMENT = PREFIX + "/QueryCreditStatement";
        /**
         * 客户关怀
         */
        String CUSTOMER_CARE_LIST = PREFIX + "/CustomerCareListAct";
        /**
         * 朋友圈素材
         */
        String WX_FRIENDS_RES = PREFIX + "/WxFriendsResActivity";
        /**
         * 特权查询
         */
        String CUSTOMER_PRIVILEGE = PREFIX + "/CustomerPrivilegeActivity";
        /**
         * 权益卡数据
         */
        String VOUCHER_CARD_DATA = PREFIX + "/VoucherCardDataActivity";
        /**
         * 权益卡查询
         */
        String VOUCHER_CARD_QUERY = PREFIX + "/VoucherCardQueryActivity";
        /**
         * 合并手机号
         */
        String MERGE_MEMBER = PREFIX + "/MergeMemberActivity";

    }
}
