package com.urovo.wugumofang.net;

import com.urovo.wugumofang.constants.NetParam;
import com.zsy.libcore.config.LibCoreConfig;
import com.zsy.libcore.model.data.net.helper.RetrofitBaseHelper;

import java.util.HashMap;

/**
 * @author Sasuke
 * @date 2017/6/5
 * 加头加头加头（就是把原来的RetrofitHelper外面再套了一层）
 */

public class RetrofitHelper {
    public static HashMap<String, String> myHeaders = new HashMap<>();

    public static void setHeaders(HashMap<String, String> myHeaders) {
        RetrofitHelper.myHeaders = myHeaders;
    }

    public static <T> T createApi(Class<T> clazz) {
        return RetrofitBaseHelper.createApi(NetParam.YINXIAOBU_SERVER, clazz, myHeaders);
    }

    //用于创建一个自定义超时时长的retrofit
    public static <T> T createApiTimeout(Class<T> clazz, int timeout) {
        return RetrofitBaseHelper.createApiTimeout(NetParam.YINXIAOBU_SERVER, clazz, myHeaders, timeout);
    }

    public static <T> T createNewApi(Class<T> clazz) {
        return RetrofitBaseHelper.createNewApi(NetParam.YINXIAOBU_API_SERVER, clazz, myHeaders);
    }
}
