package com.urovo.wugumofang.system;

import android.text.TextUtils;

import com.urovo.wugumofang.data.DateUtil;

import java.text.MessageFormat;
import java.util.Date;
import java.util.Locale;
import java.util.Random;

/**
 * PDA应用程序全局参数类
 *
 * @author Administrator
 */
public class SystemHelper {
    /**
     * 五谷磨房品牌名(基础资料下载完后会初始化)
     */
    public static String WgmfBrand = "";
    /**
     * 五谷磨房流量产品(基础资料下载完后会初始化)
     */
    public static String FlowBrand = "";

    /**
     * 鲜稻研品牌名(基础资料下载完后会初始化)
     */
    public static String XdyBrand = "";

    /**
     * 特殊品牌  会员商品 (目前是“会员商品”，但可能随时会变，反正对应的编码是20)
     */
    public static String MemGoodsBrand = "";

    public static String MemGoodsBrand_Id = "20";

    /**判断是否是会员商品品牌*/
    public static boolean isMemGoodsBrand(String brand) {
        return hasMemGoods() && !TextUtils.isEmpty(brand) && MemGoodsBrand.equals(brand);
    }

    /**
     * 判断品牌 是否存在五谷磨房(查看数据库表字段,基础资料下载完后才能使用-->Table_toposDbOperate-->markBrand())
     */
    public static boolean hasWgmf() {
        return !TextUtils.isEmpty(WgmfBrand);
    }

    /**判断是否有会员商品品牌*/
    public static boolean hasMemGoods() {
        return !TextUtils.isEmpty(MemGoodsBrand);
    }
    /**
     * 判断品牌 是否存在鲜稻研(查看数据库表字段,基础资料下载完后才能使用-->Table_toposDbOperate-->markBrand())
     */
    public static boolean hasXdy() {
        return !TextUtils.isEmpty(XdyBrand);
    }

    /**
     * 判断是否是五谷磨房品牌(基础资料下载完后才能使用-->Table_toposDbOperate-->markBrand())
     *
     * @param brand 要对比判断的品牌
     * @return ...
     */
    public static boolean isWgmf(String brand) {
        return hasWgmf() && !TextUtils.isEmpty(brand) && WgmfBrand.equals(brand);
    }

//    /**
//     * 判断是否是鲜稻研品牌(基础资料下载完后才能使用-->Table_toposDbOperate-->markBrand())
//     *
//     * @param brand 要对比判断的品牌
//     * @return
//     */
//    public static boolean isXdy(String brand) {
//        return hasWgmf() && !TextUtils.isEmpty(brand) && XdyBrand.equals(brand);
//    }

    /**
     * APP版本号
     */
    public static String Version = "";
    /**
     * 安卓系统版本号
     */
    public static String AndroidVersion = "";

    public static String Imei = "";

    public static String Mac = "";
    /**
     * 登录人员编号
     */
    public static String LoginUserId = "";
    /**
     * 兼职人员的身份标识
     */
    public static boolean IsPartTimeStaff;
    /**
     * 兼职销售用户身份标识
     */
    public static boolean IsPartTimeSalesStaff;
    /**
     * 机修工程师用户身份标识
     */
    public static boolean IsMachineRepairStaff;
    /**
     * 新接口标识
     */
    public static boolean NewInterface;
    /**
     * 登录人员姓名
     */
    public static String LoginUserName = "";
    /**
     * 登录人员可销售的产品品牌id （8五谷磨房 13鲜稻研 15食补集 20会员商品）
     */
    public static String LoginUserBrandList = "";
    /**
     * 登录人员电话
     */
    public static String LoginUserMobile = "";
    /**
     * 登陆班次：早班Z 晚班W
     */
    public static String LoginBC = "Z";
    /**
     * 登陆门店\机构号码
     */
    public static String LoginOrganId = "";
    /**
     * 登陆门店\机构名称
     */
    public static String LoginOrganName = "";
    /**
     * 该门店主管Id
     */
    public static String LoginZgId = "";
    /**
     * 该门店主管Name
     */
    public static String LoginZgName = "";
    /**
     * 待验证的门店编号
     */
    public static String CheckStoreId = "";
    /**
     * 是否是督导模式：为true表示是督导模式，否则为固定门店模式（现在还有个毛线的督导模式）
     */
    public static boolean IsAdmin = false;

//	public static String Address = "";

    //	public static String Longitude = "";
//
//	public static String Latitude = "";
//
//	public static String LoginWMUserId = "1"; // 督导模式代登陆员编号


    // public static String Mdcsgrp = ""; //
    // 当前登陆门店的门店参数id（在下载门店参数子表数据时候，需要提供门店参数id）

    // public static List<String> Cpbill = new ArrayList<String>(); //
    // 当前登陆门店的产品目录号（在下载产品目录子表数据时候，需要提供产品目录号）

    // public static String VipId = ""; //
    // 待验证的会员卡号，此参数在会员验证时候会被传入，然后根据此参数去后台下载会员资料

    // public static Vip VipEntity = null; // 待验证的会员实体，成功验证后会进行赋值
    // public static String uploadBill = ""; // 待上传的单据号(调拨收货、配送收货时候会选择某个单据上传)

//	public static String SqlCondition; // 后台查询或者从后台下载数据时候的sql过滤条件,用在了很多地方

//	public static boolean syncDataSuccess; // 同步数据（分项上传）是否成功

    // public static UploadDataItem choiceUpload; // 分项上传业务单据集合
    // 门店/机构/登陆验证全局变量
//	public static boolean StoreValid; // 门店是否验证通过(在设置门店、门店调拨出货等需要输入门店的地方，需要用到)


//	public static boolean BanShiChuValid;// 机构是否验证通过

//	public static String CheckBanShiChuId; // 待验证的机构编号

//	public static String LoginOnlinString; // 在线登陆验证字符串

//	public static boolean LoginOnlineSuccess; // 在线验证是否成功


//	public static String JumpModule; // 上一次跳转界面

//	public static boolean IsCX; // 销售单是否已经做过促销

//	public static String ServerVersion; // 服务器版本号

//	public static boolean SyncServerTimeSuccess; // 同步服务器时间是否成功

    // 督导模式下的代录全局变量
    public static String DaiLuStore; // 机构模式下的代录门店id

    public static String DaiLuOperate; // 机构模式下的代录营养顾问ida

    public static String DaiLuBanCi; // 机构模式下的代录班次

    /*新订单号规则：门店编号+顾问ID+时间戳到秒+2位随机数，例如：0110074+75598659+170301092423+12；
    顾问ID长度最多为8位，不够的前面补0；*/
    public static String makeBillCode() {
        String tempId = SystemHelper.LoginUserId.length() >= 8 ? SystemHelper.LoginUserId.substring(0, 8) :
                "00000000".substring(SystemHelper.LoginUserId.length()) + SystemHelper.LoginUserId;
        return MessageFormat.format("{0}{1}{2}{3}",
                SystemHelper.LoginOrganId,
                tempId,
                DateUtil.format(new Date(), "yyMMddHHmmss"),
                String.format(Locale.CHINA, "%02d", new Random().nextInt(100)));

    }

//	public static int LastSelectIndexXSDaiLu = 0; // 督导模式下上次选择的销售代录门店索引

//	public static int LastSelectIndexFanKui = 0; // 督导模式下上次选择的反馈门店索引

    // 员工管理全局变量
//    public static String OperatorId = ""; // 督导模式下进行员工录入时候从后台获取的可用员工编号（最大员工编号+1）

//	public static List<YuanGongEntity> ListYuanGong = null; // 督导模式下从后台下载下来的员工信息

//	public static YuanGongEntity OperateYuanGong; // 员工入职离职修改资料时候待上传的员工实体类

//	public static boolean YuanGongUpdateWhat; // true时候更新手机 false更新门店

    // public static YuanGongGuanLiEnum YuanGongGuanLiWhat; //
    // 员工管理模块里所有涉及和后台交互的上传下载中哪个具体项？

    // 督导模式下的销量审核功能全局变量
//	public static List<STORERXS001Entity> m_List = null; // 督导模式下 下载下来的
    // 门店销量审核资料实体类

//    public static String StoreRXSDate; // 销量审核上传时候需要调用后台存储过程，需要传入两个参数：时间和所属组织

//    public static String StoreRXSDept; // 销量审核上传时候需要调用后台存储过程，需要传入两个参数：时间和所属组织

    /*
     * //验证码兑换全局变量 public static HD_LPYZ HDCodeLPYZ; //
     * 验证码兑换实体：包含输入的验证码和门店，输出的活动编号和会员号
     *
     * // public static List<HD_LPItem> HDLPItems; // 验证码兑换
     * 验证码验证成功后从后台下载下来的礼品资料列表
     *
     * public static HDCodeDuiHuanEntity HDDuiHuanEntity; // 验证码兑换 实体
     */
    // public static HD_LPItem ChoiceHDLpItem; // 验证码兑换 选择的活动礼品

    // 短信管理全局变量
//    public static List<DXXEntity> ListDownloadDXX; // 从后台下载的短信息记录（用于短信息管理模块）

//    public static List<DXXEntity> ListUploadDXX; // 需要上传的短信息记录（用于短信息管理模块）

    // 基础数据初始化,更新全局变量
//    public static boolean IsSyncTabletoPos; // 登陆时候是否同步过table_topos时间戳

//    public static List<TableToPOSEntity> TableToPos; // 下载到的tabletopos

//    public static String InitializeSqlFileName; // 初始化时候，从服务器返回的生成的sql文件名

//    public static String UpdateSqlFileName; // 基础数据更新时候，从服务器返回的生成的sql文件名

//    public static boolean IsLoginView; // 是否是在登陆界面（如果是就需要下载短信）

//    public static boolean IsManualUpdate; // 是否是手动更新

    // public static List<String> UpdateTables; // 手动更新的表名称

    // public static DownloadUploadSomethingEnum DownloadUploadWhat; //
    // 部分涉及和后台交互的上传下载中哪个具体项？

    // 资材配入
//    public static ZCPS001Entity WaitForUploadZiCanPeiSong; // 待上传的某个资材配入单据

//    public static List<ZCPS001Entity> DownloadZiCanPeiSong; // 从后台下载到的资材配入单据集合

    // 资材调入
//    public static ZCDB001Entity WaitForUploadZiCaiDiaoRu; // 待上传的某个资材调入单据

//    public static List<ZCDB001Entity> DownloadZiCaiDiaoRu; // 从后台下载到的资材调入单据集合

    // 资材盘点
//    public static List<ZCPD001Entity> DownloadZiCaiPanDian; // 从后台下载到的资材盘点单据集合

//    public static ZCPD001Entity WaitForUploadZiCaiPanDian; // 待上传的某个资材盘点单据

    // 资材调出、查询
//    public static List<ZCDA002Entity> DownloadZCDA002; // 从后台下载到的资材仓库库存信息(在资材查询和资材调出时候会使用到)

//    public static ZCDB001Entity WaitForUploadZiCanDiaoChu; // 待上传的某个资材调出单据

    // 专项巡检
//    public static List<ZXXJMainEntity> DownloadZXXJ; // 从后台下载到的专项巡检信息

//    public static ZXXJMainEntity WaitForUploadZXXJ; // 待上传的某个专项巡检信息

    // 销售退货
//    public static List<XiaoShouEntity> DownloadDJXS; // 从后台下载到的销售记录

//    public static String WaitForCheckPanDianBill; // 待验证的盘点单号(在进行是否可盘点验证时候需要传入单号)

//    public static boolean CanPanDian; // 是否可以盘点

//    public static DingHuoCheckResponse DingHuoCheck; // 是否可订货的控制

//    public static ShuJuJianCeResponse ShuJuJianCe; // 数据检测：短信、资材配入、资材调入、资材盘点

//    public static boolean CanZiCanChaXun; // 是否可以资产查询：开机时，如果存在资材盘点单，则将资材查询功能禁用

    // 自动上传下载有关
//    public static boolean AutoUploadTimerEnabled; // 自动上传时钟是否开启(开启后将每10分钟执行一次)

//    public static boolean AutoDownloadTimerEnabled; // 自动下载时钟是否开启(开启后将每)

//    public static KCOnlineResponse KCOnline; // 在线门店库存查询

//    public static BQCODEPeiSongShouHuoResponse BQCODEPeiSongShouHuo; // 箱条码模式下载到的配送收货数据

    // public static BQCODEPeiSongShouHuoEntity
    // BQCODEPeiSongShouHuoEntityWaitForUpload; // 箱条码模式待上传的配送单据

    // public static PeiSongShouHuoEntity PeiSongShouHuoEntityWaitForUpload; //
    // 非箱号条码模式待上传的配送单据

}
