package com.urovo.wugumofang.system

import com.urovo.wugumofang.data.JsonDominator

/**
 * @author Sasuke on 2018/9/4.
 */
object SystemHelperMock {
    @JvmStatic
    fun mock(){
        JsonDominator.loadFromSD("SystemHelperMock",SystemHelperMockData::class.java)?.apply {
            SystemHelper.WgmfBrand = WgmfBrand
            SystemHelper.XdyBrand = XdyBrand
            SystemHelper.Version = Version
            SystemHelper.AndroidVersion = AndroidVersion
            SystemHelper.Imei = Imei
            SystemHelper.Mac = Mac
            SystemHelper.LoginUserId = LoginUserId
            SystemHelper.IsPartTimeStaff = IsPartTimeStaff
            SystemHelper.IsPartTimeSalesStaff = IsPartTimeSalesStaff
            SystemHelper.NewInterface = NewInterface
            SystemHelper.LoginUserName = LoginUserName
            SystemHelper.LoginUserMobile = LoginUserMobile
            SystemHelper.LoginBC = LoginBC
            SystemHelper.LoginOrganId = LoginOrganId
            SystemHelper.LoginOrganName = LoginOrganName
            SystemHelper.LoginZgId = LoginZgId
            SystemHelper.LoginZgName = LoginZgName
            SystemHelper.IsAdmin = IsAdmin
            SystemHelper.IsMachineRepairStaff = IsMachineRepairStaff
        }
    }

    private data class SystemHelperMockData(
            var WgmfBrand: String,
            var XdyBrand: String,
            var Version: String,
            var AndroidVersion: String,
            var Imei: String,
            var Mac: String,
            var LoginUserId: String,
            var IsPartTimeStaff: Boolean,
            var IsPartTimeSalesStaff: Boolean,
            var IsMachineRepairStaff: Boolean,
            var NewInterface: Boolean,
            var LoginUserName: String,
            var LoginUserMobile: String,
            var LoginBC: String,
            var LoginOrganId: String,
            var LoginOrganName: String,
            var LoginZgId: String,
            var LoginZgName: String,
            var IsAdmin: Boolean
    )

}