package com.urovo.wugumofang.utils

/**
 * @author Sasuke on 2019-10-30 0030.
 * 把数字转换成数字，暂时只支持到99
 */
class NumChineseDominator {
    companion object {
        @JvmStatic
        /**第N站数字转换为中文*/
        fun trans2Ch(num: Int): String{
            if (num > 99){
                return num.toString()
            }
            var numStr = num.toString()
            //先全部单个转换成中文
            for(i in 0..9){
                numStr = numStr.replace(i.toString(),when(i){
                    0 ->"零"
                    1 ->"一"
                    2 ->"二"
                    3 ->"三"
                    4 ->"四"
                    5 ->"五"
                    6 ->"六"
                    7 ->"七"
                    8 ->"八"
                    9 ->"九"
                    else ->""
                })
            }

            if (numStr.length == 2){
                numStr = "${numStr[0]}十${numStr[1]}"
                if (numStr.startsWith("一")){
                    numStr = numStr.substring(1)
                }
            }

            numStr = numStr.replace("十零","十")
            return numStr

        }
    }
}