package com.urovo.wugumofang.view

import android.content.Context
import android.util.AttributeSet
import android.widget.ImageView


/**
 * @author Sasuke on 2020-4-24 0024.
 * 正方形ImageView
 */
class SquareImageView : ImageView {
    constructor(context: Context) : super(context) {}

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {}

    constructor(context: Context, attrs: AttributeSet, defStyleAttr: Int) : super(context, attrs, defStyleAttr) {}

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec)

        // 縦横サイズ一緒に
        val width = measuredWidth
        setMeasuredDimension(width, width)
    }
}