package com.zsy.libcore.model.data.net.interceptor;

import java.io.IOException;
import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;


/**
 * 设置头

 有的接口可能对请求头要设置
 * Created by samy on 16/8/21.
 */

public class Headnterceptor implements Interceptor {
  @Override
  public Response intercept(Chain chain) throws IOException {
    Request originalRequest = chain.request();
    Request.Builder requestBuilder = originalRequest.newBuilder()
        //.header("AppType", "TPOS")
        .header("Content-Type", "application/json")
        .header("Accept", "application/json")
        .method(originalRequest.method(), originalRequest.body());
    Request request = requestBuilder.build();
    return chain.proceed(request);
  }
}
