package com.zsy.libext.ui.fra;

import com.zsy.libext.ui.act.BaseAct;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.preference.ListPreference;
import android.preference.Preference;
import android.preference.PreferenceFragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

/**
 * 设置相关基类
 *
 * @author: samy(hongfeiliuxing@gmail.com)
 * @datetime: 2015-09-11 22:59
 */
public abstract class BasePreferenceFra extends PreferenceFragment implements Preference.OnPreferenceClickListener, Preference.OnPreferenceChangeListener {
	protected BaseAct baseAct;

	@Override
	public void onAttach(Context context) {
		super.onAttach(context);
	}

	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);
		baseAct = (BaseAct) activity;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		View rootView = super.onCreateView(inflater, container, savedInstanceState);

		ListView listView = (ListView) rootView.findViewById(android.R.id.list);
		// listView.setClipToPadding(false);

		return rootView;
	}

	protected void setListSetting(int value, int hintId, ListPreference listPreference) {
		String[] valueTitleArr = getResources().getStringArray(hintId);
		listPreference.setSummary(valueTitleArr[value]);
	}

	@Override
	public void onDetach() {
		super.onDetach();
		baseAct = null;
	}
}
