package com.urovo.wugumofang.membermodule.ent;

import com.urovo.wugumofang.response.Base3Response;

import java.io.Serializable;
import java.util.List;

/**
 * Date: 2017/12/30
 * Time: 23:39 本月门店会员数据
 *
 * @author chenji
 */
public class MembershipStoreData extends Base3Response implements Serializable {

    private List<ResultInfoBean> resultInfo;

    public List<ResultInfoBean> getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(List<ResultInfoBean> resultInfo) {
        this.resultInfo = resultInfo;
    }

    public static class ResultInfoBean {
        /**
         * title : 本月门店会员数据
         * subtitleOne : 新会员
         * subtitleTwo : 微会员
         * subtitleThree : 新客微会员
         * subOneData : 62
         * subTwoData : 49
         * subThreeData : 60
         * showMore : false
         */

        private String title;
        private String subtitleOne;
        private String subtitleTwo;
        private String subtitleThree;
        private String subOneData;
        private String subTwoData;
        private String subThreeData;
        private boolean showMore;

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getSubtitleOne() {
            return subtitleOne;
        }

        public void setSubtitleOne(String subtitleOne) {
            this.subtitleOne = subtitleOne;
        }

        public String getSubtitleTwo() {
            return subtitleTwo;
        }

        public void setSubtitleTwo(String subtitleTwo) {
            this.subtitleTwo = subtitleTwo;
        }

        public String getSubtitleThree() {
            return subtitleThree;
        }

        public void setSubtitleThree(String subtitleThree) {
            this.subtitleThree = subtitleThree;
        }

        public String getSubOneData() {
            return subOneData;
        }

        public void setSubOneData(String subOneData) {
            this.subOneData = subOneData;
        }

        public String getSubTwoData() {
            return subTwoData;
        }

        public void setSubTwoData(String subTwoData) {
            this.subTwoData = subTwoData;
        }

        public String getSubThreeData() {
            return subThreeData;
        }

        public void setSubThreeData(String subThreeData) {
            this.subThreeData = subThreeData;
        }

        public boolean isShowMore() {
            return showMore;
        }

        public void setShowMore(boolean showMore) {
            this.showMore = showMore;
        }

        @Override
        public String toString() {
            return "ResultInfoBean{" +
                    "title='" + title + '\'' +
                    ", subtitleOne='" + subtitleOne + '\'' +
                    ", subtitleTwo='" + subtitleTwo + '\'' +
                    ", subtitleThree='" + subtitleThree + '\'' +
                    ", subOneData='" + subOneData + '\'' +
                    ", subTwoData='" + subTwoData + '\'' +
                    ", subThreeData='" + subThreeData + '\'' +
                    ", showMore=" + showMore +
                    '}';
        }
    }
}
