package com.urovo.wugumofang.membermodule.pre;

import com.urovo.wugumofang.membermodule.net.MemberNet;
import com.urovo.wugumofang.net.CommonController;
import com.urovo.wugumofang.response.CommonEntity;

import java.util.Map;

/**
 * 是否显示加微及入群人数提报 页面 的pre
 *
 * @author chenji
 */
public class MemberShowWeChatPre implements CommonController.BasePre<Boolean> {
    private CommonController.showAddFriOnWeChat<Boolean> mMemberView;
    private MemberNet mMemberNet;

    public MemberShowWeChatPre(CommonController.showAddFriOnWeChat<Boolean> stockSearchView) {
        this.mMemberView = stockSearchView;
        this.mMemberNet = new MemberNet();
    }

    @Override
    public void onStart2requestData(Map<String, String> params) {
//        mMemberNet.onShowAddFriOnWeChatTask(this, params);
    }

    @Override
    public void onResponseSuccess(CommonEntity<Boolean> resultInfo) {
        mMemberView.onShowAddFriOnWeChatSuccess(resultInfo.entity);
    }

    @Override
    public void onFailure(String failInfo) {
        mMemberView.onShowAddFriOnWeChatFailure(failInfo);
    }
}
