package com.urovo.activity.MemberList.model;

import android.text.TextUtils;

import com.urovo.activity.MemberProfile.model.MemberProfileData;

import java.io.Serializable;

/**
 * @author ...
 */
public class MemberListEntity implements Serializable, MemberProfileData {
    public String buyDate = "";//最近一次购买日期
    public String customerMobile = "";// 会员手机号
    public String customerName = "";// 会员名称
    public String hasCommunication = "";//是否回访 1 已回访 0未回访 ,（null也是未关怀）
    public String feedback = "0";//反馈回访后用户是否有成交 0未反馈，1有成交，2未成交 ,
    public String phoneCare = "0";// 电话关怀1已关怀 0未关怀
    public String shareCare = "0";//分享关怀 1已关怀 0未关怀（其实就是养生文库的转发文章）
    public String smsCare = "0";// 短信关怀 1已关怀 0未关怀
//    public String statisticsDate = "";//统计时间
    public String type = "";//默认传1获取全部数据
    public String wechatCare = "0";// 微信关怀 1已关怀 0未关怀



	/*public int sysCared;// 1系统已联系 0系统未联系

	public String firstBuyDate = "";// 首次购买八珍的时间
	public String timeInterval = "";// 距离首次购买八珍的时间间隔
	public String shopId = "";// 门店编码
	public String careFlag = "";// 是否关怀
	public String cateTime = "";// 最后一次关怀关怀时间

	public String phoneCareTime = "";// 电话关怀时间
	public String phoneCareOpno = "";//电话关怀人
	public String smsCareTime = "";// 短信关怀时间
	public String smsCareOpno = "";// 短信关怀人
	public String wechatCareTime = "";// 微信关怀时间
	public String wechatCareOpno = "";//微信关怀人
	public String openId = "";// openid
	public String isInteractive = "";//是否互动，1已互动，0未互动（即 微信投票）

	//微信文章转发
	public String shareTime = "";//最后分享关怀时间
	public String shareOpno = "";//分享关怀人（就是营养顾问的登陆id）*/

    @Override
    public String getFeedback() {
        return feedback;
    }

    @Override
    public String getCustomerMobile() {
        return customerMobile;
    }

    @Override
    public void setSmsCare(String smsCare) {
        this.smsCare = smsCare;
    }

    @Override
    public void setPhoneCare(String phoneCare) {
        this.phoneCare = phoneCare;
    }

    public String getBuyDate() {
        return TextUtils.isEmpty(buyDate) ? "未知" : buyDate;
    }

    public void setBuyDate(String buyDate) {
        this.buyDate = buyDate;
    }

    public void setCustomerMobile(String customerMobile) {
        this.customerMobile = customerMobile;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

//    public int getHasCommunication() {
//        return TextUtils.isEmpty(hasCommunication) ? 0 : Integer.parseInt(hasCommunication);
//
//    }

    @Override
    public String getHasCommunication() {
        return hasCommunication;

    }

    @Override
    public void setHasCommunication(String hasCommunication) {
        this.hasCommunication = hasCommunication;
    }

//    public void setHasCommunication(int hasCommunication) {
//        this.hasCommunication = hasCommunication + "";
//    }

//    @Override
//    public int getPhoneCare() {
//        return TextUtils.isEmpty(phoneCare) ? 0 : Integer.parseInt(phoneCare);
//    }

    @Override
    public String getPhoneCare() {
        return phoneCare;
    }

    @Override
    public String getShareCare() {
        return shareCare;
    }

    @Override
    public void setShareCare(String shareCare) {
        this.shareCare = shareCare;
    }

    @Override
    public void setWechatCare(String wechatCare) {
        this.wechatCare = wechatCare;
    }

//    @Override
//    public int getSmsCare() {
//        return TextUtils.isEmpty(smsCare) ? 0 : Integer.parseInt(smsCare);
//    }

    @Override
    public String getSmsCare() {
        return smsCare;
    }

//    @Override
//    public String getStatisticsDate() {
//        return statisticsDate;
//    }

//    public void setStatisticsDate(String statisticsDate) {
//        this.statisticsDate = statisticsDate;
//    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

//    @Override
//    public int getWechatCare() {
//        return TextUtils.isEmpty(wechatCare) ? 0 : Integer.parseInt(wechatCare);
//    }

    @Override
    public String getWechatCare() {
        return wechatCare;
    }

//	@Override
//	public void setSmsCare(int smsCare) {
//		this.smsCare = smsCare + "";
//	}

//	@Override
//	public void setPhoneCare(int phoneCare) {
//		this.phoneCare = phoneCare + "";
//	}

//    @Override
//    public void setWechatCare(int wechatCare) {
//        this.wechatCare = wechatCare + "";
//    }
}
