package com.urovo.activity.MemberProfile.model;

import java.io.Serializable;

/**
 * @author Sasuke
 * @date 2016/5/17
 * ....
 */
public interface MemberProfileData extends Serializable {
    String getSmsCare();//短信关怀 1已关怀 0未关怀

    String getPhoneCare();// 电话关怀1已关怀 0未关怀

    String getShareCare();//分享关怀 1已关怀 0未关怀（其实就是养生文库的转发文章）

    String getWechatCare();// 微信关怀 1已关怀 0未关怀

    String getCustomerMobile();// 会员爪机号


    void setSmsCare(String smsCare);//更改关怀标记

    void setPhoneCare(String phoneCare);//更改电话关怀标记

    void setShareCare(String shareCare);//更改分享关怀标记

    void setWechatCare(String wechatCare);//更改微信关怀标记

//    String getStatisticsDate();//获取统计时间

    String getHasCommunication();

    //反馈回访后用户是否有成交 0未反馈，1有成交，2未成交 ,
    String getFeedback();

    void setHasCommunication(String hasCommunication);
}
