package com.urovo.activity.MemberProfile.presenter;

import com.urovo.activity.MemberProfile.model.GuanHuaiData;
import com.urovo.wgmf.base.BasePresenter;
import com.urovo.wgmf.base.BaseView;
import com.urovo.wgmf.db.dao.entitys.HuiYuanXiangXiZiLiaoEntity;

/**
 * Created by Sasuke on 2016/5/13.
 */
public interface MemberProfileContract {
    interface View extends BaseView{
        void setReceiver();

        void init();

        void requestProfile();//请求获取客户数据

        void refreshUi();

        void showYouhuiQuanLv();//显示优惠券列表

        void showCirclePic();//显示圆形头像

    }

    interface Presenter extends BasePresenter{
        void getCanKaoHuaShu(int type);//获取参考话术(type是指获取新客几天的话术)

        void request(GuanHuaiData guanHuaiData);//联网获取会员详细资料和优惠券

        void upload(GuanHuaiData guanHuaiData,
                    boolean weixin, boolean msg, boolean call, boolean share, boolean confirmCare, String careType, int type, String taskId);//上传回访数据

        void getHeadPicFromNet(String headUrl, HuiYuanXiangXiZiLiaoEntity mEntity);//下载用户头像
    }
}
