package com.urovo.activity.attendancemanagement.attendancemanager.ent;

import java.io.Serializable;
import java.util.List;

/**
 * Date: 2017/12/30
 * Time: 23:39
 * 排班的模型
 *
 * @author chenji
 */
public class ShiftQueryEntity implements Serializable {
    /**
     * sysCode : 0
     * msgCode : 0
     * msgContent : 操作成功！
     * result : {"user":{"staffId":"洪家妃","name":"75602947"},"nutConSchedulingDayList":[{"id":2099726,"nutConSchedulingShopId":2099725,"schedulingDay":"2018-01-01","sureflag":"1","nutConCreateTime":"2018-01-12 09:40:50","nutConUpdateTime":"2018-01-12 09:40:50","nutConCreatePersonId":"admin","nutConUpdatePersonId":"admin","shop":{"shopId":"0110074","shopName":"华润万家科技园平店"},"nutConSchedulingTime":[{"id":2099727,"nutConSchedulingDayId":2099726,"schedulingStartTime":"08:30","schedulingEndTime":"17:30"}]},{"id":2099728,"nutConSchedulingShopId":2099725,"schedulingDay":"2018-01-02","sureflag":"1","nutConCreateTime":"2018-01-12 09:40:58","nutConUpdateTime":"2018-01-12 09:40:58","nutConCreatePersonId":"admin","nutConUpdatePersonId":"admin","shop":{"shopId":"0110074","shopName":"华润万家科技园平店"},"nutConSchedulingTime":[{"id":2099729,"nutConSchedulingDayId":2099728,"schedulingStartTime":"08:30","schedulingEndTime":"17:30"}]},{"id":2099731,"nutConSchedulingShopId":2099730,"schedulingDay":"2018-01-03","sureflag":"1","nutConCreateTime":"2018-01-12 09:44:39","nutConUpdateTime":"2018-01-12 09:44:39","nutConCreatePersonId":"admin","nutConUpdatePersonId":"admin","shop":{"shopId":"0110075","shopName":"华润万家ttt"},"nutConSchedulingTime":[{"id":2099732,"nutConSchedulingDayId":2099731,"schedulingStartTime":"08:30","schedulingEndTime":"17:30"}]}]}
     */

    private int sysCode;
    private int msgCode;
    private String msgContent;
    private ResultBean result;

    public int getSysCode() {
        return sysCode;
    }

    public void setSysCode(int sysCode) {
        this.sysCode = sysCode;
    }

    public int getMsgCode() {
        return msgCode;
    }

    public void setMsgCode(int msgCode) {
        this.msgCode = msgCode;
    }

    public String getMsgContent() {
        return msgContent;
    }

    public void setMsgContent(String msgContent) {
        this.msgContent = msgContent;
    }

    public ResultBean getResult() {
        return result;
    }

    public void setResult(ResultBean result) {
        this.result = result;
    }

    public static class ResultBean {
        /**
         * user : {"staffId":"洪家妃","name":"75602947"}
         * nutConSchedulingDayList : [{"id":2099726,"nutConSchedulingShopId":2099725,"schedulingDay":"2018-01-01","sureflag":"1","nutConCreateTime":"2018-01-12 09:40:50","nutConUpdateTime":"2018-01-12 09:40:50","nutConCreatePersonId":"admin","nutConUpdatePersonId":"admin","shop":{"shopId":"0110074","shopName":"华润万家科技园平店"},"nutConSchedulingTime":[{"id":2099727,"nutConSchedulingDayId":2099726,"schedulingStartTime":"08:30","schedulingEndTime":"17:30"}]},{"id":2099728,"nutConSchedulingShopId":2099725,"schedulingDay":"2018-01-02","sureflag":"1","nutConCreateTime":"2018-01-12 09:40:58","nutConUpdateTime":"2018-01-12 09:40:58","nutConCreatePersonId":"admin","nutConUpdatePersonId":"admin","shop":{"shopId":"0110074","shopName":"华润万家科技园平店"},"nutConSchedulingTime":[{"id":2099729,"nutConSchedulingDayId":2099728,"schedulingStartTime":"08:30","schedulingEndTime":"17:30"}]},{"id":2099731,"nutConSchedulingShopId":2099730,"schedulingDay":"2018-01-03","sureflag":"1","nutConCreateTime":"2018-01-12 09:44:39","nutConUpdateTime":"2018-01-12 09:44:39","nutConCreatePersonId":"admin","nutConUpdatePersonId":"admin","shop":{"shopId":"0110075","shopName":"华润万家ttt"},"nutConSchedulingTime":[{"id":2099732,"nutConSchedulingDayId":2099731,"schedulingStartTime":"08:30","schedulingEndTime":"17:30"}]}]
         */

        private UserBean user;
        private List<NutConSchedulingDayListBean> nutConSchedulingDayList;

        public UserBean getUser() {
            return user;
        }

        public void setUser(UserBean user) {
            this.user = user;
        }

        public List<NutConSchedulingDayListBean> getNutConSchedulingDayList() {
            return nutConSchedulingDayList;
        }

        public void setNutConSchedulingDayList(List<NutConSchedulingDayListBean> nutConSchedulingDayList) {
            this.nutConSchedulingDayList = nutConSchedulingDayList;
        }

        public static class UserBean {
            /**
             * staffId : 洪家妃
             * name : 75602947
             */

            private String staffId;
            private String name;

            public String getStaffId() {
                return staffId;
            }

            public void setStaffId(String staffId) {
                this.staffId = staffId;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }
        }

        public static class NutConSchedulingDayListBean {
            /**
             * id : 2099726
             * nutConSchedulingShopId : 2099725
             * schedulingDay : 2018-01-01
             * sureflag : 1
             * nutConCreateTime : 2018-01-12 09:40:50
             * nutConUpdateTime : 2018-01-12 09:40:50
             * nutConCreatePersonId : admin
             * nutConUpdatePersonId : admin
             * "caseHughFlag": 例休还是正常排班标识： 3/早班 4/中班 5/晚班 6/直落班 7/做一休一（工作）8/做一休一（休息）9/高峰班 1/例休 10/月会培训 ,
             * "caseHughFlagChinese": 例休还是正常排班标识中文解释： 早班 、中班 、晚班 、直落班 、做一休一（工作）、做一休一（休息）、高峰班 、例休 、月会培训 ,
             * shop : {"shopId":"0110074","shopName":"华润万家科技园平店"}
             * nutConSchedulingTime : [{"id":2099727,"nutConSchedulingDayId":2099726,"schedulingStartTime":"08:30","schedulingEndTime":"17:30"}]
             */

            private int id;
            private int nutConSchedulingShopId;
            private String schedulingDay;
            private String sureflag;
            private String nutConCreateTime;
            private String nutConUpdateTime;
            private String nutConCreatePersonId;
            private String nutConUpdatePersonId;
            private String caseHughFlag;
            private String caseHughFlagChinese;
            private ShopBean shop;
            private List<NutConSchedulingTimeBean> nutConSchedulingTime;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getNutConSchedulingShopId() {
                return nutConSchedulingShopId;
            }

            public void setNutConSchedulingShopId(int nutConSchedulingShopId) {
                this.nutConSchedulingShopId = nutConSchedulingShopId;
            }

            public String getSchedulingDay() {
                return schedulingDay;
            }

            public void setSchedulingDay(String schedulingDay) {
                this.schedulingDay = schedulingDay;
            }

            public String getSureflag() {
                return sureflag;
            }

            public void setSureflag(String sureflag) {
                this.sureflag = sureflag;
            }

            public String getNutConCreateTime() {
                return nutConCreateTime;
            }

            public void setNutConCreateTime(String nutConCreateTime) {
                this.nutConCreateTime = nutConCreateTime;
            }

            public String getNutConUpdateTime() {
                return nutConUpdateTime;
            }

            public void setNutConUpdateTime(String nutConUpdateTime) {
                this.nutConUpdateTime = nutConUpdateTime;
            }

            public String getNutConCreatePersonId() {
                return nutConCreatePersonId;
            }

            public void setNutConCreatePersonId(String nutConCreatePersonId) {
                this.nutConCreatePersonId = nutConCreatePersonId;
            }

            public String getNutConUpdatePersonId() {
                return nutConUpdatePersonId;
            }

            public void setNutConUpdatePersonId(String nutConUpdatePersonId) {
                this.nutConUpdatePersonId = nutConUpdatePersonId;
            }

            public String getCaseHughFlag() {
                return caseHughFlag;
            }

            public void setCaseHughFlag(String caseHughFlag) {
                this.caseHughFlag = caseHughFlag;
            }

            public String getCaseHughFlagChinese() {
                return caseHughFlagChinese;
            }

            public void setCaseHughFlagChinese(String caseHughFlagChinese) {
                this.caseHughFlagChinese = caseHughFlagChinese;
            }

            public ShopBean getShop() {
                return shop;
            }

            public void setShop(ShopBean shop) {
                this.shop = shop;
            }

            public List<NutConSchedulingTimeBean> getNutConSchedulingTime() {
                return nutConSchedulingTime;
            }

            public void setNutConSchedulingTime(List<NutConSchedulingTimeBean> nutConSchedulingTime) {
                this.nutConSchedulingTime = nutConSchedulingTime;
            }

            public static class ShopBean {
                /**
                 * shopId : 0110074
                 * shopName : 华润万家科技园平店
                 */

                private String shopId;
                private String shopName;

                public String getShopId() {
                    return shopId;
                }

                public void setShopId(String shopId) {
                    this.shopId = shopId;
                }

                public String getShopName() {
                    return shopName;
                }

                public void setShopName(String shopName) {
                    this.shopName = shopName;
                }
            }

            public static class NutConSchedulingTimeBean {
                /**
                 * id : 2099727
                 * nutConSchedulingDayId : 2099726
                 * schedulingStartTime : 08:30
                 * schedulingEndTime : 17:30
                 */

                private int id;
                private int nutConSchedulingDayId;
                private String schedulingStartTime;
                private String schedulingEndTime;

                public int getId() {
                    return id;
                }

                public void setId(int id) {
                    this.id = id;
                }

                public int getNutConSchedulingDayId() {
                    return nutConSchedulingDayId;
                }

                public void setNutConSchedulingDayId(int nutConSchedulingDayId) {
                    this.nutConSchedulingDayId = nutConSchedulingDayId;
                }

                public String getSchedulingStartTime() {
                    return schedulingStartTime;
                }

                public void setSchedulingStartTime(String schedulingStartTime) {
                    this.schedulingStartTime = schedulingStartTime;
                }

                public String getSchedulingEndTime() {
                    return schedulingEndTime;
                }

                public void setSchedulingEndTime(String schedulingEndTime) {
                    this.schedulingEndTime = schedulingEndTime;
                }

                @Override
                public String toString() {
                    return "NutConSchedulingTimeBean{" +
                            "id=" + id +
                            ", nutConSchedulingDayId=" + nutConSchedulingDayId +
                            ", schedulingStartTime='" + schedulingStartTime + '\'' +
                            ", schedulingEndTime='" + schedulingEndTime + '\'' +
                            '}';
                }
            }

            @Override
            public String toString() {
                return "NutConSchedulingDayListBean{" +
                        "id=" + id +
                        ", nutConSchedulingShopId=" + nutConSchedulingShopId +
                        ", schedulingDay='" + schedulingDay + '\'' +
                        ", sureflag='" + sureflag + '\'' +
                        ", nutConCreateTime='" + nutConCreateTime + '\'' +
                        ", nutConUpdateTime='" + nutConUpdateTime + '\'' +
                        ", nutConCreatePersonId='" + nutConCreatePersonId + '\'' +
                        ", nutConUpdatePersonId='" + nutConUpdatePersonId + '\'' +
                        ", shop=" + shop +
                        ", nutConSchedulingTime=" + nutConSchedulingTime +
                        '}';
            }
        }

        @Override
        public String toString() {
            return "ResultBean{" +
                    "user=" + user +
                    ", nutConSchedulingDayList=" + nutConSchedulingDayList +
                    '}';
        }
    }
}
