package com.urovo.activity.careertraining.model;

import java.util.List;

/**
 * 导师评估内容——周一 {entryTime (string, optional):入职时间 ,
 * itemContent (string, optional):导师评价内容 ,
 * staffId (string, optional):顾问工号 ,
 * week (string, optional):周 ,
 * workerTrainInfoList (Array[WorkerTrainInfo], optional):导师评估内容——周一
 * integrativeEvaluation (string, optional):综合评价 ,
 * officeEvaluation (string, optional):经理评价内容 ,
 * supervisorEvaluation (string, optional):主管评价内容 ,
 * }
 */
public class WorkerTrainInfoList {

    private String entryTime;
    private String itemContent;
    private String staffId;
    private String week;
    private String integrativeEvaluation;
    private String officeEvaluation;
    private String supervisorEvaluation;
    private List<WorkerTrainInfo> workerTrainInfoList;

    public String getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(String entryTime) {
        this.entryTime = entryTime;
    }

    public String getItemContent() {
        return itemContent;
    }

    public void setItemContent(String itemContent) {
        this.itemContent = itemContent;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }

    public List<WorkerTrainInfo> getWorkerTrainInfoList() {
        return workerTrainInfoList;
    }

    public void setWorkerTrainInfoList(List<WorkerTrainInfo> workerTrainInfoList) {
        this.workerTrainInfoList = workerTrainInfoList;
    }

    public String getIntegrativeEvaluation() {
        return integrativeEvaluation;
    }

    public void setIntegrativeEvaluation(String integrativeEvaluation) {
        this.integrativeEvaluation = integrativeEvaluation;
    }

    public String getOfficeEvaluation() {
        return officeEvaluation;
    }

    public void setOfficeEvaluation(String officeEvaluation) {
        this.officeEvaluation = officeEvaluation;
    }

    public String getSupervisorEvaluation() {
        return supervisorEvaluation;
    }

    public void setSupervisorEvaluation(String supervisorEvaluation) {
        this.supervisorEvaluation = supervisorEvaluation;
    }
}
