package com.urovo.activity.checkGoodsTabAct.model

/**
 * Created by LW on 2022-08-18
 */
data class QueryCheckEntity(
    var checked: Boolean,//是否选中
    var createDate: String?,//盘点创建日期
    var diffAmount: Double,//盘点差异金额
    var pdAmount: Double,//盘点总金额
    var pdBillCode: String?,//盘点单号
    var brandName: String?,//盘点品牌
    var pdDate: String?,//盘点日期
    var pdKouFen: Double,//盘点扣分
    var pdQty: Double,//盘点总数量
    var pdState: String?,//盘点单状态 ('草稿', '待审核','生效')
    var shDate: String?,//盘点审核日期
    var storeName: String?,//门店名称
    var storeNo: String?,//门店编号
    var pdUserName: String?,//盘点人员
    var saleAmount: Double,//本月销售总金额
    var imgList: List<String>,//盘点图片
    var detailList: List<DetailList>
) {

    data class DetailList(
        var proName: String?,//产品名字
        var proCode: String?,//产品编码
        var proPrice: Double,//产品价格
        var pdQty: Double,//盘点数量
        var pdAmount: Double,//盘点金额
        var stockQty: Double,//库存数量
        var diffQty: Double,//盘点差异数量
        var diffAmount: Double,//盘点差异金额
        var brandId: Int,//品牌类型id
        var proId: String?,//产品ID
        var locationId: String?,//库位ID
        var pdAlterNum: Double?,//修改盘点后数量
        var pdBillCode: String?,// 盘点单号
        var pdId: String?,//盘点Id
        var proUnit: String?,//产品单位
        var proUnitId: String?,//产品单位Id
        var storeId: String?,//门店id
        var type: Int,//类型 :UPDATE =0 或 INSERT =1
        var pdUserNo: String?,//盘点人员工号
        var pdStatus: String?
    )//盘点单状态 ('草稿', '待审核','生效') ,
}