package com.urovo.activity.combineResult.ui;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.GridView;

/**
 * 一次性显示全部元素的GridView（不带滚动）
 *
 * @author Sasuke
 * @date 2016/9/17
 */
public class NoScrollGridView extends GridView {
    public NoScrollGridView(Context context) {
        super(context);
    }

    public NoScrollGridView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    public void onMeasure(int widthMeasureSpec, int heightMeasureSpec){
        int mExpandSpec = MeasureSpec.makeMeasureSpec(Integer.MAX_VALUE >> 2, MeasureSpec.AT_MOST);
        super.onMeasure(widthMeasureSpec, mExpandSpec);
    }
}