package com.urovo.activity.data;

import android.text.TextUtils;

import com.urovo.wugumofang.system.BaseAppManager;

public class DataConvert {

    public static String stringToPercentString(String num) {
        String res = "-";
        if (null != num && !TextUtils.isEmpty(num)) {
            try {
                float f = Float.valueOf(num);
                int t = (int) (f * 10000);
                int c = t / 100;
                int y = t % 100;
                if (y > 0) {
                    res = c + "." + String.format("%02d", y) + "%";
                } else {
                    res = c + "%";
                }

            } catch (Exception e) {
                BaseAppManager.loger().info(e);
            }
        }
        return res;
    }

    public static String stringNegToPercentString(String num) {
        String res = "-";
        if (null != num && !TextUtils.isEmpty(num)) {
            try {
                float f = Float.valueOf(num);
                if (f < 0)
                    f = -f;
                int t = (int) (f * 10000);
                int c = t / 100;
                int y = t % 100;
                if (y > 0) {
                    res = c + "." + String.format("%02d", y) + "%";
                } else {
                    res = c + "%";
                }
            } catch (Exception e) {
                BaseAppManager.loger().info(e);
            }
        }
        return res;
    }

    public static String stringNegToIntString(String num) {
        String res = "-";
        if (null != num && !TextUtils.isEmpty(num)) {
            try {
                float f = Float.valueOf(num);
                if (f < 0)
                    f = -f;
                int t = (int) (f * 100);
                int c = t / 100;
                int y = t % 100;
                if (y > 0) {
                    res = c + "." + String.format("%02d", y);
                } else {
                    res = c + "";
                }
            } catch (Exception e) {
                BaseAppManager.loger().info(e);
            }
        }
        return res;
    }

    public static String stringToIntString(String num) {
        String res = "-";
        if (null != num && !TextUtils.isEmpty(num)) {
            try {
                float f = Float.valueOf(num);
                int t = (int) (f * 100);
                int c = t / 100;
                int y = t % 100;
                if (y > 0) {
                    res = c + "." + String.format("%02d", y);
                } else {
                    res = c + "";
                }
            } catch (Exception e) {
                BaseAppManager.loger().info(e);
            }
        }
        return res;
    }
}
