package com.urovo.activity.data.queryproductsales.model;


import com.chad.library.adapter.base.entity.AbstractExpandableItem;
import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.urovo.activity.data.queryproductsales.adapter.ExpandableItemAdapter;

/**
 * @author chenji
 * @date 2018/03/11
 */
public class Level0Item extends AbstractExpandableItem<Level1Item> implements MultiItemEntity {
    /**
     * 产品系列名称
     */
    public String productSeriesName;
    /**
     * 销售额占比
     */
    public String amountRate;

    public Level0Item(String productSeriesName, String amountRate) {
        this.productSeriesName = productSeriesName;
        this.amountRate = amountRate;
    }

    @Override
    public int getItemType() {
        return ExpandableItemAdapter.TYPE_LEVEL_0;
    }

    @Override
    public int getLevel() {
        return 0;
    }
}
