package com.urovo.activity.labelprinter.ent;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author chenji last on 2018/2/6 16:05
 */

public class LabelPrinterEnt implements Serializable {
    /**
     * proName : 葛根
     * proCode : 2.20046
     * detailList : [{"key":"生产商","value":"湖北馥雅食品科技有限公司"},{"key":"生产地址","value":"黄冈市团风县城南工业园"},{"key":"保质期","value":"180"},{"key":"电话号码","value":""}]
     */
    private String proName;
    private String proCode;
    private String labelType;//标签类型,1为正常标签，2为特殊标签 ,
    private List<DetailListBean> detailList = new ArrayList<>();

    public String getLabelType() {
        return labelType;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getProCode() {
        return proCode;
    }

    public void setProCode(String proCode) {
        this.proCode = proCode;
    }

    public List<DetailListBean> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<DetailListBean> detailList) {
        this.detailList = detailList;
    }

    public static class DetailListBean {
        /**
         * key : 生产商
         * value : 湖北馥雅食品科技有限公司
         */

        private String key;
        private String value;

        public String getKey() {
            return key;
        }

        public void setKey(String key) {
            this.key = key;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }

        @Override
        public String toString() {
            return "DetailListBean{" +
                    "key='" + key + '\'' +
                    ", value='" + value + '\'' +
                    '}';
        }
    }

    @Override
    public String toString() {
        return "LabelPrinterEnt{" +
                "proName='" + proName + '\'' +
                ", proCode='" + proCode + '\'' +
                ", detailList=" + detailList +
                '}';
    }
}
