package com.urovo.activity.learningsearch.net;

import com.urovo.wugumofang.response.Base3Response;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Sasuke on 2017/3/6.
 * 文章关键词搜索出的结果返回。
 */

public class LearnResultRes extends Base3Response{

    /**
     * sysCode : 0
     * msgCode : 0
     * msgContent : null
     * resultInfo : null
     * resultList : [{"store":null,"articleId":"b121041e-cbdf-44ce-a7ac-b3876fc7d5e7","title":"粉粉创意8种早餐，你绝对想不到！","secondSelectType":null,"imageUrl":"","articleUrl":"http://mp.weixin.qq.com/s?__biz=MjM5MDEzMTE0MA==&mid=407355578&idx=1&sn=33cdc928e6d748befed387aae335fefd#rd","createTime":"2016-10-14","readTimesCount":15,"typeId":0,"createTime2":null},{"store":null,"articleId":"e53f7a68-7be7-4933-b451-13df27561bff","title":"粉粉创意8种早餐，你绝对想不到！粉粉创意8种早餐，你绝对想不到！粉粉创意8种早餐，你绝对想不到！","secondSelectType":null,"imageUrl":"","articleUrl":"http://mp.weixin.qq.com/s?__biz=MjM5MDEzMTE0MA==&mid=217095823&idx=2&sn=f4f74d038ad4f1c49415d60f8030e469#rd","createTime":"2016-07-26","readTimesCount":0,"typeId":0,"createTime2":null},{"store":null,"articleId":"d482dac6-91cc-4bc3-9944-a261f8cbbfba","title":"粉粉创意8种早餐，你绝对想不到！粉粉创意8种早餐，你绝对想不到！粉粉创意8种早餐，你绝对想不到！","secondSelectType":null,"imageUrl":"","articleUrl":"http://mp.weixin.qq.com/s?__biz=MjM5MDEzMTE0MA==&mid=217095823&idx=2&sn=f4f74d038ad4f1c49415d60f8030e469#rd","createTime":"2016-07-25","readTimesCount":0,"typeId":0,"createTime2":null},{"store":null,"articleId":"91546de9-e467-4d1a-84bc-1b38bfca496c","title":"粉粉创意8种早餐，你绝对想不到！粉粉创意8种早餐，你绝对想不到！粉粉创意8种早餐，你绝对想不到！","secondSelectType":null,"imageUrl":"","articleUrl":"http://mp.weixin.qq.com/s?__biz=MjM5MDEzMTE0MA==&mid=217095823&idx=2&sn=f4f74d038ad4f1c49415d60f8030e469#rd","createTime":"2016-07-25","readTimesCount":0,"typeId":0,"createTime2":null},{"store":null,"articleId":"96c9ab87-5342-444d-afc7-32be8e379a9c","title":"粉粉创意8种早餐，你绝对想不到","secondSelectType":null,"imageUrl":"","articleUrl":"http://mp.weixin.qq.com/s?__biz=MjM5MDEzMTE0MA==&mid=407355578&idx=1&sn=33cdc928e6d748befed387aae335fefd#rd ","createTime":"2016-07-25","readTimesCount":0,"typeId":0,"createTime2":null}]
     */

    private String resultInfo;
    private List<ResultListBean> resultList = new ArrayList<>();

    public List<ResultListBean> getResultList() {
        return resultList;
    }

    public String getResultInfo() {
        return resultInfo;
    }

    public static class ResultListBean {
        /**
         * store : null
         * articleId : b121041e-cbdf-44ce-a7ac-b3876fc7d5e7
         * title : 粉粉创意8种早餐，你绝对想不到！
         * secondSelectType : null
         * imageUrl :
         * articleUrl : http://mp.weixin.qq.com/s?__biz=MjM5MDEzMTE0MA==&mid=407355578&idx=1&sn=33cdc928e6d748befed387aae335fefd#rd
         * createTime : 2016-10-14
         * readTimesCount : 15
         * typeId : 0
         * createTime2 : null
         */

        private String store;//门店号
        private String articleId;//文章主键
        private String title;//文章标题
        private int secondSelectType;////是否有二级目录（0没有，1有）
        private String imageUrl;//
        private String articleUrl;//文章URL
        private String createTime;//文章创建时间（yyyy-MM-dd）
        private int readTimesCount;//已读次数
        private int typeId;//文章类型（好像是用来区分 学习中心 和 养生文库 的？）
        private String createTime2;

        public Object getStore() {
            return store;
        }

        public void setStore(String store) {
            this.store = store;
        }

        public String getArticleId() {
            return articleId;
        }

        public void setArticleId(String articleId) {
            this.articleId = articleId;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public Object getSecondSelectType() {
            return secondSelectType;
        }

        public void setSecondSelectType(int secondSelectType) {
            this.secondSelectType = secondSelectType;
        }

        public String getImageUrl() {
            return imageUrl;
        }

        public void setImageUrl(String imageUrl) {
            this.imageUrl = imageUrl;
        }

        public String getArticleUrl() {
            return articleUrl;
        }

        public void setArticleUrl(String articleUrl) {
            this.articleUrl = articleUrl;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public int getReadTimesCount() {
            return readTimesCount;
        }

        public void setReadTimesCount(int readTimesCount) {
            this.readTimesCount = readTimesCount;
        }

        public int getTypeId() {
            return typeId;
        }

        public void setTypeId(int typeId) {
            this.typeId = typeId;
        }

        public Object getCreateTime2() {
            return createTime2;
        }

        public void setCreateTime2(String createTime2) {
            this.createTime2 = createTime2;
        }
    }
}
