package com.urovo.activity.machinerepairact.net

import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2019-05-07
 */
data class EngineerDetailRes(var resultInfo: ResultInfo) : Base3Response() {
    data class ResultInfo(var mroId: Int,//工单id
                          var applicant: String?,//申请人
                          var applyReason: String?,//申请原因
                          var status: Int,//工单状态,0待处理,1待评价,2已评价 ,
                          var storeName: String?,//门店名
                          var description: String?,//故障描述
                          var picBeforeOperation: List<String>?,//施工前照片
                          var handleWay: String?,//处理方式 ,
                          var finishTime: String?,// 完成时间 ,
                          var rating: Int,//客户评价 未评价0 ,差1,中2,好3
                          var ratingContent: String?,//评价内容
                          var operationTimeBegin: String?,//施工开始时间 ,
                          var operationTimeEnd: String?,//施工结束时间
                          var operationRequest: String?,//施工要求
                          var otherRequest: String?,//其他要求
                          var storeNo: String?,//门店号
                          var address: String?,//门店位置
                          var picAfterOperation: List<String>?) {
        //施工后照片
        fun getRatingText(): String {
            return when (rating) {
                3 -> "好评"
                2 -> "中评"
                1 -> "差评"
                else -> "未评价"
            }
        }
    }
}