package com.urovo.activity.machinerepairact.net

import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2019-07-31
 */
data class EngineerMyStoresRes(var resultInfo: List<ResultInfo>) : Base3Response() {
    data class ResultInfo(var storeNo: String,//门店号
                          var storeName: String,//门店名
                          var jyType: String,//门店类型 ,
                          var office: String,//所属办事处 ,
                          var manager: String,//所属主管/经理 ,
                          var managerTel: String,//所属主管/经理电话 ,
                          var isSaledLastMonth: Int,//上个月是否有销量,有销售1 ; 没有0 ,
                          var storeAddr: String) {//门店地址 ,
        //解析出主管手机号
        fun getManagerPhone(): String {
//            return manager.replace(getManagerName(), "").trim()
            return managerTel
        }

        //解析出主管名字
        fun getManagerName(): String {
//            val digitIndex = manager.indexOfFirst { it.isDigit() }
//            return manager.substring(0, digitIndex).trim()
            return manager
        }
    }
}