package com.urovo.activity.membergroup;//package com.urovo.activity.membergroup;
//
//import android.animation.ObjectAnimator;
//import android.animation.ValueAnimator;
//import android.animation.ValueAnimator.AnimatorUpdateListener;
//import android.content.Context;
//import android.graphics.drawable.BitmapDrawable;
//import android.util.DisplayMetrics;
//import android.view.Gravity;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.View.OnClickListener;
//import android.view.WindowManager.LayoutParams;
//import android.widget.AdapterView;
//import android.widget.AdapterView.OnItemClickListener;
//import android.widget.Button;
//import android.widget.GridView;
//import android.widget.ImageView;
//import android.widget.PopupWindow;
//import android.widget.RelativeLayout;
//import android.widget.ScrollView;
//import android.widget.SimpleAdapter;
//import android.widget.TextView;
//
//import com.urovo.wgmf.view.MyTagView;
//import com.urovo.wugumofang.R;
//
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
//public class JiFenDaoQiHuiFangPop {
//    private final int TAG_HEIGHT = 65;
//    private final int TAG_WIDTH = 120;
//    private final int POP_FIX = 350;
//    private final static String CHILE = "接通";
//
//    private final static String MEICHIWAN = "无所谓";
//    private final static String SONGREN = "不了解积分活动";
//    private final static String ZAICIGOUMAI = "敏感重视";
//
//    private final static String WEIJIETONG = "电话未接通";
//    private final static String BIEDALAO = "希望别再打扰";
//
//    private String mYiJi[] = {CHILE, WEIJIETONG, BIEDALAO};
//    private String mErJi[] = {MEICHIWAN, SONGREN, ZAICIGOUMAI};
//
//    private Context mContext;
//    private View mParentView;
//    private PopupWindow mPopupWindow;
//    private RelativeLayout mRelativeLayoutMore;
//    private RelativeLayout mRelativeLayoutContent;
//    private ScrollView mScrollView;
//    private ImageView mImageView;
//    private TextView mTextViewCallMore;
//    private TextView mTextViewCallFailed;
//    private TextView mTextViewNoAgain;
//
//    private Button mButtonConfirm;
//
//    private ObjectAnimator mObjectAnimator;
//
//    private OnOperation mOnOperation;
//
//    private List<String> mTags = new ArrayList<String>();
//
//    private Object mObject;
//
//    private int mHeight;
//    private boolean mIsOpen = false;
//
//    public interface OnOperation {
//        public void onChoose(Object o, List<String> tags);
//    }
//
//    private OnClickListener mOnClickListener = new OnClickListener() {
//
//        @Override
//        public void onClick(View v) {
//
//            if (v == mRelativeLayoutMore) {
//                more();
//            } else if (v == mButtonConfirm) {
//                if (null != mOnOperation) {
//                    mOnOperation.onChoose(mObject, mTags);
//                }
//                mPopupWindow.dismiss();
//            } else if (v == mTextViewCallFailed || v == mTextViewNoAgain) {
//                TextView textView = (TextView) v;
//                mTags.clear();
//                mTags.add(textView.getText().toString());
//                if (null != mOnOperation) {
//                    mOnOperation.onChoose(mObject, mTags);
//                }
//                mPopupWindow.dismiss();
//            }
//        }
//    };
//
//    public JiFenDaoQiHuiFangPop(Context cxt, View parent, OnOperation l) {
//        mContext = cxt;
//        mParentView = parent;
//        mOnOperation = l;
//
//        View content = LayoutInflater.from(mContext).inflate(R.layout.huifang_liangyue, null);
//        mRelativeLayoutMore = (RelativeLayout) content.findViewById(R.id.relativeLayoutMore);
//        mScrollView = (ScrollView) content.findViewById(R.id.scrollViewMore);
//        mRelativeLayoutContent = (RelativeLayout) content.findViewById(R.id.relativeLayoutConent);
//        mImageView = (ImageView) content.findViewById(R.id.imageViewMore);
//        mTextViewCallMore = (TextView) content.findViewById(R.id.textViewMore);
//        mTextViewCallFailed = (TextView) content.findViewById(R.id.textViewCallFailed);
//        mTextViewNoAgain = (TextView) content.findViewById(R.id.textViewNoAgain);
//
//        mButtonConfirm = (Button) content.findViewById(R.id.buttonConfirm);
//
//        mRelativeLayoutMore.setOnClickListener(mOnClickListener);
//        mTextViewCallFailed.setOnClickListener(mOnClickListener);
//        mTextViewNoAgain.setOnClickListener(mOnClickListener);
//        mButtonConfirm.setOnClickListener(mOnClickListener);
//
//        mTextViewCallMore.setText(CHILE);
//
//        DisplayMetrics dm = mContext.getResources().getDisplayMetrics();
//        float scaled = dm.scaledDensity;
//        int height = (int) (scaled * POP_FIX);
//        int tagWidth = (int) (scaled * TAG_WIDTH);
//        int screenHeight = dm.heightPixels;
//        int screenWidth = dm.widthPixels;
//        int column = screenWidth / tagWidth;
//        mHeight = screenHeight - height;
//
//        initGridView(content, R.id.gridView1, mErJi, column, scaled);
//
//        mPopupWindow = new PopupWindow(content, LayoutParams.FILL_PARENT, LayoutParams.FILL_PARENT, true);
//        mPopupWindow.setBackgroundDrawable(new BitmapDrawable());
//
//        mRelativeLayoutContent.measure(0, 0);
//        int measureHeight = mRelativeLayoutContent.getMeasuredHeight();
//        if (measureHeight < mHeight)
//            mHeight = measureHeight;
//
//        initAnimator();
//    }
//
//    private void initGridView(View content, int id, String tags[], int column, float scaled) {
//        GridView gridView = (GridView) content.findViewById(id);
//        gridView.setNumColumns(column);
//        gridView.getLayoutParams().height = (int) (((tags.length + column - 1) / column) * scaled * TAG_HEIGHT);
//        String[] from = {"Text"};
//        int[] to = {R.id.tagView1};
//        List<Map<String, ?>> list = new ArrayList<Map<String, ?>>();
//        for (int i = 0; i < tags.length; i++) {
//            Map<String, String> m = new HashMap<String, String>();
//            m.put("Text", tags[i]);
//            list.add(m);
//        }
//        gridView.setAdapter(new SimpleAdapter(mContext, list, R.layout.huifang_tag, from, to));
//        gridView.setOnItemClickListener(new OnItemClickListener() {
//
//            @Override
//            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
//
//                MyTagView tag = (MyTagView) view;
//                boolean checked = !tag.isChecked();
//                String str = tag.getText().toString();
//                tag.setChecked(checked);
//                if (checked) {
//                    mTags.add(str);
//                } else {
//                    mTags.remove(str);
//                }
//            }
//        });
//    }
//
//    private void initAnimator() {
//        mObjectAnimator = ObjectAnimator.ofInt(mScrollView, "my", 0, mHeight).setDuration(500);
//        mObjectAnimator.addUpdateListener(new AnimatorUpdateListener() {
//            @Override
//            public void onAnimationUpdate(ValueAnimator animation) {
//                int h = (Integer) animation.getAnimatedValue();
//                mScrollView.getLayoutParams().height = h;
//                mScrollView.requestLayout();
//            }
//        });
//
//    }
//
//    private void more() {
//        if (mIsOpen) {
//            mIsOpen = false;
//            mObjectAnimator.reverse();
//            ObjectAnimator.ofFloat(mImageView, "rotation", 180.0F, 0.0F).setDuration(500).start();
//        } else {
//            if (!mObjectAnimator.isRunning()) {
//                mIsOpen = true;
//                mObjectAnimator.start();
//                ObjectAnimator.ofFloat(mImageView, "rotation", 0.0F, 180.0F).setDuration(500).start();
//            }
//        }
//    }
//
//    public void show(Object o) {
//        mObject = o;
//        mPopupWindow.showAtLocation(mParentView, Gravity.CENTER, 0, 0);
//    }
//
//    public void show() {
//        mPopupWindow.showAtLocation(mParentView, Gravity.CENTER, 0, 0);
//    }
//}
