package com.urovo.activity.membergroup;

import java.util.List;

import android.content.Context;

import com.urovo.wgmf.adapter.MyBaseAdapter;

public abstract class MemberBaseAdapter<T, V> extends MyBaseAdapter {
	public interface OnCallOrMsgListiener {
		public void onCall(int index, String mobile);

		public void onMsg(int index, String mobile);
	}

	protected OnCallOrMsgListiener mOnCallOrMsgListiener;

	public MemberBaseAdapter(List<T> lists, Context context, OnCallOrMsgListiener l) {
		super(lists, context);
		mOnCallOrMsgListiener = l;
	}

	public MemberBaseAdapter(List<T> lists, V v, Context context, OnCallOrMsgListiener l) {
		super(lists, v, context);
		mOnCallOrMsgListiener = l;
	}
}
