package com.urovo.activity.memorderact.net

import com.urovo.wugumofang.response.Base3Response
import java.io.Serializable

/**
 * Created by Sasuke on 2019-07-19
 */
data class MemOrderListRes(var resultInfo: List<ResultInfo>): Base3Response() {
    data class ResultInfo(var id: Int,//订单id,订单上传时不需要此字段 ,
                          var userNo: String,//营养顾问工号
                          var storeNo: String,// 门店号
                          var customerTel: String,//客户手机号码
                          var amount: Double,//订单金额
                          var insertTime: String,//插入时间,订单上传时不需要此字段 ,
                          var details: List<Details>): Serializable {
        data class Details(var prodCode: String,// 产品编码
                           var prodName: String?,//产品名称,订单上传时不需要此字段 ,
                           var quantity: Double,//数量
                           var unitPrice: Double,//小计,订单上传时不需要此字段 ,
                           var subamount: Double): Serializable//单价
    }
}