package com.urovo.activity.messagecenter.view;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.urovo.wugumofang.R;

import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.Unbinder;

/**
 * Created by Sasuke on 2016/8/24.
 */
public class BaseNoRefreshFra extends Fragment {
    @BindView(R.id.net_error_text)
    public TextView netErrorText;
    @BindView(R.id.no_data_text)
    public TextView noDataText;
    @BindView(R.id.today_task_list_view)
    public ListView mListView;
    @BindView(R.id.loading)
    public ProgressBar loading;
    Unbinder unbinder;
    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        container  = (RelativeLayout)inflater.inflate(R.layout.listview_normal,null,false);
        unbinder = ButterKnife.bind(this,container);
        return container;
    }

    public void showNoData(){
        noDataText.setVisibility(View.VISIBLE);
        netErrorText.setVisibility(View.GONE);
        loading.setVisibility(View.GONE);
    }

    public void showNetError(){
        noDataText.setVisibility(View.GONE);
        netErrorText.setVisibility(View.VISIBLE);
        loading.setVisibility(View.GONE);
    }

    public void hideErrorText(){
        noDataText.setVisibility(View.GONE);
        netErrorText.setVisibility(View.GONE);
        loading.setVisibility(View.GONE);
    }

    @Override
    public void onDestroy() {
//        ButterKnife.unbind(this);
        unbinder.unbind();
        super.onDestroy();
    }

}
