package com.urovo.activity.normalquestionact.presenter

import com.urovo.activity.normalquestionact.net.QuestionRes
import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView

/**
 * @author Sasuke on 2018/5/3.
 */
class QuestionContract {
    interface view: BaseView<pre> {
        fun init()

        fun showLoad()

        fun showNetError()

        fun showNoData()

        fun dismissLoadWait()

        fun refreshUI(dataList: List<QuestionRes.ResultInfo>)
    }

    interface pre: BasePresenter
}