package com.urovo.activity.qualityBackAct.model

class SuggestionData {

    private var mTopicTypeOptions = arrayOf<MenuItem>()

    /**
     * 获取主题类型选项
     */
    fun getTopicTypeOptions(): Array<MenuItem> {
        mTopicTypeOptions = arrayOf(
            MenuItem(
                QTYPE.PRODUCT_CLASS,
                arrayOf(QTYPE.PACKAGING_IDENTIFICATION, QTYPE.PRODUCT_DESIGN_TASTE)
            ),
            MenuItem(
                QTYPE.COUNTER_MATERIAL_CLASS,
                arrayOf(
                    QTYPE.PROMOTIONAL_ACTIVITIES,
                    QTYPE.COUNTER_MATERIAL,
                    QTYPE.TASTING_STANDARD_SUGGESTION
                )
            ),
            MenuItem(QTYPE.SALARY_BENEFITS_PERFORMANCE_CLASS, null),
            MenuItem(QTYPE.ORDER_INVENTORY_CLASS, null),
            MenuItem(QTYPE.MACHINE_REPAIR_CLASS, null),
            MenuItem(QTYPE.BARCODE_PROBLEM, null),
            MenuItem(QTYPE.LOGISTIC_ISSUE, null),
            MenuItem(QTYPE.BUSINESS_MARKETING_STEWARD, null),
            MenuItem(
                QTYPE.MEMBER_REPURCHASE_PROGRAM,
                arrayOf(
                    QTYPE.MEMBERSHIP_BENEFIT_DAY,
                    QTYPE.BENEFIT_CARD,
                    QTYPE.THOUSANDS_OF_SHOPS,
                    QTYPE.THOUSANDS_OF_PEOPLE
                )
            ),
            MenuItem(QTYPE.OTHERS_CLASS, null)
        )
        return mTopicTypeOptions
    }
}