package com.urovo.activity.qualityBackAct.net

import java.util.*

/**
 * @author Sasuke on 2019/5/23.
 * 多点陈列上传
 */
class ChinretsuEntity : BaseEntity {
    var userNo: String = ""//提交人
    var storeNo: String = ""//门店名
    var type	: Int = 0//陈列类型（1专柜陈列,2堆头陈列,3第二磨粉点）
    var startDate: String = ""//开始时间
    var endDate: String = ""//结束时间
    var content: String = ""//陈列说明

    var pics: String = ""//图片

    override fun addAll2List(urlList: MutableList<String>?) {
        urlList?.forEach {
            pics += "${it},"
        }
        if (pics.endsWith(",") ){
            pics = pics.run { substring(0,this.length - 1) }
        }
    }

    override fun makeNetParam(): HashMap<String, String> {
        return hashMapOf("userNo" to userNo,
                                    "storeNo" to storeNo,
                                    "type" to type.toString(),
                                    "startDate" to startDate,
                                    "endDate" to endDate,
                                    "content" to content,
                                    "pics" to pics)
    }
}