package com.urovo.activity.receiveGoodsTabMenu.ui;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.urovo.wgmf.db.dao.entitys.PeiSongBillRes;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.data.StringUtils;
import com.urovo.wugumofang.R;

import java.util.List;

public class ReceiveGoodsActiveAda extends BaseAdapter {
	private List<PeiSongBillRes.itemBill.InitiativeListBean> list;
	private BaseActivity context;

	public ReceiveGoodsActiveAda(List<PeiSongBillRes.itemBill.InitiativeListBean> list, BaseActivity context) {
		this.list = list;
		this.context = context;
	}

	@Override
	public int getCount() {

		return list == null ? 0 : list.size();
	}

	@Override
	public Object getItem(int position) {

		return list == null ? null : list.get(position);
	}

	@Override
	public long getItemId(int position) {

		return position;
	}

	@Override
	public View getView(final int position, View convertView, ViewGroup parent) {
		final ViewHolder viewHolder;
		if(convertView == null) {
			convertView = LayoutInflater.from(context).inflate(R.layout.receivegoods2_detail_item, null);
			viewHolder = new ViewHolder();
			viewHolder.name = (TextView) convertView.findViewById(R.id.detail_name);
			viewHolder.count = (TextView) convertView.findViewById(R.id.detail_count);
			convertView.setTag(viewHolder);
		}
		else {
			viewHolder = (ViewHolder) convertView.getTag();
		}
		PeiSongBillRes.itemBill.InitiativeListBean ent = list.get(position);
		viewHolder.name.setText(ent.getProName());
		viewHolder.count.setText(StringUtils.formatDouble(ent.getProQty(), "0.##"));
		return convertView;
	}

	class ViewHolder {
		TextView name;
		TextView count;
	}

}
