package com.urovo.activity.receiveGoodsTabMenu.ui;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.urovo.activity.receiveGoodsTabMenu.net.PeiSongDetailRes;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;

import java.util.List;

public class ReceiveGoodsDetailAda extends BaseExpandableListAdapter {

	private BaseActivity context;
//	private List<Group> group;
//	private List<List<QueryEntity>> child;
	private List<PeiSongDetailRes.ResultInfoBean> list ;

	public ReceiveGoodsDetailAda(List<PeiSongDetailRes.ResultInfoBean> list, BaseActivity context) {
		this.context = context;
		this.list = list;

//		group = new ArrayList<Group>();
//		child = new ArrayList<List<QueryEntity>>();
//		if(list != null && list.size() > 0) {
//			group.add(new Group(list.get(0).WDate, list.get(0).Bill, 0, 0));
//			for (QueryEntity a : list) {
//				if(!group.contains(new Group(a.WDate, a.Bill, 0, 0))) {
//					group.add(new Group(a.WDate, a.Bill, 0, 0));
//				}
//			}
//			for (Group g : group) {
//				ArrayList<QueryEntity> childItem = new ArrayList<QueryEntity>();
//				double amount = 0;
//				double count = 0;
//				for (QueryEntity a : list) {
//					if(a.Bill.equals(g.bill)) {
//						childItem.add(a);
//						amount = Arith.add(amount, Double.parseDouble(a.Amount));
//						count = Arith.add(count, Double.parseDouble(a.TQTY));
//					}
//				}
//				g.amount = amount;
//				g.count = (int) count;
//				child.add(childItem);
//			}
//		}
	}

	@Override
	public int getGroupCount() {

		return list == null ? 0 : list.size();
	}

	@Override
	public int getChildrenCount(int groupPosition) {

		return list.get(groupPosition).getDispatchDetailList() == null ? 0 :list.get(groupPosition).getDispatchDetailList().size();
	}

	@Override
	public PeiSongDetailRes.ResultInfoBean getGroup(int groupPosition) {
		return list.get(groupPosition);
	}

	@Override
	public PeiSongDetailRes.ResultInfoBean.DispatchDetailListBean getChild(int groupPosition, int childPosition) {
		return list.get(groupPosition).getDispatchDetailList().get(childPosition);
	}

	@Override
	public long getGroupId(int groupPosition) {

		return groupPosition;
	}

	@Override
	public long getChildId(int groupPosition, int childPosition) {

		return childPosition;
	}

	@Override
	public boolean hasStableIds() {

		return false;
	}

	@Override
	public View getGroupView(int groupPos, boolean isExpanded, View convertView, ViewGroup parent) {
		if(convertView == null) {
			convertView = LayoutInflater.from(context).inflate(R.layout.listview_date_item2, null);
		}
		TextView dateTextView = (TextView) convertView.findViewById(R.id.date);
		TextView tv_maker = (TextView) convertView.findViewById(R.id.tv_maker);
		TextView tv_amount = (TextView) convertView.findViewById(R.id.tv_amount);
		TextView tv_count = (TextView) convertView.findViewById(R.id.tv_count);
		String dateInfo = getGroup(groupPos).getDispatchDate();
		dateTextView.setText(dateInfo.split(" ")[0]);
		tv_maker.setText("箱/件数:" + getGroup(groupPos).getBoxReceivedNum());
		tv_amount.setText("总金额：" + getGroup(groupPos).getAllProSumAmount());
		tv_count.setText("总数量：" + getGroup(groupPos).getAllProSumQty());
		return convertView;
	}

	@Override
	public View getChildView(int groupPos, int childPos, boolean isLastChild, View convertView, ViewGroup parent) {
		ViewHolder viewHolder;
		if(convertView == null) {
			convertView = LayoutInflater.from(context).inflate(R.layout.second_goods_query_item, null);
			viewHolder = new ViewHolder();
			viewHolder.name = (TextView) convertView.findViewById(R.id.goods_name);
			viewHolder.num = (TextView) convertView.findViewById(R.id.goods_num);
			viewHolder.price = (TextView) convertView.findViewById(R.id.goods_price);
			viewHolder.count = (TextView) convertView.findViewById(R.id.goods_count);
			viewHolder.amount = (TextView) convertView.findViewById(R.id.goods_amount);
			viewHolder.people = (TextView) convertView.findViewById(R.id.goods_query_people);
			viewHolder.bill = (TextView) convertView.findViewById(R.id.goods_query_bill);
			viewHolder.date = (TextView) convertView.findViewById(R.id.goods_query_date);
			viewHolder.isShow = (LinearLayout) convertView.findViewById(R.id.is_show);
			viewHolder.isShow.setVisibility(View.GONE);
			convertView.setTag(viewHolder);
		}
		else {
			viewHolder = (ViewHolder) convertView.getTag();
		}
//		QueryEntity ent = child.get(groupPosition).get(childPosition);
		viewHolder.name.setText(getChild(groupPos,childPos).getProName());
		viewHolder.num.setText(getChild(groupPos,childPos).getProCode());
		viewHolder.price.setText(getChild(groupPos,childPos).getProPrice()+"");
		viewHolder.count.setText(getChild(groupPos,childPos).getProQty()+"");
		viewHolder.amount.setText(getChild(groupPos,childPos).getProSumAmount()+"");
		viewHolder.people.setText(getChild(groupPos,childPos).getDispachePerson());
		viewHolder.bill.setText(getChild(groupPos,childPos).getDispatchBill());

		return convertView;
	}

	@Override
	public boolean isChildSelectable(int groupPosition, int childPosition) {

		return false;
	}

	class ViewHolder {
		TextView name;
		TextView num;
		TextView price;
		TextView count;
		TextView amount;
		TextView people;
		TextView bill;
		TextView date;
		LinearLayout isShow;

	}
}
