package com.urovo.activity.receiveraddress.net

import java.io.Serializable

/**
 * Created by Sasuke on 2019-07-24
 * 注：其实就是 ReceiversInfosRes.ResultInfo的精简版。
 * AddrSubmitBean
 */
data class AddrSubmitBean(var receiverName: String,//收货人姓名
                          var receiverPhone: String,//收货人电话
                          var additional: String,//详细地址（街道、房号等） ,
                          var provinceId: Int,//省份id
                          var cityId: Int,//城市id
                          var districtId: Int,//城区、县id
                          var id: Int,
                          var addressStatus: Int,//地址状态（是否有效） ,
                          var customerId: Int,//用户id
                          var openId: String//用户openId
) : Serializable {
    /**如果是提交新建的收货地址，那就调用这个方法来创建实体就行了。*/
    fun createNewAddrBean(): AddrSubmitNewBean{
        return AddrSubmitNewBean(receiverName,receiverPhone,additional,provinceId,cityId,districtId)
    }
}