package com.urovo.activity.saleDatas.net;

import android.text.TextUtils;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.util.List;

/**
 * Created by Sasuke on 2016/8/30.
 */
public class SaleDataResponse  extends BaseOldResponse {


    /**
     * msgCode : 0
     * resultInfo : {"storeId":"0110074","shopName":"华润万家深圳科技园店（虚拟）","monthTask":"--","monthAmount":"1818.8","finishRate":"0%","saleCompare":[{"month":"201702","money":"16434.4"},{"month":"201703","money":"21765.8"},{"month":"201704","money":"27949.59"},{"month":"201705","money":"21555.4"},{"month":"201706","money":"18842.8"},{"month":"201707","money":"16879.6"},{"month":"201708","money":"16227.8"},{"month":"201709","money":"18209.6"},{"month":"201710","money":"19978.89"},{"month":"201711","money":"19216.5"},{"month":"201712","money":"20212.2"},{"month":"201801","money":"1818.8"}]}
     */
    private ResultInfoBean resultInfo;

    public ResultInfoBean getResultInfo() {
        return resultInfo;
    }

    public static class ResultInfoBean {
        /**
         * storeId : 0110074
         * shopName : 华润万家深圳科技园店（虚拟）
         * monthTask : --
         * monthAmount : 1818.8
         * finishRate : 0%
         * saleCompare : [{"month":"201702","money":"16434.4"},{"month":"201703","money":"21765.8"},{"month":"201704","money":"27949.59"},{"month":"201705","money":"21555.4"},{"month":"201706","money":"18842.8"},{"month":"201707","money":"16879.6"},{"month":"201708","money":"16227.8"},{"month":"201709","money":"18209.6"},{"month":"201710","money":"19978.89"},{"month":"201711","money":"19216.5"},{"month":"201712","money":"20212.2"},{"month":"201801","money":"1818.8"}]
         */

        private String storeId;//门店号
        private String shopName;//门店名
        private String monthTask;//月任务
        private String monthAmount;//月累计销售金额
        private String finishRate;//任务完成率
        private List<SaleCompareBean> saleCompare;//销量对比（就是那个折线图）
        private List<SaleCompareBean> saleTBcompare;//去年销量（2nd折线）

        public String getStoreId() {
            return storeId;
        }

        public void setStoreId(String storeId) {
            this.storeId = storeId;
        }

        public String getShopName() {
            return shopName;
        }

        public void setShopName(String shopName) {
            this.shopName = shopName;
        }

        public String getMonthTask() {
            return monthTask;
        }

        public void setMonthTask(String monthTask) {
            this.monthTask = monthTask;
        }

        public String getMonthAmount() {
            return monthAmount;
        }

        public void setMonthAmount(String monthAmount) {
            this.monthAmount = monthAmount;
        }

        public String getFinishRate() {
            return finishRate;
        }

        public void setFinishRate(String finishRate) {
            this.finishRate = finishRate;
        }

        public List<SaleCompareBean> getSaleCompare() {
            return saleCompare;
        }

        public List<SaleCompareBean> getSaleTBcompare() {
            return saleTBcompare;
        }

        public static class SaleCompareBean {
            /**
             * month : 201702
             * money : 16434.4
             */

            private String month;
            private String money;

            public String getMonth() {
                if(TextUtils.isEmpty(month)){
                    return "------";
                }
                return month;
            }

            public void setMonth(String month) {
                this.month = month;
            }

            public String getMoney() {
                return money;
            }

            public void setMoney(String money) {
                this.money = money;
            }
        }
    }
}


//
//public class SaleDataResponse  extends BaseOldResponse {
//    InnerClass returnBean;
//
//    class InnerClass{
//        List<Entity> returnList;
//    }
//
//    public  List<Entity> getReturnList() {
//        if(returnBean == null || returnBean.returnList == null || returnBean.returnList.size() == 0){
//            return null;
//        }
//        return returnBean.returnList;
//    }
//
//    public class Entity{
//        String monthTask = "--";//任务
//        String monthAmount = "--";//累计销量
//        String shortAmount = "--";//差额
//        String finishRate = "--";//完成率
//        String merchCommission = "--";//会员商品提成
//        String tipAmount = "--";//顾客打赏
//        String flowerNum = "--";//鲜花数
//        String goldenSpeedNum = "--";//金种子数
//
//        public String getMonthTask() {
//            return monthTask;
//        }
//
//        public String getMonthAmount() {
//            return monthAmount;
//        }
//
//        public String getShortAmount() {
//            return shortAmount;
//        }
//
//        public String getFinishRate() {
//            return finishRate;
//        }
//
//        public String getMerchCommission() {
//            return merchCommission;
//        }
//
//        public String getTipAmount() {
//            return tipAmount;
//        }
//
//        public String getFlowerNum() {
//            return flowerNum;
//        }
//
//        public String getGoldenSpeedNum() {
//            return goldenSpeedNum;
//        }
//    }
//
//
//}

