package com.urovo.activity.shisanreportact.presenter

import com.urovo.activity.shisanreportact.model.ShisanReportEntity
import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView

/**
 * @author Sasuke on 2019-8-9 0009.
 */
interface ShisanReportContract {
    interface view: BaseView<pre>{
        fun init()

        fun showLoadWait(state: Int)

        fun dismissLoadWait()

        fun refreshRv(labelStrings: List<ShisanReportEntity.ResultInfo.Type>, dataList: List<ShisanReportEntity.ResultInfo.Wrapper.Details>)

        fun finish()
    }

    interface pre: BasePresenter
}