//package com.urovo.activity.slidemenu;
//
//import android.content.Context;
//import android.graphics.Color;
//import android.os.Bundle;
//import android.text.TextUtils;
//import android.util.DisplayMetrics;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.View.OnClickListener;
//import android.view.ViewGroup;
//import android.widget.Button;
//import android.widget.ListView;
//import android.widget.TextView;
//
//import com.urovo.wgmf.AsyncTask.QueryXiaoFeiMingXiTask;
//import com.urovo.wugumofang.base.BaseActivity;
//import com.urovo.wugumofang.system.SystemHelper;
//import com.urovo.wgmf.adapter.MyBaseAdapter;
//import com.urovo.wugumofang.response.BaseOldResponse;
//import com.urovo.wugumofang.response.BaseResponse;
//import com.urovo.wgmf.db.dao.entitys.MemberSalesDetialsEntity;
//import com.urovo.wgmf.db.dao.entitys.MemberSalesDetialsEntity.ProductsreturnList;
//import com.urovo.wugumofang.R;
//
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
///**
// * 购买明细
// */
//public class XiaoFeiActivity extends BaseActivity {
//  public static String MEMBER_ID = "member_id";
//  private ListView mListView;
//  private XiaoFeiAdapter mMyAdapterXisoFei;
//  private List<ProductsreturnList> mList;
//  private Map<String, String> params = new HashMap<String, String>();
//  private String mMemberID;
//
//  @Override public void onCreate(Bundle savedInstanceState) {
//    super.onCreate(savedInstanceState);
////    ViewUtils.inject(this);
//    setContentView(R.layout.xiaofei_detail);
//    initTitle();
//    initHeader();
//    initContent();
//  }
//
//  @Override public void displayResult(String tag, BaseResponse response) {
//    super.displayResult(tag, response);
//    if (!((BaseOldResponse)response).msgCode.equals("0")) {
//      showMsg(response.msgContent);
//      return;
//    } else if (null != response) {
//      MemberSalesDetialsEntity res = (MemberSalesDetialsEntity) response;
//      List<ProductsreturnList> list = res.returnBean.returnList;
//      mList.clear();
//      if (null == list || list.size() == 0) {
//        showEmpty();
//      }
//      mList.addAll(list);
//      mMyAdapterXisoFei.notifyDataSetInvalidated();
//    }
//  }
//
//  @Override public void initTitle() {
//    super.initTitle();
//    titleTextView.setText("购买明细");
//  }
//
//  public void initHeader() {
//  }
//
//  public void initContent() {
//    mList = new ArrayList<ProductsreturnList>();
//    mMyAdapterXisoFei = new XiaoFeiAdapter(this, mList);
//    mListView = (ListView) findViewById(R.id.listView1);
//    mListView.setAdapter(mMyAdapterXisoFei);
//    showEmpty();
//    startQuery();
//  }
//
//  private void startQuery() {
//    mMemberID = getIntent().getStringExtra(MEMBER_ID);
//    params.put("userId", SystemHelper.LoginUserId);
//    params.put("customerId", null);// 2者必传一个 会员id （首选)//现接口必须传空
//    params.put("customerMobile", mMemberID);// 会员手机号
//    params.put("type", "1");// 1:所有2:最近一次3:最进n个月
//    params.put("startTimeStr", null);
//    params.put("endTimeStr", null);
//    if (null == mMemberID || TextUtils.isEmpty(mMemberID)) {
//      showEmpty();
//    } else {
//      new QueryXiaoFeiMingXiTask(this, "正在查询...", true, params).execute("");
//    }
//  }
//
//  private void showEmpty() {
//    View v = LayoutInflater.from(this).inflate(R.layout.listview_empty, null);
//    v.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT,
//        ViewGroup.LayoutParams.FILL_PARENT));
//    v.setVisibility(View.GONE);
//    if (null != mListView.getTag()) {
//      View old = (View) mListView.getTag();
//      ((ViewGroup) mListView.getParent()).removeView(old);
//    }
//    ((ViewGroup) mListView.getParent()).addView(v);
//    mListView.setTag(v);
//    mListView.setEmptyView(v);
//  }
//
//  private void showNetError() {
//    View v = LayoutInflater.from(this).inflate(R.layout.listview_empty_error, null);
//    v.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT,
//        ViewGroup.LayoutParams.FILL_PARENT));
//    v.setVisibility(View.GONE);
//    Button btn = (Button) v.findViewById(R.id.buttonDownload);
//    btn.setOnClickListener(new OnClickListener() {
//      @Override public void onClick(View v) {
//        startQuery();
//      }
//    });
//    if (null != mListView.getTag()) {
//      View old = (View) mListView.getTag();
//      ((ViewGroup) mListView.getParent()).removeView(old);
//    }
//    ((ViewGroup) mListView.getParent()).addView(v);
//    mListView.setTag(v);
//    mListView.setEmptyView(v);
//  }
//
//  @Override public void netError() {
//    showNetError();
//  }
//
//  static class ViewHolder {
//    public TextView tv_xiaofei_date;
//    public TextView tv_xiaofei_saler;
//    public TextView tv_xiaofei_type;
//    public TextView tv_xiaofei_money;
//    public ListView lv_pro_detail;
//  }
//
//  private class XiaoFeiAdapter extends MyBaseAdapter<ProductsreturnList, ListView> {
//    public XiaoFeiAdapter(Context context, List<ProductsreturnList> product) {
//      super(product, context);
//    }
//
//    @Override public View getView(final int position, View convertView, ViewGroup parent) {
//      View view;
//      final ViewHolder holder;
//      if (convertView == null) {
//        view = View.inflate(context, R.layout.listview_item_xiaofei_detail, null);
//        holder = new ViewHolder();
//        holder.tv_xiaofei_date = (TextView) view.findViewById(R.id.tv_xiaofei_date);
//        holder.tv_xiaofei_saler = (TextView) view.findViewById(R.id.tv_xiaofei_saler);
//        holder.tv_xiaofei_type = (TextView) view.findViewById(R.id.tv_xiaofei_type);
//        holder.tv_xiaofei_money = (TextView) view.findViewById(R.id.tv_xiaofei_money);
//        holder.lv_pro_detail = (ListView) view.findViewById(R.id.lv_pro_detail);
//        view.setTag(holder);
//      } else {
//        view = convertView;
//        holder = (ViewHolder) view.getTag();
//      }
//      ProductsreturnList cell = mList.get(position);
//
//      holder.tv_xiaofei_date.setText(cell.saleDateStr);// 销售时间
//      holder.tv_xiaofei_saler.setText(cell.salerName);// 销售员
//      holder.tv_xiaofei_money.setText(cell.consAmount);// 金额
//      holder.tv_xiaofei_type.setText("消费");
//      holder.tv_xiaofei_type.setTextColor(Color.rgb(54, 183, 9));// 消费
//      if (Double.parseDouble(cell.consAmount) < 0) {
//        holder.tv_xiaofei_type.setTextColor(Color.rgb(255, 84, 0));// 退货
//        holder.tv_xiaofei_type.setText("退货");
//      }
//
//      holder.lv_pro_detail.setAdapter(
//          new XiaoFeiProAdapter(XiaoFeiActivity.this, cell.saleProductList));
//      if (null != cell.saleProductList && cell.saleProductList.size() > 0) {
//        int count = cell.saleProductList.size();
//        DisplayMetrics dm = getResources().getDisplayMetrics();
//        holder.lv_pro_detail.getLayoutParams().height = (int) (count * 25 * dm.density);
//      } else {
//        holder.lv_pro_detail.getLayoutParams().height = ViewGroup.LayoutParams.WRAP_CONTENT;
//      }
//      return view;
//    }
//  }
//
//  private class XiaoFeiProAdapter
//      extends MyBaseAdapter<MemberSalesDetialsEntity.SaleProductList, ListView> {
//
//    public XiaoFeiProAdapter(Context context,
//        List<MemberSalesDetialsEntity.SaleProductList> product) {
//      super(product, context);
//    }
//
//    @Override public View getView(final int position, View convertView, ViewGroup parent) {
//      if (convertView == null) {
//        convertView = View.inflate(context, R.layout.listview_item_xiaofei_detail_item_pro, null);
//      }
//      TextView tv_xiaofei_pro_name = (TextView) convertView.findViewById(R.id.tv_xiaofei_pro_name);
//      TextView tv_xiaofei_pro_num = (TextView) convertView.findViewById(R.id.tv_xiaofei_pro_num);
//      TextView tv_xiaofei_pro_price =
//          (TextView) convertView.findViewById(R.id.tv_xiaofei_pro_price);
//      MemberSalesDetialsEntity.SaleProductList cell = lists.get(position);
//      tv_xiaofei_pro_name.setText(cell.productName);// 商品名称
//      tv_xiaofei_pro_num.setText(cell.productNum);// 数量
//      tv_xiaofei_pro_price.setText(cell.amount);// 金额
//      return convertView;
//    }
//  }
//}
