package com.urovo.activity.user;

import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.urovo.activity.user.adapter.QuickExpandListAdapter;
import com.urovo.wgmf.AsyncTask.BaseAppSalerServerTask;
import com.urovo.wgmf.entity.response.XinZiResponse;
import com.urovo.wgmf.db.dao.entitys.XinZiEntity;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.SystemHelper;
import com.wgmf.trade.widgets.ExtExpandableListView;
import com.zsy.libcore.ui.ada.helper.ViewHelper;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.Unbinder;

//import com.zsy.libcore.ui.ada.quickadapter.QuickExpandListAdapter;

/**
 * 作者：xiep on 2017/3/2 14:48
 * 邮箱：2975837870@qq.com
 */

public class XinZiFragment extends BackHandledFragment implements UserContract.view {

//    public String testJson = "{'sysCode':0,'msgCode':0,'msgContent':null,'resultInfo':{'sds':[{'salary':{'name':'姓名','money':'张三','disCanFold':false}},{'salary':{'name':'工号','money':'041801','disCanFold':false}},{'salary':{'name':'年月','money':'201606','disCanFold':false}},{'salary':{'name':'办事处','money':'深圳一区','disCanFold':false}},{'salary':{'name':'门店','money':'华润万家科技园店','disCanFold':false}},{'salary':{'name':'岗位','money':'营养顾问','disCanFold':false}},{'salary':{'name':'计薪天数','money':'26','disCanFold':false}},{'salary':{'name':'实发工资','money':'5800.80','disCanFold':false}},{'salary':{'name':'固定部分总额','money':'2300.00','disCanFold':true},'details':[{'name':'实发底薪','money':'1800.00'},{'name':'浮动津贴','money':'400.00'},{'name':'周末加班费','money':'100.00'}]},{'salary':{'name':'其他部分总额','money':'600.00','disCanFold':true},'details':[{'name':'岗位工资','money':'100.00'},{'name':'工龄工资','money':'100.00'},{'name':'星级工资','money':'0.0'},{'name':'话补','money':'100.00'},{'name':'交通补贴','money':'100.00'},{'name':'流动绩效工资','money':'--'},{'name':'法定假日加班费','money':'100.00'},{'name':'补发工资','money':'--'},{'name':'补发原因','money':'--'}]},{'salary':{'name':'销售提成合计','money':'5800.80','disCanFold':true},'details':[{'name':'会员商城销量提成','money':'5800.80'},{'name':'上月门店财务工资销量','money':'5800.80'},{'name':'门店前二月财务销量差','money':'5800.80'},{'name':'上月门店实际销量','money':'5800.80'},{'name':'目标内提成','money':'5800.80'},{'name':'目标外提成','money':'5800.80'},{'name':'门店超额提成','money':'5800.80'},{'name':'流动提成','money':'--'},{'name':'小店提成','money':'--'},{'name':'其他提成金额','money':'5800.80'}]},{'salary':{'name':'考核奖金/绩效奖金合计','money':'5800.80','disCanFold':true},'details':[{'name':'总销量打成奖金','money':'5800.80'},{'name':'含伴侣客单数占比打成奖金','money':'5800.80'},{'name':'新客达成奖金','money':'5800.80'},{'name':'新客有效微会员完成率达成奖金','money':'5800.80'},{'name':'客单数目标完成率达成奖金','money':'5800.80'},{'name':'参评率达成奖金','money':'5800.80'},{'name':'新八珍盒数目标达标率达成奖金标准','money':'5800.80'},{'name':'其他项目考核奖金','money':'5800.80'},{'name':'小店完成率系数','money':'--'},{'name':'不合格门店数','money':'--'}]},{'salary':{'name':'扣款','money':'107.00','disCanFold':true},'details':[{'name':'扣个税','money':'5.00'},{'name':'扣社保','money':'100.00'},{'name':'磨粉扣款','money':'--'},{'name':'其他扣款','money':'--'},{'name':'扣款原因','money':'--'},{'name':'爱心基金','money':'2.00'},{'name':'扣小店第1月预支保底','money':'--'}]}]},'resultList':null}";
//    public String testJson="{'sysCode':0,'msgCode':0,'msgContent':null,'resultInfo':{'sds':[{'salary':{'name':'姓名','money':'李国秀','disCanFold':false},'details':[]},{'salary':{'name':'工号','money':'85100341','disCanFold':false},'details':[]},{'salary':{'name':'年月','money':'201704','disCanFold':false},'details':[]},{'salary':{'name':'办事处','money':'贵阳办','disCanFold':false},'details':[]},{'salary':{'name':'门店','money':'宾隆超市贵阳花果园店','disCanFold':false},'details':[]},{'salary':{'name':'岗位','money':'营养顾问','disCanFold':false},'details':[]},{'salary':{'name':'计薪天数','money':'30.0','disCanFold':false},'details':[]},{'salary':{'name':'实发工资','money':'1600.0','disCanFold':false},'details':[]},{'salary':{'name':'固定部分总额','money':'--','disCanFold':true},'details':[{'name':'实发底薪','money':'--','disCanFold':false},{'name':'浮动津贴','money':'--','disCanFold':false},{'name':'周末加班费','money':'--','disCanFold':false}]},{'salary':{'name':'其它部分总额','money':'--','disCanFold':true},'details':[{'name':'岗位工资','money':'--','disCanFold':false},{'name':'工龄工资','money':'--','disCanFold':false},{'name':'星级工资','money':'--','disCanFold':false},{'name':'话补','money':'--','disCanFold':false},{'name':'交通补贴','money':'--','disCanFold':false},{'name':'流动绩效工资','money':'--','disCanFold':false},{'name':'法定假日加班费','money':'--','disCanFold':false},{'name':'补发工资','money':'--','disCanFold':false},{'name':'补发原因','money':'--','disCanFold':false}]},{'salary':{'name':'销售提成合计','money':'52527.51','disCanFold':true},'details':[{'name':'会员商城销量提成','money':'64.61','disCanFold':false},{'name':'上月门店财务工资销量','money':'26231.45','disCanFold':false},{'name':'门店前二月财务销量差','money':'--','disCanFold':false},{'name':'上月门店实际销量','money':'26231.45','disCanFold':false},{'name':'目标内提成','money':'--','disCanFold':false},{'name':'目标外提成','money':'--','disCanFold':false},{'name':'门店超额提成','money':'--','disCanFold':false},{'name':'流动提成','money':'--','disCanFold':false},{'name':'小店提成','money':'--','disCanFold':false},{'name':'其它提成金额','money':'--','disCanFold':false}]},{'salary':{'name':'考核奖金合计','money':'--','disCanFold':true},'details':[{'name':'总销量达成奖金','money':'--','disCanFold':false},{'name':'含伴侣客单数占比达成奖金','money':'--','disCanFold':false},{'name':'新客达成奖金','money':'--','disCanFold':false},{'name':'新客有效微会员完成率达成奖金','money':'--','disCanFold':false},{'name':'客单数目标完成率达成奖金','money':'--','disCanFold':false},{'name':'参评率达成奖金','money':'--','disCanFold':false},{'name':'新八珍盒数目标达标率达成奖金标准','money':'--','disCanFold':false},{'name':'其它项目考核奖金','money':'--','disCanFold':false},{'name':'小店完成率系数','money':'--','disCanFold':false},{'name':'不合格门店数','money':'--','disCanFold':false}]},{'salary':{'name':'扣款','money':'--','disCanFold':true},'details':[{'name':'扣个税','money':'--','disCanFold':false},{'name':'扣社保','money':'--','disCanFold':false},{'name':'磨粉扣款','money':'--','disCanFold':false},{'name':'其他扣款','money':'--','disCanFold':false},{'name':'扣款原因','money':'--','disCanFold':false},{'name':'爱心基金','money':'--','disCanFold':false},{'name':'扣小店第1月预支保底','money':'--','disCanFold':false}]}]},'resultList':null}";
    protected BaseAdapter mMyAdapter;
    @BindView(R.id.textViewInfo)
    TextView textViewInfo;
    @BindView(R.id.declareTv)
    TextView declareTv;
    @BindView(R.id.salary_elv)
    ExtExpandableListView salaryElv;
    private Map<String, String> mParams = new HashMap<>();
    private List<QuickExpandListAdapter.IExpandListItem<XinZiEntity.SdsBean.SalaryBean, XinZiEntity.SdsBean.DetailsBean>> sdsBeensIExpandListItem = new ArrayList<>();
    private List<XinZiEntity.SdsBean> sdsBeens;
    Unbinder unbinder;
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.act_xinzi, container, false);
        unbinder = ButterKnife.bind(this, view);
        selfCenterListPresenter = new UserPresenter(this);
        selfCenterListPresenter.start();
        view.setClickable(true);// 防止点击穿透，底层的fragment响应上层点击触摸事件
        return view;
    }

    @Override
    public void init() {
        textViewInfo.setText("---");
        mParams.put("userno", SystemHelper.LoginUserId);
//        mParams.put("userno", "85100341");

        //查询当前月份的上一个月份;new Date方式不用减去
        //int monthTemp = Integer.parseInt(DateUtil.format(new Date(),"yyyyMM"));
        //查询当前月份的上一个月份;Calendar方式用减去
        Calendar calendar = Calendar.getInstance();
        int yearTemp = calendar.get(Calendar.YEAR);
        int monthTemp = calendar.get(Calendar.MONTH);
        if (monthTemp == 0) { //一月份情况
            yearTemp = yearTemp - 1;
            monthTemp = 12;
        }
        mParams.put("month", yearTemp + String.format("%02d", monthTemp));
//        mParams.put("name", SystemHelper.LoginUserName);

//        mParams.put("month", "201704");
//        GlobalApp.loger.debug("userno--" + SystemHelper.LoginUserId);
//        GlobalApp.loger.debug("month--" + yearTemp + String.format("%02d", monthTemp));
//        GlobalApp.loger.debug("name--" + SystemHelper.LoginUserName);



//        int dayTemp = calendar.get(Calendar.DATE);
//        if (dayTemp > 10 && dayTemp < 18) {
//            requestConnectTask();
//        } else {
//            showMsg("不在薪资查询时间范围内");
//        }
        requestConnectTask();


//        requestConnectTask();
//        testData();
    }

    /**
     * 假数据测试
     */
//    private void testData() {
//        XinZiResponse res = new Gson().fromJson(testJson, XinZiResponse.class);
//        sdsBeens = res.resultInfo.sds;
//
//        if (sdsBeens != null && sdsBeens.size() > 0) {//如果有数据，那就不显示这一行提示。
//            textViewInfo.setVisibility(View.GONE);
//        }
//        sdsBeensIExpandListItem.clear();
//        for (final XinZiEntity.SdsBean sdsBeanTemp : sdsBeens) {
//            QuickExpandListAdapter.IExpandListItem<XinZiEntity.SdsBean.SalaryBean, XinZiEntity.SdsBean.DetailsBean> iExpandListItem = new QuickExpandListAdapter.IExpandListItem<XinZiEntity.SdsBean.SalaryBean, XinZiEntity.SdsBean.DetailsBean>() {
//                @Override
//                public List<XinZiEntity.SdsBean.DetailsBean> getChildren() {
//                    return sdsBeanTemp.details;
//                }
//
//                @Override
//                public XinZiEntity.SdsBean.SalaryBean getGroup() {
////                    if (sdsBeanTemp.details != null && sdsBeanTemp.details.size() == 0) {
////                        sdsBeanTemp.salary.setDisCanFold(true);
////                    }
////                    if (sdsBeanTemp.details == null) {
////                        mDisCanFold = false;
////                    }
//                    return sdsBeanTemp.salary;
//                }
//            };
//            sdsBeensIExpandListItem.add(iExpandListItem);
//        }
//
//        salaryElv.setAdapter(new QuickExpandListAdapter<XinZiEntity.SdsBean.SalaryBean, XinZiEntity.SdsBean.DetailsBean>(R.layout.item_salary_fold_unset, R.layout.listview_item_chaxun_kedan, sdsBeensIExpandListItem) {
//            @Override
//            protected void onBindGroupData(Context context, int i,
//                                           XinZiEntity.SdsBean.SalaryBean salaryBean, boolean b, ViewHelper viewHelper) {
//                viewHelper.setText(R.id.more_expand_tv, salaryBean.name);
//                viewHelper.setText(R.id.money_tv, salaryBean.money);
//                viewHelper.getView(R.id.list_group_arrow_iv).setVisibility(salaryBean.disCanFold ? View.VISIBLE : View.GONE);
//            }
//
//            @Override
//            protected void onBindChildData(Context context, int i, int i1, boolean b,
//                                           XinZiEntity.SdsBean.DetailsBean detailsBean, ViewHelper viewHelper) {
//                viewHelper.setText(R.id.textView1, detailsBean.name);
//                viewHelper.setText(R.id.textView2, detailsBean.money);
//            }
//        });
//    }

    @Override
    public void refresh(String tag, BaseResponse response) {
        if (null != response) {
            XinZiResponse res = (XinZiResponse) response;
            sdsBeens = res.resultInfo.sds;
            //声明时间段标题
            if (!TextUtils.isEmpty(res.msgContent)){
                textViewInfo.setText(res.msgContent);
            }
            //声明内容
            if (!TextUtils.isEmpty(res.resultInfo.declare)){
                declareTv.setText(res.resultInfo.declare);
            }

            if (sdsBeens != null && sdsBeens.size() > 0) {//如果有数据，那就不显示这一行提示。
                textViewInfo.setVisibility(View.GONE);
            }
            sdsBeensIExpandListItem.clear();
            for (final XinZiEntity.SdsBean sdsBeanTemp : sdsBeens) {
                QuickExpandListAdapter.IExpandListItem<XinZiEntity.SdsBean.SalaryBean, XinZiEntity.SdsBean.DetailsBean> iExpandListItem = new QuickExpandListAdapter.IExpandListItem<XinZiEntity.SdsBean.SalaryBean, XinZiEntity.SdsBean.DetailsBean>() {
                    @Override
                    public List<XinZiEntity.SdsBean.DetailsBean> getChildren() {
                        return sdsBeanTemp.details;
                    }

                    @Override
                    public XinZiEntity.SdsBean.SalaryBean getGroup() {
//                        if (sdsBeanTemp.details != null && sdsBeanTemp.details.size() == 0) {
//                            sdsBeanTemp.salary.setDisCanFold(true);
//                        }
                        return sdsBeanTemp.salary;
                    }
                };
                sdsBeensIExpandListItem.add(iExpandListItem);
            }

            salaryElv.setAdapter(new QuickExpandListAdapter<XinZiEntity.SdsBean.SalaryBean, XinZiEntity.SdsBean.DetailsBean>(R.layout.item_salary_fold_unset, R.layout.listview_item_chaxun_kedan, sdsBeensIExpandListItem) {
                @Override
                protected void onBindGroupData(Context context, int i,
                                               XinZiEntity.SdsBean.SalaryBean salaryBean, boolean b, ViewHelper viewHelper) {

                    viewHelper.setText(R.id.more_expand_tv, salaryBean.name);
                    viewHelper.setText(R.id.money_tv, salaryBean.money);
                    viewHelper.getView(R.id.list_group_arrow_iv).setVisibility(salaryBean.disCanFold ? View.VISIBLE : View.GONE);
                }

                @Override
                protected void onBindChildData(Context context, int i, int i1, boolean b,
                                               XinZiEntity.SdsBean.DetailsBean detailsBean, ViewHelper viewHelper) {
                    viewHelper.setText(R.id.textView1, detailsBean.name);
                    viewHelper.setText(R.id.textView2, detailsBean.money);
                }
            });

        } else {
            showMsg("暂无数据");
        }
    }


    protected void requestConnectTask() {
        new BaseAppSalerServerTask("xinzi", XinZiResponse.class, (UserActivity) getActivity(), "正在查询...", true, "/salarydetail/querybyempno", mParams).execute("");
    }

    @Override
    protected boolean onBackPressed() {
        return false;
    }

    @Override
    public void onDestroyView() {
//        ButterKnife.unbind(this);
        unbinder.unbind();
        super.onDestroyView();
    }
}
