package com.urovo.activity.user.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.TextView
import com.urovo.activity.user.UserPresenter
import com.urovo.wugumofang.R
import org.jetbrains.anko.find

/**
 * @author Sasuke on 2018/3/5.
 */
class UserInfoAdapter(val context: Context, val funItems: MutableList<UserPresenter.FunItem>): BaseAdapter() {

    override fun getView(pos: Int, v: View?, container: ViewGroup?): View {
        if (funItems[pos].isShow) {
            var view: View = LayoutInflater.from(context).inflate(R.layout.second_menu_item, container, false);
            view.find<TextView>(R.id.ItemText).text = funItems[pos].funName
            return view
        }else{
            return View(context)
        }
    }

    override fun getItem(pos: Int): Any {
        return funItems[pos]
    }

    override fun getItemId(pos: Int): Long {
        return pos.toLong();
    }

    override fun getCount(): Int {
//        return funItems.count { it.isShow }
        return funItems.size
    }

}