package com.urovo.activity.wxfriendsres.net

import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2020-04-23
 */
data class WxFriendsMaterialRes(var resultInfo: List<ResultInfo>) : Base3Response() {
    data class ResultInfo(var id: Int,
                          var releaseTime: String,//发布时间,格式yyyy-MM-dd HH:mm:ss
                          var released: Int,//是否已发布，0为未发布，1为已发布
                          var mtrRequireTitle: String,//素材要求标题
                          var mtrRequire: String,//素材要求
                          var contentTitle: String,//内容文案标题
                          var content: String,//内容文案
                          var replyTitle: String,//评论回复标题
                          var reply: String,//评论回复
                          var imagesTitle: String?,//配图列表标题
                          var images: List<String>?,//配图列表
                          var sampleImagesTitle: String,//示例图片标题
                          var videoTitle: String,//视频标题
                          var video: String?,//视频链接
                          var videoCover: String?,//视频封面
                          var sampleImages: List<String>?) {//示例图片
        @Transient
        var isExpanded: Boolean = false//默认全部收起（除第一项）

        @Transient
        var videoDuration: String? = ""//视频时长
    }
}