package com.urovo.wgmf.AsyncTask;

import com.urovo.activity.tabMenu.view.TabMenuActivity;
import com.urovo.wgmf.entity.response.MsgResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class DownloadMsgTask extends BaseActivityTask {
	private String resultStr;
	public String tag = "DownloadMsgTask";//默认是这个，但也可以修改
	private String sql;
	private MsgResponse response;
	private Map<String, String> params;

	public DownloadMsgTask(BaseActivity context, String message, boolean toShowProgressBar, String sql) {
		super(context, message, toShowProgressBar);
		
		this.sql = sql;
	}

	public DownloadMsgTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	public DownloadMsgTask(BaseActivity context, String message, boolean toShowProgressBar, String tag,Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
		this.tag = tag;
	}

	public DownloadMsgTask(TabMenuActivity context, String message, boolean toShowProgressBar, String tag, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
		this.tag = tag;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		resultStr = ResultTool.access(UrlMsgQuery, params);
		response = checkResult(resultStr, MsgResponse.class);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(tag + ":" + errMsg);
		}
		else {
			if(context != null){
				context.displayResult(tag, response);
			}
			if(tcontext != null){
				tcontext.displayResult(tag,response);
			}
		}
	}
}
