package com.urovo.wgmf.AsyncTask;


import android.text.TextUtils;

import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.response.BaseOldResponse;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.HashMap;
import java.util.Map;

/**
 * 请求QiniuToken
 */
public class QiNiuTokenTask extends BaseActivityTask {
    private String resultStr;
    private BaseResponse baseResponse;
    public static final String TAG = QiNiuTokenTask.class.getSimpleName();

    public QiNiuTokenTask(BaseActivity context, String message, boolean toShowProgressBar) {
        super(context, message, toShowProgressBar);
    }

    @Override
    public void dealTask() throws Exception {
//        super.dealTask();
        String tempToken;
        String urlToken = NetParam.YINXIAOBU_SERVER + NetParam.URL_PRODUCT_TOKEN;
        Map<String, String> params = new HashMap<String, String>();
        params.put("content", "");
        resultStr = ResultTool.access(urlToken, params);
        if (!TextUtils.isEmpty(resultStr))
            baseResponse = checkResult(resultStr, BaseOldResponse.class);
//        if (baseResponse != null) {
//            if ("0".equals(baseResponse.ret)) {
//                tempToken = baseResponse.retInfo;
//                if (!TextUtils.isEmpty(tempToken)) {
//
//                }
//            } else {
//                showMessage("获取图片Token失败!");
//            }
//        }
    }


    @Override
    public void afterTask() {

        super.afterTask();
        if (resultStr == null) {
            showMessage("访问服务异常");
        } else if (!"0".equals(baseResponse.ret)) {
            showMessage("获取图片Token失败!");
            BaseAppManager.loger().info(TAG + ":" + errMsg);
        } else {
            context.displayResult(TAG, baseResponse);
        }
    }

}
