package com.urovo.wgmf.AsyncTask;

import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wgmf.entity.response.CuXiaoItemNameResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

public class QueryCuXiaoInfoTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = "RequestQuery_DOWNLOADDJCXINFO";
	private String sql;
	private CuXiaoItemNameResponse response;

	public QueryCuXiaoInfoTask(BaseActivity context, String message, boolean toShowProgressBar, String sql) {
		super(context, message, toShowProgressBar);
		
		this.sql = sql;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		String action = NetParam.Action_RequestQuery;
		String method = NetParam.RequestQuery_DOWNLOADDJCXINFO;
		String content = sql;
		resultStr = ResultTool.access(Url, action, method, content);
		response = checkResult(resultStr, CuXiaoItemNameResponse.class);

	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
