package com.urovo.wgmf.AsyncTask;

import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wgmf.db.dao.entitys.LearningCenterResultEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryLearningPageNoTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = QueryLearningPageNoTask.class.getName();
	private LearningCenterResultEntity response;
	private Map<String, String> params;

	public QueryLearningPageNoTask(BaseActivity context, String message,
			boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {
		super.dealTask();
		resultStr = ResultTool.access(NetParam.LEARNINGCENTER, params);
		response = checkResult(resultStr, LearningCenterResultEntity.class);
	}

	@Override
	public void afterTask() {
		super.afterTask();
		if (errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		} else {
			context.displayResult(TAG, response);
		}
	}
}
