package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.entity.response.XiaoLiangChaXunResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryXiaoLiangChaXunTask extends BaseActivityTask {

	public static final String TAG = "QueryXiaoLiangChaXunTask";
	private XiaoLiangChaXunResponse response;
	private String resultStr;
	private Map<String, String> params;

	public QueryXiaoLiangChaXunTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {
		super.dealTask();
		resultStr = ResultTool.access(UrlMonthSales, params);
		response = checkResult(resultStr, XiaoLiangChaXunResponse.class);
	}

	@Override
	public void afterTask() {
		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
