package com.urovo.wgmf.AsyncTask;

import android.text.TextUtils;

import com.google.gson.Gson;
import com.urovo.wgmf.BaseFragmentActivity;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wgmf.db.dao.dao.Djxs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djxs002DbOperate;
import com.urovo.wgmf.db.dao.entitys.ProductEntity;
import com.urovo.wgmf.db.dao.entitys.XiaoShouEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.data.Arith;
import com.urovo.wugumofang.net.NetHelper;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.response.BaseOldResponse;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.ui.ViewUtil;
import com.zsy.libcore.common.android.log.SYLoger;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 上传销售信息
 *
 * @author Administrator
 */
public class UploadXiaoShouTask extends BaseActivityTask {
    private String resultStr;
    private BaseResponse baseResponse;
    private boolean hasInternet;
    public static final String TAG = "UploadXiaoShouTask";
    private int resault;

    public UploadXiaoShouTask(BaseActivity context, String message, boolean toShowProgressBar) {
        super(context, message, toShowProgressBar);
    }

    public UploadXiaoShouTask(BaseFragmentActivity context, String message, boolean toShowProgressBar) {
        super(context, message, toShowProgressBar);
    }

    @Override
    public void dealTask() throws Exception {
        super.dealTask();
        String action = NetParam.Action_RequestUpload;
        String method = NetParam.RequestUpload_XiaoShou;
        /*
         * while (Djxs001DbOperate.GetUnUploadCount() > 0) {
		 * List<XiaoShouEntity> list = Djxs001DbOperate.GetUnUpload(); //
		 * 未上传单据集合 for (XiaoShouEntity xse : list) { boolean saleBack =
		 * ("2".equals(xse.getXSTYPE())); ProductEntity[] array =
		 * Djxs002DbOperate.QueryXiaoShouDetail(xse.getBill(),
		 * saleBack).toArray(new ProductEntity[]{});
		 * xse.setProductDetails(array); } Gson gson = new Gson(); String
		 * content = gson.toJson(list); // Log.e(TAG, "content" + content);
		 * resultStr = ResultTool.access(Url, action, method, content); if
		 * ("".equals(resultStr)) { for (XiaoShouEntity ent : list)
		 * Djxs001DbOperate.UpdateBillState(ent.getBill()); } else { break; } }
		 */
        if (Djxs001DbOperate.GetUnUploadCount() > 0) {
            List<XiaoShouEntity> newlist = new ArrayList<XiaoShouEntity>();
            List<XiaoShouEntity> list = Djxs001DbOperate.GetAllUnUpload();
            // 未上传单据集合
            for (XiaoShouEntity xse : list) {
                // boolean saleBack = ("2".equals(xse.getXSTYPE()));
                // ProductEntity[] array =
                // Djxs002DbOperate.QueryXiaoShouDetail(xse.getBill(),
                // saleBack).toArray(new ProductEntity[]{});
                // xse.setProductDetails(array);
                // newlist.clear();
                // newlist.add(xse);
                // Gson gson = new Gson();
                // String content = gson.toJson(newlist);
                // resultStr = ResultTool.access(Url, action, method, content);
                // if ("".equals(resultStr))
                // {
                // Djxs001DbOperate.UpdateBillState(xse.getBill());
                // }

                boolean saleBack = ("2".equals(xse.getXSTYPE()));
                String path = saleBack ? "/user/pointexcancel" : "/user/pointex";
                List<ProductEntity> l = Djxs002DbOperate.QueryXiaoShouDetail(xse.getBill(), saleBack);

                for (ProductEntity p : l) {
                    if (Arith.mul(p.getPrice(), p.getTQTY()) != p.getAmount()) {
                        resault = 1;
                        break;
                    }

                    int a = l.indexOf(p);
                    if (l.get(a).getPrice() <= 0)
                        continue;
                    int b = l.lastIndexOf(p);
                    if (l.get(b).getPrice() <= 0)
                        continue;
                    if (a != b) {
                        resault = 2;
                        break;
                    }
                    SYLoger.print("条码打印 保存页面： 产品实际总价：" + p.getAmount());
                }
                if (1 == resault) {
                    Djxs001DbOperate.UpdateBillState(xse.getBill(), 2, "前端自查：总价与明细累加不符");// 异常单
                    continue;
                } else if (2 == resault) {
                    Djxs001DbOperate.UpdateBillState(xse.getBill(), 3, "前端自查：一个销售单内有两个相同产品");// 重复单
                    continue;
                }

                ProductEntity[] array = l.toArray(new ProductEntity[]{});
                xse.setProductDetails(array);
                newlist.clear();
                newlist.add(xse);
                Gson gson = new Gson();
                String content = gson.toJson(newlist);
                SYLoger.print("条码打印： 保存页面： " + content);
                Map<String, String> map = new HashMap<String, String>();
                map.put("action", action);
                map.put("method", method);
                map.put("content", content);
                resultStr = ResultTool.access(UrlBaseAppService + path, map);
                baseResponse = checkResult(resultStr, BaseOldResponse.class);
                if (null != baseResponse) {
                    if (TextUtils.isEmpty(baseResponse.retInfo))
                        baseResponse.retInfo = "";
                    if ("0".equals(baseResponse.ret)) {
                        Djxs001DbOperate.UpdateBillState(xse.getBill(), 1, "服务器反馈：" + baseResponse.retInfo);
                    } else if ("1036".equals(baseResponse.ret)) {
                        Djxs001DbOperate.UpdateBillState(xse.getBill(), 1, "服务器反馈：" + baseResponse.retInfo);
                    } else {
                        Djxs001DbOperate.UpdateBillState(xse.getBill(), 2, "服务器反馈：" + baseResponse.retInfo);
                    }
                }
            }
        }
    }

    @Override
    public void afterTask() {

        super.afterTask();
        // if (resultStr == null)
        // {
        // showMessage("访问服务异常");
        // }
        // else if (!"".equals(resultStr))
        // {
        // showMessage("上传失败");
        // BaseAppManager.loger().info(TAG + ":" + errMsg);
        // }
        // else
        // {
        // context.displayResult(TAG, baseResponse);
        // }
        if (1 == resault) {
            showMessage("出现产品金额与产品单价X产品数量不符的异常的销售单！");
        } else if (2 == resault) {
            showMessage("出现产品重复的异常的销售单！");
        }
       /*( if (resultStr == null) {
            showMessage("访问服务异常");
        } else*/
        if (null != baseResponse && "0".equals(baseResponse.ret)) {
            // showMessage("上传成功");

            if (context != null) {
                context.displayResult(TAG, baseResponse);
            }
            if (fcontext != null) {
                fcontext.displayResult(TAG, baseResponse);
            }
        } else {
            // showMessage("上传失败");

            if (context != null) {
                context.displayResult(TAG, baseResponse);
            }
            if (fcontext != null) {
                fcontext.displayResult(TAG, baseResponse);
            }
            BaseAppManager.loger().info(TAG + ":" + errMsg);
        }
    }

    @Override
    protected String doInBackground(String... params) {
        if (context != null) {
            hasInternet = NetHelper.IsHaveInternet(context);
        }
        if (fcontext != null) {
            hasInternet = NetHelper.IsHaveInternet(fcontext);
        }
        try {
            dealTask();
        } catch (Exception e) {

            BaseAppManager.loger().info("DownVipTask.doInBackground" + e);

        }
        return null;
    }

    @Override
    protected void onPostExecute(String result) {
        try {
            if (toShowProgressBar)
                ViewUtil.dismissProgress();
            // if (hasInternet) {
            // afterTask();
            // } else {
            // showMessage("网络连接超时，请检查您的网络状态，稍后重试！");
            // afterTask();
            // }
            if (!hasInternet) {
                showMessage("网络连接超时，请检查您的网络状态，稍后重试！");
            }
            afterTask();

        } catch (Exception e) {

            BaseAppManager.loger().info("DownVipTask.onPostExecute" + e);
        }
    }
}
