package com.urovo.wgmf.entity.response;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.io.Serializable;
import java.util.List;

public class FirstPageQueryResponse extends BaseOldResponse implements Serializable {

    public InnerClass returnBean;

    public static class FirstPageEntity implements Serializable {

        /**
         * currentDate : 2016-11-08
         * saleAmountTask : 0
         * currentSaleAmount : 0
         * remainSaleAmount : 0
         * monthSaleAmount : 0
         * pkStroreMonthSaleAmount : null
         * pkStroreName : null
         * saleNumTask : 0
         * currentSaleNum : 0
         * newMemberNum : 0
         * oldMemberNum : 0
         * weMemberDaySum : 0
         * weMemberTargetSum : --
         * weMemberMonthSum : --
         */

        public String currentDate;
        public String monthSaleAmount = "--";
        public String pkStroreMonthSaleAmount = "--";
        public String pkStroreName = "--";
        public String saleNumTask = "--";

        /**
         * 今日销售完成情况
         */
        public String saleAmountTask = "--";//任务
        public String currentSaleAmount = "--";//已完成
        public String remainSaleAmount = "--";//差额
        public int currentSaleNum;//客单数达成

        /**
         * 今日会员完成情况
         */
        public int newMemberNum;//新会员数
        public int oldMemberNum;//老会员数
        public int weMemberDaySum;//新客微会员
        public String weMemberTargetSum = "--";//目标新客微会员达成(右边)
        public String weMemberMonthSum = "--";//目标新客微会员达成(左边)

        /**
         * 本月薪资预估
         */
        public String base = "--";//基础薪资
        public String commission = "--";//提成部分
        public String assess = "--";//考核项目
        public String total = "--";//合计

        @Override
        public String toString() {
            return "FirstPageEntity{" +
                    "currentDate='" + currentDate + '\'' +
                    ", saleAmountTask='" + saleAmountTask + '\'' +
                    ", currentSaleAmount='" + currentSaleAmount + '\'' +
                    ", remainSaleAmount='" + remainSaleAmount + '\'' +
                    ", monthSaleAmount='" + monthSaleAmount + '\'' +
                    ", pkStroreMonthSaleAmount='" + pkStroreMonthSaleAmount + '\'' +
                    ", pkStroreName='" + pkStroreName + '\'' +
                    ", saleNumTask='" + saleNumTask + '\'' +
                    ", currentSaleNum=" + currentSaleNum +
                    ", newMemberNum=" + newMemberNum +
                    ", oldMemberNum=" + oldMemberNum +
                    ", weMemberDaySum=" + weMemberDaySum +
                    ", weMemberTargetSum='" + weMemberTargetSum + '\'' +
                    ", weMemberMonthSum='" + weMemberMonthSum + '\'' +
                    ", base='" + base + '\'' +
                    ", commission='" + commission + '\'' +
                    ", assess='" + assess + '\'' +
                    ", total='" + total + '\'' +
                    '}';
        }
    }

    public class InnerClass implements Serializable {
        public List<FirstPageEntity> returnList;
    }
}
