package com.urovo.wgmf.entity.response;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.util.List;

public class HuiYuanDetailResponse extends BaseOldResponse {

	private List<Result> datalist = null;

	/**
	 * @return the datalist
	 */
	public List<Result> getDatalist() {
		return datalist;
	}

	/**
	 * @param datalist
	 *            the datalist to set
	 */
	public void setDatalist(List<Result> datalist) {
		this.datalist = datalist;
	}

	public class Result {
		private String totalPoints;
		private String validPoints;
		private String usedPoints;
		private String invalidPTS;
		private String customerStatus;
		//是否需要短信验证码验证
		private boolean needSMS;
		//提示需要短信验证码时弹框的文字
		private String message;
		private String cusGrade;//会员等级：1谷谷会员  2银谷会员  3金谷会员  4钻谷会员

		public String getCusGrade() {
			switch (cusGrade){
				case "1":
					return "谷谷会员";
				case "2":
					return "银谷会员";
				case "3":
					return "金谷会员";
				case "4":
					return "钻谷会员";
					default: return "未知";
			}
		}

		public boolean isNeedSMS() {
			return needSMS;
		}

		public String getMessage() {
			return message;
		}

		/**
		 * @return the totalPoints
		 */
		public String getTotalPoints() {
			return totalPoints;
		}

		/**
		 * @param totalPoints
		 *            the totalPoints to set
		 */
		public void setTotalPoints(String totalPoints) {
			this.totalPoints = totalPoints;
		}

		/**
		 * @return the validPoints
		 */
		public String getValidPoints() {
			return validPoints;
		}

		/**
		 * @param validPoints
		 *            the validPoints to set
		 */
		public void setValidPoints(String validPoints) {
			this.validPoints = validPoints;
		}

		/**
		 * @return the usedPoints
		 */
		public String getUsedPoints() {
			return usedPoints;
		}

		/**
		 * @param usedPoints
		 *            the usedPoints to set
		 */
		public void setUsedPoints(String usedPoints) {
			this.usedPoints = usedPoints;
		}

		/**
		 * @return the invalidPTS
		 */
		public String getInvalidPTS() {
			return invalidPTS;
		}

		/**
		 * @param invalidPTS
		 *            the invalidPTS to set
		 */
		public void setInvalidPTS(String invalidPTS) {
			this.invalidPTS = invalidPTS;
		}

		public String getCustomerStatus() {
			return customerStatus;
		}

		public void setCustomerStatus(String customerStatus) {
			this.customerStatus = customerStatus;
		}

	}

}
