package com.urovo.wgmf.entity.response

import com.urovo.wugumofang.response.Base3Response

/**
 * @author Sasuke on 2018/2/28.
 * 年假查询
 */
data class NianJiaResponse(var resultInfo: ResultInfo) : Base3Response() {
    data class ResultInfo(var empName: String, //员工姓名
                          var year: String?, //年份
                          var entryTime: String?,//入职日期
                          var totalVacationDays: Double, //应休年假天数
                          var alreadyVacationDays: Double, //已休年假天数
                          var lastVacationDays: Double,//未休年假天数
                          var invalidDate: String?,//年假过期时间
                          var vacationRemark: String? = ""//剩余年假备注
    )
}