package com.urovo.wgmf.entity.response;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * @author XP
 * @ClassName: XiaoLiangChaXunResponse
 * @Description: 月销量实体类
 * @date 2016-1-8 下午3:43:02
 */
public class XiaoLiangChaXunResponse extends BaseOldResponse implements Serializable {

    public XiaoLiangChaXunReturnBean returnBean;

    public static class XiaoLiangChaXunReturnBean implements Serializable {
        public ArrayList<XiaoLiangChaXunReturnList> returnList;
    }

    public static class XiaoLiangChaXunReturnList implements Serializable {
        //		public String allAmount;// 销售总额
        public String onLineAmount;//线上销量
        public String storeAmount;//线下销量
        public String taskAmount;// 当月任务
        public String finishRate;// 完成率
        public String lastYearAmount;// 同比上一年的销售额
        public String compareToLastYear;// 同比比率
        public String lastMonthAmount;// 环比上一月的销售额
        public String compareToLastMonth;// 环比比率
        public String shouldFinishRate;// 应完成百分比
        public String financeSalaryAmount;// 财务工资销量
        public String shortSalaryAmount;// 工资销量差
    }
}
