package com.wgmf.trade.model.bean;

import java.util.List;

/**
 * Created by samy on 16/11/8.
 */

public class EnjoyDiscountRequestBean {

  /**
   * activityId : 0
   * cusId : string
   * exchangeCode : string
   * openId : string
   * orderContext : {"proList":[{"code":"string","name":"string","num":"string","price":0,"specialPrice":0}]}
   * orderResultContext : {"giftMoney":0,"giftPoint":0,"giftProductInfo":[{"code":"string","name":"string","num":"string","price":0,"specialPrice":0}]}
   * phone : string
   */

  public String activityId;
  public String cusId;
  public String exchangeCode;
  public String openId;
  public OrderContextBean orderContext;
  /**
   * giftMoney : 0
   * giftPoint : 0
   * giftProductInfo : [{"code":"string","name":"string","num":"string","price":0,"specialPrice":0}]
   */

  public OrderResultContextBean orderResultContext;
  public String phone;

  public static class OrderContextBean {
    /**
     * code : string
     * name : string
     * num : string
     * price : 0
     * specialPrice : 0
     */

    public List<ProListBean> proList;

    public static class ProListBean {
      public String code;
      public String name;
      public String num;
      public double price;
      public double specialPrice;
      public double subtotal;//各产品分别的总额小计
      public int brandType;//0五谷磨房  1鲜稻研
      public int groupId; // 梯度折扣组合Id
      public int proportRelation; //梯度折扣关系

      private String isDecimal;//是否允许小数；"Y"允许，“N”不允许

      public String getIsDecimal() {
        return isDecimal;
      }

      public void setIsDecimal(boolean isDecimal) {
        this.isDecimal = isDecimal? "Y" : "N";
      }
    }
  }

  public static class OrderResultContextBean {
    public int giftMoney;
    public int giftPoint;
    /**
     * code : string
     * name : string
     * num : string
     * price : 0
     * specialPrice : 0
     */

    public List<GiftProductInfoBean> giftProductInfo;

    public static class GiftProductInfoBean {
      public String code;
      public String name;
      public String num;
      public double price;
      public double specialPrice;
    }
  }
}
