package com.wgmf.trade.model.bean;

import com.zsy.libcore.ui.ada.quickadapter.ISelectable;

import java.io.Serializable;
import java.util.List;

/**
 * 出入库查询列表的实体类
 * Created by samy on 2017/2/6.
 */

public class GoodsInOutStockBean implements ISelectable, Serializable {

    /**
     * proCode : 2.40010
     * proName : 益元八珍
     * proUOM : 罐
     * proQCKCQty : -16
     * proKCQty : -16
     * inOutList : [{"proInOutNum":-6,"proInOutType":"销售出库"},{"proInOutNum":6,"proInOutType":"销售退货入库"}]
     */

    public String proCode;// 产品号
    public String proName;//产品名字
    public String proUOM;//产品单位
    public int proQCKCQty;//期初库存数量
    public int proKCQty;//期末库存数量
    public List<InOutListEntity> inOutList;//出入库明细

    @Override
    public boolean isISelected() {
        return false;
    }

    @Override
    public void setISelected(boolean b) {

    }

    public static class InOutListEntity implements ISelectable, Serializable {
        /**
         * proInOutNum : -6
         * proInOutType : 销售出库
         */

        public int proInOutNum;
        public String proInOutType;

        @Override
        public boolean isISelected() {
            return false;
        }

        @Override
        public void setISelected(boolean b) {

        }
    }
}
