package com.wgmf.trade.model.bean;

import java.util.List;

/**
 * 订货提交
 * Created by samy on 16/12/22.
 */
public class OrderSubmitReqBean {

  /**
   * billCode : string
   * details : [{"proAmount":"string","proBoxQty":"string","proCode":"string","proDHQty":"string","proId":0,"proLastMonthQty":"string","proMaxQty":"string","proName":"string","proOplQty":"string","proPrice":"string","proSYQty":"string","proStockQty":"string","proUOM":"string","proUOMID":0}]
   * staffNo : string
   * storeNo : string
   */

  private String billCode;
  private String staffNo;
  private String storeNo;
  private String brands;
  private boolean firstOrder;//是否是该订货周期内的第一次订货

  public void setFirstOrder(boolean firstOrder) {
    this.firstOrder = firstOrder;
  }

  public void setBrands(String brands) {
    this.brands = brands;
  }

  private List<DetailsBean> details;

  public String getBillCode() {
    return billCode;
  }

  public void setBillCode(String billCode) {
    this.billCode = billCode;
  }

  public String getStaffNo() {
    return staffNo;
  }

  public void setStaffNo(String staffNo) {
    this.staffNo = staffNo;
  }

  public String getStoreNo() {
    return storeNo;
  }

  public void setStoreNo(String storeNo) {
    this.storeNo = storeNo;
  }

  public List<DetailsBean> getDetails() {
    return details;
  }

  public void setDetails(List<DetailsBean> details) {
    this.details = details;
  }

  public static class DetailsBean {
    /**
     * proAmount : string
     * proBoxQty : string
     * proCode : string
     * proDHQty : string
     * proId : 0
     * proLastMonthQty : string
     * proMaxQty : string
     * proName : string
     * proOplQty : string
     * proPrice : string
     * proSYQty : string
     * proStockQty : string
     * proUOM : string
     * proUOMID : 0
     */

    private String proAmount;
    private String proBoxQty;
    private String proCode;
    private String proDHQty;
    private int proId;
    private String proLastMonthQty;
    private String proMaxQty;
    private String proName;
    private String proOplQty;
    private String proPrice;
    private String proSYQty;
    private String proStockQty;
    private String proUOM;
    private int proUOMID;
    public int brandId;

    public String getProAmount() {
      return proAmount;
    }

    public void setProAmount(String proAmount) {
      this.proAmount = proAmount;
    }

    public String getProBoxQty() {
      return proBoxQty;
    }

    public void setProBoxQty(String proBoxQty) {
      this.proBoxQty = proBoxQty;
    }

    public String getProCode() {
      return proCode;
    }

    public void setProCode(String proCode) {
      this.proCode = proCode;
    }

    public String getProDHQty() {
      return proDHQty;
    }

    public void setProDHQty(String proDHQty) {
      this.proDHQty = proDHQty;
    }

    public int getProId() {
      return proId;
    }

    public void setProId(int proId) {
      this.proId = proId;
    }

    public String getProLastMonthQty() {
      return proLastMonthQty;
    }

    public void setProLastMonthQty(String proLastMonthQty) {
      this.proLastMonthQty = proLastMonthQty;
    }

    public String getProMaxQty() {
      return proMaxQty;
    }

    public void setProMaxQty(String proMaxQty) {
      this.proMaxQty = proMaxQty;
    }

    public String getProName() {
      return proName;
    }

    public void setProName(String proName) {
      this.proName = proName;
    }

    public String getProOplQty() {
      return proOplQty;
    }

    public void setProOplQty(String proOplQty) {
      this.proOplQty = proOplQty;
    }

    public String getProPrice() {
      return proPrice;
    }

    public void setProPrice(String proPrice) {
      this.proPrice = proPrice;
    }

    public String getProSYQty() {
      return proSYQty;
    }

    public void setProSYQty(String proSYQty) {
      this.proSYQty = proSYQty;
    }

    public String getProStockQty() {
      return proStockQty;
    }

    public void setProStockQty(String proStockQty) {
      this.proStockQty = proStockQty;
    }

    public String getProUOM() {
      return proUOM;
    }

    public void setProUOM(String proUOM) {
      this.proUOM = proUOM;
    }

    public int getProUOMID() {
      return proUOMID;
    }

    public void setProUOMID(int proUOMID) {
      this.proUOMID = proUOMID;
    }
  }
}
