package com.wgmf.trade.model.bean;

import android.text.TextUtils;

import com.zsy.libcore.ui.ada.quickadapter.ISelectable;

import java.util.List;

/**
 * Created by samy on 17/1/19.
 */
public class QualityBackResultBean implements ISelectable {

    /**
     * Question {
     * content (string, optional):问题描述 ,
     * handler (string, optional):处理人 ,
     * peisbch (string, optional):配送波次号 ,
     * problemName (string, optional):问题类型名 ,
     * problemType (integer, optional):反馈问题的类型，721:到货误差 ,
     * reply (string, optional):处理意见 ,
     * serialNumber (string, optional): 流水号 ,
     * shopName (string, optional): 提交所在门店 ,
     * status (integer, optional):反馈问题的状态,1：未处理和处理中，2：已处理 ,
     * submitTime (string, optional):提交问题时间 ,
     * submiter (string, optional):提交人
     * }
     * <p>
     * <p>
     * content : string
     * handler : string
     * peisbch : string
     * problemName : string
     * problemType : 0
     * reply : string
     * status : 0
     * submitTime : string
     * submiter : string
     */

    public String content;
    public String handler;
    public String peisbch;
    public String problemName;
    public int problemType;
    public List<OaHandler> replys;//内嵌的过程流列表
    public String serialNumber;
    public String shopName;//no used
    public int status;
    public String submitTime;
    public String submiter;//no used
    public boolean hasComment;//是否已评价
    private String pj ;//评级 1 2 3 4
    private String pjContent ;//评级内容
    public String id;//流程id
    private boolean canComment;//是否可评价
    public String amount;//报损金额（临过期流程专用）

    public List<OaHandler> getReplys() {
//        streamList = new ArrayList<>();
//        StreamUnit foot = new StreamUnit();
//        foot.person = "サスケ";
//        foot.state = "提交申请";
//        foot.time = "2019-07-01 09:23:00";
//
//        StreamUnit center = new StreamUnit();
//        center.person = "コウガミ";
//        center.state = "处理中";
//        center.time = "2019-07-02 10:23:00";
//
//        StreamUnit head = new StreamUnit();
//        head.person = "ぎのざ";
//        head.state = "处理完了";
//        head.time = "2019-07-03 11:23:00";
//
//        streamList.add(head);
//        streamList.add(center);
//        streamList.add(foot);

        return replys;
    }

    /**过程流数据单元*/
    public class OaHandler{
        public String handler;//人
        public String handlerDate;//时间
        public String reply;//过程状态
    }

    public boolean isCanComment() {
        return canComment;
    }

    public boolean isRateExpand = false;//用于本地标记ratingBar是否展开（默认让它不展开吧）

    public void setPj(float pj) {
        this.pj = String.valueOf((int)pj) ;
    }

    public void setPjContent(String pjContent) {
        this.pjContent = pjContent;
    }

    public int getPj() {
        return Integer.parseInt(TextUtils.isEmpty(pj)? "4" : pj);//需求是默认4星
    }

    public String getPjContent() {
        return TextUtils.isEmpty(pjContent)?"" : pjContent;
    }

    @Override
    public boolean isISelected() {
        return false;
    }

    @Override
    public void setISelected(boolean b) {

    }
}
