package com.wgmf.trade.model.data.net;

import com.urovo.wugumofang.constants.ApiUrls;
import com.urovo.wugumofang.response.Base3Response;
import com.wgmf.trade.model.bean.EnjoyDiscountRequestBean;
import com.wgmf.trade.model.bean.MemGoodsOrderBean;
import com.wgmf.trade.model.bean.MemberAction;
import com.zsy.libcore.model.bean.RequestResult;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.Headers;
import retrofit2.http.POST;
import retrofit2.http.Query;

/**
 * @author samy
 * @date 16/9/7
 */
public interface MemberSalesDataNet {

    //@GET(ApiUrls.PROMOTION.VALID_RULE_RESULT)
    //Call<RequestResult<MemberAction.GiftRuleBean>> enjoyDiscount(@Query("phone") String phone,@Query("activityId") String activityId,@Query("orderContext") String orderContext);

    @POST(ApiUrls.PROMOTION.VALID_RULE_RESULT)
    Call<RequestResult<MemberAction.GiftRuleBean>> validRuleResult(@Body EnjoyDiscountRequestBean requestBean);

    @GET(ApiUrls.PROMOTION.CHECK_CODE)
    Call<RequestResult<String>> checkVerifyCode(@Query("phone") String phone, @Query("activityId") String activityId, @Query("exchangeCode") String exchangeCode);


    @Headers({"Content-Type: application/json", "Accept: application/json"})//提交Json格式
    @POST(ApiUrls.APP.SUBMIT_MEM_GOODS_ORDER)
    Call<Base3Response> submitMemGoodsOrder(@Body MemGoodsOrderBean bean);

//  /**
//   * 考虑到安全性和长度限制，应该为Post请求；
//   * 提交订单(销售下单)
//   */
//  @POST(ApiUrls.APP.USER_POINTEX)
//  Call<OrderResBean> submitOrder(@Query("action") String action, @Query("method") String method, @Query("content") String content);
}
