package com.wgmf.trade.model.data.net;

import com.urovo.wugumofang.response.BaseSimpleResponse;
import com.urovo.wugumofang.constants.ApiUrls;
import com.urovo.wgmf.db.dao.entitys.OrderReqBean;
import com.wgmf.trade.model.bean.FirstShopGiftBean;
import com.wgmf.trade.model.bean.OrderResBean;
import com.zsy.libcore.model.bean.RequestResult;

import java.util.Map;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;
import retrofit2.http.Query;
import retrofit2.http.QueryMap;

/**
 * Created by samy on 16/11/4.
 */

public interface SaveSuccessDataNet {

//  /**
//   * 考虑到安全性和长度限制，应该为Post请求；
//   * 提交订单(销售下单)
//   */
//  @POST(ApiUrls.APP.USER_POINTEX) Call<OrderResBean> submitOrder(@Query("action") String action, @Query("method") String method, @Query("content") String content);

    /**
     * 新JsonBean格式数据
     */
    @POST(ApiUrls.APP.USER_POITEX)
    Call<OrderResBean> submitOrder(@Body OrderReqBean orderRequestBean);

    @POST(ApiUrls.APPSALER.SEND_TICKET)
    Call<RequestResult> sendTicket(@QueryMap Map<String, String> map);

    @POST(ApiUrls.APP.RECOM_PRO_CUSTOMER)
    Call<BaseSimpleResponse> queryRecomProduct(@Query("mobile") String mobile);

    /**
     * 判断是否新客单，并发对应消费的首购礼
     */
    @POST(ApiUrls.APP.QUERY_FIRST_SHOP_GIFT)
    Call<RequestResult<FirstShopGiftBean>> queryFirstShopGift(@QueryMap Map<String, String> map);


}
