package com.wgmf.trade.net;

import com.urovo.wugumofang.net.RetrofitHelper;
import com.wgmf.trade.model.bean.MemberDaySubscribeBean;

import java.util.Map;

import io.reactivex.Observable;

/**
 * 公共页面接口
 *
 * @author chenji last on 2018/5/18 19:51
 *         T : 需要解析的数据类型:集合或者对象
 */

public class CommonNet {
    private ICommonNet mICommonNet;

    /**
     * retrofit的配置
     */
    public CommonNet() {
        mICommonNet = RetrofitHelper.createApi(ICommonNet.class);
    }

    /**
     * 预约会员日查询页面T
     *
     * @param map ...
     * @return ...
     */
    public Observable<MemberDaySubscribeBean> getMemberDaySubscribeList(Map<String, String> map) {
        return mICommonNet.getMemberDaySubscribeList(map);
    }
}
