package com.wgmf.trade.presenter.impl;

import com.wgmf.trade.model.data.net.interactor.EnvironmentSwitchInt;
import com.wgmf.trade.model.data.net.interactor.impl.EnvironmentSwitchIntImpl;
import com.wgmf.trade.presenter.EnvironmentSwitchPre;
import com.wgmf.trade.view.EnvironmentSwitchView;

/**
 * Created by samy on 16/4/11.
 */
public class EnvironmentSwitchPreImpl implements EnvironmentSwitchPre {
    protected EnvironmentSwitchInt environmentSwitchInt;
    protected EnvironmentSwitchView environmentSwitchView;

    public EnvironmentSwitchPreImpl(EnvironmentSwitchView environmentSwitchView) {
        this.environmentSwitchView = environmentSwitchView;

        environmentSwitchInt = new EnvironmentSwitchIntImpl();
    }

    @Override
    public void getEnvStatusAndName() {
        environmentSwitchView.getEnvStatusAndName(environmentSwitchInt.getEnvStatus(),
                environmentSwitchInt.showEnvName(environmentSwitchInt.getEnvStatus(), true));
    }

    @Override
    public void setEnvStatus(int envStatus) {
        environmentSwitchInt.setEnvStatus(envStatus);
    }

    @Override
    public void getServerAddressAndPort(int envStatus) {
        String[] envServerArrays = {environmentSwitchInt.getEnvServer(envStatus),
                environmentSwitchInt.getEnvApiServer(envStatus),environmentSwitchInt.getWxServer(envStatus)};

        environmentSwitchView.getServerAddressAndPort(envServerArrays,
                environmentSwitchInt.getEnvPort(envStatus), environmentSwitchInt.showEnvName(envStatus, false));
    }
}
