package com.wgmf.trade.ui.ada;


import android.graphics.Color;
import androidx.annotation.Nullable;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.urovo.wugumofang.R;
import com.wgmf.trade.model.bean.MemberDaySubscribeBean;

import java.util.List;


/**
 * @author chenji
 */
public class MemberDaySubscribeBookAda extends BaseQuickAdapter<MemberDaySubscribeBean.ResultInfoBean.BookListBean, BaseViewHolder> {

    public MemberDaySubscribeBookAda(@Nullable List<MemberDaySubscribeBean.ResultInfoBean.BookListBean> data) {
        super(R.layout.item_member_day_book_subscribe_list, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, MemberDaySubscribeBean.ResultInfoBean.BookListBean bookListBean) {
        helper.addOnClickListener(R.id.member_day_subscribe_book_item);
        TextView phoneNumber = helper.getView(R.id.member_subscribe_book_phone_number);
        phoneNumber.setText(bookListBean.getMobile());
        TextView levelName = helper.getView(R.id.member_subscribe_book_level);
        levelName.setText(bookListBean.getLevelName());
        TextView buyDate = helper.getView(R.id.member_subscribe_book_buy_date);
        buyDate.setText(String.format("最近购买时间：%s", bookListBean.getLastBuyDate()));
        if (helper.getLayoutPosition() % 2 != 0) {
            RelativeLayout memberDaySubscribeBookItem = helper.getView(R.id.member_day_subscribe_book_item);
            memberDaySubscribeBookItem.setBackgroundColor(Color.parseColor("#F2F2F2"));
        }
    }
}
