package com.wgmf.trade.view;

import com.zsy.libcore.presenter.BasePresenter;
import com.zsy.libcore.view.BaseView;

/**
 * 销售补录
 * Created by samy on 16/10/20.
 */
public interface AdditionalRecordCon {

    interface View extends BaseView<Pre> {
        /**
         * @param isHideListAndBtnUnable 是否已审核
         */
        void showChangeState(boolean isHideListAndBtnUnable);
    }

    interface Pre extends BasePresenter {
        /**
         * 兼容信息部最原始的接口;
         * <p>
         * 检测门店销量审核状态
         *
         * @param action  BASEDATA_DOWNLOAD
         * @param method  RequestDown_StoreRXS001
         * @param content content = id(组织机构编码) + ";" + date + ";" + sql;
         */
        //void getStoreCheckState(String action, String method, String content);
        void getStoreCheckState(String storeId, String recordDate);
    }
}
