package com.wgmf.trade.view;

import com.urovo.wgmf.db.dao.entitys.DingHuoOplQtyEntity;
import com.urovo.wgmf.entity.response.DingHuoQueryNewRes;
import com.wgmf.trade.model.bean.OrderSubmitReqBean;

/**
 * 订货
 * Created by samy on 16/12/22.
 */

public interface OrderGoodCon {

  interface Pre{
    /**
     * 查询已经订货列表
     */
    void selectOrderedList(String storeId, String beginTime, String endTime);

    /**
     * 获取订货列表
     */
    void getOrderList(String storeId,String staffId,String brands);

    /**
     * 查看门店是否可以订货
     */
    void isCanOrdering(String storeId, String userId, boolean isSubmitOrder);


    /**
     * 订货提交
     */
    void orderSubmit(OrderSubmitReqBean orderSubmitReqBean);
  }

  interface View {
    void showOrderedList(DingHuoQueryNewRes dingHuoQueryResponse);
    void showCanOrdering(int msgCode, String msgInfo, boolean isSubmitOrder);
    //void showOrderList(List<OrderGoodBean> orderGoodBeanList);
    void showOrderList(DingHuoOplQtyEntity.ResultInfo dingHuoOplQtyEntityList);
    void submitSuccess(String msg);
    void submitFailed(String msg);

    void showIsLoading();
    void showError(String errorMsg);
    void showState(int loadWaitState);//见LoadWaitDominator Companion object
    void showDismissAll();
  }

}
