/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(120)
	var __weex_script__ = __webpack_require__(121)

	__weex_define__('@weex-component/daf10fcb6846b1d291832f098e196410', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	})

	__weex_bootstrap__('@weex-component/daf10fcb6846b1d291832f098e196410',undefined,undefined)

/***/ },
/* 1 */,
/* 2 */,
/* 3 */,
/* 4 */,
/* 5 */
/***/ function(module, exports) {

	/**
	 * APP常量配置；PS处理；localstorage;
	 * Created by samy on 16/8/1.
	 */

	/**
	 * 数据库相关
	 */
	var DB = {
	    REALM_DB_NAME: "trade_steward"
	};

	/**
	 * 文件路径
	 */
	var Paths = {
	    IMAGE_LOADER_CACHE_PATH: "/images/"
	};


	/**
	 * PreferHelper(Storage) key值 ;本来可以包含APIEnvironment的；
	 */
	var PrefKeys = {
	    USER_BEAN: "USER_BEAN"
	};

	/**
	 * 用于界面跳转传值时的Extra_Key
	 */
	var ExtraKeys = {
	    /**界面跳转Title */
	    PAGE_TITLE: "title",
	    /**URL */
	    PAGE_URL: "url",
	    /**因JS的特殊原因，设置不了，只能是默认自己一个个设置，界面跳转，传递的Json数据头格式 */
	    JS_EXTRAS: "js_extras"
	};

	exports.DB = DB;
	exports.Paths = Paths;
	exports.PrefKeys = PrefKeys;
	exports.ExtraKeys = ExtraKeys;

/***/ },
/* 6 */,
/* 7 */
/***/ function(module, exports) {

	/**
	 * 路径总控制开关
	 * APP配置
	 * Created by samy on 16/8/1.
	 *  本机调试，直接http://localhost:8888/
	 * 端口跟serve的得对应上；
	 * nginx配置到:http://localhost:9999/index.html
	 * sudo nginx -c /usr/local/etc/nginx/nginx.conf
	 */

	var debugProxyConfig = {

	    /**是否启用代理调试(web),手机不能用代理*/
	    isProxyNginx: false,


	    /**是否是Debug默认 */
	    debug: false,

	    /**
	     * 打包复制到本地，一定要记得修改；目前区别是都多了个assets目录(true情况下);
	     * 是否是在线模式(用于是否放在手机本地也还是在线,修改img和h5路径)
	     */
	    isOnLineMode: false, //跟debug对立；
	}

	/** 
	 * 理解总的四种开发模式：
	 * 1：在线模式；缺点：费流量和带宽；
	 * 2：热修复模式，把要更新的界面.js，下载到本地,而不加载assets下的有问题的旧.js,跟这里的版本号对应上;【推荐】
	 * 3：离线模式(跟原生上线后的中的,assets),第一次打包的自带的原js,缺点：有问题不好修复
	 * 4: 降级模式；出现Native界面改动较大，通过webview加载h5(weex),达到临时备用；
	 */
	var pathConfig = {
	    //正常和Native调用;
	    // baseUrlIpPort: 'http://localhost:8888/', //本机调试；
	    baseUrlIpPort: 'http://192.168.0.2:8888', //App调试；
	    // baseUrlIpPort: '192.168.31.197:8888', //App调试；
	    //nginx代理H5调用;(记得把nginx启动)
	    baseUrlIpPortProxy: 'http://192.168.0.2:9999',
	    // baseUrlIpPortProxy: '192.168.31.197:8888', //http://192.168.31.197:8888/assets/imgs/

	    //H5;
	    // baseH5IpPort:'http://192.168.0.2:8888',
	    //img
	    // baseImgIpPort:'http://192.168.0.2:8888'
	}

	/** 
	 * 常用路径配置(跟UrlUtils对应上,后期优化)
	 * 跟assets中的目录对象上；
	 * 1:app(weex原文件)
	 * 2:h5(自己写的h5)
	 * 3:imgs(图片资源)
	 */
	var appConfig = {
	    /**图片*/
	    // baseImageUrl: 'http://7xuxy3.com1.z0.glb.clouddn.com/trade/img/' 
	    baseImageUrl: getBaseImgPath() + 'imgs/',

	    /**H5地址(自己写的)*/
	    baseH5Url: getBaseH5Path() + 'h5/html/',

	    /*资源和访问Url*/
	    baseSrcUrl: getBaseUrl() + "app/",
	};

	/**
	 * ip端口的路径(全局的)
	 */
	function getBaseUrlIpPort() {
	    // 方式一：通过bundleUrl，自动获取
	    // var host = 'localhost:12580';
	    // var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
	    // if (matches && matches.length >= 2) {
	    //     host = matches[1];
	    // }
	    //方式二：手动设置；
	    var base = pathConfig.baseUrlIpPort; // in Native
	    if ((typeof window === 'object') && (debugProxyConfig.isProxyNginx)) {
	        base = pathConfig.baseUrlIpPortProxy; // in Browser or WebView
	    }
	    return base;
	}


	/**
	 * imgs的路径
	 * 放在本地时
	 * (选填，做平台处理),目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseImgPath() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/";
	    } else {
	        return "assets://"; //assets目录下的；
	    }
	}

	/**
	 * H5的路径
	 * 放在本地时
	 * (选填，做平台处理)目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseH5Path() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/"; //后期设置assets可以配置使用；
	    } else {
	        return "file:///android_asset/"; //assets目录下的；
	        // file:///sdcard/ or file:/sdcard (sdcard目录下的)
	        //file:///storage/emulated/0/Android/data/com.alibaba.weex/cache/
	    }

	}

	/**
	 * Url的路径（特殊性，在线的是自动生产在不同位置上） 
	 * tabbar 用的直接是jsbundle 的路径
	 */
	function getBaseUrl(isTabBar) {
	    var tempUrl = getBaseUrlIpPort();
	    if (debugProxyConfig.isOnLineMode) {
	        if (typeof window === 'object') {
	            return isTabBar ? "/dist/" : tempUrl + '/index.html?page=./dist/'; //(weex h5方式访问,跳转时用到)
	        } else {
	            return tempUrl + "/dist/"; //webpack方式访问,APP访问服务器js情况；
	        }
	    }
	    return ""; //本地+/app
	}


	/**更Routers.js对应上；
	 * 文件跳转时，得用上；
	 * 当前Url的全路径，完整路径；
	 * 此处需注意一下,tabbar 用的直接是jsbundle 的路径,但是navigator是直接跳转到新页面上的.
	 * 最新，最全的方法处理；
	 */
	function getCurrentPathUrl(self, currentDir, isTabBar) {
	    var config = self.$getConfig();
	    var bundleUrl = config.bundleUrl;
	    var env = config.env; //appName必须设置全局中设置对；
	    var base;
	    //也可以通过env判断;
	    var isAndroidAssets = bundleUrl.indexOf('file://assets/') >= 0;
	    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf(env.appName) > 0;
	    if (isAndroidAssets) { //Android 离线模式
	        base = 'file://assets/';
	    } else if (isiOSAssets) { //iOS 离线模式
	        base = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
	    } else { //web或者App访问模式
	        base = getBaseUrl(isTabBar);
	    }
	    base = base + "app/" + currentDir;
	    console.log('appConfig-->getCurrentPathUrl--->', base);
	    return base;
	}



	exports.debug = debugProxyConfig.debug;
	exports.isProxyNginx = debugProxyConfig.isProxyNginx;

	exports.baseUrlIpPort = getBaseUrlIpPort();

	exports.baseSrcUrl = appConfig.baseSrcUrl;
	exports.baseH5Url = appConfig.baseH5Url;
	exports.baseImageUrl = appConfig.baseImageUrl;

	exports.getCurrentPathUrl = getCurrentPathUrl;

/***/ },
/* 8 */,
/* 9 */,
/* 10 */,
/* 11 */,
/* 12 */
/***/ function(module, exports) {

	var core = module.exports = {version: '2.4.0'};
	if(typeof __e == 'number')__e = core; // eslint-disable-line no-undef

/***/ },
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */,
/* 17 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(18);
	__webpack_require__(22);
	__webpack_require__(26);
	__webpack_require__(30);
	__webpack_require__(34);
	__webpack_require__(38);
	__webpack_require__(78);
	__webpack_require__(82);
	__webpack_require__(86);
	__webpack_require__(90);
	__webpack_require__(91);


/***/ },
/* 18 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(19)
	var __weex_style__ = __webpack_require__(20)
	var __weex_script__ = __webpack_require__(21)

	__weex_define__('@weex-component/wxc-button', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 19 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": function () {return ['btn', 'btn-' + (this.type), 'btn-sz-' + (this.size)]},
	  "children": [
	    {
	      "type": "text",
	      "classList": function () {return ['btn-txt', 'btn-txt-' + (this.type), 'btn-txt-sz-' + (this.size)]},
	      "attr": {
	        "value": function () {return this.value}
	      }
	    }
	  ]
	}

/***/ },
/* 20 */
/***/ function(module, exports) {

	module.exports = {
	  "btn": {
	    "marginBottom": 0,
	    "alignItems": "center",
	    "justifyContent": "center",
	    "borderWidth": 1,
	    "borderStyle": "solid",
	    "borderColor": "#333333"
	  },
	  "btn-default": {
	    "color": "rgb(51,51,51)"
	  },
	  "btn-primary": {
	    "backgroundColor": "rgb(40,96,144)",
	    "borderColor": "rgb(40,96,144)"
	  },
	  "btn-success": {
	    "backgroundColor": "rgb(92,184,92)",
	    "borderColor": "rgb(76,174,76)"
	  },
	  "btn-info": {
	    "backgroundColor": "rgb(91,192,222)",
	    "borderColor": "rgb(70,184,218)"
	  },
	  "btn-warning": {
	    "backgroundColor": "rgb(240,173,78)",
	    "borderColor": "rgb(238,162,54)"
	  },
	  "btn-danger": {
	    "backgroundColor": "rgb(217,83,79)",
	    "borderColor": "rgb(212,63,58)"
	  },
	  "btn-link": {
	    "borderColor": "rgba(0,0,0,0)",
	    "borderRadius": 0
	  },
	  "btn-txt-default": {
	    "color": "rgb(51,51,51)"
	  },
	  "btn-txt-primary": {
	    "color": "rgb(255,255,255)"
	  },
	  "btn-txt-success": {
	    "color": "rgb(255,255,255)"
	  },
	  "btn-txt-info": {
	    "color": "rgb(255,255,255)"
	  },
	  "btn-txt-warning": {
	    "color": "rgb(255,255,255)"
	  },
	  "btn-txt-danger": {
	    "color": "rgb(255,255,255)"
	  },
	  "btn-txt-link": {
	    "color": "rgb(51,122,183)"
	  },
	  "btn-sz-large": {
	    "width": 300,
	    "height": 100,
	    "paddingTop": 25,
	    "paddingBottom": 25,
	    "paddingLeft": 40,
	    "paddingRight": 40,
	    "borderRadius": 15
	  },
	  "btn-sz-middle": {
	    "width": 240,
	    "height": 80,
	    "paddingTop": 15,
	    "paddingBottom": 15,
	    "paddingLeft": 30,
	    "paddingRight": 30,
	    "borderRadius": 10
	  },
	  "btn-sz-small": {
	    "width": 170,
	    "height": 60,
	    "paddingTop": 12,
	    "paddingBottom": 12,
	    "paddingLeft": 25,
	    "paddingRight": 25,
	    "borderRadius": 7
	  },
	  "btn-txt-sz-large": {
	    "fontSize": 45
	  },
	  "btn-txt-sz-middle": {
	    "fontSize": 35
	  },
	  "btn-txt-sz-small": {
	    "fontSize": 30
	  }
	}

/***/ },
/* 21 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    type: 'default',
	    size: 'large',
	    value: ''
	  }},
	  methods: {}
	};}
	/* generated by weex-loader */


/***/ },
/* 22 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(23)
	var __weex_style__ = __webpack_require__(24)
	var __weex_script__ = __webpack_require__(25)

	__weex_define__('@weex-component/wxc-hn', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 23 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": function () {return ['h' + (this.level)]},
	  "style": {
	    "justifyContent": "center"
	  },
	  "children": [
	    {
	      "type": "text",
	      "classList": function () {return ['txt-h' + (this.level)]},
	      "attr": {
	        "value": function () {return this.value}
	      }
	    }
	  ]
	}

/***/ },
/* 24 */
/***/ function(module, exports) {

	module.exports = {
	  "h1": {
	    "height": 110,
	    "paddingTop": 20,
	    "paddingBottom": 20
	  },
	  "h2": {
	    "height": 110,
	    "paddingTop": 20,
	    "paddingBottom": 20
	  },
	  "h3": {
	    "height": 110,
	    "paddingTop": 20,
	    "paddingBottom": 20
	  },
	  "txt-h1": {
	    "fontSize": 70
	  },
	  "txt-h2": {
	    "fontSize": 52
	  },
	  "txt-h3": {
	    "fontSize": 42
	  }
	}

/***/ },
/* 25 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    level: 1,
	    value: ''
	  }},
	  methods: {}
	};}
	/* generated by weex-loader */


/***/ },
/* 26 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(27)
	var __weex_style__ = __webpack_require__(28)
	var __weex_script__ = __webpack_require__(29)

	__weex_define__('@weex-component/wxc-list-item', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 27 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "item"
	  ],
	  "events": {
	    "touchstart": "touchstart",
	    "touchend": "touchend"
	  },
	  "style": {
	    "backgroundColor": function () {return this.bgColor}
	  },
	  "children": [
	    {
	      "type": "content"
	    }
	  ]
	}

/***/ },
/* 28 */
/***/ function(module, exports) {

	module.exports = {
	  "item": {
	    "paddingTop": 25,
	    "paddingBottom": 25,
	    "paddingLeft": 35,
	    "paddingRight": 35,
	    "height": 160,
	    "justifyContent": "center",
	    "borderBottomWidth": 1,
	    "borderColor": "#dddddd"
	  }
	}

/***/ },
/* 29 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    bgColor: '#ffffff'
	  }},
	  methods: {
	    touchstart: function touchstart() {},
	    touchend: function touchend() {}
	  }
	};}
	/* generated by weex-loader */


/***/ },
/* 30 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(31)
	var __weex_style__ = __webpack_require__(32)
	var __weex_script__ = __webpack_require__(33)

	__weex_define__('@weex-component/wxc-panel', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 31 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": function () {return ['panel', 'panel-' + (this.type)]},
	  "style": {
	    "borderWidth": function () {return this.border}
	  },
	  "children": [
	    {
	      "type": "text",
	      "classList": function () {return ['panel-header', 'panel-header-' + (this.type)]},
	      "style": {
	        "paddingTop": function () {return this.paddingHead},
	        "paddingBottom": function () {return this.paddingHead},
	        "paddingLeft": function () {return this.paddingHead*1.5},
	        "paddingRight": function () {return this.paddingHead*1.5}
	      },
	      "attr": {
	        "value": function () {return this.title}
	      }
	    },
	    {
	      "type": "div",
	      "classList": function () {return ['panel-body', 'panel-body-' + (this.type)]},
	      "style": {
	        "paddingTop": function () {return this.paddingBody},
	        "paddingBottom": function () {return this.paddingBody},
	        "paddingLeft": function () {return this.paddingBody*1.5},
	        "paddingRight": function () {return this.paddingBody*1.5}
	      },
	      "children": [
	        {
	          "type": "content"
	        }
	      ]
	    }
	  ]
	}

/***/ },
/* 32 */
/***/ function(module, exports) {

	module.exports = {
	  "panel": {
	    "marginBottom": 20,
	    "backgroundColor": "#ffffff",
	    "borderColor": "#dddddd",
	    "borderWidth": 1
	  },
	  "panel-primary": {
	    "borderColor": "rgb(40,96,144)"
	  },
	  "panel-success": {
	    "borderColor": "rgb(76,174,76)"
	  },
	  "panel-info": {
	    "borderColor": "rgb(70,184,218)"
	  },
	  "panel-warning": {
	    "borderColor": "rgb(238,162,54)"
	  },
	  "panel-danger": {
	    "borderColor": "rgb(212,63,58)"
	  },
	  "panel-header": {
	    "backgroundColor": "#f5f5f5",
	    "fontSize": 40,
	    "color": "#333333"
	  },
	  "panel-header-primary": {
	    "backgroundColor": "rgb(40,96,144)",
	    "color": "#ffffff"
	  },
	  "panel-header-success": {
	    "backgroundColor": "rgb(92,184,92)",
	    "color": "#ffffff"
	  },
	  "panel-header-info": {
	    "backgroundColor": "rgb(91,192,222)",
	    "color": "#ffffff"
	  },
	  "panel-header-warning": {
	    "backgroundColor": "rgb(240,173,78)",
	    "color": "#ffffff"
	  },
	  "panel-header-danger": {
	    "backgroundColor": "rgb(217,83,79)",
	    "color": "#ffffff"
	  },
	  "panel-body": {}
	}

/***/ },
/* 33 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    type: 'default',
	    title: '',
	    paddingBody: 20,
	    paddingHead: 20,
	    dataClass: '',
	    border: 0
	  }},
	  ready: function ready() {}
	};}
	/* generated by weex-loader */


/***/ },
/* 34 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(35)
	var __weex_style__ = __webpack_require__(36)
	var __weex_script__ = __webpack_require__(37)

	__weex_define__('@weex-component/wxc-tip', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 35 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": function () {return ['tip', 'tip-' + (this.type)]},
	  "children": [
	    {
	      "type": "text",
	      "classList": function () {return ['tip-txt', 'tip-txt-' + (this.type)]},
	      "attr": {
	        "value": function () {return this.value}
	      }
	    }
	  ]
	}

/***/ },
/* 36 */
/***/ function(module, exports) {

	module.exports = {
	  "tip": {
	    "paddingLeft": 36,
	    "paddingRight": 36,
	    "paddingTop": 36,
	    "paddingBottom": 36,
	    "borderRadius": 10
	  },
	  "tip-txt": {
	    "fontSize": 28
	  },
	  "tip-success": {
	    "backgroundColor": "#dff0d8",
	    "borderColor": "#d6e9c6"
	  },
	  "tip-txt-success": {
	    "color": "#3c763d"
	  },
	  "tip-info": {
	    "backgroundColor": "#d9edf7",
	    "borderColor": "#bce8f1"
	  },
	  "tip-txt-info": {
	    "color": "#31708f"
	  },
	  "tip-warning": {
	    "backgroundColor": "#fcf8e3",
	    "borderColor": "#faebcc"
	  },
	  "tip-txt-warning": {
	    "color": "#8a6d3b"
	  },
	  "tip-danger": {
	    "backgroundColor": "#f2dede",
	    "borderColor": "#ebccd1"
	  },
	  "tip-txt-danger": {
	    "color": "#a94442"
	  }
	}

/***/ },
/* 37 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    type: 'success',
	    value: ''
	  }}
	};}
	/* generated by weex-loader */


/***/ },
/* 38 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(39)
	var __weex_style__ = __webpack_require__(40)
	var __weex_script__ = __webpack_require__(41)

	__weex_define__('@weex-component/wxc-countdown', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 39 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "style": {
	    "overflow": "hidden",
	    "flexDirection": "row"
	  },
	  "events": {
	    "appear": "appeared",
	    "disappear": "disappeared"
	  },
	  "children": [
	    {
	      "type": "content"
	    }
	  ]
	}

/***/ },
/* 40 */
/***/ function(module, exports) {

	module.exports = {
	  "wrap": {
	    "overflow": "hidden"
	  }
	}

/***/ },
/* 41 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	var _assign = __webpack_require__(42);

	var _assign2 = _interopRequireDefault(_assign);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	module.exports = {
	    data: function () {return {
	        now: 0,
	        remain: 0,
	        time: {
	            elapse: 0,
	            D: '0',
	            DD: '0',
	            h: '0',
	            hh: '00',
	            H: '0',
	            HH: '0',
	            m: '0',
	            mm: '00',
	            M: '0',
	            MM: '0',
	            s: '0',
	            ss: '00',
	            S: '0',
	            SS: '0'
	        },
	        outofview: false
	    }},
	    ready: function ready() {
	        if (this.remain <= 0) {
	            return;
	        }

	        this.now = Date.now();
	        this.nextTick();
	    },
	    methods: {
	        nextTick: function nextTick() {
	            if (this.outofview) {
	                setTimeout(this.nextTick.bind(this), 1000);
	            } else {
	                this.time.elapse = parseInt((Date.now() - this.now) / 1000);

	                if (this.calc()) {
	                    this.$emit('tick', (0, _assign2.default)({}, this.time));
	                    setTimeout(this.nextTick.bind(this), 1000);
	                } else {
	                    this.$emit('alarm', (0, _assign2.default)({}, this.time));
	                }
	                this._app.updateActions();
	            }
	        },
	        format: function format(str) {
	            if (str.length >= 2) {
	                return str;
	            } else {
	                return '0' + str;
	            }
	        },
	        calc: function calc() {
	            var remain = this.remain - this.time.elapse;
	            if (remain < 0) {
	                remain = 0;
	            }
	            this.time.D = String(parseInt(remain / 86400));
	            this.time.DD = this.format(this.time.D);
	            this.time.h = String(parseInt((remain - parseInt(this.time.D) * 86400) / 3600));
	            this.time.hh = this.format(this.time.h);
	            this.time.H = String(parseInt(remain / 3600));
	            this.time.HH = this.format(this.time.H);
	            this.time.m = String(parseInt((remain - parseInt(this.time.H) * 3600) / 60));
	            this.time.mm = this.format(this.time.m);
	            this.time.M = String(parseInt(remain / 60));
	            this.time.MM = this.format(this.time.M);
	            this.time.s = String(remain - parseInt(this.time.M) * 60);
	            this.time.ss = this.format(this.time.s);
	            this.time.S = String(remain);
	            this.time.SS = this.format(this.time.S);

	            return remain > 0;
	        },
	        appeared: function appeared() {
	            this.outofview = false;
	        },
	        disappeared: function disappeared() {
	            this.outofview = true;
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },
/* 42 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(43), __esModule: true };

/***/ },
/* 43 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(44);
	module.exports = __webpack_require__(12).Object.assign;

/***/ },
/* 44 */
/***/ function(module, exports, __webpack_require__) {

	// 19.1.3.1 Object.assign(target, source)
	var $export = __webpack_require__(45);

	$export($export.S + $export.F, 'Object', {assign: __webpack_require__(59)});

/***/ },
/* 45 */
/***/ function(module, exports, __webpack_require__) {

	var global    = __webpack_require__(46)
	  , core      = __webpack_require__(12)
	  , ctx       = __webpack_require__(47)
	  , hide      = __webpack_require__(49)
	  , PROTOTYPE = 'prototype';

	var $export = function(type, name, source){
	  var IS_FORCED = type & $export.F
	    , IS_GLOBAL = type & $export.G
	    , IS_STATIC = type & $export.S
	    , IS_PROTO  = type & $export.P
	    , IS_BIND   = type & $export.B
	    , IS_WRAP   = type & $export.W
	    , exports   = IS_GLOBAL ? core : core[name] || (core[name] = {})
	    , expProto  = exports[PROTOTYPE]
	    , target    = IS_GLOBAL ? global : IS_STATIC ? global[name] : (global[name] || {})[PROTOTYPE]
	    , key, own, out;
	  if(IS_GLOBAL)source = name;
	  for(key in source){
	    // contains in native
	    own = !IS_FORCED && target && target[key] !== undefined;
	    if(own && key in exports)continue;
	    // export native or passed
	    out = own ? target[key] : source[key];
	    // prevent global pollution for namespaces
	    exports[key] = IS_GLOBAL && typeof target[key] != 'function' ? source[key]
	    // bind timers to global for call from export context
	    : IS_BIND && own ? ctx(out, global)
	    // wrap global constructors for prevent change them in library
	    : IS_WRAP && target[key] == out ? (function(C){
	      var F = function(a, b, c){
	        if(this instanceof C){
	          switch(arguments.length){
	            case 0: return new C;
	            case 1: return new C(a);
	            case 2: return new C(a, b);
	          } return new C(a, b, c);
	        } return C.apply(this, arguments);
	      };
	      F[PROTOTYPE] = C[PROTOTYPE];
	      return F;
	    // make static versions for prototype methods
	    })(out) : IS_PROTO && typeof out == 'function' ? ctx(Function.call, out) : out;
	    // export proto methods to core.%CONSTRUCTOR%.methods.%NAME%
	    if(IS_PROTO){
	      (exports.virtual || (exports.virtual = {}))[key] = out;
	      // export proto methods to core.%CONSTRUCTOR%.prototype.%NAME%
	      if(type & $export.R && expProto && !expProto[key])hide(expProto, key, out);
	    }
	  }
	};
	// type bitmap
	$export.F = 1;   // forced
	$export.G = 2;   // global
	$export.S = 4;   // static
	$export.P = 8;   // proto
	$export.B = 16;  // bind
	$export.W = 32;  // wrap
	$export.U = 64;  // safe
	$export.R = 128; // real proto method for `library` 
	module.exports = $export;

/***/ },
/* 46 */
/***/ function(module, exports) {

	// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
	var global = module.exports = typeof window != 'undefined' && window.Math == Math
	  ? window : typeof self != 'undefined' && self.Math == Math ? self : Function('return this')();
	if(typeof __g == 'number')__g = global; // eslint-disable-line no-undef

/***/ },
/* 47 */
/***/ function(module, exports, __webpack_require__) {

	// optional / simple context binding
	var aFunction = __webpack_require__(48);
	module.exports = function(fn, that, length){
	  aFunction(fn);
	  if(that === undefined)return fn;
	  switch(length){
	    case 1: return function(a){
	      return fn.call(that, a);
	    };
	    case 2: return function(a, b){
	      return fn.call(that, a, b);
	    };
	    case 3: return function(a, b, c){
	      return fn.call(that, a, b, c);
	    };
	  }
	  return function(/* ...args */){
	    return fn.apply(that, arguments);
	  };
	};

/***/ },
/* 48 */
/***/ function(module, exports) {

	module.exports = function(it){
	  if(typeof it != 'function')throw TypeError(it + ' is not a function!');
	  return it;
	};

/***/ },
/* 49 */
/***/ function(module, exports, __webpack_require__) {

	var dP         = __webpack_require__(50)
	  , createDesc = __webpack_require__(58);
	module.exports = __webpack_require__(54) ? function(object, key, value){
	  return dP.f(object, key, createDesc(1, value));
	} : function(object, key, value){
	  object[key] = value;
	  return object;
	};

/***/ },
/* 50 */
/***/ function(module, exports, __webpack_require__) {

	var anObject       = __webpack_require__(51)
	  , IE8_DOM_DEFINE = __webpack_require__(53)
	  , toPrimitive    = __webpack_require__(57)
	  , dP             = Object.defineProperty;

	exports.f = __webpack_require__(54) ? Object.defineProperty : function defineProperty(O, P, Attributes){
	  anObject(O);
	  P = toPrimitive(P, true);
	  anObject(Attributes);
	  if(IE8_DOM_DEFINE)try {
	    return dP(O, P, Attributes);
	  } catch(e){ /* empty */ }
	  if('get' in Attributes || 'set' in Attributes)throw TypeError('Accessors not supported!');
	  if('value' in Attributes)O[P] = Attributes.value;
	  return O;
	};

/***/ },
/* 51 */
/***/ function(module, exports, __webpack_require__) {

	var isObject = __webpack_require__(52);
	module.exports = function(it){
	  if(!isObject(it))throw TypeError(it + ' is not an object!');
	  return it;
	};

/***/ },
/* 52 */
/***/ function(module, exports) {

	module.exports = function(it){
	  return typeof it === 'object' ? it !== null : typeof it === 'function';
	};

/***/ },
/* 53 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = !__webpack_require__(54) && !__webpack_require__(55)(function(){
	  return Object.defineProperty(__webpack_require__(56)('div'), 'a', {get: function(){ return 7; }}).a != 7;
	});

/***/ },
/* 54 */
/***/ function(module, exports, __webpack_require__) {

	// Thank's IE8 for his funny defineProperty
	module.exports = !__webpack_require__(55)(function(){
	  return Object.defineProperty({}, 'a', {get: function(){ return 7; }}).a != 7;
	});

/***/ },
/* 55 */
/***/ function(module, exports) {

	module.exports = function(exec){
	  try {
	    return !!exec();
	  } catch(e){
	    return true;
	  }
	};

/***/ },
/* 56 */
/***/ function(module, exports, __webpack_require__) {

	var isObject = __webpack_require__(52)
	  , document = __webpack_require__(46).document
	  // in old IE typeof document.createElement is 'object'
	  , is = isObject(document) && isObject(document.createElement);
	module.exports = function(it){
	  return is ? document.createElement(it) : {};
	};

/***/ },
/* 57 */
/***/ function(module, exports, __webpack_require__) {

	// 7.1.1 ToPrimitive(input [, PreferredType])
	var isObject = __webpack_require__(52);
	// instead of the ES6 spec version, we didn't implement @@toPrimitive case
	// and the second argument - flag - preferred type is a string
	module.exports = function(it, S){
	  if(!isObject(it))return it;
	  var fn, val;
	  if(S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it)))return val;
	  if(typeof (fn = it.valueOf) == 'function' && !isObject(val = fn.call(it)))return val;
	  if(!S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it)))return val;
	  throw TypeError("Can't convert object to primitive value");
	};

/***/ },
/* 58 */
/***/ function(module, exports) {

	module.exports = function(bitmap, value){
	  return {
	    enumerable  : !(bitmap & 1),
	    configurable: !(bitmap & 2),
	    writable    : !(bitmap & 4),
	    value       : value
	  };
	};

/***/ },
/* 59 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	// 19.1.2.1 Object.assign(target, source, ...)
	var getKeys  = __webpack_require__(60)
	  , gOPS     = __webpack_require__(75)
	  , pIE      = __webpack_require__(76)
	  , toObject = __webpack_require__(77)
	  , IObject  = __webpack_require__(64)
	  , $assign  = Object.assign;

	// should work with symbols and should have deterministic property order (V8 bug)
	module.exports = !$assign || __webpack_require__(55)(function(){
	  var A = {}
	    , B = {}
	    , S = Symbol()
	    , K = 'abcdefghijklmnopqrst';
	  A[S] = 7;
	  K.split('').forEach(function(k){ B[k] = k; });
	  return $assign({}, A)[S] != 7 || Object.keys($assign({}, B)).join('') != K;
	}) ? function assign(target, source){ // eslint-disable-line no-unused-vars
	  var T     = toObject(target)
	    , aLen  = arguments.length
	    , index = 1
	    , getSymbols = gOPS.f
	    , isEnum     = pIE.f;
	  while(aLen > index){
	    var S      = IObject(arguments[index++])
	      , keys   = getSymbols ? getKeys(S).concat(getSymbols(S)) : getKeys(S)
	      , length = keys.length
	      , j      = 0
	      , key;
	    while(length > j)if(isEnum.call(S, key = keys[j++]))T[key] = S[key];
	  } return T;
	} : $assign;

/***/ },
/* 60 */
/***/ function(module, exports, __webpack_require__) {

	// 19.1.2.14 / 15.2.3.14 Object.keys(O)
	var $keys       = __webpack_require__(61)
	  , enumBugKeys = __webpack_require__(74);

	module.exports = Object.keys || function keys(O){
	  return $keys(O, enumBugKeys);
	};

/***/ },
/* 61 */
/***/ function(module, exports, __webpack_require__) {

	var has          = __webpack_require__(62)
	  , toIObject    = __webpack_require__(63)
	  , arrayIndexOf = __webpack_require__(67)(false)
	  , IE_PROTO     = __webpack_require__(71)('IE_PROTO');

	module.exports = function(object, names){
	  var O      = toIObject(object)
	    , i      = 0
	    , result = []
	    , key;
	  for(key in O)if(key != IE_PROTO)has(O, key) && result.push(key);
	  // Don't enum bug & hidden keys
	  while(names.length > i)if(has(O, key = names[i++])){
	    ~arrayIndexOf(result, key) || result.push(key);
	  }
	  return result;
	};

/***/ },
/* 62 */
/***/ function(module, exports) {

	var hasOwnProperty = {}.hasOwnProperty;
	module.exports = function(it, key){
	  return hasOwnProperty.call(it, key);
	};

/***/ },
/* 63 */
/***/ function(module, exports, __webpack_require__) {

	// to indexed object, toObject with fallback for non-array-like ES3 strings
	var IObject = __webpack_require__(64)
	  , defined = __webpack_require__(66);
	module.exports = function(it){
	  return IObject(defined(it));
	};

/***/ },
/* 64 */
/***/ function(module, exports, __webpack_require__) {

	// fallback for non-array-like ES3 and non-enumerable old V8 strings
	var cof = __webpack_require__(65);
	module.exports = Object('z').propertyIsEnumerable(0) ? Object : function(it){
	  return cof(it) == 'String' ? it.split('') : Object(it);
	};

/***/ },
/* 65 */
/***/ function(module, exports) {

	var toString = {}.toString;

	module.exports = function(it){
	  return toString.call(it).slice(8, -1);
	};

/***/ },
/* 66 */
/***/ function(module, exports) {

	// 7.2.1 RequireObjectCoercible(argument)
	module.exports = function(it){
	  if(it == undefined)throw TypeError("Can't call method on  " + it);
	  return it;
	};

/***/ },
/* 67 */
/***/ function(module, exports, __webpack_require__) {

	// false -> Array#indexOf
	// true  -> Array#includes
	var toIObject = __webpack_require__(63)
	  , toLength  = __webpack_require__(68)
	  , toIndex   = __webpack_require__(70);
	module.exports = function(IS_INCLUDES){
	  return function($this, el, fromIndex){
	    var O      = toIObject($this)
	      , length = toLength(O.length)
	      , index  = toIndex(fromIndex, length)
	      , value;
	    // Array#includes uses SameValueZero equality algorithm
	    if(IS_INCLUDES && el != el)while(length > index){
	      value = O[index++];
	      if(value != value)return true;
	    // Array#toIndex ignores holes, Array#includes - not
	    } else for(;length > index; index++)if(IS_INCLUDES || index in O){
	      if(O[index] === el)return IS_INCLUDES || index || 0;
	    } return !IS_INCLUDES && -1;
	  };
	};

/***/ },
/* 68 */
/***/ function(module, exports, __webpack_require__) {

	// 7.1.15 ToLength
	var toInteger = __webpack_require__(69)
	  , min       = Math.min;
	module.exports = function(it){
	  return it > 0 ? min(toInteger(it), 0x1fffffffffffff) : 0; // pow(2, 53) - 1 == 9007199254740991
	};

/***/ },
/* 69 */
/***/ function(module, exports) {

	// 7.1.4 ToInteger
	var ceil  = Math.ceil
	  , floor = Math.floor;
	module.exports = function(it){
	  return isNaN(it = +it) ? 0 : (it > 0 ? floor : ceil)(it);
	};

/***/ },
/* 70 */
/***/ function(module, exports, __webpack_require__) {

	var toInteger = __webpack_require__(69)
	  , max       = Math.max
	  , min       = Math.min;
	module.exports = function(index, length){
	  index = toInteger(index);
	  return index < 0 ? max(index + length, 0) : min(index, length);
	};

/***/ },
/* 71 */
/***/ function(module, exports, __webpack_require__) {

	var shared = __webpack_require__(72)('keys')
	  , uid    = __webpack_require__(73);
	module.exports = function(key){
	  return shared[key] || (shared[key] = uid(key));
	};

/***/ },
/* 72 */
/***/ function(module, exports, __webpack_require__) {

	var global = __webpack_require__(46)
	  , SHARED = '__core-js_shared__'
	  , store  = global[SHARED] || (global[SHARED] = {});
	module.exports = function(key){
	  return store[key] || (store[key] = {});
	};

/***/ },
/* 73 */
/***/ function(module, exports) {

	var id = 0
	  , px = Math.random();
	module.exports = function(key){
	  return 'Symbol('.concat(key === undefined ? '' : key, ')_', (++id + px).toString(36));
	};

/***/ },
/* 74 */
/***/ function(module, exports) {

	// IE 8- don't enum bug keys
	module.exports = (
	  'constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf'
	).split(',');

/***/ },
/* 75 */
/***/ function(module, exports) {

	exports.f = Object.getOwnPropertySymbols;

/***/ },
/* 76 */
/***/ function(module, exports) {

	exports.f = {}.propertyIsEnumerable;

/***/ },
/* 77 */
/***/ function(module, exports, __webpack_require__) {

	// 7.1.13 ToObject(argument)
	var defined = __webpack_require__(66);
	module.exports = function(it){
	  return Object(defined(it));
	};

/***/ },
/* 78 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(79)
	var __weex_style__ = __webpack_require__(80)
	var __weex_script__ = __webpack_require__(81)

	__weex_define__('@weex-component/wxc-marquee', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 79 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "wrap"
	  ],
	  "events": {
	    "appear": "appeared",
	    "disappear": "disappeared"
	  },
	  "children": [
	    {
	      "type": "div",
	      "id": "anim",
	      "classList": [
	        "anim"
	      ],
	      "children": [
	        {
	          "type": "content"
	        }
	      ]
	    }
	  ]
	}

/***/ },
/* 80 */
/***/ function(module, exports) {

	module.exports = {
	  "wrap": {
	    "overflow": "hidden",
	    "position": "relative"
	  },
	  "anim": {
	    "flexDirection": "column",
	    "position": "absolute",
	    "transform": "translateY(0) translateZ(0)"
	  }
	}

/***/ },
/* 81 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	    data: function () {return {
	        step: 0,
	        count: 0,
	        index: 1,
	        duration: 0,
	        interval: 0,
	        outofview: false
	    }},
	    ready: function ready() {
	        if (this.interval > 0 && this.step > 0 && this.duration > 0) {
	            this.nextTick();
	        }
	    },
	    methods: {
	        nextTick: function nextTick() {
	            var self = this;
	            if (this.outofview) {
	                setTimeout(self.nextTick.bind(self), self.interval);
	            } else {
	                setTimeout(function () {
	                    self.animation(self.nextTick.bind(self));
	                }, self.interval);
	            }
	        },
	        animation: function animation(cb) {
	            var self = this;
	            var offset = -self.step * self.index;
	            var $animation = __weex_require__('@weex-module/animation');
	            $animation.transition(this.$el('anim'), {
	                styles: {
	                    transform: 'translateY(' + String(offset) + 'px) translateZ(0)'
	                },
	                timingFunction: 'ease',
	                duration: self.duration
	            }, function () {
	                self.index = (self.index + 1) % self.count;
	                self.$emit('change', {
	                    index: self.index,
	                    count: self.count
	                });
	                cb && cb();
	            });
	        },
	        appeared: function appeared() {
	            this.outofview = false;
	        },
	        disappeared: function disappeared() {
	            this.outofview = true;
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },
/* 82 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(83)
	var __weex_style__ = __webpack_require__(84)
	var __weex_script__ = __webpack_require__(85)

	__weex_define__('@weex-component/wxc-navbar', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 83 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "container"
	  ],
	  "style": {
	    "height": function () {return this.height},
	    "backgroundColor": function () {return this.backgroundColor}
	  },
	  "attr": {
	    "dataRole": function () {return this.dataRole}
	  },
	  "children": [
	    {
	      "type": "text",
	      "classList": [
	        "right-text"
	      ],
	      "style": {
	        "color": function () {return this.rightItemColor}
	      },
	      "attr": {
	        "naviItemPosition": "right",
	        "value": function () {return this.rightItemTitle}
	      },
	      "shown": function () {return !this.rightItemSrc},
	      "events": {
	        "click": "onclickrightitem"
	      }
	    },
	    {
	      "type": "image",
	      "classList": [
	        "right-image"
	      ],
	      "attr": {
	        "naviItemPosition": "right",
	        "src": function () {return this.rightItemSrc}
	      },
	      "shown": function () {return this.rightItemSrc},
	      "events": {
	        "click": "onclickrightitem"
	      }
	    },
	    {
	      "type": "text",
	      "classList": [
	        "left-text"
	      ],
	      "style": {
	        "color": function () {return this.leftItemColor}
	      },
	      "attr": {
	        "naviItemPosition": "left",
	        "value": function () {return this.leftItemTitle}
	      },
	      "shown": function () {return !this.leftItemSrc},
	      "events": {
	        "click": "onclickleftitem"
	      }
	    },
	    {
	      "type": "image",
	      "classList": [
	        "left-image"
	      ],
	      "attr": {
	        "naviItemPosition": "left",
	        "src": function () {return this.leftItemSrc}
	      },
	      "shown": function () {return this.leftItemSrc},
	      "events": {
	        "click": "onclickleftitem"
	      }
	    },
	    {
	      "type": "text",
	      "classList": [
	        "center-text"
	      ],
	      "style": {
	        "color": function () {return this.titleColor}
	      },
	      "attr": {
	        "naviItemPosition": "center",
	        "value": function () {return this.title}
	      }
	    }
	  ]
	}

/***/ },
/* 84 */
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "flexDirection": "row",
	    "position": "fixed",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "width": 750
	  },
	  "right-text": {
	    "position": "absolute",
	    "bottom": 28,
	    "right": 32,
	    "textAlign": "right",
	    "fontSize": 32,
	    "fontFamily": "'Open Sans', sans-serif"
	  },
	  "left-text": {
	    "position": "absolute",
	    "bottom": 28,
	    "left": 32,
	    "textAlign": "left",
	    "fontSize": 32,
	    "fontFamily": "'Open Sans', sans-serif"
	  },
	  "center-text": {
	    "position": "absolute",
	    "bottom": 25,
	    "left": 172,
	    "right": 172,
	    "textAlign": "center",
	    "fontSize": 36,
	    "fontWeight": "bold"
	  },
	  "left-image": {
	    "position": "absolute",
	    "bottom": 20,
	    "left": 28,
	    "width": 50,
	    "height": 50
	  },
	  "right-image": {
	    "position": "absolute",
	    "bottom": 20,
	    "right": 28,
	    "width": 50,
	    "height": 50
	  }
	}

/***/ },
/* 85 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    dataRole: 'navbar',

	    backgroundColor: 'black',

	    height: 88,

	    title: "",

	    titleColor: 'black',

	    rightItemSrc: '',

	    rightItemTitle: '',

	    rightItemColor: 'black',

	    leftItemSrc: '',

	    leftItemTitle: '',

	    leftItemColor: 'black'
	  }},
	  methods: {
	    onclickrightitem: function onclickrightitem(e) {
	      this.$dispatch('naviBar.rightItem.click', {});
	    },
	    onclickleftitem: function onclickleftitem(e) {
	      this.$dispatch('naviBar.leftItem.click', {});
	    }
	  }
	};}
	/* generated by weex-loader */


/***/ },
/* 86 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(82)
	var __weex_template__ = __webpack_require__(87)
	var __weex_style__ = __webpack_require__(88)
	var __weex_script__ = __webpack_require__(89)

	__weex_define__('@weex-component/wxc-navpage', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 87 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "wrapper"
	  ],
	  "children": [
	    {
	      "type": "wxc-navbar",
	      "attr": {
	        "dataRole": function () {return this.dataRole},
	        "height": function () {return this.height},
	        "backgroundColor": function () {return this.backgroundColor},
	        "title": function () {return this.title},
	        "titleColor": function () {return this.titleColor},
	        "leftItemSrc": function () {return this.leftItemSrc},
	        "leftItemTitle": function () {return this.leftItemTitle},
	        "leftItemColor": function () {return this.leftItemColor},
	        "rightItemSrc": function () {return this.rightItemSrc},
	        "rightItemTitle": function () {return this.rightItemTitle},
	        "rightItemColor": function () {return this.rightItemColor}
	      }
	    },
	    {
	      "type": "div",
	      "classList": [
	        "wrapper"
	      ],
	      "style": {
	        "marginTop": function () {return this.height}
	      },
	      "children": [
	        {
	          "type": "content"
	        }
	      ]
	    }
	  ]
	}

/***/ },
/* 88 */
/***/ function(module, exports) {

	module.exports = {
	  "wrapper": {
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "bottom": 0,
	    "width": 750
	  }
	}

/***/ },
/* 89 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    dataRole: 'navbar',
	    backgroundColor: 'black',
	    height: 88,
	    title: "",
	    titleColor: 'black',
	    rightItemSrc: '',
	    rightItemTitle: '',
	    rightItemColor: 'black',
	    leftItemSrc: '',
	    leftItemTitle: '',
	    leftItemColor: 'black'
	  }}
	};}
	/* generated by weex-loader */


/***/ },
/* 90 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(91)
	var __weex_template__ = __webpack_require__(95)
	var __weex_style__ = __webpack_require__(96)
	var __weex_script__ = __webpack_require__(97)

	__weex_define__('@weex-component/wxc-tabbar', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 91 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(92)
	var __weex_style__ = __webpack_require__(93)
	var __weex_script__ = __webpack_require__(94)

	__weex_define__('@weex-component/wxc-tabitem', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },
/* 92 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "container"
	  ],
	  "style": {
	    "backgroundColor": function () {return this.backgroundColor}
	  },
	  "events": {
	    "click": "onclickitem"
	  },
	  "children": [
	    {
	      "type": "image",
	      "classList": [
	        "top-line"
	      ],
	      "attr": {
	        "src": "http://gtms03.alicdn.com/tps/i3/TB1mdsiMpXXXXXpXXXXNw4JIXXX-640-4.png"
	      }
	    },
	    {
	      "type": "image",
	      "classList": [
	        "tab-icon"
	      ],
	      "attr": {
	        "src": function () {return this.icon}
	      }
	    },
	    {
	      "type": "text",
	      "classList": [
	        "tab-text"
	      ],
	      "style": {
	        "color": function () {return this.titleColor}
	      },
	      "attr": {
	        "value": function () {return this.title}
	      }
	    }
	  ]
	}

/***/ },
/* 93 */
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "flex": 1,
	    "flexDirection": "column",
	    "alignItems": "center",
	    "justifyContent": "center",
	    "height": 88
	  },
	  "top-line": {
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "height": 2
	  },
	  "tab-icon": {
	    "marginTop": 5,
	    "width": 40,
	    "height": 40
	  },
	  "tab-text": {
	    "marginTop": 5,
	    "textAlign": "center",
	    "fontSize": 20
	  }
	}

/***/ },
/* 94 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    index: 0,
	    title: '',
	    titleColor: '#000000',
	    icon: '',
	    backgroundColor: '#ffffff'
	  }},
	  methods: {
	    onclickitem: function onclickitem(e) {
	      var vm = this;
	      var params = {
	        index: vm.index
	      };
	      vm.$dispatch('tabItem.onClick', params);
	    }
	  }
	};}
	/* generated by weex-loader */


/***/ },
/* 95 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "wrapper"
	  ],
	  "children": [
	    {
	      "type": "embed",
	      "classList": [
	        "content"
	      ],
	      "style": {
	        "visibility": function () {return this.visibility}
	      },
	      "repeat": function () {return this.tabItems},
	      "attr": {
	        "src": function () {return this.src},
	        "type": "weex"
	      }
	    },
	    {
	      "type": "div",
	      "classList": [
	        "tabbar"
	      ],
	      "append": "tree",
	      "children": [
	        {
	          "type": "wxc-tabitem",
	          "repeat": function () {return this.tabItems},
	          "attr": {
	            "index": function () {return this.index},
	            "icon": function () {return this.icon},
	            "title": function () {return this.title},
	            "titleColor": function () {return this.titleColor}
	          }
	        }
	      ]
	    }
	  ]
	}

/***/ },
/* 96 */
/***/ function(module, exports) {

	module.exports = {
	  "wrapper": {
	    "width": 750,
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "bottom": 0
	  },
	  "content": {
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "bottom": 0,
	    "marginTop": 0,
	    "marginBottom": 88
	  },
	  "tabbar": {
	    "flexDirection": "row",
	    "position": "fixed",
	    "bottom": 0,
	    "left": 0,
	    "right": 0,
	    "height": 88
	  }
	}

/***/ },
/* 97 */
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    tabItems: [],
	    selectedIndex: 0,
	    selectedColor: '#ff0000',
	    unselectedColor: '#000000'
	  }},
	  created: function created() {
	    this.selected(this.selectedIndex);

	    this.$on('tabItem.onClick', function (e) {
	      var detail = e.detail;
	      this.selectedIndex = detail.index;
	      this.selected(detail.index);

	      var params = {
	        index: detail.index
	      };
	      this.$dispatch('tabBar.onClick', params);
	    });
	  },
	  methods: {
	    selected: function selected(index) {
	      for (var i = 0; i < this.tabItems.length; i++) {
	        var tabItem = this.tabItems[i];
	        if (i == index) {
	          tabItem.icon = tabItem.selectedImage;
	          tabItem.titleColor = this.selectedColor;
	          tabItem.visibility = 'visible';
	        } else {
	          tabItem.icon = tabItem.image;
	          tabItem.titleColor = this.unselectedColor;
	          tabItem.visibility = 'hidden';
	        }
	      }
	    }
	  }
	};}
	/* generated by weex-loader */


/***/ },
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * ====================接口Url地址========================
	 * http://test.wgmf.com/crmserver
	 * crmserver子目录下
	 * 原来crmserver现在分成四大子模块；
	 * app-manage
	 * app-saler
	 * app
	 * 
	 * 
	 * H5模块
	 */

	var AppConfig = __webpack_require__(7);
	var ApiConstants = __webpack_require__(102);


	var CRMSERVER = {
	    /** EnvPort */
	    EnvPort: "/crmserver/",
	}

	/**
	 * 管理模块
	 */
	var APPMANAGE = {
	    EnvPort: "/app-manage/",
	}

	/**
	 * 销售模块
	 */
	var APPSALER = {
	    EnvPort: "/app-saler/",
	}

	/**
	 * 会员模块
	 */
	var APP = {
	    EnvPort: "/app/",
	    /**体验装派发数*/
	    userQueryStock: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/queryStock";
	    },
	    /**获取门店任务*/
	    // getStoreTaskInfo: APP.EnvPort()+ "information/getStoreTaskInfo",
	    getStoreTaskInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "information/getStoreTaskInfo";
	    },
	    /**以老带新,获取统计汇总数据 */
	    getOldAndNewSum: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "datastatistics/getOldAndNewSum";
	    },
	    /**订单中心 */
	    getOrderInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/getOrderInfo";
	    },
	    /**预约确认*/
	    verifyReserve: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/verifyReserve";
	    },
	}

	/**
	 * 活动
	 * http://test.wgmf.com/promotion
	 * promotion子目录下
	 */
	var PROMOTION = {}

	/***
	 * ================================H5部分=================================
	 */

	/**
	 * 文件路径
	 */
	var H5Path = {
	    /**
	     * H5人员写的H5
	     */
	    EnvPort: "/crmserver-front/html/",
	    /**新客数据查询**/
	    newCustomerStatic: function(shopName, shopId) {
	        return ApiConstants.baseApi() + this.EnvPort + "newCustomerStatic/newCustomerStatic.html?shopName=" + shopName + "&shopId=" + shopId;
	    },

	    /**初心蜜销售提成展示(微商品销售)*/
	    firstHeartHoneyIndex: function(storeName, storeId, userId) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/firstHeartHoneyIndex.html?storeName=" + storeName + "&storeId=" + storeId + "&userId=" + userId;
	    },

	    /**会员商品提成查询*/
	    memberProductSale: function(storeName, storeId, autoSearch) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/memberProductSale.html?storeName=" + storeName + "&storeId=" + storeId + "&autoSearch" + autoSearch; //autoSearch=1时进入查询界面，0时直接进入查询结果
	    },



	    /**
	     * 自己写的H5
	     */
	    index_top_carousel: AppConfig.baseH5Url + "index_top_carousel.html",
	};


	exports.CRMSERVER = CRMSERVER;
	exports.APPMANAGE = APPMANAGE;
	exports.APPSALER = APPSALER;
	exports.APP = APP;
	exports.H5Path = H5Path;

/***/ },
/* 102 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 接口地址,环境切换配置
	 */
	var AppConfig = __webpack_require__(7);

	var apiBaseURL = {    
	    releaseEnvServer: 'https://app.wgmf.com',
	    releaseEnvPort: "/procrmserver",

	    // testEnvServer: "http://test.wgmf.com",
	    //代理是用这个地址；
	    testEnvServer: getTestEnvServer(),    
	    testEnvPort: "/crmserver"
	}; 

	function getTestEnvServer() {
	    if (AppConfig.isProxyNginx) {
	        return AppConfig.baseUrlIpPort;
	    }
	    return "http://test.wgmf.com";
	}

	/**
	* 这种模式要求传递模块(三大模块)；
	*/
	function baseApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvServer;//测试环境
	     }else{
	     	return apiBaseURL.releaseEnvServer;//正式环境
	     }
	}

	function baseOldApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvPort;//测试环境
	     }else{
	        return apiBaseURL.releaseEnvServer+apiBaseURL.releaseEnvPort;//正式环境
	     }
	}

	// exports.apiBaseURL = apiBaseURL;
	exports.baseApi = baseApi;


/***/ },
/* 103 */,
/* 104 */
/***/ function(module, exports, __webpack_require__) {

	/**路由配置(跟Native的数据也要对应上，尽量要包路径一致)
	 * 方便管理路径跳转；堆栈管理；
	 * 参数携带：有两种方式：
	 * 1：url处理。在Native中处理交换；(麻烦)
	 * 2：storage保存。跳转到下一个界面清理掉;(可以处理复杂数据)；
	 */
	var AppConfig = __webpack_require__(7);
	var AppConstants = __webpack_require__(5);
	var BaseImageUrl = AppConfig.baseImageUrl;
	var H5Path = __webpack_require__(101).H5Path;

	var config = '';
	/**路由,对应JSON路径
	 *   name:名字
	     src:路径
	     icon: 图片
	     component:跳转综合路径 
	*/
	var routers = {
	    Test: {
	        name: '测试',
	        component: function(platform, platformUrl, baseUrl) {
	            switch (platform) {
	                case 'Web':
	                    return platformUrl + "ui/view/fragment/test/TestFragment";
	                case 'android':
	                    return baseUrl + "Test";
	            }
	        },
	        subRouters: {
	            Test_1: {
	                name: 'Test_1',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	                subRouters: { //测试三级目录；
	                    Test_1_1: {
	                        name: 'Test_1_1',
	                        component: function(platform, platformUrl, baseUrl) {
	                            return baseUrl + 'Test/Test_1/Test_1_1';
	                        },
	                    }
	                }
	            }
	        }
	    },
	    H5: { //这个容器也看做一个普通的.js文件
	        name: 'H5容器',
	        component: function(platform, platformUrl, baseUrl) {
	            return baseUrl + 'ui/base/WebContainer.js';
	        },
	    },
	    Login: {
	        name: '登录',
	        component: function(platform, platformUrl, baseUrl) {
	            return baseUrl + 'ui/Login.js';
	        },
	    },
	    Main: {
	        name: '主页',
	        src: 'ui/Main.js',
	        // icon: BaseImageUrl + "btn_member_old_guide_new.png",
	        component: function(platform, platformUrl, baseUrl) {
	            return baseUrl + this.src;
	        },
	    },
	    Index: {
	        index: 0,
	        title: '首页',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_home_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_home_selected.png",
	        src: 'ui/index/Index.js',
	        visibility: 'visible',
	        subRouters: {
	            InputNumber: {
	                name: '会员录单',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	            },
	            NewCustomerThridTride: {
	                name: '新客三响炮',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	            },
	            RedeemPoints: {
	                name: '积分兑换',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	            },
	            DevelopNewMember: {
	                name: '发展新会员',
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + "ui/index/DevelopNewMember.js";
	                },
	            },
	            OrderCenter: {
	                name: '订单中心',
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + "ui/index/OrderCenter.js";
	                },
	            },

	        }
	    },
	    Member: {
	        index: 1,
	        title: '会员营销',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_member_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_member_selected.png",
	        src: 'ui/member/Member.js',
	        visibility: 'hidden',
	        subRouters: {
	            MemberListAct: {
	                name: '会员构成',
	                src: 'com.urovo.activity.MemberList.view.MemberListAct',
	                icon: BaseImageUrl + "btn_member_vip_form.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + this.src;
	                    }
	                },
	            },
	            JiFenDaoQiTiXingAct: {
	                name: '老客唤醒',
	                src: 'com.urovo.activity.membergroup.JiFenDaoQiTiXing.view.JiFenDaoQiTiXingAct',
	                icon: BaseImageUrl + "btn_member_old_remind.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + this.src;
	                    }
	                },
	            },
	            CarryOldWithNew: {
	                name: '以老带新',
	                src: 'ui/member/CarryOldWithNew.js',
	                icon: BaseImageUrl + "btn_member_old_guide_new.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            SanXiangPaoAct: {
	                name: '新客三响炮',
	                src: 'com.urovo.activity.SanXiangPao.view.SanXiangPaoAct',
	                icon: BaseImageUrl + "btn_new_sxp.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return platformUrl + this.src;
	                },
	            },
	            QueryMyWeiVIP: {
	                name: '有效微会员数据',
	                src: 'com.urovo.activity.data.QueryMyWeiVIP.view.QueryMyWeiVIP',
	                icon: BaseImageUrl + "ic_member_valid_weixin.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            newCustomerStatic: {
	                name: '新客数据',
	                src: H5Path.newCustomerStatic("{storeName}", "{storeId}"),
	                icon: BaseImageUrl + "ic_member_new.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            VipDayDataAct: {
	                name: '会员日数据',
	                src: 'com.urovo.activity.data.VipDayDataAct',
	                icon: BaseImageUrl + "ic_member_vip_day.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            SanXiangPaoDataAct: {
	                name: '新客三响炮数据查询',
	                src: 'com.urovo.activity.sanxiangpaoData.view.SanXiangPaoDataAct',
	                icon: BaseImageUrl + "ic_member_new_sxp.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            firstHeartHoneyIndex: {
	                name: '微商城销量查询',
	                src: H5Path.firstHeartHoneyIndex("{storeName}", "{storeId}", "{accountNo}"),
	                icon: BaseImageUrl + "ic_member_vshop.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            memberProductSale: {
	                name: '会员商品提成查询',
	                src: H5Path.memberProductSale("{storeName}", "{storeId}", 1),
	                icon: BaseImageUrl + "ic_member_vip_goods_money.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            QueryMemberSalesCompared: {
	                name: '会员销售占比查询',
	                src: 'com.urovo.activity.data.QueryMemberSalesCompared',
	                icon: BaseImageUrl + "ic_member_vip_sell_proportion.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            QueryCreditStatement: {
	                name: '积分兑换流水查询',
	                src: 'com.urovo.activity.data.QueryCreditStatement',
	                icon: BaseImageUrl + "ic_member_integral.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            AppraiseAct: {
	                name: '服务零距离',
	                src: 'com.urovo.activity.appraise.AppraiseAct',
	                icon: BaseImageUrl + "ic_member_serve.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	        }
	    },
	    Data: {
	        index: 2,
	        title: '销售业绩',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_sales_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_sales_selected.png",
	        src: 'ui/data/Data.js',
	        visibility: 'hidden',
	    },

	    MsgCenter: {
	        index: 3,
	        title: '消息中心',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_news_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_news_selected.png",
	        src: 'MsgCenter',
	        visibility: 'hidden',
	        name: '消息中心',
	        component: function(platform, platformUrl, baseUrl) {
	            switch (platform) {
	                case 'android':
	                    return platformUrl + "ui/view/fragment/login/MsgCenterFra";
	            }
	        },
	    },
	    More: {
	        index: 4,
	        title: '更多',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_more_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_more_selected.png",
	        src: 'ui/more/More.js',
	        visibility: 'hidden',
	    },
	};


	/**
	 * 获取总的完整路径,和带标题路径 
	 */
	var getPath = function(self, key, json, isTitleNotUse) {
	    console.log('getPath ---isTitleNotUse', isTitleNotUse);
	    var eJson = json;
	    var value = eval("eJson." + key);
	    var title = value.name;
	    var platform = config.env.platform;
	    // console.log('Router-->config--->', JSON.stringify(config));
	    var path = value.component(platform, getPlatformUrl(platform), AppConfig.getCurrentPathUrl(self, ""));
	    var titleParm = "?" + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title;
	    if (isTitleNotUse) {
	        return path;
	    } else {
	        return path + titleParm;
	    }
	}

	/**
	 * 循环出要的数组；
	 */
	var populate = function(self, index, paths, routers, isTitleNotUse) {
	    var segement = paths[index];
	    if (index == paths.length - 1) { //find the last segement
	        return getPath(self, segement, routers, isTitleNotUse);
	    } else {
	        for (var key in routers) {
	            if (key == segement) {
	                return populate(self, ++index, paths, routers[key].subRouters, isTitleNotUse);
	            }
	        }
	    }
	}


	var getPlatformUrl = function(platform) {
	    switch (platform) {
	        // case "Web":
	        case "android":
	            var appName = config.env.appName;
	            return 'android.class://' + appName + '/';
	    }
	}

	var getComponent = function(self, path, isTitleNotUse) {
	    config = self.$getConfig();
	    var paths = path.split("/");
	    paths.forEach(function(path, index) {
	        if (!path) paths.splice(index, 1);
	    });

	    return populate(self, 0, paths, routers, isTitleNotUse);
	}

	exports.routers = routers;

	exports.getRouters = function() {
	    return JSON.stringify(routers);
	};

	/**一定会调用这个的 */
	exports.getComponent = function(self, path, isTitleNotUse) {
	    var component = getComponent(self, path, isTitleNotUse);
	    return component;
	};

/***/ },
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "children": [
	    {
	      "type": "div",
	      "style": {
	        "margin": 10,
	        "flexDirection": "row",
	        "justifyContent": "center"
	      },
	      "children": [
	        {
	          "type": "wxc-button",
	          "attr": {
	            "size": "middle",
	            "type": "success",
	            "value": "进入主页"
	          },
	          "events": {
	            "click": "goHome"
	          }
	        }
	      ]
	    },
	    {
	      "type": "wxc-panel",
	      "style": {
	        "margin": 20
	      },
	      "attr": {
	        "type": "info",
	        "title": "参数携带",
	        "border": "2"
	      },
	      "children": [
	        {
	          "type": "wxc-tip",
	          "style": {
	            "marginBottom": 10
	          },
	          "attr": {
	            "type": "success",
	            "value": function () {return this.name}
	          }
	        },
	        {
	          "type": "wxc-tip",
	          "style": {
	            "marginBottom": 10
	          },
	          "attr": {
	            "type": "success",
	            "value": function () {return this.country}
	          }
	        }
	      ]
	    },
	    {
	      "type": "tree-view",
	      "attr": {
	        "items": function () {return this.routers}
	      }
	    }
	  ]
	}

/***/ },
/* 121 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	__webpack_require__(17);
	var Router = __webpack_require__(104);
	module.exports = {
	    data: function () {return {
	        routers: '',
	        paths: [],
	        tabs: ['Test', 'Login', 'Main', 'Index', 'Index/InputNumber', 'Index/DevelopNewMember', 'Test/Test_1/Test_1_1']
	    }},
	    created: function created() {
	        this.routers = Router.getRouters();
	        this.paths = this.getRealPath(this.tabs);
	    },
	    methods: {
	        goHome: function goHome() {
	            this.paths.forEach(function (e) {
	                console.log('PageManager-->goHome--->', e);
	            });
	        },

	        getRealPath: function getRealPath(tabs) {
	            var paths = [];
	            for (var key in tabs) {
	                paths[key] = Router.getComponent(this, tabs[key]);
	            }
	            return paths;
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ }
/******/ ]);