/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(165)
	var __weex_style__ = __webpack_require__(166)
	var __weex_script__ = __webpack_require__(167)

	__weex_define__('@weex-component/f03100ba94d6143055c3d82b87b3b49b', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})

	__weex_bootstrap__('@weex-component/f03100ba94d6143055c3d82b87b3b49b',undefined,undefined)

/***/ },

/***/ 5:
/***/ function(module, exports) {

	/**
	 * APP常量配置；PS处理；localstorage;
	 * Created by samy on 16/8/1.
	 */

	/**
	 * 数据库相关
	 */
	var DB = {
	    REALM_DB_NAME: "trade_steward"
	};

	/**
	 * 文件路径
	 */
	var Paths = {
	    IMAGE_LOADER_CACHE_PATH: "/images/"
	};


	/**
	 * PreferHelper(Storage) key值 ;本来可以包含APIEnvironment的；
	 */
	var PrefKeys = {
	    USER_BEAN: "USER_BEAN"
	};

	/**
	 * 用于界面跳转传值时的Extra_Key
	 */
	var ExtraKeys = {
	    /**界面跳转Title */
	    PAGE_TITLE: "title",
	    /**URL */
	    PAGE_URL: "url",
	    /**因JS的特殊原因，设置不了，只能是默认自己一个个设置，界面跳转，传递的Json数据头格式 */
	    JS_EXTRAS: "js_extras"
	};

	exports.DB = DB;
	exports.Paths = Paths;
	exports.PrefKeys = PrefKeys;
	exports.ExtraKeys = ExtraKeys;

/***/ },

/***/ 6:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Toast工具类
	 */

	var AppConfig = __webpack_require__(7);

	var modal;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    modal = __weex_require__('@weex-module/modal')
	});

	function toastDebug(self, content) {
	    if (AppConfig.debug) {
	        toast(self, content);
	    }
	}

	function toast(self, content) {
	    //  self.$call('modal', 'toast', {
	    //       'message': content,
	    //       'duration': 2.0
	    //  });
	    modal.toast({
	        'message': content,
	        'duration': 2.0
	    });
	}

	exports.toastDebug = toastDebug;
	exports.toast = toast;

/***/ },

/***/ 7:
/***/ function(module, exports) {

	/**
	 * 路径总控制开关
	 * APP配置
	 * Created by samy on 16/8/1.
	 *  本机调试，直接http://localhost:8888/
	 * 端口跟serve的得对应上；
	 * nginx配置到:http://localhost:9999/index.html
	 * sudo nginx -c /usr/local/etc/nginx/nginx.conf
	 */

	var debugProxyConfig = {

	    /**是否启用代理调试(web),手机不能用代理*/
	    isProxyNginx: false,


	    /**是否是Debug默认 */
	    debug: false,

	    /**
	     * 打包复制到本地，一定要记得修改；目前区别是都多了个assets目录(true情况下);
	     * 是否是在线模式(用于是否放在手机本地也还是在线,修改img和h5路径)
	     */
	    isOnLineMode: false, //跟debug对立；
	}

	/** 
	 * 理解总的四种开发模式：
	 * 1：在线模式；缺点：费流量和带宽；
	 * 2：热修复模式，把要更新的界面.js，下载到本地,而不加载assets下的有问题的旧.js,跟这里的版本号对应上;【推荐】
	 * 3：离线模式(跟原生上线后的中的,assets),第一次打包的自带的原js,缺点：有问题不好修复
	 * 4: 降级模式；出现Native界面改动较大，通过webview加载h5(weex),达到临时备用；
	 */
	var pathConfig = {
	    //正常和Native调用;
	    // baseUrlIpPort: 'http://localhost:8888/', //本机调试；
	    baseUrlIpPort: 'http://192.168.0.2:8888', //App调试；
	    // baseUrlIpPort: '192.168.31.197:8888', //App调试；
	    //nginx代理H5调用;(记得把nginx启动)
	    baseUrlIpPortProxy: 'http://192.168.0.2:9999',
	    // baseUrlIpPortProxy: '192.168.31.197:8888', //http://192.168.31.197:8888/assets/imgs/

	    //H5;
	    // baseH5IpPort:'http://192.168.0.2:8888',
	    //img
	    // baseImgIpPort:'http://192.168.0.2:8888'
	}

	/** 
	 * 常用路径配置(跟UrlUtils对应上,后期优化)
	 * 跟assets中的目录对象上；
	 * 1:app(weex原文件)
	 * 2:h5(自己写的h5)
	 * 3:imgs(图片资源)
	 */
	var appConfig = {
	    /**图片*/
	    // baseImageUrl: 'http://7xuxy3.com1.z0.glb.clouddn.com/trade/img/' 
	    baseImageUrl: getBaseImgPath() + 'imgs/',

	    /**H5地址(自己写的)*/
	    baseH5Url: getBaseH5Path() + 'h5/html/',

	    /*资源和访问Url*/
	    baseSrcUrl: getBaseUrl() + "app/",
	};

	/**
	 * ip端口的路径(全局的)
	 */
	function getBaseUrlIpPort() {
	    // 方式一：通过bundleUrl，自动获取
	    // var host = 'localhost:12580';
	    // var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
	    // if (matches && matches.length >= 2) {
	    //     host = matches[1];
	    // }
	    //方式二：手动设置；
	    var base = pathConfig.baseUrlIpPort; // in Native
	    if ((typeof window === 'object') && (debugProxyConfig.isProxyNginx)) {
	        base = pathConfig.baseUrlIpPortProxy; // in Browser or WebView
	    }
	    return base;
	}


	/**
	 * imgs的路径
	 * 放在本地时
	 * (选填，做平台处理),目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseImgPath() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/";
	    } else {
	        return "assets://"; //assets目录下的；
	    }
	}

	/**
	 * H5的路径
	 * 放在本地时
	 * (选填，做平台处理)目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseH5Path() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/"; //后期设置assets可以配置使用；
	    } else {
	        return "file:///android_asset/"; //assets目录下的；
	        // file:///sdcard/ or file:/sdcard (sdcard目录下的)
	        //file:///storage/emulated/0/Android/data/com.alibaba.weex/cache/
	    }

	}

	/**
	 * Url的路径（特殊性，在线的是自动生产在不同位置上） 
	 * tabbar 用的直接是jsbundle 的路径
	 */
	function getBaseUrl(isTabBar) {
	    var tempUrl = getBaseUrlIpPort();
	    if (debugProxyConfig.isOnLineMode) {
	        if (typeof window === 'object') {
	            return isTabBar ? "/dist/" : tempUrl + '/index.html?page=./dist/'; //(weex h5方式访问,跳转时用到)
	        } else {
	            return tempUrl + "/dist/"; //webpack方式访问,APP访问服务器js情况；
	        }
	    }
	    return ""; //本地+/app
	}


	/**更Routers.js对应上；
	 * 文件跳转时，得用上；
	 * 当前Url的全路径，完整路径；
	 * 此处需注意一下,tabbar 用的直接是jsbundle 的路径,但是navigator是直接跳转到新页面上的.
	 * 最新，最全的方法处理；
	 */
	function getCurrentPathUrl(self, currentDir, isTabBar) {
	    var config = self.$getConfig();
	    var bundleUrl = config.bundleUrl;
	    var env = config.env; //appName必须设置全局中设置对；
	    var base;
	    //也可以通过env判断;
	    var isAndroidAssets = bundleUrl.indexOf('file://assets/') >= 0;
	    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf(env.appName) > 0;
	    if (isAndroidAssets) { //Android 离线模式
	        base = 'file://assets/';
	    } else if (isiOSAssets) { //iOS 离线模式
	        base = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
	    } else { //web或者App访问模式
	        base = getBaseUrl(isTabBar);
	    }
	    base = base + "app/" + currentDir;
	    console.log('appConfig-->getCurrentPathUrl--->', base);
	    return base;
	}



	exports.debug = debugProxyConfig.debug;
	exports.isProxyNginx = debugProxyConfig.isProxyNginx;

	exports.baseUrlIpPort = getBaseUrlIpPort();

	exports.baseSrcUrl = appConfig.baseSrcUrl;
	exports.baseH5Url = appConfig.baseH5Url;
	exports.baseImageUrl = appConfig.baseImageUrl;

	exports.getCurrentPathUrl = getCurrentPathUrl;

/***/ },

/***/ 99:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 跳转工具类
	 * Created by samy on 16/8/1.
	 */
	var StringUtil = __webpack_require__(100);
	var AppConfig = __webpack_require__(7);
	var AppConstants = __webpack_require__(5);
	var ApiUrls = __webpack_require__(101);
	var ToastUtil = __webpack_require__(6);
	var IntentBri = __webpack_require__(103);
	// var Log = require('./Log');

	var navigator;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    if (typeof window === 'object') { // H5请求下还是用SDK里面的；
	        return navigator = __weex_require__('@weex-module/navigator');
	    } else { //原生请求下用自定义的；
	        // return navigator = __weex_require__('@weex-module/WxNavigatorModule');
	        return navigator = __weex_require__('@weex-module/navigator');
	    }
	});

	/**
	 * 传值情况下：默认带的数据：url+title;
	 * h5
	 * 自带的navigator.push方法；
	 *   web container
	 * native
	 *   com.zsy.***(.class)
	 *   ui/**(.we)
	 */
	function push(self, url, title, jsExtras, isFinish) {
	    console.log("====push==url==>" + url);
	    // if (typeof window === 'object') { // H5请求下还是用SDK里面的；
	    //     pushToWx(self, url, title);
	    // } else { //原生请求下用自定义的；
	    if (url.indexOf("com.") >= 0) {
	        pushToNative(url, jsExtras, isFinish);
	    } else {
	        pushToWx(self, url, title);
	    }
	    // }
	}

	function pushToWx(self, url, title) {
	    console.log("====pushToWx====>" + url);
	    if (url.indexOf(ApiUrls.H5Path.EnvPort) > -1) {
	        pushToH5(self, url, title);
	    } else {
	        pushDefault(self, url, title);
	    }
	}

	/**
	 * 跳转到.we的H5容器；处理H5的界面；
	 */
	function pushToH5(self, url, title, jsExtras) {
	    console.log("====pushToH5====>" + url);
	    if (url.indexOf("storeName") > -1) {
	        url = url.replace("{storeName}", self.userBean.storeName);
	    }
	    if (url.indexOf("storeId") > -1) {
	        url = url.replace("{storeId}", self.userBean.storeId);
	    }
	    if (url.indexOf("accountNo") > -1) {
	        url = url.replace("{accountNo}", self.userBean.accountNo);
	    }
	    url = "ui/base/WebContainer.js?" + AppConstants.ExtraKeys.PAGE_URL + "=" + url + "&" + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title;
	    if (!typeof window === 'object') { //APP传值一种方式；
	        var jsExtras = {
	            "title": title,
	            "url": url,
	        }
	    }
	    pushDefault(self, url, title, jsExtras);
	}


	/**
	 * 默认的跳转
	 * 简单数据之间用url拼接传递；(如：WebContainer)
	 * 复制数据多的情况下，用jsExtras传递；
	 */
	function pushDefault(self, url, title, jsExtras) {
	    console.log("====pushDefault====>" + url);
	    url = StringUtil.trim(url, true);
	    console.log("====pushDefault==filterUrl==>" + url);
	    // if (url.indexOf("WebContainer.js") == -1) { //不是就WebContainer用再?
	    //     url = url + "?";
	    // }
	    var params = {
	        // 'url': AppConfig.baseSrcUrl + url + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title,
	        'url': AppConfig.baseSrcUrl + url,
	        'animated': 'true',
	    };
	    // if (!jsExtras && typeof(jsExtras) != "undefined" && jsExtras != 0) {
	    if (!typeof(jsExtras) == "undefined") {
	        params.protype.jsExtras = jsExtras;
	    }
	    console.log("--pushDefault-params--->" + JSON.stringify(params));
	    navigator.push(params, function(e) {
	        console.log("--pushDefault-callback--->" + e);
	    });
	}


	/**
	 * 跳转到指定的原生的.class
	 */
	function pushToNative(className, jsExtras, isFinish) {
	    console.log("====pushToNative====>" + className);
	    IntentBri.startActivityFromJS(className, jsExtras, isFinish);
	}


	/**
	 * 跳转到Home;
	 */
	function pushToNativeHome() {
	    IntentBri.goHomeTab();
	}


	function pop(self) {
	    var params = {
	        'animated': 'true',
	    }
	    navigator.pop(params, function(e) {
	        //callback
	    });
	}


	exports.push = push;
	exports.pop = pop;
	exports.pushToH5 = pushToH5;
	exports.pushToNative = pushToNative;
	exports.pushToNativeHome = pushToNativeHome;

/***/ },

/***/ 100:
/***/ function(module, exports) {

	/**
	 * 字符串去掉空格
	 * @param str
	 * @param isGlobal
	 * @returns {XML|void|string|*}
	 */
	function trim(str, isGlobal) {
	    var result;
	    result = str.replace(/(^\s+)|(\s+$)/g, "");
	    if (isGlobal) {
	        result = result.replace(/\s/g, "");
	    }
	    return result;
	}

	exports.trim = trim;

/***/ },

/***/ 101:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * ====================接口Url地址========================
	 * http://test.wgmf.com/crmserver
	 * crmserver子目录下
	 * 原来crmserver现在分成四大子模块；
	 * app-manage
	 * app-saler
	 * app
	 * 
	 * 
	 * H5模块
	 */

	var AppConfig = __webpack_require__(7);
	var ApiConstants = __webpack_require__(102);


	var CRMSERVER = {
	    /** EnvPort */
	    EnvPort: "/crmserver/",
	}

	/**
	 * 管理模块
	 */
	var APPMANAGE = {
	    EnvPort: "/app-manage/",
	}

	/**
	 * 销售模块
	 */
	var APPSALER = {
	    EnvPort: "/app-saler/",
	}

	/**
	 * 会员模块
	 */
	var APP = {
	    EnvPort: "/app/",
	    /**体验装派发数*/
	    userQueryStock: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/queryStock";
	    },
	    /**获取门店任务*/
	    // getStoreTaskInfo: APP.EnvPort()+ "information/getStoreTaskInfo",
	    getStoreTaskInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "information/getStoreTaskInfo";
	    },
	    /**以老带新,获取统计汇总数据 */
	    getOldAndNewSum: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "datastatistics/getOldAndNewSum";
	    },
	    /**订单中心 */
	    getOrderInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/getOrderInfo";
	    },
	    /**预约确认*/
	    verifyReserve: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/verifyReserve";
	    },
	}

	/**
	 * 活动
	 * http://test.wgmf.com/promotion
	 * promotion子目录下
	 */
	var PROMOTION = {}

	/***
	 * ================================H5部分=================================
	 */

	/**
	 * 文件路径
	 */
	var H5Path = {
	    /**
	     * H5人员写的H5
	     */
	    EnvPort: "/crmserver-front/html/",
	    /**新客数据查询**/
	    newCustomerStatic: function(shopName, shopId) {
	        return ApiConstants.baseApi() + this.EnvPort + "newCustomerStatic/newCustomerStatic.html?shopName=" + shopName + "&shopId=" + shopId;
	    },

	    /**初心蜜销售提成展示(微商品销售)*/
	    firstHeartHoneyIndex: function(storeName, storeId, userId) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/firstHeartHoneyIndex.html?storeName=" + storeName + "&storeId=" + storeId + "&userId=" + userId;
	    },

	    /**会员商品提成查询*/
	    memberProductSale: function(storeName, storeId, autoSearch) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/memberProductSale.html?storeName=" + storeName + "&storeId=" + storeId + "&autoSearch" + autoSearch; //autoSearch=1时进入查询界面，0时直接进入查询结果
	    },



	    /**
	     * 自己写的H5
	     */
	    index_top_carousel: AppConfig.baseH5Url + "index_top_carousel.html",
	};


	exports.CRMSERVER = CRMSERVER;
	exports.APPMANAGE = APPMANAGE;
	exports.APPSALER = APPSALER;
	exports.APP = APP;
	exports.H5Path = H5Path;

/***/ },

/***/ 102:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 接口地址,环境切换配置
	 */
	var AppConfig = __webpack_require__(7);

	var apiBaseURL = {    
	    releaseEnvServer: 'https://app.wgmf.com',
	    releaseEnvPort: "/procrmserver",

	    // testEnvServer: "http://test.wgmf.com",
	    //代理是用这个地址；
	    testEnvServer: getTestEnvServer(),    
	    testEnvPort: "/crmserver"
	}; 

	function getTestEnvServer() {
	    if (AppConfig.isProxyNginx) {
	        return AppConfig.baseUrlIpPort;
	    }
	    return "http://test.wgmf.com";
	}

	/**
	* 这种模式要求传递模块(三大模块)；
	*/
	function baseApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvServer;//测试环境
	     }else{
	     	return apiBaseURL.releaseEnvServer;//正式环境
	     }
	}

	function baseOldApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvPort;//测试环境
	     }else{
	        return apiBaseURL.releaseEnvServer+apiBaseURL.releaseEnvPort;//正式环境
	     }
	}

	// exports.apiBaseURL = apiBaseURL;
	exports.baseApi = baseApi;


/***/ },

/***/ 103:
/***/ function(module, exports) {

	/**
	 * 跟原生中的配置对应上；
	 */
	var intentModule
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    intentModule = __weex_require__('@weex-module/intentModule')
	})


	/**
	 *跳转到原生，并携带数据；
	 */
	function startActivityFromJS(className, jsExtras, isFinish) {
	    intentModule.startActivityFromJS(className, jsExtras, function(ts) {
	        console.log("activity is open at " + ts);
	    });
	}

	function goHomeTab() {
	    intentModule.goHomeTab();
	}

	exports.startActivityFromJS = startActivityFromJS;
	exports.goHomeTab = goHomeTab;

/***/ },

/***/ 146:
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(147)
	var __weex_style__ = __webpack_require__(148)
	var __weex_script__ = __webpack_require__(149)

	__weex_define__('@weex-component/img-text', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },

/***/ 147:
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "container"
	  ],
	  "style": {
	    "backgroundColor": function () {return this.backgroundColor}
	  },
	  "events": {
	    "click": "onClickItem"
	  },
	  "children": [
	    {
	      "type": "image",
	      "classList": [
	        "img_icon"
	      ],
	      "style": {
	        "width": function () {return this.imgWH},
	        "height": function () {return this.imgWH}
	      },
	      "attr": {
	        "src": function () {return this.imgUrl}
	      }
	    },
	    {
	      "type": "text",
	      "classList": [
	        "text_desc"
	      ],
	      "style": {
	        "color": function () {return this.textColor},
	        "fontSize": function () {return this.fontSize},
	        "marginTop": function () {return this.textImgMargin}
	      },
	      "attr": {
	        "value": function () {return this.textDes}
	      }
	    }
	  ]
	}

/***/ },

/***/ 148:
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "flex": 1,
	    "alignItems": "center",
	    "justifyContent": "center"
	  },
	  "text_desc": {
	    "textAlign": "center"
	  }
	}

/***/ },

/***/ 149:
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    index: 0,
	    backgroundColor: '#fff',
	    imgWH: 100,
	    imgUrl: "http://t.cn/RGE3uo9",
	    textDes: '',
	    textColor: '#000000',
	    fontSize: 26,
	    textImgMargin: 12,
	    jumpPagePath: ""
	  }},
	  methods: {
	    onClickItem: function onClickItem(e) {
	      var self = this;
	      var params = {
	        jumpPagePath: self.jumpPagePath
	      };
	      self.$dispatch('imgIext.onClick', params);
	    }
	  }
	};}
	/* generated by weex-loader */


/***/ },

/***/ 165:
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "container"
	  ],
	  "children": [
	    {
	      "type": "div",
	      "classList": [
	        "day_select"
	      ],
	      "children": [
	        {
	          "type": "text",
	          "classList": [
	            "today"
	          ],
	          "attr": {
	            "value": "今天(0)"
	          }
	        },
	        {
	          "type": "text",
	          "classList": [
	            "yesterday"
	          ],
	          "attr": {
	            "value": "昨天(0)"
	          }
	        },
	        {
	          "type": "text",
	          "classList": [
	            "before_yesterday"
	          ],
	          "attr": {
	            "value": "前天(0)"
	          }
	        }
	      ]
	    },
	    {
	      "type": "text",
	      "classList": [
	        "shop_day_tip"
	      ],
	      "attr": {
	        "value": "店，积分将在10天后到期名单"
	      }
	    },
	    {
	      "type": "div",
	      "classList": [
	        "points_des"
	      ],
	      "children": [
	        {
	          "type": "text",
	          "classList": [
	            "des_first"
	          ]
	        },
	        {
	          "type": "text",
	          "classList": [
	            "des_buy_date"
	          ],
	          "attr": {
	            "value": "最近购买时间"
	          }
	        },
	        {
	          "type": "text",
	          "classList": [
	            "des_sale"
	          ],
	          "attr": {
	            "value": "优惠券"
	          }
	        },
	        {
	          "type": "text",
	          "classList": [
	            "des_is_visit"
	          ],
	          "attr": {
	            "value": "是否回访"
	          }
	        }
	      ]
	    },
	    {
	      "type": "list",
	      "children": [
	        {
	          "type": "cell",
	          "append": "tree",
	          "repeat": function () {return this.itemList},
	          "attr": {
	            "index": function () {return this.$index}
	          },
	          "children": [
	            {
	              "type": "div",
	              "classList": [
	                "item"
	              ],
	              "children": [
	                {
	                  "type": "text",
	                  "classList": [
	                    "item_buy_name"
	                  ],
	                  "attr": {
	                    "value": function () {return this.buyName}
	                  }
	                },
	                {
	                  "type": "text",
	                  "classList": [
	                    "item_buy_date"
	                  ],
	                  "attr": {
	                    "value": function () {return this.buyDate}
	                  }
	                },
	                {
	                  "type": "text",
	                  "classList": [
	                    "item_sale"
	                  ],
	                  "attr": {
	                    "value": "未使用"
	                  }
	                },
	                {
	                  "type": "image",
	                  "classList": [
	                    "item_is_visit"
	                  ],
	                  "attr": {
	                    "src": function () {return this.isVisitIcon},
	                    "resize": "contain"
	                  }
	                }
	              ]
	            }
	          ]
	        }
	      ]
	    }
	  ]
	}

/***/ },

/***/ 166:
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "backgroundColor": "#f5f5f5"
	  },
	  "day_select": {
	    "height": 88,
	    "flexFlow": "row",
	    "backgroundColor": "#FFFFFF",
	    "padding": 30,
	    "borderColor": "#dfdfdd",
	    "borderBottomWidth": 2
	  },
	  "today": {
	    "fontSize": 34,
	    "marginLeft": 30,
	    "flex": 1,
	    "textAlign": "center"
	  },
	  "yesterday": {
	    "fontSize": 34,
	    "flex": 1,
	    "textAlign": "center"
	  },
	  "before_yesterday": {
	    "marginRight": 30,
	    "fontSize": 34,
	    "textAlign": "center",
	    "flex": 1
	  },
	  "shop_day_tip": {
	    "textAlign": "center",
	    "fontSize": 32,
	    "marginTop": 20,
	    "marginBottom": 20
	  },
	  "points_des": {
	    "height": 70,
	    "flexFlow": "row",
	    "backgroundColor": "#FFFFFF",
	    "alignItems": "center",
	    "borderColor": "#dfdfdd",
	    "borderBottomWidth": 2,
	    "borderTopWidth": 2
	  },
	  "des_first": {
	    "fontSize": 32,
	    "textAlign": "center",
	    "flex": 0.8
	  },
	  "des_buy_date": {
	    "fontSize": 32,
	    "textAlign": "center",
	    "flex": 1.2
	  },
	  "des_sale": {
	    "fontSize": 32,
	    "textAlign": "center",
	    "flex": 1
	  },
	  "des_is_visit": {
	    "fontSize": 32,
	    "textAlign": "center",
	    "flex": 1
	  },
	  "item": {
	    "flexFlow": "row",
	    "height": 80,
	    "alignItems": "center",
	    "backgroundColor": "#FFFFFF",
	    "borderColor": "#dfdfdd",
	    "borderBottomWidth": 1
	  },
	  "item_buy_name": {
	    "fontSize": 32,
	    "textAlign": "center",
	    "flex": 0.8
	  },
	  "item_buy_date": {
	    "fontSize": 32,
	    "textAlign": "center",
	    "flex": 1.2
	  },
	  "item_sale": {
	    "fontSize": 32,
	    "textAlign": "center",
	    "flex": 1
	  },
	  "item_is_visit": {
	    "flex": 1,
	    "height": 40,
	    "width": 40
	  }
	}

/***/ },

/***/ 167:
/***/ function(module, exports, __webpack_require__) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	__webpack_require__(146);
	var ToastUtil = __webpack_require__(6);
	var NaviUtil = __webpack_require__(99);
	var BaseImageUrl = __webpack_require__(7).getBaseImageUrl();
	module.exports = {
	  data: function () {return {
	    currentDir: 'ui/member/',
	    itemList: [{ buyName: "张三", buyDate: "2016-09-01", isVisitIcon: BaseImageUrl + 'mark_callback_01.png', skipPath: "baidu.com" }, { buyName: "李四", buyDate: "2016-09-02", isVisitIcon: BaseImageUrl + 'mark_callback_02.png', skipPath: "baidu.com" }, { buyName: "王五", buyDate: "2016-09-03", isVisitIcon: BaseImageUrl + 'mark_callback_01.png', skipPath: "baidu.com" }]
	  }},
	  created: function created() {
	    console.log('created', "created");
	    var self = this;
	    self.$on('imgIext.onClick', function (e) {
	      console.log('created', e);
	      var jumpPagePath = e.detail.jumpPagePath;
	      self.jumpPage(jumpPagePath);
	    });
	  },
	  ready: function ready() {
	    console.log('ready', "ready");
	  },
	  methods: {
	    jumpPage: function jumpPage(pageUrl) {
	      NaviUtil.push(this, this.currentDir + pageUrl);
	    },
	    goTriple: function goTriple() {
	      ToastUtil.toastDebug(this, "goTriple");
	    },
	    getPointsList: function getPointsList(argument) {}
	  }
	};}
	/* generated by weex-loader */


/***/ }

/******/ });