package com.urovo.wgmf.db.dao.bill;

import android.database.Cursor;

import com.urovo.wgmf.db.dao.dao.AppRetcodeDbOperate;
import com.urovo.wgmf.db.dao.dao.BarcodeScanDbOperate;
import com.urovo.wgmf.db.dao.dao.CheckDetailDbOperate;
import com.urovo.wgmf.db.dao.dao.Cpbarbill001DbOperate;
import com.urovo.wgmf.db.dao.dao.Cpbarbill002DbOperate;
import com.urovo.wgmf.db.dao.dao.CpbarshopDbOperate;
import com.urovo.wgmf.db.dao.dao.Cpbill002DbOperate;
import com.urovo.wgmf.db.dao.dao.CxykqDbOperate;
import com.urovo.wgmf.db.dao.dao.Djbh001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djbh002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djbs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djbs002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djcj001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djcj002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdb001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdb002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdbsh001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdbsh002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djpd001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djsc001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djsc002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djxs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djxs002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djzs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djzs002DbOperate;
import com.urovo.wgmf.db.dao.dao.Item001DbOperate;
import com.urovo.wgmf.db.dao.dao.Jfdh001DbOperate;
import com.urovo.wgmf.db.dao.dao.PrinterRetcodeDbOperate;
import com.urovo.wgmf.db.dao.dao.Storecs_grp002DbOperate;
import com.urovo.wgmf.db.dao.dao.T_dhlpitemDbOperate;
import com.urovo.wgmf.db.dao.dao.Table_toposDbOperate;
import com.urovo.wgmf.db.dao.dao.XbzpfDbOperate;
import com.urovo.wgmf.db.dao.dao.Xy_ChgTimeRecDbOperate;
import com.urovo.wgmf.db.dao.dao.Zhxx001DbOperate;
import com.urovo.wgmf.db.dao.entitys.Cpbarbill002Entity;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

/**
 * 业务通用类
 * 
 * @author Administrator
 *
 */
public class DalCommon {

	/**
	 * 获取未上传总数
	 */
	public static int GetUnUploadCount(boolean getChgTimeRec) {
		int total = 0;
		try {
			total = CxykqDbOperate.GetUnUploadCount() + // 未上传考勤数据总数
					Djbh001DbOperate.GetUnUploadCount() + // 未上传订货数据总数
					Djbs001DbOperate.GetUnUploadCount() + // 未上传报损数据总数
					Djcj001DbOperate.GetUnUploadCount() + // 未上传冲顶数据总数
					Djdb001DbOperate.GetUnUploadCount() + // 未上传调拨数据总数
					Djpd001DbOperate.GetUnUploadCount() + // 未上传盘点数据总数
					Djsc001DbOperate.GetUnUploadCount() + // 未上传试吃数据总数
					Djxs001DbOperate.GetUnUploadCount() + // 未上传销售数据总数
					Djzs001DbOperate.GetUnUploadCount() + // 未上传赠送数据总数
					Jfdh001DbOperate.GetUnUploadCount() + // 未上传积分兑换数据总数
					DalDingHuoExamine.GetUnUploadCount() + // 未上传订货审核总数
//					PSTableDbOperate.GetUnUploadCount()+//未上传配送单总数
					Zhxx001DbOperate.GetUnUploadCount(); // 未上传质量监督数据总数
			if(getChgTimeRec)
				total += Xy_ChgTimeRecDbOperate.GetUnUploadCount(); // 未上传时间修改记录数据总数
		}
		catch (Exception ex) {
			BaseAppManager.loger().info("获取未上传总数发生异常." + ex);
		}
		return total;
	}

	/**
	 * 
	 */
	// / <summary>
	// / 清理业务数据：在更换门店、更换机构后需要清理业务数据
	// / </summary>
	public static void DeleteBusinessData() {
		CxykqDbOperate.deleteAllGoods(null);
		Djbh001DbOperate.deleteAllGoods(null);
		Djbh002DbOperate.deleteAllGoods(null);
		Djbs001DbOperate.deleteAllGoods(null);
		Djbs002DbOperate.deleteAllGoods(null);
		Djcj001DbOperate.deleteAllGoods(null);
		Djcj002DbOperate.deleteAllGoods(null);
		Djdb001DbOperate.deleteAllGoods(null);
		Djdb002DbOperate.deleteAllGoods(null);
		Djdbsh001DbOperate.deleteAllGoods(null);
		Djdbsh002DbOperate.deleteAllGoods(null);
		Djpd001DbOperate.deleteAllGoods(null);
		CheckDetailDbOperate.deleteAllGoods(null);
//		Djps001DbOperate.deleteAllGoods(null);
//		Djps002DbOperate.deleteAllGoods(null);
//		Djpssh001DbOperate.deleteAllGoods(null);
//		Djpssh002DbOperate.deleteAllGoods(null);
//		PSTableDbOperate.deleteAllGoods(null);
		Djsc001DbOperate.deleteAllGoods(null);
		Djsc002DbOperate.deleteAllGoods(null);
		Djxs001DbOperate.deleteAllGoods(null);
		Djxs002DbOperate.deleteAllGoods(null);
		Djzs001DbOperate.deleteAllGoods(null);
		Djzs002DbOperate.deleteAllGoods(null);
		Jfdh001DbOperate.deleteBy(null);
		Zhxx001DbOperate.deleteBy(null);
//		Zhxx002DbOperate.deleteBy(null);
		DalDingHuoExamine.deleteDHSH001(null);
		DalDingHuoExamine.deleteDHSH002(null);
	}

	// / <summary>
	// / 清理基础数据
	// / </summary>
	public static void DeleteBaseData() {
		CpbarshopDbOperate.deleteAllGoods(null);
		Cpbarbill001DbOperate.deleteAllGoods(null);
		Cpbarbill002DbOperate.deleteAllGoods(null);
		BarcodeScanDbOperate.deleteAll(null);
		Item001DbOperate.deleteAllGoods(null);
		Cpbill002DbOperate.deleteAllGoods(null);
		XbzpfDbOperate.deleteAllGoods(null);
		Storecs_grp002DbOperate.deleteBy(null);
		T_dhlpitemDbOperate.deleteBy(null);
		PrinterRetcodeDbOperate.deleteAll(null);
		AppRetcodeDbOperate.deleteAll(null);
		Table_toposDbOperate.deleteBy(null);//暂时先注释掉，解耦，不过反正没调用 。。。。


//		ClassdaDbOperate.deleteAllGoods(null);
//		DeptcsdaDbOperate.deleteAllGoods(null);
//		Item004DbOperate.deleteAllGoods(null);
//		Store001DbOprate.deleteBy(null);
//		Item005DbOperate.deleteAllGoods(null);
//		UserdtrDbOperate.deleteBy(null);
//		Czyda001DbOperate.deleteAllGoods(null);
//		DjcxitemDbOperate.deleteAllGoods(null);
//		MsgOperate.deleteBy(null);
//		LgywhtDbOperate.deleteBy(null);
//		XkqtghDbOperate.deleteBy(null);
//		SrghDbOperate.deleteBy(null);

	}

	/**
	 * 检查某itemid的产品是否可以修改金额,只有itemid为 2.88888和2.99999的两个产品才可以修改金额
	 */
	public static boolean CanEditAmount(String itemid) {
		return ("2.88888".equals(itemid) || "2.99999".equals(itemid));
	}

	/**
	 * 督导模式下的员工入职时候的籍贯有关
	 * 
	 * @return
	 */
	public static String[] GetProvince() {
		return new String[]{ "北京", "上海", "天津", "重庆", "河北", "山西", "内蒙古", "辽宁", "吉林", "黑龙江", "江苏", "浙江", "安徽", "福建", "江西", "山东", "河南", "湖北", "湖南", "广东", "广西", "海南", "四川", "贵州", "云南", "西藏", "陕西", "甘肃", "宁夏", "青海", "新疆", "香港", "澳门", "台湾" };
	}

	/**
	 * 输入一个省级地区名称，获取所有市级名称
	 * 
	 * @param provine
	 * @return
	 */
	public static String[] GetAreaByProvince(String provine) {
		if("北京".equals(provine)) {
			return new String[]{ "东城", "西城", "崇文", "宣武", "朝阳", "丰台", "石景山", "门头沟", "房山", "通州", "顺义", "昌平", "大兴", "平谷", "怀柔", "密云", "延庆" };
		}
		else
			if("上海".equals(provine)) {
				return new String[]{ "黄浦", "卢湾", "徐汇", "长宁", "静安", "普陀", "闸北", "虹口", "杨浦", "闵行", "宝山", "嘉定", "浦东", "金山", "松江", "青浦", "南汇", "奉贤", "崇明" };
			}
			else
				if("天津".equals(provine)) {
					return new String[]{ "和平", "东丽", "河东", "西青", "河西", "津南", "南开", "北辰", "河北", "武清", "红挢", "塘沽", "汉沽", "大港", "宁河", "静海", "宝坻", "蓟县" };
				}
				else
					if("重庆".equals(provine)) {
						return new String[]{ "万州", "涪陵", "渝中", "大渡口", "江北", "沙坪坝", "九龙坡", "南岸", "北碚", "万盛", "双挢", "渝北", "巴南", "黔江", "长寿", "綦江", "潼南", "铜梁", "大足", "荣昌", "壁山", "梁平", "城口", "丰都", "垫江", "武隆", "忠县", "开县", "云阳", "奉节", "巫山", "巫溪", "石柱", "秀山", "酉阳", "彭水", "江津", "合川", "永川", "南川" };
					}
					else
						if("河北".equals(provine)) {
							return new String[]{ "石家庄", "邯郸", "邢台", "保定", "张家口", "承德", "廊坊", "唐山", "秦皇岛", "沧州", "衡水" };
						}
						else
							if("山西".equals(provine)) {
								return new String[]{ "太原", "大同", "阳泉", "长治", "晋城", "朔州", "吕梁", "忻州", "晋中", "临汾", "运城" };
							}
							else
								if("内蒙古".equals(provine)) {
									return new String[]{ "呼和浩特", "包头", "乌海", "赤峰", "呼伦贝尔盟", "阿拉善盟", "哲里木盟", "兴安盟", "乌兰察布盟", "锡林郭勒盟", "巴彦淖尔盟", "伊克昭盟" };
								}
								else
									if("辽宁".equals(provine)) {
										return new String[]{ "沈阳", "大连", "鞍山", "抚顺", "本溪", "丹东", "锦州", "营口", "阜新", "辽阳", "盘锦", "铁岭", "朝阳", "葫芦岛" };
									}
									else
										if("吉林".equals(provine)) {
											return new String[]{ "长春", "吉林", "四平", "辽源", "通化", "白山", "松原", "白城", "延边" };
										}
										else
											if("黑龙江".equals(provine)) {
												return new String[]{ "哈尔滨", "齐齐哈尔", "牡丹江", "佳木斯", "大庆", "绥化", "鹤岗", "鸡西", "黑河", "双鸭山", "伊春", "七台河", "大兴安岭" };
											}
											else
												if("江苏".equals(provine)) {
													return new String[]{ "南京", "镇江", "苏州", "南通", "扬州", "盐城", "徐州", "连云港", "常州", "无锡", "宿迁", "泰州", "淮安" };
												}
												else
													if("浙江".equals(provine)) {
														return new String[]{ "杭州", "宁波", "温州", "嘉兴", "湖州", "绍兴", "金华", "衢州", "舟山", "台州", "丽水" };
													}
													else
														if("安徽".equals(provine)) {
															return new String[]{ "合肥", "芜湖", "蚌埠", "马鞍山", "淮北", "铜陵", "安庆", "黄山", "滁州", "宿州", "池州", "淮南", "巢湖", "阜阳", "六安", "宣城", "亳州" };
														}
														else
															if("福建".equals(provine)) {
																return new String[]{ "福州", "厦门", "莆田", "三明", "泉州", "漳州", "南平", "龙岩", "宁德" };
															}
															else
																if("江西".equals(provine)) {
																	return new String[]{ "南昌", "景德镇", "九江", "鹰潭", "萍乡", "新馀", "赣州", "吉安", "宜春", "抚州", "上饶" };
																}
																else
																	if("山东".equals(provine)) {
																		return new String[]{ "济南", "青岛", "淄博", "枣庄", "东营", "烟台", "潍坊", "济宁", "泰安", "威海", "日照", "莱芜", "临沂", "德州", "聊城", "滨州", "菏泽" };
																	}
																	else
																		if("河南".equals(provine)) {
																			return new String[]{ "郑州", "开封", "洛阳", "平顶山", "安阳", "鹤壁", "新乡", "焦作", "濮阳", "许昌", "漯河", "三门峡", "南阳", "商丘", "信阳", "周口", "驻马店", "济源" };
																		}
																		else
																			if("湖北".equals(provine)) {
																				return new String[]{ "武汉", "宜昌", "荆州", "襄樊", "黄石", "荆门", "黄冈", "十堰", "恩施", "潜江", "天门", "仙桃", "随州", "咸宁", "孝感", "鄂州" };
																			}
																			else
																				if("湖南".equals(provine)) {
																					return new String[]{ "长沙", "常德", "株洲", "湘潭", "衡阳", "岳阳", "邵阳", "益阳", "娄底", "怀化", "郴州", "永州", "湘西", "张家界" };
																				}
																				else
																					if("广东".equals(provine)) {
																						return new String[]{ "广州", "深圳", "珠海", "汕头", "东莞", "中山", "佛山", "韶关", "江门", "湛江", "茂名", "肇庆", "惠州", "梅州", "汕尾", "河源", "阳江", "清远", "潮州", "揭阳", "云浮" };
																					}
																					else
																						if("广西".equals(provine)) {
																							return new String[]{ "南宁", "柳州", "桂林", "梧州", "北海", "防城港", "钦州", "贵港", "玉林", "贺州", "百色", "河池" };
																						}
																						else
																							if("海南".equals(provine)) {
																								return new String[]{ "海口", "三亚" };
																							}
																							else
																								if("四川".equals(provine)) {
																									return new String[]{ "成都", "绵阳", "德阳", "自贡", "攀枝花", "广元", "内江", "乐山", "南充", "宜宾", "广安", "达川", "雅安", "眉山", "甘孜", "凉山", "泸州" };
																								}
																								else
																									if("贵州".equals(provine)) {
																										return new String[]{ "贵阳", "六盘水", "遵义", "安顺", "铜仁", "黔西南", "毕节", "黔东南", "黔南" };
																									}
																									else
																										if("云南".equals(provine)) {
																											return new String[]{ "昆明", "大理", "曲靖", "玉溪", "昭通", "楚雄", "红河", "文山", "思茅", "西双版纳", "保山", "德宏", "丽江", "怒江", "迪庆", "临沧" };
																										}
																										else
																											if("西藏".equals(provine)) {
																												return new String[]{ "拉萨", "日喀则", "山南", "林芝", "昌都", "阿里", "那曲" };
																											}
																											else
																												if("陕西".equals(provine)) {
																													return new String[]{ "西安", "宝鸡", "咸阳", "铜川", "渭南", "延安", "榆林", "汉中", "安康", "商洛" };
																												}
																												else
																													if("甘肃".equals(provine)) {
																														return new String[]{ "兰州", "嘉峪关", "金昌", "白银", "天水", "酒泉", "张掖", "武威", "定西", "陇南", "平凉", "庆阳", "临夏", "甘南" };
																													}
																													else
																														if("宁夏".equals(provine)) {
																															return new String[]{ "银川", "石嘴山", "吴忠", "固原" };
																														}
																														else
																															if("青海".equals(provine)) {
																																return new String[]{ "西宁", "海东", "海南", "海北", "黄南", "玉树", "果洛", "海西" };
																															}
																															else
																																if("新疆".equals(provine)) {
																																	return new String[]{ "乌鲁木齐", "石河子", "克拉玛依", "伊犁", "巴音郭勒", "昌吉", "克孜勒苏柯尔克孜", "博尔塔拉", "吐鲁番", "哈密", "喀什", "和田", "阿克苏" };
																																}
																																else
																																	if("香港".equals(provine)) {
																																		return new String[]{ "香港" };
																																	}
																																	else
																																		if("澳门".equals(provine)) {
																																			return new String[]{ "澳门" };
																																		}
																																		else
																																			if("台湾".equals(provine)) {
																																				return new String[]{ "台北", "高雄", "台中", "台南", "屏东", "南投", "云林", "新竹", "彰化", "苗栗", "嘉义", "花莲", "桃园", "宜兰", "基隆", "台东", "金门", "马祖", "澎湖" };
																																			}
																																			else {
																																				return null;
																																			}
	}

	/**
	 * 根据职位id获取职位名称
	 * 
	 * @param zwid
	 * @return
	 */
	public static String GetZhiWei(String zwid) {
		// 工作岗位 1：营养顾问 2：督导 3：促销主管 4：机修 5：办事处文员 6：终端经理 7：区域经理
		String zw = zwid.trim();
		if("1".equals(zw)) {
			return "营养顾问";
		}
		else
			if("2".equals(zw)) {
				return "督导";
			}
			else
				if("3".equals(zw)) {
					return "促销主管";
				}
				else
					if("4".equals(zw)) {
						return "机修";
					}
					else
						if("5".equals(zw)) {
							return "办事处文员";
						}
						else
							if("6".equals(zw)) {
								return "终端经理";
							}
							else
								if("7".equals(zw)) {
									return "区域经理";
								}
								else {
									return "";
								}
	}

	/**
	 * 根据学历id获取学历名称
	 * 
	 * @param xlid
	 * @return
	 */
	public static String GetXueLi(String xlid) {
		// 学历 01：本科 02：大专 03：中专 04：高中 05：初中 06：小学
		String xl = xlid.trim();
		if("01".equals(xl)) {
			return "本科";
		}
		else
			if("02".equals(xl)) {
				return "大专";
			}
			else
				if("03".equals(xl)) {
					return "中专";
				}
				else
					if("04".equals(xl)) {
						return "高中";
					}
					else
						if("05".equals(xl)) {
							return "初中";
						}
						else
							if("06".equals(xl)) {
								return "小学";
							}
							else {
								return "";
							}
	}

	public static Date CanPanDian() {
		double N = Storecs_grp002DbOperate.GetPDTS();
		Calendar c = Calendar.getInstance();
		// N = 29.0; //测试赋值
		// c.set(c.get(Calendar.YEAR),c.get(Calendar.MONTH),
		// Calendar.DAY_OF_MONTH);
		// Log.e("aaaaaaaaaaaaaaaaaaaaa", N+"");
		Date now = c.getTime();
		// 本月第一天
		c.set(c.get(Calendar.YEAR), c.get(Calendar.MONTH), 1);
		Date FirstDayOfCurrentMonth = c.getTime();
		// 本月第N-1天
		c.set(c.get(Calendar.YEAR), c.get(Calendar.MONTH), (int) (N - 1));
		Date NDayOfCurrentMonth = c.getTime();
		// 本月最后一天
		c.set(c.get(Calendar.YEAR), c.get(Calendar.MONTH), c.getActualMaximum(Calendar.DAY_OF_MONTH));
		Date LastDayOfCurrentMonth = c.getTime();
		// 上月最后一天
		c.add(Calendar.MONTH, -1);
		c.set(c.get(Calendar.YEAR), c.get(Calendar.MONTH), c.getActualMaximum(Calendar.DAY_OF_MONTH));
		Date LastDayOfLastMonth = c.getTime();
		// Log.e("time", "now:"+DateUtil.getDate(now));
		// Log.e("time",
		// "FirstDayOfCurrentMonth:"+DateUtil.getDate(FirstDayOfCurrentMonth));
		// Log.e("time",
		// "NDayOfCurrentMonth:"+DateUtil.getDate(NDayOfCurrentMonth));
		// Log.e("time",
		// "LastDayOfLastMonth:"+DateUtil.getDate(LastDayOfLastMonth));
		// Log.e("time",
		// "LastDayOfCurrentMonth:"+DateUtil.getDate(LastDayOfCurrentMonth));
		// 判断当前时间是否本月最后一天

		//=============暂时屏蔽for test=============
		if(now.equals(LastDayOfCurrentMonth)) {
			return LastDayOfCurrentMonth;
		}
		// 判断当前时间是否属于本月前N-1天
		if(!now.before(FirstDayOfCurrentMonth) && !now.after(NDayOfCurrentMonth)) {
			return LastDayOfLastMonth;
		}
		return null;
		//=============暂时屏蔽for test=============

		//==============暂时写死for test===============
		//return LastDayOfCurrentMonth;
		//==============暂时写死for test===============
	}

	/**
	 * 获取门店的商超条码类型：01是单品码，02是称重码
	 * 
	 * @param storeId
	 *            门店ID
	 * @return 商超条码类型
	 */
	public static String GetBarType(String storeId) {
		String BarType = "01";
		Cursor dr = null;
		try {
			String sqlCommand = "select BarType from Cpbarbill001 " + " where DirId in (select DirId from Cpbarshop where storeid='" + storeId + "')";

			dr = BaseAppManager.database().rawQuery(sqlCommand, null);
			if(dr != null) {
				while (dr.moveToNext()) {
					BarType = dr.isNull(0) ? "01" : dr.getString(0);
				}
				dr.close();
			}
		}
		catch (Exception ex) {
			BarType = "01";
			BaseAppManager.loger().info("根据门店编号获取商超条码类型:" + ex);
		}
		return BarType;
	}

	/**
	 * 根据门店id获取
	 * 
	 * @param storeId
	 *            门店id
	 * @return 商超条码明细的集合
	 */
	public static List<Cpbarbill002Entity> GetCpbarbill002(String storeId) {
		List<Cpbarbill002Entity> list = new ArrayList<Cpbarbill002Entity>();
		String sqlCommand = "select DirId,ItemId,Barcode from Cpbarbill002 " + " where DirId in (select DirId from Cpbarshop where storeid='" + storeId + "')";

		Cursor dr = null;
		try {
			dr = BaseAppManager.database().rawQuery(sqlCommand, null);
			if(dr != null) {
				while (dr.moveToNext()) {
					Cpbarbill002Entity p = new Cpbarbill002Entity();
					p.DirId = dr.isNull(0) ? "" : dr.getString(0);
					p.ItemId = dr.isNull(1) ? "" : dr.getString(1);
					p.Barcode = dr.isNull(2) ? "" : dr.getString(2);

					list.add(p);
				}
				dr.close();
			}
		}
		catch (Exception ex) {
			BaseAppManager.loger().info("根据门店Id获取商超条码明细发生异常:" + ex);
			list.clear();
		}
		return list;
	}

	/**
	 * 判断产品数量是否只能输入整数：如果产品的库存单位不是"kg",那么在做任何制单时候，数量都只能输入整数
	 * 
	 * @param kcuom
	 * @return
	 */
	public static boolean CanInputDecimalQty(String kcuom) {
		if("kg".equals(kcuom)) {
			return true;
		}
		else {
			return false;
		}
	}
}
