//package com.urovo.wgmf.db.dao.dao;
//
//import android.content.Context;
//import android.database.Cursor;
//
//import com.google.gson.Gson;
//import com.urovo.wgmf.db.dao.DBTool;
//import com.urovo.wgmf.db.dao.entitys.PSTableDb;
//import com.urovo.wgmf.db.dao.entitys.PeiSongBillRes;
//import com.urovo.wugumofang.system.BaseAppManager;
//
//import java.util.ArrayList;
//import java.util.List;
//
///**
// * 配送单本地存储表
// *
// * @author Administrator
// *
// */
//public class PSTableDbOperate {
//
//	private static DBTool dbTool;
//
//	public PSTableDbOperate(Context context) {
//		super();
//		dbTool = DBTool.getInstance(context);
//	}
//
//	/**
//	 * 插入数据
//	 */
//	public static Boolean insert(PeiSongBillRes.itemBill itemBill) {
//		if(getBill(itemBill.getDispatchBill()) != null){//如果已存在该单，那就删掉，保持唯一性
//			deleteAllGoods("where BILL='"+itemBill.getDispatchBill()+"'");
//		}
//        PSTableDb psTableDb = new PSTableDb();
//        psTableDb.setBill(itemBill.getDispatchBill());
//        psTableDb.setDataStr(new Gson().toJson(itemBill));
//        psTableDb.setIsUp(0);//未上传标记
//		Cursor cursor = null;
//		try {
//			String sql = "insert into pstable(BILL,dataStr,COMM,IsUp) values(?,?,?,?)";
//			BaseAppManager.database().execSQL(sql, new String[]{ psTableDb.getBill(), psTableDb.getDataStr(), psTableDb.getCOMM(), psTableDb.getIsUp()+""});
//			return true;
//		}
//		catch (Exception e) {
//			BaseAppManager.loger().info("[PSTableDbOperate.Insert]" + e);
//			return false;
//		}
//		finally {
//			// database.close();
//			if(cursor != null)
//				cursor.close();
//		}
//	}
//
//	/**
//	 * 通过订单号获取某一单的记录
//	 * @return
//     */
//	public static PSTableDb getBill(String bill){
//		Cursor cursor = null;
//		String sql = "select BILL,dataStr,COMM,IsUp from pstable where BILL='"+bill+"'";
//		PSTableDb ent = null;
//		try {
//			cursor = BaseAppManager.database().rawQuery(sql, null);
//			if (cursor.moveToNext()) {
//				ent = new PSTableDb();
//				ent.setBill(cursor.getString(cursor.getColumnIndex("BILL")));
//				ent.setIsUp(Integer.parseInt(cursor.getString(cursor.getColumnIndex("IsUp"))));
//				ent.setDataStr(cursor.getString(cursor.getColumnIndex("dataStr")));
//				ent.setCOMM(cursor.getString(cursor.getColumnIndex("COMM")));
//			}
//		}
//		catch (Exception e) {
//
//			BaseAppManager.loger().info("获取未上传配送单主表发生异常:" + e);
//		}
//		finally {
//			if(cursor != null) {
//				cursor.close();
//			}
//		}
//		return ent;
//
//	}
//
//    /**
//     * 获取未上传单数
//     * @return
//     */
//    public static int GetUnUploadCount(){
//        int total = 0;
//        Cursor cursor = null;
//        String sql = "select * from pstable where IsUp=0";
//        try {
//            cursor = BaseAppManager.database().rawQuery(sql, null);
//            while (cursor.moveToNext()) {
//                total ++;
//            }
//        }
//        catch (Exception e) {
//            BaseAppManager.loger().info("查询全部配送单数量发生异常:" + e);
//        }
//        finally {
//            if(cursor != null) {
//                cursor.close();
//            }
//        }
//        return total;
//    }
//
//    /**
//     * 更新上传信息
//     *
//     * @param bill
//     */
//    public static void UpdateBillState(String bill) {
//        String sqlCommand = "update pstable set IsUp=1 where BILL=?";
//        try {
//            BaseAppManager.database().execSQL(sqlCommand, new String[]{ bill });
//        }
//        catch (Exception ex) {
//            BaseAppManager.loger().info("更新配送单" + bill + "上传状态发生异常:" + ex);
//        }
//    }
//
//	//获取所有未上传表单
//	public static List<PSTableDb> GetAllUnUpload() {
//		Cursor cursor = null;
//		List<PSTableDb> list = new ArrayList<>();
//		String sql = "select BILL,dataStr,COMM,IsUp from pstable where IsUp=0";
//		try {
//			cursor = BaseAppManager.database().rawQuery(sql, null);
//			while (cursor.moveToNext()) {
//				PSTableDb ent = new PSTableDb();
//				ent.setBill(cursor.getString(cursor.getColumnIndex("BILL")));
//				ent.setIsUp(Integer.parseInt(cursor.getString(cursor.getColumnIndex("IsUp"))));
//				ent.setDataStr(cursor.getString(cursor.getColumnIndex("dataStr")));
//				ent.setCOMM(cursor.getString(cursor.getColumnIndex("COMM")));
//				list.add(ent);
//			}
//		}
//		catch (Exception e) {
//
//			BaseAppManager.loger().info("获取未上传配送单主表发生异常:" + e);
//		}
//		finally {
//			if(cursor != null) {
//				cursor.close();
//			}
//		}
//		return list;
//	}
//
//
//	/**
//	 * 删除所有数据
//	 */
//	public static Boolean deleteAllGoods(String sql) {
//		Boolean result = false;
//		String sqlStr = "Delete from pstable ";
//		if(sql != null) {
//			sqlStr += sql;
//		}
//		try {
//			BaseAppManager.database().execSQL(sqlStr);
//			result = true;
//		}
//		catch (Exception e) {
//			BaseAppManager.loger().info(e);
//			result = false;
//		}
//		finally {
//		}
//		return result;
//	}
//}