package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.response.Base3Response;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Sasuke
 * @date 2017/3/21
 */

public class CanCheckRes extends Base3Response {

    private List<Product> resultInfo = new ArrayList<>();

    public List<Product> getResultInfo() {
        return resultInfo;
    }

    public static class Product {
        /**
         * proName : 熟酸枣仁60g
         * proCode : 2.20050
         * proPrice : 28.8
         * pdQty : 13
         * pdAmount : 374.4
         * stockQty : 13
         * diffQty : 0
         * diffAmount : 0
         * proId : 246
         * locationId : 5654
         * pdAlterNum : 0
         * pdBillCode : 011007520170131
         * pdId : 152243
         * proUnit : 包
         * proUnitId : 78
         * storeId : 1868
         * type : 0
         * pdUserNo : null
         * pdStatus : 草稿
         */
        public boolean isPanDian = false;
        /**
         * 手动添加产品是否支持小数位(默认支持2位)
         */
        public boolean isDecimal = false;
        private String proName;
        private String proCode;
        private double proPrice;
        private double pdQty;
        private double pdAmount;
        private double stockQty;
        private double diffQty;
        private double diffAmount;
        private int proId;
        private int locationId;
        private double pdAlterNum;
        private String pdBillCode;
        private int pdId;
        private String proUnit;
        private int proUnitId;
        private int storeId;
        private String type;
        private String pdUserNo = SystemHelper.LoginUserId;
        private String pdStatus;

        public String getProName() {
            return proName;
        }

        public void setProName(String proName) {
            this.proName = proName;
        }

        public String getProCode() {
            return proCode;
        }

        public void setProCode(String proCode) {
            this.proCode = proCode;
        }

        public double getProPrice() {
            return proPrice;
        }

        public void setProPrice(double proPrice) {
            this.proPrice = proPrice;
        }

        public double getPdQty() {
            return pdQty;
        }

        public void setPdQty(double pdQty) {
            this.pdQty = pdQty;
        }

        public double getPdAmount() {
            return pdAmount;
        }

        public void setPdAmount(double pdAmount) {
            this.pdAmount = pdAmount;
        }

        public double getStockQty() {
            return stockQty;
        }

        public void setStockQty(double stockQty) {
            this.stockQty = stockQty;
        }

        public double getDiffQty() {
            return diffQty;
        }

        public void setDiffQty(double diffQty) {
            this.diffQty = diffQty;
        }

        public double getDiffAmount() {
            return diffAmount;
        }

        public void setDiffAmount(double diffAmount) {
            this.diffAmount = diffAmount;
        }

        public int getProId() {
            return proId;
        }

        public void setProId(int proId) {
            this.proId = proId;
        }

        public int getLocationId() {
            return locationId;
        }

        public void setLocationId(int locationId) {
            this.locationId = locationId;
        }

        public double getPdAlterNum() {
            return pdAlterNum;
        }

        public void setPdAlterNum(double pdAlterNum) {
            this.pdAlterNum = pdAlterNum;
        }

        public String getPdBillCode() {
            return pdBillCode;
        }

        public void setPdBillCode(String pdBillCode) {
            this.pdBillCode = pdBillCode;
        }

        public int getPdId() {
            return pdId;
        }

        public void setPdId(int pdId) {
            this.pdId = pdId;
        }

        public String getProUnit() {
            return proUnit;
        }

        public void setProUnit(String proUnit) {
            this.proUnit = proUnit;
        }

        public int getProUnitId() {
            return proUnitId;
        }

        public void setProUnitId(int proUnitId) {
            this.proUnitId = proUnitId;
        }

        public int getStoreId() {
            return storeId;
        }

        public void setStoreId(int storeId) {
            this.storeId = storeId;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getPdUserNo() {
            return pdUserNo;
        }

        public void setPdUserNo(String pdUserNo) {
            this.pdUserNo = pdUserNo;
        }

        public String getPdStatus() {
            return pdStatus;
        }

        public void setPdStatus(String pdStatus) {
            this.pdStatus = pdStatus;
        }
    }
}
