package com.urovo.wgmf.db.dao.entitys;

/**
 * 商超条码目录明细类，对应于后台的Cpbarbill002
 * 
 * @author Administrator
 *
 */
public class Cpbarbill002Entity {
	// / 目录ID
	public String DirId;
	// / 产品Id
	public String ItemId;
	// / 条码
	public String Barcode;

	@Override
	public int hashCode() {

		return ItemId.hashCode();
	}

	@Override
	public boolean equals(Object obj) {
		if(obj instanceof ProductEntity) {
			ProductEntity pc = (ProductEntity) obj;
			return ItemId.equals(pc.getItemId());
		}
		else {
			return super.equals(obj);
		}
	}

  @Override public String toString() {
    return "Cpbarbill002Entity{" +
        "DirId='" + DirId + '\'' +
        ", ItemId='" + ItemId + '\'' +
        ", Barcode='" + Barcode + '\'' +
        '}';
  }
}
