package com.urovo.wgmf.db.dao.entitys;

/**
 * 促销产品实体类--对应于后台的DJCXITEM表，用来从后台下载促销产品信息
 * 
 * @author Administrator
 *
 */
public class DJCXITEMEntity {

	// / 促销单号
	public String BILL;
	// / 门店编号
	public String STOREID;
	// / 促销开始日期
	public String SDATE;
	// / 促销结束日期
	public String EDATE;
	// / 促销方式 JGCX：价格促销 MZCX: 买A赠B ZLCX：满额赠A ZLZK: 满额折A
	public String CXMODE;
	// / 购买金额
	public double XSNET;
	// / 分组号
	public double FZNO;
	// / 产品编码：对于满额促销(ZLCX),该字段为‘--’
	public String ITEMID;
	// / 零售价
	public double RPRICE;
	// / 会员零售价
	public double CPRICE;
	// / 促销价
	// / 对于价格促销(JGCX)时为ITEMID的促销价
	// / 对于满额折A (ZLZK)时为ZSITEMID的优惠价
	// / </summary>
	public double CXRPRICE;
	// / 会员促销价
	public double CXCPRICE;
	// / 购买数量
	public double XSQTY;
	// / 促销产品编码
	public String ZSITEMID;
	// / 优惠数量
	public double ZSQTY;
	// / 促销状态：1-正常，2-停止
	public String STATUS;

}
