package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: LearningCenterEntity
 * @Description: 学习中心数据实体
 * @author XP
 * @date 2016-3-7 下午4:58:16
 */
public class LearningCenterResultEntity extends BaseOldResponse {
	public LearningCenterEntity resultInfo;// 收藏的文章集合

	@Override
	public String toString() {
		return "LearningCenterResultEntity [resultList=" + resultInfo + "]";
	}

	public class LearningCenterEntity implements Serializable {
		private static final long serialVersionUID = 1L;
		public String storeCount;// 收藏数
		public List<LearningCenterStoreEntityList> storeList;// 收藏的文章集合
		public List<LearningCenterEntityList> list;// 进入学习中心，或者养生文库的界面后，罗列出的所有的类型的集合
		public List<String> alreadyStore;// 已经收藏的列表

		@Override public String toString() {
			return "LearningCenterEntity{" +
					"storeCount='" + storeCount + '\'' +
					", storeList=" + storeList +
					", list=" + list +
					", alreadyStore=" + alreadyStore +
					'}';
		}
	}

	

	public class LearningCenterEntityList implements Serializable {
		private static final long serialVersionUID = 1L;
		public String selectTypeId;// 类别
		public String name;// 类型名
		public List<LearningCenterDetailEntityList> list = new ArrayList<>();// 所在类型下，包含的所有文章的集合
		public int secondType;//是否有二级目录（0没有，1有）
		@Override
		public String toString() {
			return "LearningCenterEntityList [selectTypeId=" + selectTypeId
					+ ", name=" + name + ", list=" + list + "]";
		}

		/**
		 * @return the selectTypeId
		 */
		public String getSelectTypeId() {
			return selectTypeId;
		}

		public int getSecondType() {
			return secondType;
		}

		/**
		 * @param selectTypeId
		 *            the selectTypeId to set
		 */
		public void setSelectTypeId(String selectTypeId) {
			this.selectTypeId = selectTypeId;
		}

		/**
		 * @return the name
		 */
		public String getName() {
			return name;
		}

		/**
		 * @param name
		 *            the name to set
		 */
		public void setName(String name) {
			this.name = name;
		}

		/**
		 * @return the list
		 */
		public List<LearningCenterDetailEntityList> getList() {
			return list;
		}

		/**
		 * @param list
		 *            the list to set
		 */
		public void setList(List<LearningCenterDetailEntityList> list) {
			this.list = list;
		}
	}
}
