package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;

public class LearningCenterStoreEntityList implements Serializable {
	private static final long serialVersionUID = 1L;
	public String articleId;// 文章的主键
	public String title;// 标题
	public String imageUrl;// 缩略图片，为空字符串时，表示没有
	public String articleUrl;//
	public String createTime;// 日期
	/**已阅读次数*/
	public int readTimesCount;
	/**是否收藏*/
	private String isFavorite;

	public String getIsFavorite() {
		return isFavorite;
	}

	public void setIsFavorite(String isFavorite) {
		this.isFavorite = isFavorite;
	}

	@Override
	public String toString() {
		return "LearningCenterStoreEntityList{" +
				"articleId='" + articleId + '\'' +
				", title='" + title + '\'' +
				", imageUrl='" + imageUrl + '\'' +
				", articleUrl='" + articleUrl + '\'' +
				", createTime='" + createTime + '\'' +
				", isFavorite='" + isFavorite + '\'' +
				'}';
	}

	/**
	 * @return the articleId
	 */
	public String getArticleId() {
		return articleId;
	}

	/**
	 * @param articleId the articleId to set
	 */
	public void setArticleId(String articleId) {
		this.articleId = articleId;
	}

	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @param title the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * @return the imageUrl
	 */
	public String getImageUrl() {
		return imageUrl;
	}

	/**
	 * @param imageUrl the imageUrl to set
	 */
	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	/**
	 * @return the articleUrl
	 */
	public String getArticleUrl() {
		return articleUrl;
	}

	/**
	 * @param articleUrl the articleUrl to set
	 */
	public void setArticleUrl(String articleUrl) {
		this.articleUrl = articleUrl;
	}

	/**
	 * @return the createTime
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * @param createTime the createTime to set
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	@Override public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;

		LearningCenterStoreEntityList that = (LearningCenterStoreEntityList) o;

		return articleId.equals(that.articleId);
	}

	@Override public int hashCode() {
		return articleId.hashCode();
	}
}
