package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;
import java.util.ArrayList;

import com.urovo.wugumofang.response.BaseOldResponse;

/**
 * @ClassName: MyMarkStoreEntity
 * @Description: 标杆门店实体
 * @author XP
 * @date 2015-12-30 下午5:23:53
 */
public class MyMarkStoreEntity extends BaseOldResponse {
	public ArrayList<OfficeShops> officeShops;
	public ArrayList<ManagerShops> managerShops;
	public ArrayList<PkShops> pkShops;

	@Override
	public String toString() {
		return "MyMarkStoreEntity [officeShops=" + officeShops + ", managerShops=" + managerShops + ", pkShops=" + pkShops + "]";
	}

	public class OfficeShops implements Serializable {
		private static final long serialVersionUID = 1L;
		public String id;
		public String shop_id;
		public String shop_name;
		public String type;
		public String sale_organization;
		public String address;
		public String status;
		public String insert_time;

		@Override
		public String toString() {
			return "OfficeShops [id=" + id + ", shop_id=" + shop_id + ", shop_name=" + shop_name + ", type=" + type + ", sale_organization=" + sale_organization + ", address=" + address + ", status=" + status + ", insert_time=" + insert_time + "]";
		}
	}

	public class ManagerShops implements Serializable {
		private static final long serialVersionUID = 1L;
		public String id;
		public String shop_id;
		public String shop_name;
		public String pkshop_id;
		public String pkshop_name;
		public String type;
		public String sale_organization;
		public String address;
		public String status;
		public String insert_time;

		@Override
		public String toString() {
			return "ManagerShops [id=" + id + ", shop_id=" + shop_id + ", shop_name=" + shop_name + ", pkshop_id=" + pkshop_id + ", pkshop_name=" + pkshop_name + ", type=" + type + ", sale_organization=" + sale_organization + ", address=" + address + ", status=" + status + ", insert_time="
					+ insert_time + "]";
		}
	}

	public class PkShops {
		public String fa_qi_shop_id;// 发起Pk的门店的编号
		public String fa_qi_shop_name;// 发起Pk的门店的名称
		public String pk_shop_id;// 被作为标杆的门店的编号
		public String pk_shop_name;// 被作为标杆的门店的名称

		@Override
		public String toString() {
			return "PkShops [fa_qi_shop_id=" + fa_qi_shop_id + ", fa_qi_shop_name=" + fa_qi_shop_name + ", pk_shop_id=" + pk_shop_id + ", pk_shop_name=" + pk_shop_name + "]";
		}
	}
}
