package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.data.DateUtil;

import java.util.Date;

/**
 * 盘点单据实体
 * 
 * @author Administrator
 *
 */
public class PanDianEntity {
	public String Amount_Total_Diff = "";
	public String KouFen = "";
	private String Bill = ""; // 盘点单号(门店编码+月末日期 XXXXXX+YYYYMMDD)
	private String StoreId = ""; // 门店编码
	// / 仓库编码：等于门店编码+01
	public String STWHSID;
	// / 是否工厂：固定为否：N
	public String YNGC = "N";
	public String Oper_Lr = ""; // 制单人
	private String Lr_Name = ""; // 制单人名称
	private String PDDate = DateUtil.getDate(new Date()); // 盘点日期（无时间）（判断当天操作日期是不是月末，如果是当天，如果不是就取最近的上个月的月末日期）
	private String WDate = DateUtil.getDate(new Date()); // 制单日期
	// / 单据状态：制单：0
	public String Status = "0";
	private String PDDESC = ""; // 盘点说明
	// / 盘点类型：Q
	public String PDTYPE = "Q";
	private String url = "";
	private String remark = "";
	private CanCheckRes.Product[] ProductDetails = null; // 盘点产品明细

	public String getBill() {
		return Bill;
	}

	public void setBill(String bill) {
		Bill = bill;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getStoreId() {
		return StoreId;
	}

	public void setStoreId(String storeId) {
		StoreId = storeId;
		STWHSID = storeId + "01";
	}

	public String getSTWHSID() {
		return STWHSID;
	}

	public void setSTWHSID(String sTWHSID) {
		STWHSID = sTWHSID;
	}

	public String getYNGC() {
		return YNGC;
	}

	public void setYNGC(String yNGC) {
		YNGC = yNGC;
	}

	public String getOper_Lr() {
		return Oper_Lr;
	}

	public void setOper_Lr(String oper_Lr) {
		Oper_Lr = oper_Lr;
	}

	public String getLr_Name() {
		return Lr_Name;
	}

	public void setLr_Name(String lr_Name) {
		Lr_Name = lr_Name;
	}

	public String getPDDate() {
		return PDDate;
	}

	public void setPDDate(String pDDate) {
		PDDate = pDDate;
	}

	public String getWDate() {
		return WDate;
	}

	public void setWDate(String wDate) {
		WDate = wDate;
	}

	public String getStatus() {
		return Status;
	}

	public void setStatus(String status) {
		Status = status;
	}

	public String getPDDESC() {
		return PDDESC;
	}

	public void setPDDESC(String pDDESC) {
		PDDESC = pDDESC;
	}

	public String getPDTYPE() {
		return PDTYPE;
	}

	public void setPDTYPE(String pDTYPE) {
		PDTYPE = pDTYPE;
	}

	public CanCheckRes.Product[] getProductDetails() {
		return ProductDetails;
	}

	public void setProductDetails(CanCheckRes.Product[] productDetails) {
		ProductDetails = productDetails;
	}

}
