package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.util.ArrayList;

/**
 * @author XP
// * @ClassName: SalesProductsEntity
// * @Description: 销售产品实体类
// * @date 2015-10-23 下午4:47:39
 */
public class SalesProductsEntity extends BaseOldResponse {

    public ProductsReturnBean returnBean;// 数量

    @Override
    public String toString() {
        return "SalesProductsEntity [sysCode=" + sysCode + ", sysContent=" + sysContent + ", msgCode=" + msgCode + ", msgContent=" + msgContent + ", returnBean=" + returnBean + "]";
    }

    public class ProductsReturnBean {
        public ArrayList<ProductsreturnList> returnList;
        public String totalAmount;// 总计金额

        @Override
        public String toString() {
            return "ProductsReturnBean [returnList=" + returnList + ", totalAmount=" + totalAmount + "]";
        }
    }

    public class ProductsreturnList {
        public String productId;// 产品id
        public String productName;// 产品名称
        public String unitName;// 产品单位
        public String productNum;// 数量
        public String amountRate;// 销售额占比
        public String amount;// 小计

        @Override
        public String toString() {
            return "ProductsreturnList [productId=" + productId + ", productName=" + productName + ", unitName=" + unitName + ", productNum=" + productNum + ", amountRate=" + amountRate + ", amount=" + amount + "]";
        }
    }
}
