package com.urovo.wugumofang.base;


import io.reactivex.functions.Consumer;


/**
 * @author chenji
 */
public abstract class AbstractSuccessfulConsumer<T> implements Consumer<T> {
    /**
     * 成功
     *
     * @param t ...
     */
    protected abstract void onSuccess(T t) throws Exception;

    @Override
    public void accept(T t) throws Exception {
        onSuccess(t);
    }
}
