package com.urovo.wugumofang.constants

import com.urovo.wugumofang.system.BaseAppManager

/**
 * 接口地址,环境切换配置
 * @author LW
 */
object ApiConstants {

    /**
     * 正式
     */
    const val releaseEnvServer = "http://app.wgmf.com/"
    const val releaseEnvApiServer = "http://newapi.wgmf.com/"
    const val releaseWXServer = "http://wx.wgmf.com/"
    const val releaseEnvPort = "procrmserver"

    /**
     * 灰度
     */
    const val productionEnvServer = "http://beta.wgmf.com/"
    const val productionEnvApiServer = "http://newapitest.wgmf.com/"
    const val productionWXServer = "http://test.wgmf.com/"
    const val productionEnvPort = "crmserver"

    /**
     * 测试
     */
    const val testEnvServer = "http://test.wgmf.com/"
    const val testEnvApiServer = "http://newapitest.wgmf.com/"
    const val testWXServer = "http://test.wgmf.com/"
    const val testEnvPort = "crmserver" //兼容久的模式,不用加


    val CACHE_FORMAT_NAME = BaseAppManager.PACKAGE_NAME + ".json"

}