package com.urovo.wugumofang.constants;

import com.urovo.wugumofang.data.PreferHelper;
import com.urovo.wugumofang.system.EnvironmentHelper;
import com.urovo.wugumofang.system.SystemHelper;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.HashMap;

public class NetParam {
    /**
     * Sasuke的EASY-MOCK假数据接口
     */
    public static final String SASUKE_EASY_MOCK = "https://easy-mock.com/mock/59bf8a09e0dc663341ae5f06/sygj/";
    // 正式微信的APP_ID
    public static final String WXAPP_ID = "wx6118d02e16e52c6c";
    // 正式微信的secret
    public static final String WXAPP_SECRET = "00b8d7f75bd77a87a79ff0ff4494a611";

    /**
     * 企业微信分享
     */
    public static final String EW_APPID = "wx281daee1c2526c2c";
    public static final String EW_AGENTID = "1000010";
    public static final String EW_SCHEMA = "wwauth281daee1c2526c2c000010";

    /**
     * 极光推送相关
     */
    public static String JPUSH_APPKEY = "209a5488c778662138d3961a";
    public static String JPUSH_MASTER_SECRET = "1761ba8b7fafdf119e4d6b91";

    /**
     * 腾讯bugly APP_ID
     * 此账号由Haraway私人帐创建，详情请联系Haraway（2975837870@qq.com）
     */
    public static final String BUGLY_APP_ID = "1e6a274273";
    public static final String YINXIAOBU_SERVER = EnvironmentHelper.getInstance().getEnvServer(PreferHelper.getInstance().getInt(AppConstants.APIEnvironment.APP_ENVIRONMENT, 0));
    public static final String YINXIAOBU_API_SERVER = EnvironmentHelper.getInstance().getEnvApiServer(PreferHelper.getInstance().getInt(AppConstants.APIEnvironment.APP_ENVIRONMENT, 0));
    public static final String WEIXIN_SERVER = EnvironmentHelper.getInstance().getWXServer(PreferHelper.getInstance().getInt(AppConstants.APIEnvironment.APP_ENVIRONMENT, 0));
    public static final String XINXIBU_SERVER_PATH = "AccessPoint.do";
    public static final String BASE_DATA_SERVICE_PATH = "base-data-service";//基础服务(替换原来crmserver的位置)
    //public static final String YINXIAOBU_SERVER_PATH = EnvironmentHelper.getInstance().getEnvPort(PreferHelper.getInstance().getInt(AppConstants.APIEnvironment.APP_ENVIRONMENT, 0));
    public static final String BASE_MSG_SERVICE_PATH = "msg-service"; //消息中心那些乱七八糟的(替换原来crmserver的位置)
    public static final String BASE_APP_SALER_SERVICE_PATH = "app-saler";//
    public static final String BASE_APP_MANAGE_SERVICE_PATH = "app-manage";
    public static final String BASE_APP_SERVICE_PATH = "app";
    public static final String XINXIBU_SERVER_DATA_IP = YINXIAOBU_SERVER;

    //个人形象拍照标准参考--跳转链接
    public static final String userPhotoStdUrl = "https://open.work.weixin.qq.com/wwopen/mpnews?mixuin=nH_hBwAABwCcuS2vAAAUAA&mfid=WW0326-oWYC9QAABwBB4-zMfqKAkgNhSga43&idx=0&sn=c7226893daac211974e2762be1903ac1&notreplace=true";
    //专柜卫生拍照标准参考--跳转链接
    public static final String zhuanguiPhotoStdUrl = "https://open.work.weixin.qq.com/wwopen/mpnews?mixuin=nH_hBwAABwCcuS2vAAAUAA&mfid=WW0326-OTZgcgAABwDZs55LLPPiFQxphBu43&idx=0&sn=dec2ca8d75fc01bb6651b84af5cc183d";
    //相片不合格示例
    public static final String notOkExampleUrl = "https://open.work.weixin.qq.com/wwopen/mpnews?mixuin=nH_hBwAABwCcuS2vAAAUAA&mfid=WW0330-rzIXcQAABwBPt_lIc8RoFgdswVd43&idx=0&sn=5ccd0707472764b96720aabc293b71f8";


    //分享微信文章时，用空白页中转（1是会员商品转发，2是养生文库）
    public static String shareWeixinByRedirect(String trueUrl, String shopCode, String staffId, String type) {
        try {
            return "http://wx.wgmf.com/wechat-html/html/toShop.html?redirect="
                    + URLEncoder.encode(trueUrl, "utf-8")
                    + "&shopCode=" + shopCode
                    + "&staffId=" + staffId
                    + "&type=" + type;
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return trueUrl;
        }
    }

    /**
     * 极光推送，获取指定 alias 下的设备，最多输出 10 个；
     */
    public static final String JPUSH_REG_IDS = "https://device.jpush.cn/v3/aliases/";

    //	营销管家默认端口
    public static final String URL_BACK_SERVER = "mkt-back";
    /**
     * 陈正销售服务基址
     */
    public static final String URL_APP_SALER = "app-saler";
    //扫码加粉接口
    public static final String WEIXIN_SAOMA_JIAFEN = "/customer/getQrcode";
    public static final String YOUHUIQUAN = "/act/getactlistticket";//优惠券测试接口   (旧"/act/getactlist"）

    /**
     * H5部分，现在目前写死正式环境的地址；后续等证书修改下来后，再次修改可以切换
     */
    public static final String APPRAISE_DETAIL = ApiConstants.releaseEnvServer.replace("https://", "http://") + "/crmserver-front/html/evaluateDetail.html";//评价详情H5
    public static final String APPRAISE_DATA_SEARCH = ApiConstants.releaseEnvServer.replace("https://", "http://") + "/crmserver-front/html/evaluateDetailAll.html";//评价数据查询H5
    /**
     * 会员等级详情
     */
    public static final String MEMBER_GRADE_DETAIL = YINXIAOBU_SERVER.replace("https://", "http://") + "/crmserver-front/html/member.html?memberPhone=";
    /**
     * 初心蜜销售提成展示
     */
    public static final String FIRST_HEART_HONEY_INDEX = YINXIAOBU_SERVER.replace("https://", "http://") + "/crmserver-front/html/firstHeartHoney/firstHeartHoneyIndex.html?storeName=%1s&storeId=%2s&userId=%3s";
    /**
     * 会员商品提成查询
     */
    public static final String MEMBER_PRODUCT_SALE = YINXIAOBU_SERVER.replace("https://", "http://") + "/crmserver-front/html/firstHeartHoney/memberProductSale.html?storeName=%1s&storeId=%2s&autoSearch=%s";//autoSearch=1时进入查询界面，0时直接进入查询结果
    /**
     * 会员商品提成查询
     */
    public static final String TEST_PAPER = YINXIAOBU_SERVER.replace("https://", "http://") + "/crmserver-front/html/testPaper/testPaper.html?staffId=%1s&name=%2s";
    /**
     * 新客数据查询
     **/
    public static final String NEW_CUSTOMER_DATA = YINXIAOBU_SERVER.replace("https://", "http://") + "/crmserver-front/html/newCustomerStatic/newCustomerStatic.html?shopName=%1s&shopId=%2s";
    /**
     * 排班设置入口
     */
//    public static final String SHIFT_SETTING = YINXIAOBU_SERVER.replace("https://", "http://") + "/crmserver-front/html/newCustomerStatic/crewArrangmentCheck.html?shopId=%1s&staffId=%2s";
    public static final String SHIFT_SETTING = YINXIAOBU_SERVER.replace("https://", "http://")
            + "mkt-front/html/attendance/crewArrangmentCheck.html?shopId=%1s&staffId=%2s";
    /**
     * 本月实时薪资查询
     **/
    public static final String MONTH_SALARY_REALTIME_QUERY = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/salary/myCurSalary2.html?staffId=%s&staffName=%s";
    /**
     * 薪资计算器
     */
    public static final String SALARY_CALCULATOR = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/salary/salaryCal.html?staffId=%s&staffName=%s";
    /**
     * 会员商城销售查询
     */
    public static final String MEMBER_SALE = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/firstHeartHoney/memberSale.html?storeName=%s&staffId=%s&staffName=%s&shopId=%s";
    /**
     * 百鸟归巢(会员商城体验装兑换名单)
     */
    public static final String MEMBER_GIFT = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/firstHeartHoney/memberGift.html?storeName=%s&staffId=%s&staffName=%s&shopId=%s";
    /**
     * 会员商品排名页面
     */
    public static final String MEMBER_GOODS_RANK = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/firstHeartHoney/nationalRank.html?storeName=%s&staffId=%s&staffName=%s";
    /**
     * 会员商品我的客户
     */
    public static final String MEMBER_GOODS_MY_CLIENTS = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/firstHeartHoney/myClients.html?staffId=%s";
    /**
     * 加微入群人数提报
     */
    public static final String MEMBER_WECHAT_GROUP = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/firstHeartHoney/wechatGroup.html?storeName=%s&staffId=%s&shopId=%s&staffName=%s";
    /**
     * 门店利润页面
     */
    public static final String MEMBER_STORE_PROFIT = YINXIAOBU_SERVER.replace("https://", "http://") + "crmserver-front/html/firstHeartHoney/storeProfit.html?storeName=%s&staffId=%s&staffName=%s&shopId=%s";
    /**
     * 顾客评价页面
     */
    public static final String MEMBER_CUSTOMER_EVALUATION=YINXIAOBU_SERVER.replace("https://", "http://") + "mkt-front/html/reportForms/consultantEvaluation.html?staffId=%s&staffName=%s";


    /**
     * 刚进APP的时候广告页点击跳转的Web
     */
    public static final String AD_JUMP_WEB = WEIXIN_SERVER + "wechat-member-html/startPageAdNX/html/startPageAd.html?_campaign=test";
    /**
     * /**紧急问题处理
     **/
    public static final String EMERGENCY_CALL = YINXIAOBU_SERVER + "/crmserver-front/html/emergencyCall.html";
    /**
     * 紧急突发事件处理
     */
    public static final String PROBLEM_CALL = YINXIAOBU_SERVER + "/crmserver-front/html/problemCall.html";
    /**
     * 电话投诉
     */
    public static final String TELEPHONE_COMPLAINT = YINXIAOBU_SERVER + "/crmserver-front/html/callReport.html";
    /**
     * 微信投诉
     */
    public static final String WEBCHAT_COMPLAINT = YINXIAOBU_SERVER + "/crmserver-front/html/wechatReport.html";
    /**
     * 获取问题上报查询地址
     */
    public static final String URL_PROBLEMS_REPORT_SEARCH = YINXIAOBU_SERVER
            + URL_BACK_SERVER + "/question/find";
    /**
     * 获取到货误差
     */
    public static final String URL_REPORT_ERROR = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/OAworkflow/getAOGWorkFlowInfo";
    /**
     * 七牛图片存储基址
     */
    public static final String QINIU_BASE = "http://img.wgmf.com/";
    /**
     * 数据模块接口
     */
    public static final String DATASTATISTICS = YINXIAOBU_SERVER
            + BASE_APP_SERVICE_PATH + "/datastatistics";// 数据模块接口基址
    public static final String SALEDETAIL = DATASTATISTICS + "/getSaleDetail";// 销售明细接口地址
    public static final String SALEDETAILCONSID = DATASTATISTICS + "/getSaleDetailByConsId";// 获取销售明细列表
    public static final String NEW_SALEDETAIL = DATASTATISTICS + "/getNewSaleDetail";//新版销售明细接口地址
    public static final String SALEPRODUCTDETAIL = DATASTATISTICS
            + "/getSaleProductDetail";// 销售产品接口地址
    public static final String MONTHSALEPRODUCTDETAIL = DATASTATISTICS
            + "/getMonthSaleProductDetail";//产品月销售详情
    public static final String SALEMYWEIVIP = DATASTATISTICS + "/getNewWeMembers";// 我的微会员接口
    public static final String SALEMEMBERPERCENT = DATASTATISTICS
            + "/getMemberConsumption";// 会员销售占比
    public static final String SALEKEDAN = DATASTATISTICS
            + "/getMemberConsumptionNum";// 客单查询接口
    public static final String MEMBERBACK = DATASTATISTICS
            + "/getMemberBackRate";// 三个月会员回头率查询
    public static final String MONTHSALES = DATASTATISTICS
            + "/getMonthConsumption";// 月销量查询
    /**
     * 会员模块接口
     */
    public static final String MEMBERSALEDETAIL = YINXIAOBU_SERVER
            + BASE_APP_SERVICE_PATH + "/customer/getSaleDetailByCustomerId";// 会员销售明细接口地址
    public static final String Action_RequestDownload = "BASEDATA_DOWNLOAD";// 基础数据下载
    public static final String Action_RequestUpload = "UPLOAD";// 上传
    public static final String Action_RequestQuery = "QueryData";// 后台查询
    /**
     * App版本信息接口
     */
    public static final String APPUPDATA = YINXIAOBU_SERVER
            + BASE_APP_MANAGE_SERVICE_PATH + "/information/getAppVersionInfo";// App升级版本接口
    /**
     * App白名单灰度版本信息接口
     */
    public static final String APPUPDATA_GRAY = YINXIAOBU_SERVER
            + BASE_APP_MANAGE_SERVICE_PATH + "/information/getAppVersionInfoFromWhiteList";

    /**
     * App响应码状态信息
     */
    public static final String APP_RET_CODE_INFO = YINXIAOBU_SERVER
            + BASE_APP_MANAGE_SERVICE_PATH + "/appRetcode/querySygjRetcode";
    /**
     * 通知接口
     */
    public static final String MSGQUERY = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/searchNotice";// 通知查询接口地址
    public static final String MSGUPLOAD = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/readCount";// 通知上传接口地址
    /**
     * 销售管理-任务管理接口
     */
    public static final String TASKBASE = YINXIAOBU_SERVER
            + BASE_APP_SERVICE_PATH + "/dayTask";// 任务管理基址
    public static final String FINDSTATUS = TASKBASE + "/findStatus";// 日目标状态接口地址
    public static final String LISTSOMEDAY = TASKBASE + "/listSomeDay";// 日目标详情接口地址
    public static final String DAYTASKSAVE = TASKBASE + "/save";// 日目标修改保存接口地址
    public static final String GETMARKSTORE = YINXIAOBU_SERVER
            + BASE_APP_SERVICE_PATH + "/pkShop/getShops";// 日目标修改保存接口地址
    public static final String SETMARKSTORE = YINXIAOBU_SERVER
            + BASE_APP_SERVICE_PATH + "/pkShop/add";// 日目标修改保存接口地址
    public static final String MEMBER_PRODUCT_SALE_DATA = "/datastatistics/getMemberProductSaleData";//会员商品销售提成
    /**
     * 个人中心接口
     */
    public static final String WENTIFIND = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/commonProblem/findByPage";// 常见问题接口地址
    public static final String WENTISEACH = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/commonProblem/search";// 搜索常见问题接口地址
    public static final String WENTIITEMSAVE = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/commonProblem/saveCommonProblem";// 常见问题条目已读记录接口地址
    public static final String PERSONALINFO = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/user/getPersonalInfo";//个人信息测试接口地址
    public static final String PERSONALINFOCONFIRM = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/user/personalInfoConfirm";// 个人信息确认测试接口地址
    /**
     * 养生文库和学习中心
     */
    public static final String LEARNINGCENTER = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/learn/getLearns";// ѧϰ���Ĳ�ѯ�ӿڵ�ַ
    public static final String LEARNINGCENTERSAVE = YINXIAOBU_SERVER
            + BASE_APP_SALER_SERVICE_PATH + "/learn/storeLearnArticle";// ѧϰ�����ղر���ӿڵ�ַ
    public static final String LEARNINGCENTER_GET_READTIME_AND_STORE = "/learn/findByArticleIdType";
    public static final String LEARNINGCENTER_JPUSH_URL = YINXIAOBU_SERVER.replace("https://", "http://") + "/app-saler/learn.jsp?articleId=%s&type=%s";
    public static final String LEARNINGCENTER_2ND_MENU = YINXIAOBU_SERVER + BASE_APP_SALER_SERVICE_PATH + "/learn/findSecondType";
    // 上报反馈
    public static final String YINXIAOBU_FEEDBACK_PATH = "/user/feedbackupload";
    /**
     * 获取上报token地址
     */
    public static final String URL_PRODUCT_TOKEN = "qiniu/getUploadToken";
    /**
     * 获取问题上报选择列表地址
     */
    public static final String URL_PRODUCT_LIST = YINXIAOBU_SERVER + URL_BACK_SERVER + "/question/saveQuestion";
    /**
     * 本机问题反馈 && 专柜陈列图片上传
     */
    public static final String URL_MACHINE_QBACK = URL_BACK_SERVER + "/question/saveQuestion";
    /**
     * 获取物流电话信息列表地址
     */
    public static final String URL_STREAM_DEALPERSON = YINXIAOBU_SERVER
            + URL_BACK_SERVER + "/streamDealPerson/queryStreamDealPersonInfo";
    /**
     * post  获取30天之内已收货的配送收货单的产品明细
     */
    public static final String URL_DISPATCH_PRODUCT = YINXIAOBU_SERVER
            + BASE_APP_SERVICE_PATH + "/storeDispatch/getDispatchProduct";
    public static final String JPUSH_YINXIAO_BIND_PATH = "/message/uploadMessageUserInformation";
    // / 门店在线登录
    //
    public static String Request_StoreLoginOnline = "StoreLoginOnline";
    // / 机构在线登录
    //
    public static String Request_BanShiChuLoginOnline = "BanShiChuLoginOnline";
    // / 同步系统时间
    //
    public static String Request_SyncSystemTime = "Request_SyncSystemTime";
    // / 初始化门店第一步
    //
    public static String Request_InitlizeStore = "Request_InitlizeStore";

    // 下载
    // / 初始化机构第一步
    //
    public static String Request_InitlizeBanShiChu = "Request_InitlizeBanShiChu";
    // / 门店基础数据更新第一步(在登陆时候检测基础数据更新时候用)
    //
    public static String Request_UpdateStore = "Request_UpdateStore";
    // / 机构基础数据更新第一步(在登陆时候检测基础数据更新时候用)
    //
    public static String Request_UpdateBanShiChu = "Request_UpdateBanShiChu";
    // / 获取服务器程序版本号
    //
    public static String Request_ServerVersion = "Request_AppServerVersion";
    // / 督导模式下 下载门店销量审核数据
    //
    public static String RequestDown_StoreRXS001 = "RequestDown_StoreRXS001";
    // / 督导模式下获取员工编号
    //
    public static String RequestDown_GetOperatorId = "RequestDown_GetOperatorId";
    // / 督导模式下员工查询
    //
    public static String RequestDown_YuanGongQuery = "RequestDown_YuanGongQuery";
    // / 下载门店配送数据
    //
    public static String RequestDown_PeiSongShouHuo = "RequestDown_PeiSongShouHuo";
    // / 新版本下载门店配送数据
    //
    public static String RequestDown_PeiSongShouHuoNew = "RequestDown_PeiSongShouHuoNew";
    // / 下载调拨收货数据
    //
    public static String RequestDown_DiaoBoShouHuo = "RequestDown_DiaoBoShouHuo";
    // / 下载基础资料更新表数据
    //
    public static String RequestDown_TableToPOS = "RequestDown_TableToPOS";
    // / 下载某个id的会员资料
    //
    public static String RequestDown_Vip = "RequestDown_Vip";
    // / 下载某个id的会员资料包括年龄组
    //
    public static String RequestQuery_Vip = "RequestQuery_CusByMobile";
    // / 验证某个id的门店是否存在
    //
    public static String RequestCheck_Store = "RequestCheck_Store";
    // / 验证某个id的机构是否存在
    //
    public static String RequestCheck_BanShiChu = "RequestCheck_BanShiChu";
    // / 是否可盘点验证
    //
    public static String RequestCheck_CanPanDian = "RequestCheck_CanPanDian";
    // 上传
    // / 是否可订货验证
    //
    public static String RequestCheck_DingHuoCheck = "RequestCheck_DingHuoCheck";
    // / 销售记录下载--用到退货模块中
    //
    public static String RequestDown_POSXiaoShou = "RequestDownload_XiaoShou";
    // / 销售记录下载--用到退货模块中
    //
    public static String RequestDown_XiaoShou = "RequestDownload_APPXiaoShou";
    // / 销售记录下载--用到销售明细
    public static String RequestDown_XiaoShouMinXi = "RequestDownload_XiaoShou";
    // / 督导模式下 上传门店销量审核数据
    //
    public static String RequestUpload_StoreRXS001 = "RequestUpload_StoreRXS001";
    // / 督导模式下 上传入职的员工
    //
    public static String RequestUpload_YuanGongRuZhi = "RequestUpload_YuanGongRuZhi";
    // / 督导模式下 上传离职的员工
    //
    public static String RequestUpload_YuanGongLiZhi = "RequestUpload_YuanGongLiZhi";
    // / 督导模式下 上传员工更新数据
    //
    public static String RequestUpload_YuanGongUpdate = "RequestUpload_YuanGongUpdate";
    // / 试吃上传
    //
    public static String RequestUpload_ShiChi = "UPLOAD_TESTEAT";
    // / 报损上传
    //
    public static String RequestUpload_BaoSun = "UPLOAD_BAOSUN";
    // / 冲顶上传
    //
    public static String RequestUpload_ChongDing = "UPLOAD_CHONGDING";
    // / 赠送上传
    //
    public static String RequestUpload_ZengSong = "UPLOAD_ZENGSONG";
    // / 销售上传
    //
    public static String RequestUpload_XiaoShou = "UPLOAD_XIAOSHOU";
    // / 订货上传
    //
    public static String RequestUpload_DingHuo = "UPLOAD_DINGHUO";
    // / 积分兑换上传
    //
    public static String RequestUpload_JiFenDuiHuan = "UPLOAD_JIFENDUIHUAN";
    // / 盘点上传
    //
    public static String RequestUpload_PanDian = "UPLOAD_PANDIAN";
    // / 配送收货上传
    //
    public static String RequestUpload_PeiSongShouHuo = "RequestUpload_PeiSongShouHuo";
    // / 新的配送收货上传
    //
    public static String RequestUpload_PeiSongShouHuoNew = "RequestUpload_PeiSongShouHuoNew";
    // / 调拨出货上传
    //
    public static String RequestUpload_DiaoBoChuHuo = "RequestUpload_DiaoBoChuHuo";
    // / 调拨收货上传
    //
    public static String RequestUpload_DiaoBoShouHuo = "RequestUpload_DiaoBoShouHuo";

    // 后台查询
    // / 考勤上传
    //
    public static String RequestUpload_KaoQin = "RequestUpload_KaoQin";
    // / 新的考勤上传
    //
    public static String RequestUpload_APPKaoQin = "RequestUpload_APPKaoQin";
    // / 质量反馈上传
    //
    public static String RequestUpload_ZHXX = "RequestUpload_ZHXX";
    // / 系统时间修改记录上传
    //
    public static String RequestUpload_ChgTimeRec = "RequestUpload_ChgTimeRec";
    // / 后台销售查询
    //
    public static String RequestQuery_XiaoShou = "RequestQuery_XiaoShou";
    // / 后台销售汇总
    //
    public static String RequestQuery_XiaoShouHuiZong = "RequestQuery_XiaoShouHuiZong";
    // / 后台订货查询
    //
    public static String RequestQuery_DingHuo = "RequestQuery_DingHuo";
    // / 后台报损查询
    //
    public static String RequestQuery_BaoSun = "RequestQuery_BaoSun";
    // / 后台试吃查询
    //
    public static String RequestQuery_ShiChi = "RequestQuery_ShiChi";
    // / 后台赠送查询
    //
    public static String RequestQuery_ZengSong = "RequestQuery_ZengSong";
    // / 后台冲顶加工查询
    //
    public static String RequestQuery_ChongDing = "RequestQuery_ChongDing";
    // / 后台考勤查询
    //
    public static String RequestQuery_KaoQin = "RequestQuery_KaoQin";
    // / 后台盘点查询
    //
    public static String RequestQuery_PanDian = "RequestQuery_PanDian";
    // / 后台积分兑换查询
    //
    public static String RequestQuery_JiFenDuiHuan = "RequestQuery_JiFenDuiHuan";
    // / 促销活动信息
    //
    public static String RequestQuery_DOWNLOADDJCXINFO = "RequestQuery_DOWNLOADDJCXINFO";
    // / 后台积分兑换查询--新
    //
    public static String RequestQuery_NewJiFenDuiHuan = "RequestQuery_NewJiFenDuiHuan";
    // / 积分明细查询
    //
    public static String RequestDown_VipDetail = "RequestDown_VipDetail";
    // / 积分兑换
    //
    public static String UploadJiFenDuiHuan = "UploadJiFenDuiHuan";
    // / 后台调拨出货查询
    //
    public static String RequestQuery_DiaoBoChuHuo = "RequestQuery_DiaoBoChuHuo";

    // 短信息有关
    // / 后台配送(出货)查询
    //
    public static String RequestQuery_PeiSong = "RequestQuery_PeiSong";
    // / 后台调拨收货查询
    //
    public static String RequestQuery_DiaoBoShouHuo = "RequestQuery_DiaoBoShouHuo";

    // 资材配入有关
    // / 进入系统时候的数据检测：短信、资材配入、资材调入
    //
    public static String RequestShuJuJianCe = "RequestShuJuJianCe";
    // / 在线门店库存查询
    //
    public static String RequestDown_KCOnline = "RequestDown_KCOnline";

    // 资材调入有关
    // / 短信息下载
    //
    public static String RequestDownloadDXX = "RequestDownloadDXX";
    // / 短信息上传(包括查阅和回复)
    //
    public static String RequestUploadDXX = "RequestUploadDXX";

    // 资材盘点有关
    // / 资材配入下载
    //
    public static String RequestDownloadZCPeiSong = "RequestDownloadZCPeiSong";
    // / 资材配入上传
    //
    public static String RequestUploadZCPeiSong = "RequestUploadZCPeiSong";

    // 资材查询有关
    // / 资材调入下载
    //
    public static String RequestDownloadZCDiaoRu = "RequestDownloadZCDiaoRu";

    // 资材调出有关
    // / 资材调入上传
    //
    public static String RequestUploadZCDiaoRu = "RequestUploadZCDiaoRu";

    // 专项巡检有关
    // / 资材盘点下载
    //
    public static String RequestDownloadZCPanDian = "RequestDownloadZCPanDian";
    // / 资材盘点上传
    //
    public static String RequestUploadZCPanDian = "RequestUploadZCPanDian";

    // 数据展示有关
    // / 资材仓库库存查询
    //
    public static String RequestDownloadZCDA002 = "RequestDownloadZCDA002";
    // / 资材调出上传
    //
    public static String RequestUploadZCDiaoChu = "RequestUploadZCDiaoChu";
    // / 专项巡检下载
    //
    public static String RequestDownloadZXXJ = "RequestDownloadZXXJ";
    // / 专项巡检上传
    //
    public static String RequestUploadZXXJ = "RequestUploadZXXJ";
    // 请求首页数据
    //
    public static String RequestQuery_FirstPage = "RequestQuery_FirstPage";
    // 上传头像信息
    //
    public static String RequestUpload_YuanGongUpdateUserPicture = "RequestUpload_YuanGongUpdateUserPicture";
    // 查询会员上一次消费记录
    //
    public static String RequestQuery_LastCons = "RequestQuery_LastCons";
    // 密码修改
    public static String RequestUpload_YuanGongUpdatePassword = "RequestUpload_YuanGongUpdatePassword";
    // 后台订货审核查询
    public static String RequestDownload_DingHuoExamine = "RequestDownload_DingHuoExamine";
    // 订货审核上传
    public static String RequestUpload_DingHuoExamine = "UPLOAD_DINGHUOEXAMINE";
    // 获取订货单商品的建议数量
    public static String RequestDownload_DingHuoOplQty = "RequestDownload_DingHuoOplQtyForApp";
    // 查询会员生日信息
    public static String RequestQuery_HuiYuanShengRi = "RequestQuery_BirthdayAtt";
    // 查询新客七天关怀
    public static String RequestQuery_QiTianXinKeGuanHuai = "RequestQuery_NewMemberAtt";
    // 查询两个月未回头
    public static String RequestQuery_LiangGeYueWeiHuiTou = "RequestQuery_NoReturnAtt";
    // 查询两个月会员销售
    public static String RequestQuery_LiangGeYueHuiYuan = "RequestQuery_TwoMonthCons";
    // 查询三个月未回头率
    public static String RequestQuery_SanGeYueWeiHuiTou = "RequestQuery_ReturnRate";
    // 查询会员销售占比
    public static String RequestQuery_HuiYuanXiaoShouZhanBi = "RequestQuery_CusSaleRate";
    // 查询积分汇总
    public static String RequestQuery_JiFenHuiZong = "RequestQuery_Points";
    // 查询消费明细
    public static String RequestQuery_XiaoFeiMingXi = "RequestQuery_ProductCons";
    // 销量查询
    public static String RequestQuery_XiaoLiangChaXun = "RequestQuery_XLTJ";
    // 产品销量查询
    public static String RequestQuery_ChanPinXiaoLiang = "RequestQuery_CPXSTJ";
    // 客单查询
    public static String RequestQuery_KeDanShuChaXun = "RequestQuery_KDS";
    // 积分兑换查询
    public static String RequestQuery_JiFenDuiHuanLiuShui = "RequestQuery_JFDHMX";
    // 会员信息更新
    public static String RequestUpload_MemberInfoUpdate = "RequestQuery_SetCus";
    // 新建会员
    public static String RequestCreate_MemberInfo = "RequestQuery_NewCus";
    // 验证兑换码
    public static String RequestQuery_YanZhengDuiHuanMa = "RequestHDCodeCheck";
    // 验证新活动兑换码
    public static String RequestXSHDCodeCheck = "RequestXSHDCodeCheck";
    // 上传新活动兑换码对应信息
    public static String RequestUpload_XSHDLpItem = "RequestUpload_XSHDLpItems";
    // 下载兑换列表
    public static String RequestQuery_XiaZaiDuiHuanLieBiao = "RequestHDCodeGetHDLpItems";
    // 兑换验证码
    public static String RequestQuery_DuiHuanYanZhengMa = "RequestUpload_HDLpItems";
    // 查询两个月未回头
    public static String RequestQuery_MsgDownload = "RequestDownloadDXX";
    // 查询专享活动
    public static String ZhuanXiangHuoDong = "/act/getactlist";
    // 查询全场活动
    public static String QuanChangHuoDong = "/act/getactlistall";
    // 查询专享活动详情
    public static String ZhuanXiangHuoDongDetail = "/act/getactdetail";
    //判断是否权益卡套餐的目标人群（谷谷、银谷会员
    public static String checkCardTargetCus = BASE_APP_SERVICE_PATH + "/checkCardTargetCus";
    //统一添加请求头（WebView请求头Cookie统一在CookieDominator里配置新字段，网络请求的请求头统一在这里配置新字段）
    private static HashMap<String, String> netHeaders;

    public static HashMap<String, String> getNetHeaders() {
        netHeaders = new HashMap<>();
        netHeaders.put("staffId", SystemHelper.LoginUserId);
//        netHeaders.put("user-agent","Android");

        //以下添加更多........
        return netHeaders;
    }
}
