package com.urovo.wugumofang.view;

import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.widget.TextView;

/**
 * Created by Sasuke on 2016/8/26.
 */
public class MarqueeTextView extends TextView {
    public MarqueeTextView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.setHorizontallyScrolling(true);
        this.setSingleLine();
        this.setMarqueeRepeatLimit(-1);
        this.setEllipsize(TextUtils.TruncateAt.MARQUEE);
        this.setFocusable(true);
    }

    public MarqueeTextView(Context context) {
        this(context,null);
    }

    @Override
    public boolean isFocused() {
        return true;
    }
}
