package com.zsy.libcore.event;

/**
 * @author: samy(hongfeiliuxing@gmail.com)
 * @datetime: 2015-09-03 12:58
 */
public class LoginResultEvent {
	private boolean isSuceess;
	private int errorCode;
	private String reason;

	public LoginResultEvent(boolean is) {
		setSuceess(is);
		this.setReason("suceess");
	}

	public LoginResultEvent(String reason, int errorCode) {
		setSuceess(false);
		this.setReason(reason);
		this.setErrorCode(errorCode);
	}

	private static LoginResultEvent mLoginResultEvent = null;

	public static synchronized LoginResultEvent getLoginResultEvent(boolean is) {
		if (null == mLoginResultEvent) {
			mLoginResultEvent = new LoginResultEvent(is);
		}
		else {
			mLoginResultEvent.setSuceess(is);
		}
		return mLoginResultEvent;
	}

	public boolean isSuceess() {
		return isSuceess;
	}

	public void setSuceess(boolean isSuceess) {
		this.isSuceess = isSuceess;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public int getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}
}
