//package com.zsy.libcore.model.data.db;
//
//import java.util.List;
//
//import io.realm.Realm;
//import io.realm.RealmObject;
//import io.realm.RealmQuery;
//import io.realm.RealmResults;
//
///**
// * 此类方法有待优化、封装、添加
// */
//public class RealmDBUtil {
//
//	/**
//	 * 同步插入一个对象
//	 * 在application中做了配置
//	 *
//	 * @param object 插入的对象，需要继承RealmObject
//	 */
//	public static void insertData(final RealmObject object) {
//		// RealmConfiguration config = new RealmConfiguration.Builder(context)
//		// .name(dbName)
//		// .build();
//		Realm realm = Realm.getDefaultInstance();
//		realm.executeTransaction(new Realm.Transaction() {
//			@Override
//			public void execute(Realm realm) {
//				realm.copyToRealm(object);
//			}
//		});
//		realm.close();
//	}
//
//	/**
//	 * 异步插入一个对象
//	 *
//	 * @param object 插入的对象，需要继承RealmObject
//	 * @param callback 异步插入回调
//	 */
//	public static void insertData(final RealmObject object, Realm.Transaction.Callback callback) {
//		// RealmConfiguration config = new RealmConfiguration.Builder(context)
//		// .name(dbName)
//		// .build();
//		Realm realm = Realm.getDefaultInstance();
//		realm.executeTransaction(new Realm.Transaction() {
//			@Override
//			public void execute(Realm realm) {
//				realm.copyToRealm(object);
//			}
//		}, callback);
//
//		realm.close();
//	}
//
//	/**
//	 * 同步插入多个对象
//	 *
//	 * @param listObject 插入的对象集合，需要继承RealmObject
//	 */
//	public static void insertDatas(final List<? extends RealmObject> listObject) {
//		// RealmConfiguration config = new RealmConfiguration.Builder(context)
//		// .name(dbName).build();
//		Realm realm = Realm.getDefaultInstance();
//		realm.executeTransaction(new Realm.Transaction() {
//			@Override
//			public void execute(Realm realm) {
//				realm.copyToRealm(listObject);
//			}
//		});
//		realm.close();
//	}
//
//	/**
//	 * 异步插入多个对象
//	 *
//	 * @param listObject 插入的对象集合，需要继承RealmObject
//	 * @param callback 异步插入回调
//	 */
//	public static void insertDatas(final List<? extends RealmObject> listObject, Realm.Transaction.Callback callback) {
//		// RealmConfiguration config = new RealmConfiguration.Builder(context)
//		// .name(dbName).build();
//		Realm realm = Realm.getDefaultInstance();
//		realm.executeTransaction(new Realm.Transaction() {
//			@Override
//			public void execute(Realm realm) {
//				realm.copyToRealm(listObject);
//			}
//		}, callback);
//		realm.close();
//	}
//
//	/**
//	 * 删除所有的某一类型的对象，通过传入的object类型判断
//	 *
//	 * @param clazz 需要删除的对象类型
//	 */
//	public static void deleteDataByClass(final Class clazz) {
//		// RealmConfiguration config = new RealmConfiguration.Builder(context)
//		// .name(dbName)
//		// .build();
//		Realm realm = Realm.getDefaultInstance();
//		realm.executeTransaction(new Realm.Transaction() {
//			@Override
//			public void execute(Realm realm) {
//				realm.clear(clazz);
//			}
//		});
//		realm.close();
//	}
//
//	/**
//	 * 获取某一类型的对象数量
//	 *
//	 * @param clazz 需要统计数量的对象类型
//	 * @return 对象数量
//	 */
//	public static int getCountByClass(Class clazz) {
//		// RealmConfiguration config = new RealmConfiguration.Builder(context)
//		// .name(dbName)
//		// .build();
//		Realm realm = Realm.getDefaultInstance();
//		int size = realm.allObjects(clazz).size();
//		realm.close();
//		return size;
//	}
//
//	/**
//	 * 查询某一类型的所有数据
//	 * realm带条件查询较为复杂不做封装，需要添加条件的请参考https://realm.io/cn/docs/java/latest/#section-11
//	 *
//	 * @param clazz 需要查询的类型  类型需要与返回结果类型一致
//	 * @return 一个结果集合（list的子类），当查询没有任何匹配时，返回的RealmResults对象将不会为null，取而代之的是它的size()方法将返0
//	 */
//	public static RealmResults<? extends RealmObject> queryAll(Class clazz) {
//		// RealmConfiguration config = new RealmConfiguration.Builder(context)
//		// .name(dbName)
//		// .build();
//		Realm realm = Realm.getDefaultInstance();
//		Realm.getDefaultInstance();
//		RealmQuery<?> query = realm.where(clazz);
//		RealmResults<?> resultAll = query.findAll();
//		return resultAll;
//	}
//}
