package com.zsy.libext.utils;

import android.annotation.SuppressLint;
import androidx.appcompat.widget.Toolbar;

import com.zsy.libext.R;
import com.zsy.libext.ui.act.BaseAct;

public class ToolbarUtils {

    @SuppressLint("PrivateResource")
    public static void initToolbar(Toolbar toolbar, BaseAct activity) {
        if (toolbar == null || activity == null) {
            return;
        }
        toolbar.setBackgroundColor(activity.getColorPrimary());
        toolbar.setTitle(R.string.app_name);
        // toolbar.setTitleTextColor(activity.getColor(R.color.action_bar_title_color));
        toolbar.collapseActionView();
        activity.setSupportActionBar(toolbar);
        if (activity.getSupportActionBar() != null) {
            //如果因为换Design版本导致这里资源报错，请换成R.drawable.abc_ic_ab_back_material (原来用的是abc_ic_ab_back_mtrl_am_alpha)
            activity.getSupportActionBar().setHomeAsUpIndicator(R.drawable.abc_ic_ab_back_material );
            activity.getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        }
    }
}
