package com.urovo.activity.checkGoodsTabAct.service

import com.urovo.wugumofang.constants.ApiUrls
import com.zsy.libcore.model.bean.RequestResult
import retrofit2.Call
import retrofit2.http.*

/**
 * 盘点
 * @author LW
 */
interface ApiService {
    /**
     * POST /storeTransferCheck/transferCheck 门店盘点判断
     */
    @POST(ApiUrls.APP.TRANSFER_CHECK)
    fun transferCheck(
        @Query("storeNo") storeNo: String?  // 门店号
    ): Call<RequestResult<Any>>

}