package com.urovo.activity.checkGoodsTabAct.view.adapter

import android.view.View
import android.widget.LinearLayout
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.urovo.wgmf.db.dao.entitys.CanCheckRes3
import com.urovo.wugumofang.R

/**
 * 盘点提交列表
 * @author LW
 */
class CheckSubmitListAdapter(
    data: MutableList<CanCheckRes3.ResultInfo>?
) :
    BaseQuickAdapter<CanCheckRes3.ResultInfo, BaseViewHolder>(
        R.layout.check_submit_list_item,
        data
    ) {

    override fun convert(helper: BaseViewHolder?, item: CanCheckRes3.ResultInfo?) {
        helper?.apply {
            item?.let {
                setText(
                    R.id.pdBillCode,
                    "盘点单号：${it.pdBillCode}"
                )
                setText(R.id.pdBrandName, "         品牌：${it.brandName}")
                setText(R.id.pdState, "         状态：${it.pdState}")

                val canGoPandian =
                    it.pdState == "草稿" || it.pdState == "未盘点"//能否点击进入盘点
                getView<LinearLayout>(R.id.goPdArrow).visibility =
                    if (canGoPandian) View.VISIBLE else View.INVISIBLE
            }
        }
    }

}