package com.urovo.activity.combineResult.ui;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.urovo.wgmf.db.dao.entitys.ProductEntity;
import com.urovo.wugumofang.R;

import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * Created by Sasuke on 2016/9/17.
 */
public class ProductGridAdapter extends BaseAdapter{
    List<ProductEntity> list;
    Context context;
    public ProductGridAdapter(Context context, List<ProductEntity> list) {
        this.list = list;
        this.context = context;
    }

    @Override
    public int getCount() {
        return list.size();
    }

    @Override
    public Object getItem(int i) {
        return null;
    }

    @Override
    public long getItemId(int i) {
        return i;
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
        ViewHolder holder;
        if(view == null){
            view = LayoutInflater.from(context).inflate(R.layout.ll_product_grid_item,null);
            holder = new ViewHolder(view);
            view.setTag(holder);
        }else{
            holder = (ViewHolder) view.getTag();
        }
        holder.productName.setText(list.get(i).getItemName());
        holder.productAmount.setText("x"+String.format("%.0f",list.get(i).getTQTY()));
        return view;
    }

    class ViewHolder{
        public ViewHolder(View view){
            ButterKnife.bind(this,view);
        }
        @BindView(R.id.product_name) public TextView productName;
        @BindView(R.id.product_amount) public TextView productAmount;
    }
}
