package com.urovo.activity.customerlabel.model

import java.io.Serializable

/**
 * 标签详情信息
 */
data class CustomerLabelDetailEntity(
    val benefitsLabelDetailInfo: List<LabelBean>?,
    val characteristicsLabelDetailInfo: List<LabelBean>?,
    val purposeLabelDetailInfo: List<LabelBean>?
):Serializable {

    data class LabelBean(
        val createTime: String?,
        val cusId:Int,
        val id: Int,
        val labelId: Int,
        val labelName: String?,
        val mobile: String?,
        val updateTime: String?,
        val select: Boolean = true
    ):Serializable{
        override fun toString(): String {
            return "LabelBean(createTime=$createTime, cusId=$cusId, id=$id, labelId=$labelId, labelName=$labelName, mobile=$mobile, updateTime=$updateTime, select=$select)"
        }
    }

    override fun toString(): String {
        return "CustomerLabelDetailEntity(benefitsLabelDetailInfo=$benefitsLabelDetailInfo, characteristicsLabelDetailInfo=$characteristicsLabelDetailInfo, purposeLabelDetailInfo=$purposeLabelDetailInfo)"
    }

}

data class CustomerLabelDetailReqEntity(val mobile: String?, val page: Int, val size: Int)