package com.urovo.activity.customerlabel.model

/**
 * 标签信息
 */
data class CustomerLabelEntity(
    val benefitsLabelInfo: List<LabelBean>?,
    val characteristicsLabelInfo: List<LabelBean>?,
    val purposeLabelInfo: List<LabelBean>?
) {

    data class LabelBean(
        val createTime: String?,
        val id: Int,
        val labelId: Int,
        val labelName: String?,
        val updateTime: String?,
        var select: Boolean = false
    ) {

        override fun toString(): String {
            return "LabelBean(createTime=$createTime, id=$id, labelId=$labelId, labelName=$labelName, updateTime=$updateTime, select=$select)"
        }
    }

    override fun toString(): String {
        return "CustomerLabelEntity(benefitsLabelInfo=$benefitsLabelInfo, characteristicsLabelInfo=$characteristicsLabelInfo, purposeLabelInfo=$purposeLabelInfo)"
    }


}

data class CustomerLabelReqEntity(val page: Int, val size: Int)

