package com.urovo.activity.data.queryfinalsales.presenter

import com.urovo.activity.data.queryfinalsales.net.FinalSalesRes
import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView


/**
 * @author Sasuke on 2018/6/7.
 */
class FinalSalesContract {
    interface view: BaseView<pre>{
        fun init()

        fun query()

        fun showLoading()

        fun showNoData()

        fun showNetError()

        fun dismissLoadWait()

        fun refreshShow(result: FinalSalesRes.ResultInfo)
    }

    interface pre: BasePresenter{

    }
}