package com.urovo.activity.display.model

/**
 * 提交货架陈列上报任务数据
 */
data class DisplayReportSubmitEntity(
    var reportId: String?,
    var auditId: String?,
    var userName: String?,
    var userNo: String?,
    var taskId: String?,
    var shopId: String?,
    var stockout: String?,
    var stockoutInfo: String?,
    var excepSpec: String?,
    var exportImages: List<String>?,
    var wholeImages: List<String>?,
    var answers: List<AnswersBean?>?
) {
    data class AnswersBean(
        var content: String?,
        var modelId: String?,
        var selected: List<String>?,
        var type: String?
    )
}
