package com.urovo.activity.display.service

import com.urovo.wugumofang.constants.ConstantParams

object DataTransform {

    /**
     * 任务类别转换
     *
     * @param missionType  (integer, optional):任务类别,1常规，2活动 ,
     */
    fun getMissionType(missionType: String?): String {
        var status = "未知"
        when (missionType) {
            ConstantParams.CONSTANT_PARAMS_1 -> status = "常规"
            ConstantParams.CONSTANT_PARAMS_2 -> status = "活动"
            else -> {
            }
        }
        return status
    }

    /**
     * 门店状态转换
     *
     * @param shopStatus (integer, optional):门店状态, 1待提交、2待审核可修改、3已审核可整改、4可再次整改、5免提交、6已截止 ,
     * @return
     */
    fun getShopStatus(shopStatus: String?): String {
        var status = "未知"
        when (shopStatus) {
            ConstantParams.CONSTANT_PARAMS_1 -> status = "待提交"
            ConstantParams.CONSTANT_PARAMS_2 -> status = "待审核可修改"
            ConstantParams.CONSTANT_PARAMS_3 -> status = "已审核可整改"
            ConstantParams.CONSTANT_PARAMS_4 -> status = "可再次整改"
            ConstantParams.CONSTANT_PARAMS_5 -> status = "免提交"
            ConstantParams.CONSTANT_PARAMS_6 -> status = "已截止"
            else -> {
            }
        }
        return status
    }
}