package com.urovo.activity.goodsReturn.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.text.method.DigitsKeyListener;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;

import com.urovo.activity.goodsReturn.net.GoodsReturnRecordRes;
import com.urovo.wgmf.db.dao.bill.DalCommon;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.data.Arith;
import com.urovo.wugumofang.data.StringUtils;
import com.urovo.wugumofang.system.SystemHelper;
import com.zsy.libcore.common.android.log.SYLoger;

import java.text.MessageFormat;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

/**
 * Created not by Sasuke but edit by Sasuke on 2017/4/28.
 * 多写一句注释会死的退货时的销售记录Adapter
 *
 * @author ...
 */

public class GoodsReturnAda extends BaseExpandableListAdapter {
    private List<GoodsReturnRecordRes.Result> parentslist;
//    private List<List<ProductEntity>> childrenlist;
//    private List<List<ProductEntity>> oldchildrenlist;
    private Context context;

    public GoodsReturnAda(Context cxt, List<GoodsReturnRecordRes.Result> list) {
        parentslist = list;
        context = cxt;
        //清除产品列表为空的项（真的会有吗这种，既然为空你后台返回回来干嘛）
//        Iterator<GoodsReturnRecordRes.Result> it = list.iterator();
//        while (it.hasNext()) {
//            GoodsReturnRecordRes.Result element = it.next();
//            if(null == element.getDetailList() || 0 == element.getDetailList().size()) {
//                it.remove();
//            }
//        }
        //遍历子表排序+提取单位+初始化currentQty（可退多少）等值
        for (GoodsReturnRecordRes.Result item : parentslist) {
            if (item.getSaleDate().length() > 10 && item.getSaleDate().split(" ")[1].length() == 7) {//后台返回默认小时是一位数的。。。要补齐才好排序！！！
                String newDate = item.getSaleDate().replace(" ", " 0");
                item.setSaleDate(newDate);
            }
//            for (GoodsReturnRecordRes.Result.DetailListBean detailItem : item.getDetailList()) {
//                detailItem.bakQty = detailItem.getProQty();//备份初始数量作为最大值，供后面手动调节时使用
//                detailItem.bakAmount = detailItem.getProAmount();//备份初始总价作为最大值，供后面手动调节时使用
//                detailItem.KCUom = Item001DbOperate.getKCUomById(detailItem.getProCode());//List里填入包装单位（从db里查）。
//                detailItem.isEnable = (detailItem.getProQty() > 0 && detailItem.getProAmount() > 0)? true : false;
//                detailItem.currentQty = detailItem.getProQty();//先同步初始化一下currentQty（可退多少）
//
//                double num = detailItem.getProQty();
//                //以下初始化currentQty，这个字段表示当前可退多少（相当于用之前已买的 减去 已退的）
//                if(num > 0){//数量为正数时，表示这个是普通销售单，而不是已退的
//                    for (GoodsReturnRecordRes.Result.DetailListBean same : item.getDetailList()) {
//                        if(detailItem != same//排除它自己
//                                && detailItem.getProCode().equals(same.getProCode())//同一个产品编码
//                                    && same.getProAmount() != 0) {//总价不为零（为零的好像是赠品）
//                            num += same.getProQty();//不用怕，这里currentQty是已经在前面初始化过的，初始时跟proQty是相等的。
//                            detailItem.currentQty = num;//这是还可以继续退的数量（原有数量减去已退数量）
//                        }
//                    }
//                }
//            }
//
//            Collections.sort( item.getDetailList(), new Comparator<GoodsReturnRecordRes.Result.DetailListBean>() {
//                @Override
//                public int compare(GoodsReturnRecordRes.Result.DetailListBean lhs, GoodsReturnRecordRes.Result.DetailListBean rhs) {
//                    if(lhs.getProAmount() > rhs.getProAmount()) {
//                        return -1;
//                    }
//                    else
//                    if(lhs.getProAmount() == rhs.getProAmount()) {
//                        return 0;
//                    }
//                    else {
//                        return 1;
//                    }
//                }
//            });
        }

        //父表按销售日期降序
        Collections.sort(parentslist, new Comparator<GoodsReturnRecordRes.Result>() {
            @Override
            public int compare(GoodsReturnRecordRes.Result lhs, GoodsReturnRecordRes.Result rhs) {
                return rhs.getSaleDate().compareTo(lhs.getSaleDate());
            }
        });

//        initList();
    }

//    private void initList() {
//        childrenlist = new ArrayList<List<ProductEntity>>();
//        oldchildrenlist = new ArrayList<List<ProductEntity>>();
//        for (GoodsReturnRecordRes.Result x : parentslist) {
//            ArrayList<ProductEntity> oldlistItem = new ArrayList<ProductEntity>();
//            List<GoodsReturnRecordRes.Result.DetailListBean> listItem = x.getDetailList();
//
////            double countAmount = 0.0;
//            for (ProductEntity p : x.getDetailList()) {
//                Item001DbOperate.GetProductDetail(p);
//                ProductEntity p1 = new ProductEntity();
////                if(p.getAmount() > 0) {
////                    countAmount = Arith.add(countAmount, p.getAmount());
////                }
//                p1.setAmount(p.getAmount());
//                double num = p.getTQTY();
//                for (ProductEntity c : x.getDetailList()) {
//                    if(p != c && p.getItemId().equals(c.getItemId()) && c.getAmount() != 0) {
//                        num += c.getTQTY();
//                    }
//                }
//                p1.setTQTY(num);
//                oldlistItem.add(p1);
//                // p.setTQTY(1.0);
////                if(p.getTQTY() > 0 && p.getAmount() > 0) {
////                    p.isEnable = true;//可以退货
////                    // p.setAmount(p.getPrice());
////                }
////                else {
////                    p.isEnable = false;//不能退货
////                    // p.setAmount(-p.getPrice());
////                }
//            }
//            // x.setTNET(countAmount);
//            childrenlist.add(listItem);//通过循环把总表里的detailList表一个个抽出来放到chiildrenList这个新表里，你妈他至于吗。。。
//            oldchildrenlist.add(oldlistItem);//新表，新构建的元素
//        }
//    }

    @Override
    public void notifyDataSetInvalidated() {

        // initList();
        super.notifyDataSetInvalidated();
    }

    @Override
    public void notifyDataSetChanged() {

        // initList();
        super.notifyDataSetChanged();
    }

    @Override
    public int getGroupCount() {
        if (null == parentslist || parentslist.size() == 0) {
            return 0;
        }
        return parentslist.size();
    }

    @Override
    public int getChildrenCount(int groupPosition) {
        if (parentslist.get(groupPosition).getDetailList().size() == 0) {
            //要显示小圆圈加载
            return 1;
        }
        return parentslist.get(groupPosition).getDetailList().size();
    }

    @Override
    public GoodsReturnRecordRes.Result getGroup(int groupPosition) {
        return parentslist.get(groupPosition);
    }

    @Override
    public GoodsReturnRecordRes.Result.DetailListBean getChild(int groupPosition, int childPosition) {
        return parentslist.get(groupPosition).getDetailList().get(childPosition);
    }

    @Override
    public long getGroupId(int groupPosition) {
        return groupPosition;
    }

    @Override
    public long getChildId(int groupPosition, int childPosition) {
        return childPosition;
    }

    @Override
    public boolean hasStableIds() {
        return false;
    }

    @Override
    public View getGroupView(int groupPosition, boolean isExpanded, View convertView, ViewGroup parent) {
        ViewHolder viewHolder;
        if (convertView == null) {
            convertView = LayoutInflater.from(context).inflate(R.layout.sale_back_list_item, parent, false);
            viewHolder = new ViewHolder();
            viewHolder.number = (TextView) convertView.findViewById(R.id.vip_number);
            viewHolder.time = (TextView) convertView.findViewById(R.id.sale_time);
            viewHolder.upload = (ImageView) convertView.findViewById(R.id.imageViewUpload);
            viewHolder.amount = (TextView) convertView.findViewById(R.id.amount);
            viewHolder.returnStatus = (TextView) convertView.findViewById(R.id.returnStatus);


//            viewHolder.proLabel = (TextView) convertView.findViewById(R.id.pro_label);
//            viewHolder.failReason = (TextView) convertView.findViewById(R.id.textViewFailReason);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
//        viewHolder.failReason.setVisibility(View.GONE);//这什么鬼啊，都没见你用过啊！！！！！

        GoodsReturnRecordRes.Result ent = getGroup(groupPosition);
        viewHolder.upload.setVisibility(View.INVISIBLE);

        //部分退、全部退 的标签显示
        viewHolder.returnStatus.setVisibility(View.VISIBLE);
        if (ent.getReturnStatus() == 1){
            viewHolder.returnStatus.setText("部分退");
        }else if (ent.getReturnStatus() == 2){
            viewHolder.returnStatus.setText("全部退");
        }else{
            viewHolder.returnStatus.setVisibility(View.GONE);
        }

        if (TextUtils.isEmpty(ent.getSalePhone()) || ent.getSalePhone().startsWith("400-")) {
            viewHolder.number.setText("非会员");
        } else {
            viewHolder.number.setText(ent.getSalePhone());
        }
        viewHolder.time.setText(ent.getSaleDate());
        viewHolder.amount.setText(StringUtils.formatDouble(ent.getSaleActualAmount(), "0.00"));
        if (isExpanded) {
            Drawable drawable = context.getResources().getDrawable(R.drawable.list_group_close);
            drawable.setBounds(0, 0, drawable.getMinimumWidth(), drawable.getMinimumHeight());
            viewHolder.amount.setCompoundDrawables(null, null, drawable, null);
        } else {
            Drawable drawable = context.getResources().getDrawable(R.drawable.list_group_open);
            drawable.setBounds(0, 0, drawable.getMinimumWidth(), drawable.getMinimumHeight());
            viewHolder.amount.setCompoundDrawables(null, null, drawable, null);
        }
        //根据标志判断是否显示散装,提示:storeManagerCancelDetail的271行
//        viewHolder.proLabel.setVisibility(ent.isShowLabel() ? View.VISIBLE : View.GONE);
        return convertView;
    }

    @Override
    public View getChildView(final int groupPosition, int childPosition, boolean isLastChild, View convertView, ViewGroup parent) {
        final ViewHolder holder;
        if (convertView == null) {
            convertView = LayoutInflater.from(context).inflate(R.layout.sale_back_submit_list_item, parent, false);
            holder = new ViewHolder();
            holder.loadingLayout = (LinearLayout) convertView.findViewById(R.id.loading_layout);
            holder.check = (CheckBox) convertView.findViewById(R.id.sale_back_check);
            holder.salereturn = (ImageView) convertView.findViewById(R.id.imageViewReturn);
            holder.name = (TextView) convertView.findViewById(R.id.sale_goods_name);
            holder.countOrWeight = (TextView) convertView.findViewById(R.id.sale_goods_count_or_weight);
            holder.kcoum = (TextView) convertView.findViewById(R.id.sale_goods_kcuom);
            holder.subtract = (ImageButton) convertView.findViewById(R.id.sale_goods_subtract);
            holder.add = (ImageButton) convertView.findViewById(R.id.sale_goods_add);
            holder.price = (TextView) convertView.findViewById(R.id.sale_goods_price);
            convertView.setTag(holder);
        } else {
            holder = (ViewHolder) convertView.getTag();
        }
//        final ProductEntity ent = childrenlist.get(groupPosition).get(childPosition);
//        final ProductEntity entOld = oldchildrenlist.get(groupPosition).get(childPosition);
        if (getGroup(groupPosition).getDetailList().size() == 0) {
            holder.loadingLayout.setVisibility(childPosition == 0 ? View.VISIBLE : View.GONE);
            return convertView;
        } else {
            holder.loadingLayout.setVisibility(View.GONE);
        }

        final GoodsReturnRecordRes.Result.DetailListBean ent = getChild(groupPosition, childPosition);
        holder.name.setText(ent.getProName());
        //
        holder.countOrWeight.setText(StringUtils.formatDouble(ent.getProQty(), getProQtyFormatByBrand(ent)));

        //包装单位
        holder.kcoum.setText(MessageFormat.format("({0})", ent.KCUom));
        holder.price.setText(StringUtils.formatDouble(ent.getProAmount(), "0.00"));
        holder.check.setChecked(ent.isBack);
        //如果要退你们！那加减按钮当然要可调。
        if (ent.isBack) {
            SYLoger.print(ent.brand);
            // 如果是五谷磨房品牌就显示加减按钮
            holder.subtract.setVisibility(SystemHelper.isWgmf(ent.brand) ? View.VISIBLE : View.INVISIBLE);
            holder.add.setVisibility(SystemHelper.isWgmf(ent.brand) ? View.VISIBLE : View.INVISIBLE);

            //如果数量是正常范围内，那就照常显示。
            if (ent.getProQty() >= 1 && ent.getProQty() <= ent.currentQty) {
                holder.countOrWeight.setText(StringUtils.formatDouble(ent.getProQty(), getProQtyFormatByBrand(ent)));
            } else {//如果不是正常范围内，那就恢复为事先备份的bakQty数量
                holder.countOrWeight.setText(StringUtils.formatDouble(ent.currentQty, getProQtyFormatByBrand(ent)));
                ent.setProQty(ent.currentQty);
            }
            //数量都小于等于1了，减不得了！
            holder.subtract.setEnabled(!(ent.getProQty() <= 1));
            //数量怎么能比原来的还大！！false掉！
            holder.add.setEnabled(!(ent.getProQty() >= ent.currentQty));
        } else {//如果并不需要退你们。
            holder.subtract.setVisibility(View.INVISIBLE);
            holder.add.setVisibility(View.INVISIBLE);
            holder.countOrWeight.setText(StringUtils.formatDouble(ent.bakQty, getProQtyFormatByBrand(ent)));
        }

        if (ent.isEnable) {//可操作checkBox使选择退货
            holder.salereturn.setVisibility(View.INVISIBLE);
            // convertView.setBackgroundColor(0xFFF0F0F0);
            holder.check.setVisibility(View.VISIBLE);
        } else {//不能点击选择退货的项。
            if (ent.getProQty() > 0 && ent.getProAmount() <= 0) {//说明是赠品
                holder.salereturn.setImageResource(R.drawable.salegift);
            } else {//个数小于等于0，说明已退
                holder.salereturn.setImageResource(R.drawable.salereturn);
            }
            holder.countOrWeight.setText(ent.getProQty()+"");
            holder.salereturn.setVisibility(View.VISIBLE);
            // convertView.setBackgroundColor(0xFF606060);
            holder.check.setVisibility(View.INVISIBLE);
            holder.subtract.setVisibility(View.INVISIBLE);
            holder.add.setVisibility(View.INVISIBLE);
        }
        holder.subtract.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                double newCount = Double.parseDouble(holder.countOrWeight.getText().toString());
                if (newCount > 1) {
                    newCount = Arith.sub(newCount, 1);
                    ent.setProQty(newCount);
                    ent.setProAmount(Arith.mul(newCount, ent.getProPrice()));
                    holder.price.setText(StringUtils.formatDouble(ent.getProAmount(), "0.00"));
                    holder.countOrWeight.setText(StringUtils.formatDouble(newCount, getProQtyFormatByBrand(ent)));
                    if (ent.getProQty() <= 1) {//减到1就不让减了。
                        holder.subtract.setEnabled(false);
                    }
                    //减到最大值以下，就允许加了。
                    if (ent.getProQty() < ent.currentQty) {
                        holder.add.setEnabled(true);
                    }
                }
            }
        });
        holder.add.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                double newCount2 = Double.parseDouble(holder.countOrWeight.getText().toString());
                // double max = Arith.sub(list.get(position).getTQTY(),1);
                if (newCount2 < ent.currentQty) {
                    newCount2 = Arith.add(newCount2, 1);
                    ent.setProQty(newCount2);
                    ent.setProAmount(Arith.mul(newCount2, ent.getProPrice()));
                    holder.price.setText(StringUtils.formatDouble(ent.getProAmount(), "0.00"));
                    holder.countOrWeight.setText(StringUtils.formatDouble(newCount2, "0.##"));
                    if (ent.getProQty() > 1) {
                        holder.subtract.setEnabled(true);
                    }
                    if (ent.getProQty() >= ent.currentQty) {
                        holder.add.setEnabled(false);
                    }
                }
            }
        });
        holder.price.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                if (DalCommon.CanEditAmount(ent.getProCode())) {
                    AlertDialog.Builder builder = new AlertDialog.Builder(context);
                    builder.setTitle("请输入修改的金额");
                    final EditText editText = new EditText(context);
                    editText.setKeyListener(new DigitsKeyListener(false, true));
                    editText.setText(StringUtils.formatDouble(ent.getProAmount(), "0.00"));
                    builder.setView(editText);
                    builder.setNegativeButton("取消", null);
                    builder.setPositiveButton("确定", new DialogInterface.OnClickListener() {

                        @Override
                        public void onClick(DialogInterface dialog, int which) {
                            dialog.dismiss();
                            String num = editText.getText().toString().trim();
                            if (!TextUtils.isEmpty(num)) {
                                double amout = Math.abs(Double.parseDouble(num));
                                if (amout > (Math.abs(ent.bakAmount))) {
                                    ((BaseActivity) context).showMsg("不能大于原金额!");
                                } else {
                                    String formatPrice = StringUtils.formatDouble(amout, "0.00");
                                    holder.price.setText(formatPrice);
                                    ent.setProAmount(Double.parseDouble(formatPrice));
                                }
                            }
                        }

                    });
                    builder.create().show();
                }
            }
        });
        return convertView;
    }

    /**
     * 通过品牌判断返回结果是否带2位小数
     *
     * @param ent ....
     * @return ...
     */
    @NonNull
    private String getProQtyFormatByBrand(GoodsReturnRecordRes.Result.DetailListBean ent) {
        return SystemHelper.isWgmf(ent.brand) ? "0" : "0.00";
    }

    @Override
    public boolean isChildSelectable(int groupPosition, int childPosition) {
        return true;
    }

    class ViewHolder {
        LinearLayout loadingLayout;
        TextView number;
        TextView time;
        ImageView upload;
        TextView amount;
        TextView name;
        TextView countOrWeight;
        TextView kcoum;
        TextView price;
        CheckBox check;
        ImageView salereturn;
        ImageButton subtract;
        ImageButton add;
        TextView returnStatus;
        //TextView failReason;
//        TextView proLabel;
    }

}
