package com.urovo.activity.login.net;

import android.text.TextUtils;

import com.urovo.wugumofang.response.BaseOldResponse;

/**
 * Created by Sasuke on 2016/11/3.
 * 在线登录人员验证实体类
 */

public class LoginOnlineRes extends BaseOldResponse {
    Info resultInfo;

    class Info {
        public String passWord;
        private String sex;
        private String userName;
        public String userNo;
        private String mobile;
        public String wgmfRole;// 人员的身份标识
        public String brandList;//该员工可销售的产品品牌，目前有 8五谷磨房 13鲜稻研 15食补集
    }

    public String getMobile() {
        if (resultInfo != null && !TextUtils.isEmpty(resultInfo.mobile)) {
            return resultInfo.mobile;
        }
        return "null";
    }

    public String getUserName() {
        if (resultInfo != null && !TextUtils.isEmpty(resultInfo.userName)) {
            return resultInfo.userName;
        }
        return "null";
    }

    public String getSex() {
        if (resultInfo != null && !TextUtils.isEmpty(resultInfo.sex)) {
            return resultInfo.sex.equals("男") ? "N" : "V";
        }
        return "null";
    }

    public String getWgmfRole() {
        if (resultInfo != null && resultInfo.wgmfRole != null) {
            return resultInfo.wgmfRole;
        }
        return "";
    }

    public String getBrandList() {
        if (resultInfo != null && resultInfo.wgmfRole != null) {
            return resultInfo.brandList;
        }
        return "";
    }
}
