package com.urovo.activity.login.recyclerview;

import android.graphics.Color;
import androidx.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.urovo.activity.login.model.CommonItem;
import com.urovo.wugumofang.R;

import java.util.List;


/**
 * 兼职人员专用适配器
 *
 * @author chenji
 */
public class RecyclerViewAdapter extends BaseQuickAdapter<CommonItem, BaseViewHolder> {
    public RecyclerViewAdapter(int layoutResId, @Nullable List<CommonItem> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder baseViewHolder, CommonItem commonItem) {
        baseViewHolder.setText(R.id.textView, commonItem.getText());
        baseViewHolder.setImageResource(R.id.imageView, commonItem.getImageResource());
        baseViewHolder.setBackgroundColor(R.id.linearLayout, Color.parseColor(commonItem.getBgColor()));
    }
}