package com.urovo.activity.login.view;

import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageView;

import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.view.baseWebViewAct.WebViewAct;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wugumofang.R;

/**
 * Created by Sasuke on 2017/3/15.
 * 最开始打开APP的广告页
 */

public class AdvertisementAct extends BaseActivity {
    ImageView img;
    CountDownTimer counter;
    public static final int COUNT_TIME = 2 * 1000;//倒计时3秒
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        //实现全屏+无标题栏
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,  WindowManager.LayoutParams.FLAG_FULLSCREEN);
        super.onCreate(savedInstanceState);
        init();
        setContentView(img);
        setListener();
        countDown();//开始倒计时3秒
    }

    protected void init(){
        img = new ImageView(this);
        img.setImageResource(R.drawable.advertisement);
        img.setScaleType(ImageView.ScaleType.CENTER_CROP);
    }

    protected void setListener(){
        img.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startActivity(new Intent(AdvertisementAct.this,LoginActivity.class));
                WebViewAct.launch(AdvertisementAct.this,SystemHelper.LoginUserId,"五谷磨房",NetParam.AD_JUMP_WEB);
                counter.cancel();
            }
        });
    }

    protected void countDown(){
        counter = new CountDownTimer(COUNT_TIME , 1000) {
            @Override
            public void onTick(long millisUntilFinished) {

            }

            @Override
            public void onFinish() {
                startActivity(new Intent(AdvertisementAct.this,LoginActivity.class));
            }
        }.start();
    }
}
