package com.urovo.activity.machinetrip.net

import androidx.databinding.ObservableField
import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2019-10-28
 */
data class PatrolReportRes(var resultInfo: List<ResultInfo>) : Base3Response() {
    data class ResultInfo(var id: Int,
                          var storeNo: String,
                          var storeName: String,
                          var userNo: String?,
                          var locationCorrect: String?,//当前位置是否正确,y表示正确 ,n异常 ,
                          var picUrl: String?,//照片地址,多种使用逗号隔开 ,
                          var items: List<PatrolItem>?,
                          var insertTime: String) {
        @Transient
        var isChecked: ObservableField<Boolean>? = ObservableField(false)//自建字段，记录选取状态

        data class PatrolItem(var itemDesc: String?,//巡店项目描述
                              var itemId: Int,//巡店项目id
                              var itemResult: Int)//项目结果，0正确,1异常
    }
}