package com.urovo.activity.membererweima.net

import com.chad.library.adapter.base.entity.MultiItemEntity
import com.urovo.activity.memberGoodsShare.model.MemberQrEntity
import com.urovo.activity.membererweima.model.MemGoodsListData.Companion.LIST_LEVEL_0
import com.urovo.activity.membererweima.model.MemGoodsListData.Companion.LIST_LEVEL_1
import com.urovo.activity.membererweima.model.MemGoodsListData.Companion.LIST_LEVEL_DATA

/**
 * @author Sasuke on 2018/1/18.
 */
data class MemGoodsExRes(var status: Int,
                          var msg: String,
                          var data: Data) {
    fun checkDataIsNull(): Boolean{//校验数据防空、、true为空  false不为空
        return data == null ||
                (data.purchaseNoResultList == null && data.purchaseYesResultList == null)
                        || (data.purchaseNoResultList.size == 0 && data.purchaseYesResultList.size == 0)
    }
    data class Data(var purchaseYesResultList: List<PurchaseData>,//代下单转发（目录写死）
                    var purchaseNoResultList: List<PurchaseData>): MultiItemEntity{//常规转发（目录写死）

        override fun getItemType(): Int {
            return LIST_LEVEL_0
        }

        data class PurchaseData(var productGroupName: String,//二级目录标题
                                var displayPriority: Int,
                                var qrCodeInfo: List<QrCodeInfo>):MultiItemEntity {
            //二级目录
            override fun getItemType(): Int {
                return LIST_LEVEL_1
            }

            data class QrCodeInfo(
//                                    var qrCodeId: Int,
//                                  var qrUrl: String,
//                                  var imageUrl: String,
//                                  var title: String,
//                                  var content: String,
                                  var productTemplateName: String,
                                  var productGroupName: String,
                                  var purchaseFlag: String,
                                  var productGroupId: Int,
                                  var displayPriority: Int): MemberQrEntity(), MultiItemEntity{
                //三级目录，也相当于产品列表
                override fun getItemType(): Int {
                    return LIST_LEVEL_DATA
                }
            }
        }
    }
}