package com.urovo.activity.membererweima.presenter;

import com.urovo.activity.membererweima.net.MemGoodsExRes;
import com.urovo.wgmf.base.BasePresenter;
import com.urovo.wgmf.base.BaseView;

import java.util.List;

/**
 * Created by Sasuke on 2017/3/17.
 */

public interface MemGoodsListContract {
    interface presenter extends BasePresenter {

    }

    interface view extends BaseView {
        void initUI();

        void query();

        void showMsg(String msg);

        void refreshUI();

        void showSearchResult(List<MemGoodsExRes.Data.PurchaseData.QrCodeInfo> resultList);

        void showNoData();

        void showLoadWaitText(String text);

        void showNetError();

        void showLoading();

        void dismissLoadWait();
    }
}
