package com.urovo.activity.membergroup.JiFenDaoQiTiXing.ui;

import android.app.Activity;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.urovo.activity.membergroup.JiFenDaoQiTiXing.model.JiFenDaoQiTiXingEntity;
import com.urovo.wugumofang.R;

import java.util.List;

/**
 * Created by Sasuke on 2016/5/17.
 */
public class JiFenDaoQiAdapter extends BaseAdapter{
    List<JiFenDaoQiTiXingEntity> mList;
    class ViewHolder {
        TextView customerName;//客户名
        TextView buyTime;//购买时间
        TextView status_tv;//购买时间
        ImageView huifangIcon;//是否回访
        //ImageView toupiaoIcon;//微信投票
    }
    Activity activity;

    public JiFenDaoQiAdapter(Activity activity, List<JiFenDaoQiTiXingEntity> mList) {
        this.mList = mList;
        this.activity = activity;
    }

    @Override
        public int getCount() {
            return mList.size();
        }

        @Override
        public Object getItem(int position) {

            return position;
        }

        @Override
        public long getItemId(int position) {

            return position;
        }

        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            ViewHolder holder = new ViewHolder();
            if (convertView == null) {
                LayoutInflater inflater = activity.getLayoutInflater();
                convertView = inflater.inflate(R.layout.item_points_return_alert, null);
                holder.customerName = (TextView) convertView.findViewById(R.id.name_tv);
                holder.buyTime = (TextView) convertView.findViewById(R.id.buy_datetime_tv);
                holder.status_tv = (TextView) convertView.findViewById(R.id.status_tv);
                holder.huifangIcon = (ImageView) convertView.findViewById(R.id.is_called_iv);
                convertView.setTag(holder);
            } else {
                holder = (ViewHolder) convertView.getTag();
            }

            JiFenDaoQiTiXingEntity cell = mList.get(position);
            String customerName = cell.getCustomerName();
            //设置会员名
            if (TextUtils.isEmpty(customerName)) {
                holder.customerName.setText("会员");
            } else {
                holder.customerName.setText(cell.getCustomerName());
            }
            //设置最近一次购买时间
            holder.buyTime.setText(cell.getBuyDate().substring(0,10));

          holder.status_tv.setText(TextUtils.equals(cell.codeStatus, "0") ? "未使用" : "已使用");

            //设置回访标识
            //if ((cell.getPhoneCare()+"").equals("1")  || (cell.getSmsCare() +"").equals("1") || (cell.getWechatCare() + "").equals("1") ||
            //        !TextUtils.isEmpty(cell.getShareCare())&&cell.getShareCare().equals("1") ) {
            //  holder.huifangIcon.setImageResource(R.drawable.mark_remind_ed);
            //} else {
            //  holder.huifangIcon.setImageResource(R.drawable.mark_remind_not);
            //}

          //设置回访标识
          if (cell.hasCommunication != null && cell.hasCommunication.equals("1") ) {
            holder.huifangIcon.setImageResource(R.drawable.mark_remind_ed);
          } else {
            holder.huifangIcon.setImageResource(R.drawable.mark_remind_not);
          }
            return convertView;
        }

}
