package com.urovo.activity.membergroup;

import android.content.Context;
import android.graphics.drawable.BitmapDrawable;
import android.net.http.SslError;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.WindowManager.LayoutParams;
import android.webkit.SslErrorHandler;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.PopupWindow;
import android.widget.TextView;

import com.urovo.wugumofang.R;

public class RecommendHuaShuPop {
	private Context mContext;
	private View mParentView;
	private PopupWindow mPopupWindow;
	private ImageView mImageViewClose;
	private WebView mWebView;

	private OnClickListener mOnClickListener = new OnClickListener() {

		@Override
		public void onClick(View v) {

			mPopupWindow.dismiss();
		}
	};

	public RecommendHuaShuPop(Context cxt, View parent, String url) {
		mContext = cxt;
		mParentView = parent;

		View content = LayoutInflater.from(mContext).inflate(R.layout.pop_huashu_zhidao, null);
		// mViewDismiss = content.findViewById(R.id.viewDismiss);
		mWebView = (WebView) content.findViewById(R.id.webView1);
		// mWebView.getSettings().setCacheMode(WebSettings.LOAD_CACHE_ELSE_NETWORK);
		mWebView.setWebViewClient(new WebViewClient() {
			public void onReceivedSslError(WebView view, SslErrorHandler handler, SslError error) {
//				handler.proceed();
//				handler.cancel();
				if(error.getPrimaryError() == android.net.http.SslError.SSL_INVALID ){// 校验过程遇到了bug（安卓7.0可能会遇到WebView打不开的情况，所以需要允许这种情况继续执行）
					handler.proceed();
				}else{
					handler.cancel();
				}
			}
		});
		mWebView.loadUrl(url);
		initTitle(content);
		mPopupWindow = new PopupWindow(content, LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT, true);
		mPopupWindow.setBackgroundDrawable(new BitmapDrawable());
		// mViewDismiss.setOnClickListener(mOnClickListener);
		// mImageViewClose.setOnClickListener(mOnClickListener);
	}

	public void initTitle(View content) {
		// mPopupWindow.setFeatureInt(Window.FEATURE_CUSTOM_TITLE,
		// R.layout.title);
		ImageButton back = (ImageButton) content.findViewById(R.id.back);
		TextView titleTextView = (TextView) content.findViewById(R.id.text_title);
		titleTextView.setText("推荐话术");
		Button submit = (Button) content.findViewById(R.id.confirm);
		back.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				mPopupWindow.dismiss();
			}
		});
	}
	public void initTitle(View content,String title) {
		// mPopupWindow.setFeatureInt(Window.FEATURE_CUSTOM_TITLE,
		// R.layout.title);
		ImageButton back = (ImageButton) content.findViewById(R.id.back);
		TextView titleTextView = (TextView) content.findViewById(R.id.text_title);
		titleTextView.setText(title);
		Button submit = (Button) content.findViewById(R.id.confirm);
		back.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				mPopupWindow.dismiss();
			}
		});
	}

	public void destory() {
		mWebView.removeAllViews();
		mWebView.clearCache(true);
		mWebView.clearHistory();
		mWebView.destroy();
	}

	public void show() {
		mPopupWindow.showAtLocation(mParentView, Gravity.BOTTOM, 0, 0);
	}
}
