package com.urovo.activity.memorderact.ui

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.TextView
import com.urovo.activity.memorderact.net.MemOrderListRes
import com.urovo.wugumofang.R
import com.urovo.wugumofang.data.StringUtils

/**
 * @author Sasuke on 2019-7-19 0019.
 */
class MemOrderDetailAdapter(val context: Context,val dataList: List<MemOrderListRes.ResultInfo.Details>): BaseAdapter() {
    override fun getView(pos: Int, convertView: View?, parent: ViewGroup?): View {
        val view = LayoutInflater.from(context).inflate(R.layout.mem_order_detail_item, parent, false)
        view.findViewById<TextView>(R.id.name).setText(dataList[pos].prodName)
        view.findViewById<TextView>(R.id.count).setText("x${StringUtils.formatDouble(dataList[pos].quantity,"0.##")}")
        view.findViewById<TextView>(R.id.amount).setText("${dataList[pos].subamount}元")
        return view
    }

    override fun getItem(pos: Int): Any? {
        return null
    }

    override fun getItemId(pos: Int): Long {
        return pos.toLong()
    }

    override fun getCount(): Int {
        return dataList.size
    }
}