package com.urovo.activity.nativemanager;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;

import com.urovo.wgmf.db.dao.bill.DalDingHuoExamine;
import com.urovo.wgmf.db.dao.dao.CheckDetailDbOperate;
import com.urovo.wgmf.db.dao.dao.CxykqDbOperate;
import com.urovo.wgmf.db.dao.dao.Djbh001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djbh002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djbs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djbs002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djcj001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djcj002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdb001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdb002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djpd001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djxs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djxs002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djzs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djzs002DbOperate;
import com.urovo.wgmf.db.dao.dao.Jfdh001DbOperate;
import com.urovo.wgmf.db.dao.dao.Zhxx001DbOperate;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.data.DateUtil;
import com.urovo.wugumofang.system.PdaMsgConfig;
import com.urovo.wugumofang.ui.DialogHelper;
import com.urovo.wugumofang.ui.DialogHelper.DialogResult;

import java.util.Date;

/**
 * 数据清理
 *
 * @author Administrator
 */
public class UpAndDownDataClean extends BaseActivity implements OnClickListener, DialogResult, OnCheckedChangeListener {
    private CheckBox all;
    private Button dataclean;

    private CheckBox kaoqinclean;
    private CheckBox pandianclean;

    private CheckBox dinghuoclean;
//    private CheckBox shichiclean;

    private CheckBox baosunclean;
    private CheckBox xiaoshouclean;

    private CheckBox chongdingclean;
    private CheckBox zengsongclean;

    private CheckBox tiaoboclean;
    private CheckBox jifenclean;

    private CheckBox zhiliangfankuiclean;
    private CheckBox dinghuoshenheclean;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.up_down_dataclean);
        init();
        initTitle();
        titleTextView.setText("数据清理");
    }

    private void init() {

        kaoqinclean = (CheckBox) findViewById(R.id.kaoqinclean);
        pandianclean = (CheckBox) findViewById(R.id.pandianclean);

        dinghuoclean = (CheckBox) findViewById(R.id.dinghuoclean);
//        shichiclean = (CheckBox) findViewById(R.id.shichiclean);

        baosunclean = (CheckBox) findViewById(R.id.baosunclean);
        xiaoshouclean = (CheckBox) findViewById(R.id.xiaoshouclean);

        chongdingclean = (CheckBox) findViewById(R.id.chongdingclean);
        zengsongclean = (CheckBox) findViewById(R.id.zengsongclean);

        tiaoboclean = (CheckBox) findViewById(R.id.tiaoboclean);
        jifenclean = (CheckBox) findViewById(R.id.jifenclean);

        zhiliangfankuiclean = (CheckBox) findViewById(R.id.zhiliangfankuiclean);
        dinghuoshenheclean = (CheckBox) findViewById(R.id.dinghuoshenheclean);

        dataclean = (Button) findViewById(R.id.data_clean);
        dataclean.setOnClickListener(this);
        all = (CheckBox) findViewById(R.id.all);
        all.setOnCheckedChangeListener(this);
        all.setChecked(true);
    }

    @Override
    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {

        kaoqinclean.setChecked(isChecked);
        pandianclean.setChecked(isChecked);
        dinghuoclean.setChecked(isChecked);
//        shichiclean.setChecked(isChecked);
        baosunclean.setChecked(isChecked);
        xiaoshouclean.setChecked(isChecked);
        chongdingclean.setChecked(isChecked);
        zengsongclean.setChecked(isChecked);
        tiaoboclean.setChecked(isChecked);
        jifenclean.setChecked(isChecked);
        zhiliangfankuiclean.setChecked(isChecked);
        dinghuoshenheclean.setChecked(isChecked);
    }

    @Override
    public void onClick(View v) {

        switch (v.getId()) {
            case R.id.data_clean:
                if (needClear()) {
                    DialogHelper.AlertDIY(this, "系统提示", "确定要清理这些数据吗？", null, this, 0);
                } else {
                    showMsg("没有选择清理项！");
                }
                break;
            default:
                break;
        }

    }

    private boolean needClear() {
        if (kaoqinclean.isChecked()) {
            return true;
        }
        if (pandianclean.isChecked()) {
            return true;
        }
        if (dinghuoclean.isChecked()) {
            return true;
        }
//        if (shichiclean.isChecked()) {
//            return true;
//        }
        if (baosunclean.isChecked()) {
            return true;
        }
        if (xiaoshouclean.isChecked()) {
            return true;
        }
        if (chongdingclean.isChecked()) {
            return true;
        }
        if (zengsongclean.isChecked()) {
            return true;
        }
        if (tiaoboclean.isChecked()) {
            return true;
        }
        if (jifenclean.isChecked()) {
            return true;
        }
        if (zhiliangfankuiclean.isChecked()) {
            return true;
        }
        if (dinghuoshenheclean.isChecked()) {
            return true;
        }
        return false;
    }

    private void clear() {
        if (kaoqinclean.isChecked()) {
            CxykqDbOperate.deleteAllGoods(null);
        }
        if (pandianclean.isChecked()) {
            Djpd001DbOperate.deleteAllGoods(null);
            CheckDetailDbOperate.deleteAllGoods(null);
        }
        if (dinghuoclean.isChecked()) {
            Djbh001DbOperate.deleteAllGoods(null);
            Djbh002DbOperate.deleteAllGoods(null);
        }
//        if (shichiclean.isChecked()) {
//            Djsc001DbOperate.deleteAllGoods(null);
//            Djsc002DbOperate.deleteAllGoods(null);
//        }
        if (baosunclean.isChecked()) {
            Djbs001DbOperate.deleteAllGoods(null);
            Djbs002DbOperate.deleteAllGoods(null);

        }
        if (xiaoshouclean.isChecked()) {
            Djxs001DbOperate.deleteAllGoods(null);
            Djxs002DbOperate.deleteAllGoods(null);
        }
        if (chongdingclean.isChecked()) {
            Djcj001DbOperate.deleteAllGoods(null);
            Djcj002DbOperate.deleteAllGoods(null);
        }
        if (zengsongclean.isChecked()) {
            Djzs001DbOperate.deleteAllGoods(null);
            Djzs002DbOperate.deleteAllGoods(null);
        }
        if (tiaoboclean.isChecked()) {
            Djdb001DbOperate.deleteAllGoods(null);
            Djdb002DbOperate.deleteAllGoods(null);
        }
        if (jifenclean.isChecked()) {
            Jfdh001DbOperate.deleteBy(null);
        }
        if (zhiliangfankuiclean.isChecked()) {
            Zhxx001DbOperate.deleteBy(null);
//			Zhxx002DbOperate.deleteBy(null);
        }
        if (dinghuoshenheclean.isChecked()) {
            DalDingHuoExamine.deleteDHSH001(null);
            DalDingHuoExamine.deleteDHSH002(null);
        }
        showMsg("清理完成");
        all.setChecked(false);

        String time3 = "上次：" + DateUtil.getDateTime2(new Date());
        PdaMsgConfig.setCleanTime(time3, UpAndDownDataClean.this);
    }

    @Override
    public void onDialogResult(int tag) {
        clear();
    }

}
