package com.urovo.activity.receiveGoodsTabMenu.ui

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.urovo.wgmf.db.dao.entitys.PeiSongBillRes
import com.urovo.wugumofang.R
import org.jetbrains.anko.find

/**
 * @author Sasuke on 2019-03-13 0013.
 */
class ReceivePassiveDialogAdapter(val context: Context, val dataList: List<PeiSongBillRes.itemBill.PassiveListBean.DetailListBean>?) : RecyclerView.Adapter<ReceivePassiveDialogAdapter.Holder>() {
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): Holder {
        return Holder(LayoutInflater.from(context).inflate(R.layout.receivegoods_passive_detail_item, parent, false))
    }

    override fun onBindViewHolder(holder: Holder, position: Int) {
        holder?.run {
            proNameTv.text = dataList?.get(position)?.proName
            proQtyTv.text = dataList?.get(position)?.proQty.toString()
        }
    }

//    override fun onCreateViewHolder(parent: ViewGroup?, viewType: Int): Holder {
//        return Holder(LayoutInflater.from(context).inflate(R.layout.receivegoods_passive_detail_item,parent,false))
//    }
//
//
//
//    override fun onBindViewHolder(holder: Holder?, position: Int) {
//        holder?.run {
//            proNameTv.text = dataList?.get(position)?.proName
//            proQtyTv.text = dataList?.get(position)?.proQty.toString()
//        }
//    }

    override fun getItemCount(): Int {
        return dataList?.size ?: 0
    }

    class Holder(view: View) : RecyclerView.ViewHolder(view) {
        var proNameTv = view.find<TextView>(R.id.detail_name)
        var proQtyTv = view.find<TextView>(R.id.detail_count)
    }
}