package com.urovo.activity.report;

import java.util.ArrayList;
import java.util.HashMap;

import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import android.widget.SimpleAdapter;

import com.urovo.activity.qualityBackAct.view.QualityBackActivity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.ToActivity;
import com.urovo.wugumofang.R;

/**
 * 上报反馈 门店模式 主菜单
 * 
 * @author Administrator 质量反馈
 * 
 * 
 *
 */
public class MReportMenu extends BaseActivity {
	private ListView listview;
	private Integer[] mFunctionPics = { R.drawable.version_character };
	private String[] mFunctionName = { "质量反馈" };
	private ArrayList<HashMap<String, Object>> lsitArrayList;

	@Override
	protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.staff_menu);
		init();
		initTitle();
	}

	private void init() {

		listview = (ListView) findViewById(R.id.listview);
		lsitArrayList = new ArrayList<HashMap<String, Object>>();
		for (int i = 0; i < mFunctionPics.length; i++) {
			HashMap<String, Object> hashMap = new HashMap<String, Object>();
			hashMap.put("image", mFunctionPics[i]);
			hashMap.put("text", mFunctionName[i]);
			lsitArrayList.add(hashMap);
		}

		SimpleAdapter simpleAdapter = new SimpleAdapter(this, lsitArrayList, R.layout.second_menu_item, new String[]{ "image", "text" }, new int[]{ R.id.ItemImage, R.id.ItemText });
		listview.setAdapter(simpleAdapter);
		listview.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				click(position);

			}
		});

	}

	public void click(int position) {
		switch (position) {
		case 0:
			ToActivity.toActivity(MReportMenu.this, QualityBackActivity.class);
			break;
		case 1:
			break;

		default:
			break;
		}

	}

}
