package com.urovo.activity.salesmanager;

import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import android.widget.SimpleAdapter;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.system.ToActivity;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * 销售管理菜单，门店模式
 *
 * @author Administrator
 */
public class storeManagerMenu extends BaseActivity {
    private ListView listview;
    private Integer[] mFunctionPics = {R.drawable.version_character};
    private String[] mFunctionName = {"产品退货"};
    private ArrayList<HashMap<String, Object>> lsitArrayList;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.staff_menu);
        init();
        initTitle();
    }

    private void init() {

        listview = (ListView) findViewById(R.id.listview);
        lsitArrayList = new ArrayList<HashMap<String, Object>>();
        for (int i = 0; i < mFunctionPics.length; i++) {
            HashMap<String, Object> hashMap = new HashMap<String, Object>();
            hashMap.put("image", mFunctionPics[i]);
            hashMap.put("text", mFunctionName[i]);
            lsitArrayList.add(hashMap);
        }

        SimpleAdapter simpleAdapter = new SimpleAdapter(this, lsitArrayList, R.layout.second_menu_item, new String[]{"image", "text"}, new int[]{R.id.ItemImage, R.id.ItemText});
        listview.setAdapter(simpleAdapter);
        listview.setOnItemClickListener(new OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                click(position);

            }
        });

    }

    public void click(int position) {
        switch (position) {

            case 0:
                ToActivity.toActivity(this, storeManagerCancel.class);
                break;

            default:
                break;
        }

    }

}
