package com.urovo.activity.sell;

import com.urovo.wgmf.db.dao.entitys.ProductEntity;
import com.urovo.wugumofang.view.indexBar.IndexBar.bean.BaseIndexPinyinBean;
import com.urovo.wugumofang.view.indexBar.IndexBar.widget.IndexBar;

/**
 * Created by Sasuke on 2017/8/9.
 *
 * 自定义按产品ID来排序的比较器，用于IndexBar索引栏里，
 * 鬼晓得以后其它地方会不会用，就单独提出来了
 */

public class ProductIdComparator implements IndexBar.CustomComparator{
    @Override //产品对比，如果是索引相同，那就用产品编号来排序（升序），否则用拼音排序
    public int compare(BaseIndexPinyinBean lhs, BaseIndexPinyinBean rhs) {
        if(lhs.getBaseIndexTag().compareTo(rhs.getBaseIndexTag()) == 0){
            return ((ProductEntity) lhs).getItemId().compareTo(((ProductEntity) rhs).getItemId());
        }else{
            return lhs.getBaseIndexPinyin().compareTo(rhs.getBaseIndexPinyin());
        }
    }
}
