package com.urovo.activity.slidemenu

import com.urovo.activity.slidemenu.model.FreeDeliveryQueryBean
import com.urovo.wugumofang.constants.ApiUrls
import com.zsy.libcore.model.bean.RequestResult
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Query

/**
 * 侧滑接口类
 */
interface SlideMenuApi {

    /**
     * 免费送直接兑换记录查询
     */
    @POST(ApiUrls.APP.GET_ACTIVITY_EXCHAGE_DETAIL)
    fun getActivityExchageDetail(@Query("mobile") mobile: String?): Call<RequestResult<List<FreeDeliveryQueryBean>>>

    /**
     * 上传小票
     */
    @POST(ApiUrls.APP.UPLOAD_CERTIFICATE)
    fun uploadCertificate(@Query("shopId") shopId: String?,@Query("mobile") mobile: String?,
                          @Query("staffId") staffId: String?,@Query("certificateUrl") certificateUrl:String?):
            Call<RequestResult<Any>>



}