package com.urovo.activity.systemsetting;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.PdaMsgConfig;
import com.urovo.wugumofang.utils.MyToast;
import com.urovo.wugumofang.R;

public class SystemSettingParameter extends BaseActivity implements View.OnClickListener {
	private EditText gprsserveraddress;
	private EditText wlanserveraddress;
	private Button confirm;

	// private String userid;
	// private String password;

	@Override
	protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.systemsetting_parameter);
		initUI();
		initTitle();
	}

	private void initUI() {

		gprsserveraddress = (EditText) findViewById(R.id.gprs);
		wlanserveraddress = (EditText) findViewById(R.id.wlan);
		confirm = (Button) findViewById(R.id.confirm);
		gprsserveraddress.setText(PdaMsgConfig.getgprsServerAddress(this));
		wlanserveraddress.setText(PdaMsgConfig.getwlanServerAddress(this));
		confirm.setOnClickListener(this);
		confirm.setText("保存");
	}

	@Override
	public void onClick(View v) {

		switch (v.getId()) {
		case R.id.confirm:
			PdaMsgConfig.setgprsServerAddress(gprsserveraddress.getText().toString().trim(), this);
			PdaMsgConfig.setwlanServerAddress(wlanserveraddress.getText().toString().trim(), this);
			MyToast.show(this, "数据保存成功", Toast.LENGTH_SHORT);
			//Toast.makeText(this, "数据保存成功", Toast.LENGTH_SHORT).show();
			break;
		default:
			break;
		}
	}

}
