package com.urovo.activity.tabMenu.home.ada;


import android.graphics.Color;
import android.widget.ImageView;

import com.urovo.activity.tabMenu.home.ent.MultipleItem;
import com.urovo.activity.tabMenu.home.holder.BaseMultiItemHolder;
import com.urovo.wugumofang.R;
import com.wgmf.trade.utils.ImageLoader;

import java.util.List;

/**
 * https://github.com/CymChad/BaseRecyclerViewAdapterHelper
 * modify by AllenCoder
 * 带有拖拽滑动item功能的复杂布局通用适配器
 *
 * @author ...
 */
public class MultipleItemQuickAdapter extends BaseMultiItemDraggableAdapter<MultipleItem, BaseMultiItemHolder> {
    /**
     * 设置item的布局类型
     *
     * @param data ...
     */
    public MultipleItemQuickAdapter(List<MultipleItem> data) {
        super(data);
        addItemType(MultipleItem.IMAGE_TEXT, R.layout.item_draggable_view);
    }

    //填充数据到控件中
    @Override
    protected void convert(BaseMultiItemHolder helper, MultipleItem item) {
        switch (helper.getItemViewType()) {
            case MultipleItem.IMAGE_TEXT:
                helper.setVisible(item.isAdd() ? R.id.iv_menu_add : R.id.iv_menu_minus, item.isShow());
                helper.setBackgroundColor(R.id.menu_icon, Color.TRANSPARENT);
                final String[] strArray = item.getStrArray();
                if (strArray != null) {
                    final String iconName = strArray[0];
                    final String iconUrl = strArray[1];
                    ImageView ivIcon = helper.getView(R.id.iv_head);
                    helper.setText(R.id.tv, iconName);
//                    ImageLoader.loadImg(mContext, iconUrl, ivIcon);
//                    Glide.with(BaseAppManager.appContext())
//                            .load(iconUrl)
////                            .dontAnimate()
//                            .placeholder(R.mipmap.img_default_face)
////                            .bitmapTransform(new CropCircleTransformation(BaseAppManager.appContext()))
//                            .into(ivIcon);

//                    Glide.with(mContext)
//                            .load(iconUrl)
//                            .centerCrop()
//                            .dontAnimate()//防止设置placeholder导致第一次不显示网络图片,只显示默认图片的问题
//                            .error(R.mipmap.img_default_face)
//                            .placeholder(R.mipmap.img_default_face)
//                            .into(ivIcon);
                    ImageLoader.loadCircleImg(mContext, iconUrl, ivIcon,R.mipmap.img_default_face,R.mipmap.img_default_face);
                }
                break;
            default:
                break;
        }
    }
}
