package com.urovo.activity.tabMenu.home.ent;

import com.urovo.wgmf.db.dao.entitys.BarcodeScanDb;

import java.util.ArrayList;
import java.util.List;

/**
 * @author chenji
 * @date 2018/6/18
 */
public class ScanCodeListUtil {
    private static ScanCodeListUtil mInstance;

    private List<BarcodeScanDb> list = new ArrayList<>();

    public static ScanCodeListUtil getInstance() {
        if (mInstance == null) {
            synchronized (ScanCodeListUtil.class) {
                if (mInstance == null) {
                    mInstance = new ScanCodeListUtil();
                }
            }
        }
        return mInstance;
    }

    public List<BarcodeScanDb> getList() {
        return list;
    }

    public boolean isEmpty() {
        return list.isEmpty();
    }

    public void clearAll() {
        list.clear();
    }

    public void add(BarcodeScanDb scanDb) {
        list.add(scanDb);
    }

    public void remove(BarcodeScanDb scanDb) {
        list.remove(scanDb);
    }

    public BarcodeScanDb get(int position) {
        return list.get(position);
    }
}
