package com.urovo.activity.tabMenu.home.ent

/**
 * Created by Sasuke on 2019-07-29
 */
data class UserQrCodeRes(var status: Int,//成功则为0
                 var msg: String,//返回 “操作成功”
                 var data: Data?) {
    data class Data(var qrCode: String,//营养顾问二维码
                    //此外部联系人是否已添加了企业成员标识,
                    var addedConsultantsFlag: String,// 0:未添加任何企业联系人 1:有添加过企业联系人 2:未知，不确定是否添加过企业联系人 ,
                    var personalWechatUrl: String,//个人微信二维码url
                    var testStaff: Boolean,//是否属于试点门店
                    var uploadTiltle: String,//提示语标题
                    var uploadTipUrl: String,//提示语点击后跳转的url网页
                    var followUser: List<FollowUser>?){//添加了此外部联系人的企业成员信息 ,
        data class FollowUser (var createTime: String,
                               var description: String,
                               var remark: String,
                               var remarkCorpName: String,
                               var remarkMobiles: List<String>?,
                               var state: String,
                               var tags: List<Tag>,
                               var userId: String){
            data class Tag (var groupName: String,
                            var tagName : String,
                            var type: String)

        }
    }
}