package com.urovo.activity.tabMenu.home.pre

import com.urovo.activity.tabMenu.home.ent.*
import com.urovo.wgmf.base.BaseView
import com.urovo.wugumofang.response.CommonEntity

/**
 * @author Sasuke on 2019-02-25 0025.
 */
interface HomeContract {
    interface homeView : BaseView<homePre> {
        fun init()

        fun refreshPostDelayed(delayTime: Long)

        fun showUserPic(picUrl: String)

        fun showUserPicFailure(failInfo: String, t: Throwable)

        fun showUserUploadState(isSuccess: Boolean, qnPicUrl: String)

        fun showMsg(msg: String)

        fun onResponseSuccess(resultInfo: CommonEntity<HomeCarouselEntity>?)

        fun onFailure(failInfo: String?)

        fun onResponseSuccess4Ad(resultInfo: CommonEntity<List<HomeAdEntity>>)

        fun onFailure4Ad(failInfo: String)

        fun onFailure4Menu(failInfo: String?)

        fun onResponseSuccess4Menu(resultInfo: CommonEntity<List<List<HomeMenuOnlineBean.ResultInfoBean>>>?)

        fun returnCurrentFunctionList(data: List<MultipleItem<*>>)

        fun notifyTable1()
        fun notifyTable2(datas: List<HomeTable2Res.ResultInfo.Datas>, type: Int)

        /**显示会员商品未完成订单入口*/
        fun showMemGoodsOrderEntry(count: Int)

        //loadWait系列
        fun loadWaitNoData(containerId: Int)

        fun loadWaitNetError(containerId: Int, msgInfo: String?)

        fun loadWaitDismiss(containerId: Int)

        /**显示营养顾问企业微信二维码*/
        fun showQrCodePop(url: String)

    }

    interface homePre {

    }
}