package com.urovo.activity.tabMenu.home.pre;


import com.urovo.activity.tabMenu.home.ent.MenuTableManager;
import com.urovo.activity.tabMenu.home.ent.MultipleItem;
import com.urovo.activity.tabMenu.home.utils.ACache;
import com.urovo.wugumofang.constants.AppConstants;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.List;

import io.reactivex.Observable;
import io.reactivex.ObservableEmitter;
import io.reactivex.ObservableOnSubscribe;
import io.reactivex.schedulers.Schedulers;

/**
 * @author lvr
 * @date 2017/2/7
 */

public class HomeModelImpl implements HomeModel {
//    @SuppressWarnings("unchecked")
//    @Override
//    public Observable<List<MultipleItem>> requestHomeChannels() {
//        return Observable.create(new ObservableOnSubscribe<List<MultipleItem>>() {
//            @Override
//            public void subscribe(ObservableEmitter<List<MultipleItem>> e) throws Exception {
//                List<MultipleItem> multipleItemList = (List<MultipleItem>) ACache.get(BaseAppManager.appContext()).getAsObject(AppConstants.Home.CHANNEL_MINE);
//                //加载默认的
//                if (multipleItemList == null) {
//                    multipleItemList = MenuTableManager.loadNewsChannelsStatic();
//                    ACache.get(BaseAppManager.appContext()).put(AppConstants.Home.CHANNEL_MINE, (Serializable) multipleItemList);
//                }
//                e.onNext(multipleItemList);
//                e.onComplete();
//            }
//        }).subscribeOn(Schedulers.io());
//    }

//    @SuppressWarnings("unchecked")
//    @Override
//    public Observable<List<MultipleItem>> requestHomeChannels(final List<List<HomeMenuOnlineBean.ResultInfoBean>> menuEntity, final int spanSize) {
//        return Observable.create(new ObservableOnSubscribe<List<MultipleItem>>() {
//            @Override
//            public void subscribe(ObservableEmitter<List<MultipleItem>> e) throws Exception {
//                List<MultipleItem> multipleItemList = (List<MultipleItem>) ACache.get(BaseAppManager.appContext()).getAsObject(AppConstants.Home.CHANNEL_MINE);
//                //加载默认的
//                if (multipleItemList == null) {
//                    multipleItemList = MenuTableManager.loadNewsChannelsStatic(menuEntity, spanSize);
//                    ACache.get(BaseAppManager.appContext()).put(AppConstants.Home.CHANNEL_MINE, (Serializable) multipleItemList);
//                }
//                e.onNext(multipleItemList);
//                e.onComplete();
//            }
//        }).subscribeOn(Schedulers.io());
//    }


    @SuppressWarnings("unchecked")
    @Override
    public Observable<List<MultipleItem>> requestHomeChannels(final int spanSize) {
        return Observable.create(new ObservableOnSubscribe<List<MultipleItem>>() {
            @Override
            public void subscribe(ObservableEmitter<List<MultipleItem>> e) throws Exception {
                List<MultipleItem> multipleItemList = (List<MultipleItem>) ACache.get(BaseAppManager.appContext()).getAsObject(AppConstants.Home.CHANNEL_MINE);
                //加载默认的
                if (multipleItemList == null) {
                multipleItemList = MenuTableManager.loadNewsChannelsStatic(spanSize);
                    // ACache.get(BaseAppManager.appContext()).put(AppConstants.Home.CHANNEL_MINE, (Serializable) multipleItemList);
                }
                e.onNext(multipleItemList);
                e.onComplete();
            }
        }).subscribeOn(Schedulers.io());
    }
}
