package com.urovo.activity.tabMenu.home.utils;

import android.content.Context;
import android.widget.ImageView;

import com.bumptech.glide.Glide;
import com.urovo.wugumofang.R;
import com.youth.banner.loader.ImageLoader;


public class GlideImageLoader extends ImageLoader {
    @Override
    public void displayImage(Context context, Object path, ImageView imageView) {
        //具体方法内容自己去选择，次方法是为了减少banner过多的依赖第三方包，所以将这个权限开放给使用者去选择
        Glide.with(context.getApplicationContext())
                .load(path)
//                .asGif()
                .placeholder(R.drawable.banner_0_default)
//                .error(R.drawable.banner_0_default)
                .override(720,150)
                //让图片切换更加丝滑
                .crossFade()
//                .centerCrop()
                .into(imageView);
    }

//    @Override
//    public ImageView createImageView(Context context) {
//        //圆角
//        return new RoundAngleImageView(context);
//    }
}
