package com.urovo.activity.user

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.widget.TextView
import com.urovo.wugumofang.R
import com.urovo.wugumofang.base.BaseActivity
import kotlinx.android.synthetic.main.year_award_hint_act.*
import org.jetbrains.anko.find

/**
 * @author Sasuke on 2018/3/5.
 * 年假查询说明
 */
class YearAwardHintAct: BaseActivity() {

    companion object {
        const val HINT = "HINT"

        @JvmStatic
        fun launch(context: Context,hint: String?){
            context.startActivity(Intent(context,YearAwardHintAct::class.java).apply {
                putExtra(HINT,hint)
            })
        }
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.year_award_hint_act)
        initTitle()
        find<TextView>(R.id.text_title).text = "年终奖说明"
//        hintContentTv.text = "1、获取条件：100%达成当月销量目标，且门店RA90同比2017年正增长，即可获得当月对应星级的年终奖金（流动顾问仅考核销售目标达标率）；" +
//                "\n2、年终奖金奖金按月累计，若月度达成获取条件，则累计进年终奖金池子；" +
//                "\n3、年终奖金统一于次年2月工资一齐发放，发放前离职视自动放弃，不予发放；" +
//                "\n4、具体发放金额以最终工资单为准。"
        hintContentTv.text = intent.getStringExtra(HINT)
    }
}