package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.db.dao.entitys.SalesDetialsEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

/**
 * 销售记录下载
 * 
 * @author Administrator
 *
 */
public class DownloadXiaoShouMingXiTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = "DownloadXiaoShouMingXiTask";
	private String sql;
	private SalesDetialsEntity response;
	private Map<String, String> params;

	public DownloadXiaoShouMingXiTask(BaseActivity context, String message, boolean toShowProgressBar, String sql) {
		super(context, message, toShowProgressBar);
		
		this.sql = sql;
	}

	public DownloadXiaoShouMingXiTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {
		super.dealTask();
		resultStr = ResultTool.access(UrlSaleDetail, params);
		response = checkResult(resultStr, SalesDetialsEntity.class);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
