package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.entity.response.HuiYuanXiaoShouZhanBiResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryHuiYuanXiaoShouZhanBiTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = "QueryHuiYuanXiaoShouZhanBiTask";
	private HuiYuanXiaoShouZhanBiResponse response;
	private Map<String, String> params;

	public QueryHuiYuanXiaoShouZhanBiTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		resultStr = ResultTool.access(UrlMemberPercent, params);
		response = checkResult(resultStr, HuiYuanXiaoShouZhanBiResponse.class);

	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
