package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.entity.response.JiFenDuiHuanLiuShuiResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.HashMap;
import java.util.Map;

public class QueryJiFenDuiHuanLiuShuiTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = "QueryChanPinXiaoLiangTask";
	private String storeId;
	private String startDate;
	private String endDate;
	private JiFenDuiHuanLiuShuiResponse response;

	public QueryJiFenDuiHuanLiuShuiTask(BaseActivity context, String message, boolean toShowProgressBar, String storeId, String sdate, String edate) {
		super(context, message, toShowProgressBar);
		
		this.storeId = storeId;
		this.startDate = sdate;
		this.endDate = edate;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		// String action = NetParam.Action_RequestQuery;
		// String method = NetParam.RequestQuery_JiFenDuiHuanLiuShui;
		// String content = sql;
		// resultStr = ResultTool.access(Url, action, method, content);
		Map<String, String> params = new HashMap<String, String>();
		params.put("storeNo", storeId);
		params.put("startDate", startDate);
		params.put("endDate", endDate);
		resultStr = ResultTool.access(UrlBaseAppService + "/store/ptsexchange", params);
		response = checkResult(resultStr, JiFenDuiHuanLiuShuiResponse.class);

	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
