package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.entity.response.JifenMingXiResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class QueryJiFenMingXiTask extends BaseActivityTask {
	private String resultStr;
	private JifenMingXiResponse response;
	public static final String TAG = "QueryJiFenMingXiTask";
	private String vip;

	public QueryJiFenMingXiTask(BaseActivity context, String message, boolean toShowProgressBar, String vip) {
		super(context, message, toShowProgressBar);
		this.vip = vip;
	}

	public QueryJiFenMingXiTask(BaseActivity context, String message, boolean toShowProgressBar, List<String> tags, String vip) {
		super(context, message, toShowProgressBar, tags);
		this.vip = vip;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		// String action = NetParam.Action_RequestDownload;
		// String method = NetParam.RequestDown_VipDetail;
		// String content = vip;
		//
		// resultStr = ResultTool.access(Url, action, method, content);
		// response = checkResult(resultStr, VipResponse.class);
		Map<String, String> params = new HashMap<String, String>();
		params.put("custId", "");
		params.put("phoneNo", vip);
		resultStr = ResultTool.access(UrlBaseAppService + "/custpts/detail", params);
		response = checkResult(resultStr, JifenMingXiResponse.class);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
