package com.urovo.wgmf.AsyncTask;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryMyWeiVIPTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = QueryMyWeiVIPTask.class.getName();
	private BaseResponse response;
	private Map<String, String> params;
	private Class clazz;

	public QueryMyWeiVIPTask(BaseActivity context, Class clazz,String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
		this.clazz = clazz;
	}

	@Override
	public void dealTask() throws Exception {
		super.dealTask();
		resultStr = ResultTool.access(UrlMyWeiVIP, params);
		response = (BaseResponse)checkResult(resultStr, clazz);
	}

	@Override
	public void afterTask() {
		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
