package com.urovo.wgmf.AsyncTask;

import android.content.Intent;

import com.urovo.wgmf.AsyncTask.uploadcases.KaoqinUploadCase;
import com.urovo.wgmf.AsyncTask.uploadcases.PandianUploadCase;
import com.urovo.wgmf.AsyncTask.uploadcases.ShichiUploadCase;
import com.urovo.wgmf.AsyncTask.uploadcases.UploadAfterCase;
import com.urovo.wgmf.AsyncTask.uploadcases.XiaoShouUploadCase;
import com.urovo.wgmf.constants.UploadParam;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.NetHelper;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.ui.ViewUtil;
import com.urovo.wugumofang.utils.TaskEnqueueDominator;

import java.util.List;

import kotlin.Unit;
import kotlin.jvm.functions.Function1;

/**
 * 业务数据上传
 *
 * @author Administrator
 */
public class UploadBusinessDataTask extends BaseActivityTask {
    public static final String TAG = "UploadBusinessDataTask";
    private String resultStr;
    private BaseResponse baseResponse;
    private boolean isValues = false;//表示遍历一遍下来，有没有要上传的数据，有则true，没有则false
//    private boolean toNotify = false;
//    private int resault;
    private TaskEnqueueDominator enqueueDominator;

    public UploadBusinessDataTask(BaseActivity context, String message, boolean toShowProgressBar) {
        super(context, message, toShowProgressBar);
    }

    public UploadBusinessDataTask(BaseActivity context, String message, boolean toShowProgressBar,
                                  List<String> tags) {
        super(context, message, toShowProgressBar, tags);
    }

//    public UploadBusinessDataTask(BaseActivity context, String message, boolean toShowProgressBar,
//                                  List<String> tags, boolean toNotify) {
//        super(context, message, toShowProgressBar, tags);
//        this.toNotify = toNotify;
//    }


    @Override
    protected void onPreExecute() {
        super.onPreExecute();
        ViewUtil.showProgress(context, "数据上传中...", "请稍等.....", this);
    }

    @Override
    public void dealTask() throws Exception {
        super.dealTask();
//        context.mUpLoadFlag = false;
        upLoad();
    }

    @Override
    protected void noNetAfter() {
        super.noNetAfter();
        Intent intent = new Intent();
        intent.setAction("com.urovo.wgmf.upend");
        context.sendBroadcast(intent);
    }

    @Override
    public void afterTask() {
        super.afterTask();
//        if (!isValues) {
////    showMessage("无可上传上传数据");
//            context.displayResult(TAG, null);
//            return;
//        }
////        if (1 == resault) {
////            showMessage("出现产品金额与产品单价X产品数量不符的异常的销售单！");
////        } else if (2 == resault) {
////            showMessage("出现产品重复的异常的销售单！");
////        }
//
//        String msg;
//        if ("".equals(resultStr)) {
//            msg = "上传成功";
//            showMessage(msg);
//            context.displayResult(TAG, new BaseResponse());//瞎传一个实例，反正只要不是null就能激发回调里的操作了。
//        } else {
//            baseResponse = checkResult(resultStr, BaseOldResponse.class);
//            if (baseResponse != null) {
//                if ("0".equals(baseResponse.ret)
//                        || ("0".equals(baseResponse.sysCode)
//                        && "0".equals(((BaseOldResponse) baseResponse).msgCode))) {
//                    msg = "上传成功";
//                    showMessage(msg);
//                    if (resultStr.contains("打卡成功")/* && !SystemHelper.IsAdmin*/) {//只有在上传签到成功的时候才弹出窗口，并记录最后一次签到日期
////                        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd", Locale.CHINA);
////                        String today = sdf.format(new Date());
////                        String signInLastTime = PreferHelper.getInstance().getString(AppConstants.PreKeys.SIGN_IN_LAST_TIME + "_" + SystemHelper.LoginUserId);
////                        if (TextUtils.isEmpty(signInLastTime) || today.compareTo(signInLastTime) > 0) {//新的一天（当天第一次签到才显示提成弹窗）
////                            //记下当前签到成功的日期，并弹出会员商品提成的弹窗
////                            PreferHelper.getInstance().setString(AppConstants.PreKeys.SIGN_IN_LAST_TIME + "_" + SystemHelper.LoginUserId, today);//更新签到最后时间
////                            showBenefitDialog();
////                        }
//                    }
//                } else if ("1036".equals(baseResponse.ret) && !TextUtils.isEmpty(baseResponse.retInfo)) {
//                    msg = baseResponse.retInfo;
//                    showMessage(msg);
//                }else if ("1001".equals(((BaseOldResponse)baseResponse).msgCode) && !TextUtils.isEmpty(baseResponse.msgContent)){
//                    msg = baseResponse.msgContent;
////                    DialogHelper.Alert(context, "提示： ", msg,null,null);
//                    Intent intent = new Intent(context,GlobalDialogBridgeAct.class);//全局弹窗，避免手动上传时，上传完后自动关闭当前界面导致弹窗也被关闭的问题。
//                    intent.putExtra(GlobalDialogBridgeAct.INTENT_EXTRA, new GlobalDialogBridgeAct.RemindExtra(GlobalDialogBridgeAct.TYPE_REMIND_SIGNIN, "提示", msg));
//                    context.startActivity(intent);
//                }else {
//                    if (!TextUtils.isEmpty(baseResponse.retInfo)) {
//                        msg = check(UploadParam.KAOQIN) ?
//                                "本次离线打卡保存成功，网络正常时系统会自动上传！"
//                                : "上传失败:" + baseResponse.retInfo;
//                    } else {
//                        msg = check(UploadParam.KAOQIN) ?
//                                "本次离线打卡保存成功，网络正常时系统会自动上传！"
//                                : ("上传失败:" + ("0".equals(baseResponse.sysCode)
//                                ? baseResponse.msgContent : baseResponse.sysContent));
//                    }
////                    offlineModeSave();
//                    context.uploadFailed();
//                    showMessage(msg);
//                    return;
//                }
//            } else {
//                if (null == resultStr) {
//                    msg = check(UploadParam.KAOQIN) ?
//                            "本次离线打卡保存成功，网络正常时系统会自动上传！"
//                            : "上传失败:返回null";
//                } else {
//                    msg = check(UploadParam.KAOQIN) ?
//                            "本次离线打卡保存成功，网络正常时系统会自动上传！"
//                            : "上传失败:返回" + resultStr + " 解析成null";
//                }
////                offlineModeSave();
//                context.uploadFailed();
//                showMessage(msg);
//                return;
//            }
//            context.displayResult(TAG, new BaseOldResponse());
//        }
////        showMessage(msg);
//        if (toShowProgressBar) {
//            if ("".equals(resultStr)) {
//                context.displayResult(TAG, new BaseOldResponse());
//            }
//        }
    }


    public void upLoad() {
        enqueueDominator = new TaskEnqueueDominator();

        PandianUploadCase pandianUploadCase;
        // 盘点上传
        if (check(UploadParam.PANDIAN)) {
            pandianUploadCase = new PandianUploadCase();
            enqueueDominator.addPauseCase(pandianUploadCase);
        }

        ShichiUploadCase shichiUploadCase;
        // 试吃上传
        if (check(UploadParam.SHICHI)) {
            shichiUploadCase = new ShichiUploadCase();
            enqueueDominator.addPauseCase(shichiUploadCase);
        }

        XiaoShouUploadCase xiaoShouUploadCase;
        // 销售上传
        if (check(UploadParam.XIAOSHOU)) {
            xiaoShouUploadCase = new XiaoShouUploadCase();
            enqueueDominator.addPauseCase(xiaoShouUploadCase);
        }

        KaoqinUploadCase kaoqinCase;
        // 考勤上传（涉及到七牛异步，最好放在后面，不过其实后来已经用semaphore处理了七牛异步问题了）
        if (check(UploadParam.KAOQIN)) {
            kaoqinCase = new KaoqinUploadCase(
                    context,
                    SystemHelper.LoginOrganId,
                    SystemHelper.LoginUserId,
                    !NetHelper.IsHaveInternet(context)
            );
            //加入队列
            enqueueDominator.addPauseCase(kaoqinCase);
        }

        //再加一个上传完之后的操作
        enqueueDominator.addCase(new UploadAfterCase(context, new Function1<BaseResponse, Unit>() {
            @Override
            public Unit invoke(BaseResponse baseResponse) {
                context.displayResult(TAG, baseResponse);
                return null;
            }
        }));
        //开始执行上传
        enqueueDominator.go();
    }

    /**
     * 检测是否改类型是否要更新
     */
    private boolean check(String tag) {
//        boolean isTrue = false;
//        if (tags.contains(tag)) {
//            isTrue = true;
//        }//写得真尼玛啰嗦
        return tags.contains(tag);
    }

    //在每天第一次签到成功之后，弹出会员商品提成信息弹窗
//    private void showBenefitDialog() {
//        //以下会员商品提成情况弹窗
//        String endTimeStr = DateUtil.getDayBefore2(new Date()).substring(0, 10);//【需求】取今天的前一天作为查询时间
//        HashMap<String, String> params = new HashMap<>();
//        params.put("storeId", SystemHelper.LoginOrganId);
//        params.put("userId", SystemHelper.LoginUserId);
//        params.put("startTimeStr", endTimeStr);
//        params.put("endTimeStr", endTimeStr);
//        new BaseAppServerTask(UploadParam.KAOQIN, MemberProductSaleDateResponse.class, context, "正在获取会员商品销售情况...", true,
//                NetParam.MEMBER_PRODUCT_SALE_DATA, params).execute("");
//    }
}
