package com.urovo.wgmf.AsyncTask;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.net.ResultTool;

import java.util.Map;

/**
 * @ClassName: UploadReadMsgCountTask
 * @Description: 消息条目已读上传
 * @author XP
 * @date 2015-11-23 上午11:17:55
 */
public class UploadReadMsgCountTask extends BaseActivityTask {
	private String resultStr;
	private BaseResponse baseResponse;
	private Map<String, String> params;
	public static final String TAG = "UploadReadMsgCountTask";

	public UploadReadMsgCountTask(BaseActivity context, String message, boolean toShowProgressBar) {
		super(context, message, toShowProgressBar);
		
	}

	public UploadReadMsgCountTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();

		resultStr = ResultTool.access(UrlMsgUpLoad, params);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(resultStr == null) {
			showMessage("访问服务异常");
		}
	}

}
