package com.urovo.wgmf.AsyncTask;

import com.google.gson.Gson;
import com.urovo.wgmf.db.dao.entitys.XiaoShouEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.data.DateUtil;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.response.BaseOldResponse;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Date;

/**
 * 上传退货信息
 * 
 * @author Administrator
 *
 */
public class UploadTuiHuoTask extends BaseActivityTask {
	private String resultStr;
	private BaseResponse baseResponse;
	private XiaoShouEntity ent;
	public static final String TAG = "UploadTuiHuoTask";

	public UploadTuiHuoTask(BaseActivity context, String message, boolean toShowProgressBar, XiaoShouEntity ent) {
		super(context, message, toShowProgressBar);
		
		this.ent = ent;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
//		String action = NetParam.Action_RequestUpload;
//		String method = NetParam.RequestUpload_XiaoShou;

//		ProductEntity[] array = Djxs002DbOperate.QueryXiaoShouDetail(ent.getBill(), true).toArray(new ProductEntity[]{});

		Date date2 = DateUtil.String2Date(ent.getSaleDate(), "yyyy-MM-dd HH:mm:ss");
		ent.setSaleDate(DateUtil.getDateByFormat(date2, "yyyy-MM-dd HH:mm:ss"));

//		ent.setProductDetails(array);
		//List<XiaoShouEntity> list = new ArrayList<XiaoShouEntity>();
		//list.add(ent);
		Gson gson = new Gson();
		//String content = gson.toJson(list);
		String content = gson.toJson(ent);
		//Map<String, String> map = new HashMap<String, String>();
		//map.put("action", action);
		//map.put("method", method);
		//map.put("content", content);
		//resultStr = ResultTool.accessForType(UrlBaseAppService + "/user/pointexcancel", map);
		resultStr = ResultTool.accessForType(UrlBaseAppService + "/user/pointexcancel", content);
		baseResponse = checkResult(resultStr, BaseOldResponse.class);

		/*
		 * while (Djxs001DbOperate.GetUnUploadCount() > 0) {
		 * List<XiaoShouEntity> list = Djxs001DbOperate.GetUnUpload(); //
		 * 未上传单据集合 for (XiaoShouEntity xse : list) { boolean saleBack =
		 * ("2".equals(xse.getXSTYPE())); ProductEntity[] array =
		 * Djxs002DbOperate.QueryXiaoShouDetail(xse.getBill(),
		 * saleBack).toArray(new ProductEntity[]{});
		 * xse.setProductDetails(array); } Gson gson = new Gson(); String
		 * content = gson.toJson(list); // Log.e(TAG, "content" + content);
		 * resultStr = ResultTool.access(Url, action, method, content); if
		 * ("".equals(resultStr)) { for (XiaoShouEntity ent : list)
		 * Djxs001DbOperate.UpdateBillState(ent.getBill()); } else { break; } }
		 */
		// if (Djxs001DbOperate.GetUnUploadCount() > 0)
		// {
		// List<XiaoShouEntity> newlist = new ArrayList<XiaoShouEntity>();
		// List<XiaoShouEntity> list = Djxs001DbOperate.GetAllUnUpload();
		// // 未上传单据集合
		// for (XiaoShouEntity xse : list)
		// {
		// // boolean saleBack = ("2".equals(xse.getXSTYPE()));
		// // ProductEntity[] array =
		// Djxs002DbOperate.QueryXiaoShouDetail(xse.getBill(),
		// saleBack).toArray(new ProductEntity[]{});
		// // xse.setProductDetails(array);
		// // newlist.clear();
		// // newlist.add(xse);
		// // Gson gson = new Gson();
		// // String content = gson.toJson(newlist);
		// // resultStr = ResultTool.access(Url, action, method, content);
		// // if ("".equals(resultStr))
		// // {
		// // Djxs001DbOperate.UpdateBillState(xse.getBill());
		// // }
		//
		// boolean saleBack = ("2".equals(xse.getXSTYPE()));
		// String path = saleBack ? "/user/pointexcancel" : "/user/pointex";
		// ProductEntity[] array =
		// Djxs002DbOperate.QueryXiaoShouDetail(xse.getBill(),
		// saleBack).toArray(new ProductEntity[]{});
		// xse.setProductDetails(array);
		// newlist.clear();
		// newlist.add(xse);
		// Gson gson = new Gson();
		// String content = gson.toJson(newlist);
		// Map<String, String> map = new HashMap<String, String>();
		// map.put("action", action);
		// map.put("method", method);
		// map.put("content", content);
		// resultStr = ResultTool.access(UrlHuiYuanText + path, map);
		// baseResponse = checkResult(resultStr, BaseResponse.class);
		// if (null != baseResponse && "0".equals(baseResponse.ret))
		// {
		// Djxs001DbOperate.UpdateBillState(xse.getBill());
		// }
		// }
		// }
	}

	@Override
	public void afterTask() {

		super.afterTask();
		// if (resultStr == null)
		// {
		// showMessage("访问服务异常");
		// }
		// else if (!"".equals(resultStr))
		// {
		// showMessage("上传失败");
		// BaseAppManager.loger().info(TAG + ":" + errMsg);
		// }
		// else
		// {
		// context.displayResult(TAG, baseResponse);
		// }

		if(resultStr == null) {
			showMessage("访问服务异常");
		}
		else
			if(null != baseResponse && "0".equals(baseResponse.ret)) {
				// showMessage("上传成功");
				context.displayResult(TAG, baseResponse);
			}
			else {
				// showMessage("上传失败");
				context.displayResult(TAG, baseResponse);
				BaseAppManager.loger().info(TAG + ":" + errMsg);
			}
	}

}
