package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.entity.response.VipDayDataResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.constants.ApiUrls;
import com.urovo.wugumofang.constants.AppConfig;

import java.util.Map;

public class VipDayDataTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = VipDayDataTask.class.getSimpleName();
	private VipDayDataResponse response;
	private Map<String, String> params;

	public VipDayDataTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		resultStr = ResultTool.access(AppConfig.APP_URL+ ApiUrls.APP.GET_MEMBER_DAY_DATA, params);
		response = checkResult(resultStr, VipDayDataResponse.class);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
