package com.urovo.wgmf.adapter;

import java.util.List;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.TextView;

import com.urovo.wgmf.db.dao.entitys.DJCXITEMEntity;
import com.urovo.wugumofang.R;

/**
 * 全场活动
 * 
 * @author Administrator
 * 
 */
public class QuanChangAdapter extends BaseAdapter {
	private Context context;
	private List<DJCXITEMEntity> list;

	public QuanChangAdapter(Context context, List<DJCXITEMEntity> list) {
		this.context = context;
		this.list = list;
	}

	public void setList(List<DJCXITEMEntity> list) {
		this.list = list;
		notifyDataSetChanged();
	}

	@Override
	public int getCount() {

		return list == null ? 0 : list.size();
	}

	@Override
	public DJCXITEMEntity getItem(int position) {

		return list.get(position);
	}

	@Override
	public long getItemId(int position) {

		return position;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		convertView = View.inflate(context, R.layout.listview_item_huodongtype, null);
		Button btn_into = (Button) convertView.findViewById(R.id.btn_into);
		TextView tv_names = (TextView) convertView.findViewById(R.id.tv_names);
		TextView tv_hdtype1 = (TextView) convertView.findViewById(R.id.tv_hdtype1);
		TextView tv_hdtype2 = (TextView) convertView.findViewById(R.id.tv_hdtype2);
		tv_hdtype1.setText("全场");
		tv_hdtype1.setBackgroundResource(R.drawable.logo_left_corner_green);
		tv_hdtype2.setText("买送");
		tv_hdtype2.setBackgroundResource(R.drawable.logo_right_corner_green);
		switch (getCount()) {
		case 0:
			convertView = null;
			break;
		case 1:
			convertView.setBackgroundResource(R.drawable.listview_fullcorner);
			break;

		default:
			if(position == 0) {
				convertView.setBackgroundResource(R.drawable.listview_upcorner);
			}
			else
				if(position == getCount() - 1) {
					convertView.setBackgroundResource(R.drawable.listview_downcorner);
				}
				else {
					convertView.setBackgroundResource(R.drawable.listview_nocorner);
				}
			break;
		}
		return convertView;
	}

}
