package com.urovo.wgmf.entity.response;

import com.urovo.wugumofang.response.Base3Response;

import java.util.List;

/**
 * Created by Sasuke on 2017/3/13.
 * 对应新的订货查询接口。
 */

public class DingHuoQueryNewRes extends Base3Response {
    private List<DinghuoEntity> resultInfo;

    public List<DinghuoEntity> getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(List<DinghuoEntity> resultInfo) {
        this.resultInfo = resultInfo;
    }

    public static class DinghuoEntity {
        /**
         * goodDetailList : [{"goodAmount":1.2345,"goodCode":"2.40010","goodName":"益元八珍","goodPrice":123.45,"goodQty":678.9,"orderGoodBill":"201040420113","ordererName":"王昊001"},{"goodAmount":1.2345,"goodCode":"2.40010","goodName":"益元八珍","goodPrice":123.45,"goodQty":678.9,"orderGoodBill":"201040420113","ordererName":"王昊001"}]
         * orderDate : 2036-01-02
         * ordererName : 王昊002
         * totalAmount : 99.88
         * totalQty : 77.66
         */
        private String brandName;//品牌名
        private int brandId;
        private String orderDate;
        private String ordererName;
        private double totalAmount;
        private double totalQty;
        private String orderGoodBill;
        private List<GoodDetailListBean> goodDetailList;

        public String getBrandName() {
            return brandName;
        }

        public void setBrandName(String brandName) {
            this.brandName = brandName;
        }

        public void setBrandId(int brandId) {
            this.brandId = brandId;
        }

        public int getBrandId() {
            return brandId;
        }

        public String getOrderDate() {
            return orderDate;
        }

        public void setOrderDate(String orderDate) {
            this.orderDate = orderDate;
        }

        public String getOrdererName() {
            return ordererName;
        }

        public void setOrdererName(String ordererName) {
            this.ordererName = ordererName;
        }

        public double getTotalAmount() {
            return totalAmount;
        }

        public void setTotalAmount(double totalAmount) {
            this.totalAmount = totalAmount;
        }

        public double getTotalQty() {
            return totalQty;
        }

        public void setTotalQty(double totalQty) {
            this.totalQty = totalQty;
        }

        public List<GoodDetailListBean> getGoodDetailList() {
            return goodDetailList;
        }

        public void setGoodDetailList(List<GoodDetailListBean> goodDetailList) {
            this.goodDetailList = goodDetailList;
        }

        public String getOrderGoodBill() {
            return orderGoodBill;
        }

        public void setOrderGoodBill(String orderGoodBill) {
            this.orderGoodBill = orderGoodBill;
        }

        public static class GoodDetailListBean {
            /**
             * goodAmount : 1.2345
             * goodCode : 2.40010
             * goodName : 益元八珍
             * goodPrice : 123.45
             * goodQty : 678.9
             * orderGoodBill : 201040420113
             * ordererName : 王昊001
             */

            private double goodAmount;
            private String goodCode;
            private String goodName;
            private double goodPrice;
            private double goodQty;
            private String orderGoodBill;
            private String ordererName;

            public double getGoodAmount() {
                return goodAmount;
            }

            public void setGoodAmount(double goodAmount) {
                this.goodAmount = goodAmount;
            }

            public String getGoodCode() {
                return goodCode;
            }

            public void setGoodCode(String goodCode) {
                this.goodCode = goodCode;
            }

            public String getGoodName() {
                return goodName;
            }

            public void setGoodName(String goodName) {
                this.goodName = goodName;
            }

            public double getGoodPrice() {
                return goodPrice;
            }

            public void setGoodPrice(double goodPrice) {
                this.goodPrice = goodPrice;
            }

            public double getGoodQty() {
                return goodQty;
            }

            public void setGoodQty(double goodQty) {
                this.goodQty = goodQty;
            }

            public String getOrderGoodBill() {
                return orderGoodBill;
            }

            public void setOrderGoodBill(String orderGoodBill) {
                this.orderGoodBill = orderGoodBill;
            }

            public String getOrdererName() {
                return ordererName;
            }

            public void setOrdererName(String ordererName) {
                this.ordererName = ordererName;
            }
        }
    }
}
