package com.urovo.wgmf.entity.response

import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2019-03-21
 * 查询上级信息（测试工号：75598659）
 */
data class StaffManagerRes(var resultInfo: List<ResultInfo>): Base3Response() {
    data class ResultInfo(var staffId: String,//上级工号
                          var oaAccount: Any,
                          var name: String,//上级姓名
                          var headImg: Any){
    }

    fun getNames(): List<String>{
        return resultInfo.map { it.name }
    }
}