package com.urovo.wgmf.entity.response;

import android.text.TextUtils;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.io.Serializable;

public class WeiXinJiaFenResponse extends BaseOldResponse  {
	public InnerClass returnBean;

	public class InnerClass implements Serializable{
		public String adscription = "";//微会员归属人 ,
		public String customerMobile = "";//手机号 ,
		public String firstScanTime = "";//首次扫码时间 ,
		public int isNewWemember = 0;//是否是新客微会员 1是 0不是 ,
		public int inPand = 0;//是否进塘，0:否，1:是
		public String nickName = "";//微信昵称
		public String url = "";//二维码地址 （用来判断是否是 微会员的依据，为空，则说明关注过，则是微会员）
		public String weMemberDetail = "";//微会员详情
		public String tip = "";
	}

	public String getTip() {
		return TextUtils.isEmpty(returnBean.tip)?"":returnBean.tip;
	}

	public String getAdscription() {
		return TextUtils.isEmpty(returnBean.adscription) ? "未知":returnBean.adscription;
	}

	public void setAdscription(String adscription) {
		returnBean.adscription = adscription;
	}

	public String getCustomerMobile() {
		return TextUtils.isEmpty(returnBean.customerMobile)? "未知":returnBean.customerMobile;
	}

	public void setCustomerMobile(String customerMobile) {
		returnBean.customerMobile = customerMobile;
	}

	public String getFirstScanTime() {
		return TextUtils.isEmpty(returnBean.firstScanTime)?"未知":returnBean.firstScanTime;
	}

	public void setFirstScanTime(String firstScanTime) {
		returnBean.firstScanTime = firstScanTime;
	}

	public int getIsWemember() {
		return returnBean.isNewWemember;
	}

	public void setIsWemember(int isWemember) {
		returnBean.isNewWemember = isWemember;
	}

	public int getInPand() {
		return returnBean.inPand;
	}

	public void setInPand(int inPand) {
		returnBean.inPand = inPand;
	}


	public String getNickName() {
		return TextUtils.isEmpty(returnBean.nickName)?"未知":returnBean.nickName;
	}

	public void setNickName(String nickName) {
		returnBean.nickName = nickName;
	}

	public String getUrl() {
		return TextUtils.isEmpty(returnBean.url)?"" : returnBean.url;
	}

	public void setUrl(String url) {
		returnBean.url = url;
	}

	public String getWeMemberDetail() {
		return returnBean.weMemberDetail;
	}

	public void setWeMemberDetail(String weMemberDetail) {
		returnBean.weMemberDetail = weMemberDetail;
	}
}