package com.urovo.wgmf.notice;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageButton;
import android.widget.TextView;

import com.urovo.wgmf.AsyncTask.UploadReadMsgCountTask;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.R;

import java.util.HashMap;
import java.util.Map;

public class XiaoShouMiJiActivity extends BaseActivity {

	private ImageButton goback;
	private TextView tv_miji;
	private TextView tv_miji_store;
	private TextView tv_miji_title;
	private TextView tv_miji_date;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.xiaoshoumiji);

		titleTextView = (TextView) findViewById(R.id.text_title);
		titleTextView.setText("销售秘籍");
		goback = (ImageButton) findViewById(R.id.goback);
		goback.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				finish();
			}
		});

		Intent intent = getIntent();
		Bundle bundle = intent.getBundleExtra("bundle");
		String miji = bundle.getString("miji");
		String bsc = bundle.getString("bsc");
		String store = bundle.getString("store");
		String title = bundle.getString("title");
		String id = bundle.getString("id");
		String date = bundle.getString("date");
		boolean isnew = bundle.getBoolean("isnew");

		tv_miji = (TextView) findViewById(R.id.tv_miji);
		tv_miji_store = (TextView) findViewById(R.id.tv_miji_store);
		tv_miji_title = (TextView) findViewById(R.id.tv_miji_title);
		tv_miji_date = (TextView) findViewById(R.id.tv_miji_date);

		tv_miji_title.setText(title);
		tv_miji_date.setText(date);
		tv_miji_store.setText(bsc + "-" + store);
		tv_miji.setText("	" + miji);
		if(isnew)
			UploadReadCount(id);
	}

	/**
	 * 
	 * @Title: UploadReadCount
	 * @Description: (这里用一句话描述这个方法的作用)
	 * @param @param id 参数说明
	 * @return void 返回类型
	 * @throws
	 */
	private void UploadReadCount(String id) {
		Map<String, String> params = new HashMap<String, String>();
		params.put("id", id);
		params.put("empNo", SystemHelper.LoginUserId);
		params.put("code1", SystemHelper.LoginOrganId);
		new UploadReadMsgCountTask(this, "正在上传...", false, params).execute("");
	}
}
