package com.urovo.wgmf.notice;

import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;

import com.urovo.wgmf.AsyncTask.UploadReadMsgCountTask;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.R;

import java.util.HashMap;
import java.util.Map;

public class ZongBuTongZhiActivity extends BaseActivity {
	public static String ZHONGBUTONGZHI_ISNEW = "zongbutongzhi_isnew";
	public static String ZHONGBUTONGZHI_TITLE = "zongbutongzhi_title";
	public static String ZHONGBUTONGZHI_ID = "zongbutongzhi_id";
	public static String ZHONGBUTONGZHI_DATE = "zongbutongzhi_date";
	public static String ZHONGBUTONGZHI_CONTENT = "zongbutongzhi_content";
	public String id;
	public Boolean isnew;
	private TextView mTextViewTitle;
	private TextView mTextViewData;
	private TextView mTextViewContent;

	@Override
	protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.zongbutongzhi);
		initTitle();
		initHeader();
		initContent();

		UploadReadCount();
	}

	private void UploadReadCount() {
		Map<String, String> params = new HashMap<String, String>();
		params.put("id", id);
		params.put("empNo", SystemHelper.LoginUserId);
		params.put("code1", SystemHelper.LoginOrganId);
		new UploadReadMsgCountTask(this, "正在上传...", false, params).execute("");
	}

	@Override
	public void displayResult(String tag, BaseResponse response) {

		super.displayResult(tag, response);

	}

	@Override
	public void initTitle() {

		super.initTitle();
		titleTextView.setText("通知公告");
	}

	private void initHeader() {

	}

	private void initContent() {
		mTextViewTitle = (TextView) findViewById(R.id.textViewTitle);
		mTextViewData = (TextView) findViewById(R.id.textViewDate);
		mTextViewContent = (TextView) findViewById(R.id.textViewContent);
		Intent intent = getIntent();
		mTextViewTitle.setText(intent.getStringExtra(ZHONGBUTONGZHI_TITLE));
		mTextViewData.setText(intent.getStringExtra(ZHONGBUTONGZHI_DATE));
		mTextViewContent.setText(intent.getStringExtra(ZHONGBUTONGZHI_CONTENT));
		id = intent.getStringExtra(ZHONGBUTONGZHI_ID);
	}
}
