package com.urovo.wgmf.view;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ListView;

/**
 * Created by Sasuke on 2016/3/23.
 * 一次性显示ListView的全部元素
 */
public class OnMeasuredListView extends ListView {
    public OnMeasuredListView(Context context) {
        super(context);
    }

    public OnMeasuredListView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public OnMeasuredListView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        int expandSpec = MeasureSpec.makeMeasureSpec(Integer.MAX_VALUE >> 2, MeasureSpec.AT_MOST);
        super.onMeasure(widthMeasureSpec, expandSpec);
    }
}
