package com.wgmf.trade.model.data.net

import com.urovo.wugumofang.response.BaseSimpleResponse
import com.urovo.wgmf.entity.response.ExchangeReasonRes
import com.urovo.wugumofang.constants.ApiUrls
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Query


/**
 * Created by Sasuke on 2017/7/4.
 */
interface ExchangeReasonNet {
    @POST(ApiUrls.APP.IS_STORE_TRANSFER_CHECKED)
    fun checkIsTransfered(@Query("storeNo") storeNo: String,@Query("date") date: String): Call<BaseSimpleResponse>

    @GET(ApiUrls.APP.POINT_EXCHANGE_CANCEL)
    fun pointExchangeCancel(@Query("exchid") exchid: String, @Query("date") date: String, @Query("billNo") billNo: String, @Query("opno") opno: String, @Query("remark") remark: String): Call<ExchangeReasonRes>
}