package com.wgmf.trade.utils;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.text.TextUtils;

/**
 * Intent工具类
 * Created by samy on 16/9/27.
 */

public class IntentUtil {

  /**
   * 注意添加权限;
   *
   * 注：以前是用的ACTION_CALL，现在改成ACTION_DIAL了，
   * 区别在于以前是点击就直接打电话了，现在是点击后跳转到拨号界面，自己再点一下才能打出去
   *（ 信了你的邪，一点击就打出去这种设计很烦啊！万一别人是手误呢。。。还不由分说地打出去了。。。
   * 然后赶紧挂掉，对方还以为是骚扰电话，拉一波黑名单。。。好，这电话打得漂亮。。。这个客户也永远不用回访了。。）
   */
  public static void callPhone(String phoneNum,Context context){
    if (!TextUtils.isEmpty(phoneNum)){
      Intent intent = new Intent();
      intent.setAction(Intent.ACTION_DIAL);
      intent.setData(Uri.parse("tel://" + phoneNum));
      intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
      context.startActivity(intent);
    }
  }
}
