package com.wgmf.trade.wx.ada;

import android.text.TextUtils;
import android.util.Log;
import android.widget.ImageView;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.adapter.IWXImgLoaderAdapter;
import com.taobao.weex.common.WXImageStrategy;
import com.taobao.weex.dom.WXImageQuality;
import com.wgmf.trade.utils.ImageLoader;
/**
 * Created by Samy on 16/7/10.
 * 网络图片和本地图片的加载方式
 */
public class ImageAdapter implements IWXImgLoaderAdapter {

  @Override public void setImage(final String url, final ImageView view, WXImageQuality quality,
      WXImageStrategy strategy) {

    WXSDKManager.getInstance().postOnUiThread(new Runnable() {
      @Override public void run() {
        if (view == null || view.getLayoutParams() == null) {
          return;
        }
        if (TextUtils.isEmpty(url)) {
          view.setImageBitmap(null);
          return;
        }

        if (view.getLayoutParams().width<=0 ||view.getLayoutParams().height<=0 ){
          return;
        }
        Log.i("img_samy",url);

        /**
         assetManager=context.getAssets();
         try {
         InputStream in=assetManager.open("img/main."+rs.get(position).get("moduleID").toString()+".png");
         Bitmap bmp=BitmapFactory.decodeStream(in);
         iv.setImageBitmap(bmp);
         } catch (Exception e) {
         // handle exception
         }
         */

        // String imageUri = "assets://image.png"; // from assets
        // String imageUri = "drawable://" + R.drawable.image; // from drawables (only images,

        //file://android_asset/image/icon_launcher.png
        //android.resource://com.zsy.frame.weex.sample/mipmap/icon
        if (url.contains("assets:")){//本地图片
        //if (url.contains("android")){//本地图片
        //  int resId = ResourceUtils.getResourceUri(Uri.parse(url));
        //  ImageLoaderHelper.getInstance(WXEnvironment.getApplication()).displayImage(url,view);
          String urlTemp = url.replace("assets://","");
          Log.i("img_samy",urlTemp);
          ImageLoader.dispalyFromAssets(WXEnvironment.getApplication(),urlTemp,view);
          return;
        }

        String temp = url;
        if (url.startsWith("//")) {//网络图片
          temp = "http:" + url;
        }
        if (view.getLayoutParams().width <= 0 || view.getLayoutParams().height <= 0) {
          return;
        }
        //ImageLoaderHelper.getInstance(GlobalApp.getInstance()).displayImage(temp,view);
        //ImageLoaderHelper.getInstance(WXEnvironment.getApplication()).displayImage(temp,view);
        ImageLoader.loadImg(WXEnvironment.getApplication(),url,view);
      }
    }, 0);
  }
}
